#!/bin/sh

# Copyright (c) 2000 BEA Systems, Inc. All Rights Reserved.
# You must set your environment by running the setExamplesEnv shell script 
# prior to executing this script.

# Create the build directory, and copy the deployment descriptors into it
mkdir -p build build/META-INF
cp -f ejb-jar.xml weblogic-ejb-jar.xml build/META-INF

# Compile EJB classes into the build directory (jar preparation)
javac -d build Teller.java TellerHome.java TellerException.java TellerResult.java TellerBean.java

# Compile Account EJB classes into the build directory (jar preparation)
cd ../account
javac -d $WL_HOME/samples/examples/cluster/ejb/teller/build Account.java AccountHome.java AccountPK.java AccountResult.java AccountException.java 
cd ../teller

# Make a EJB jar file, including XML deployment descriptors
(cd build; jar cv0f std_cluster_ejb_teller.jar META-INF examples)
# Run EJBC on jar file
java -classpath "$WL_HOME/lib/weblogic_sp.jar:$WL_HOME/lib/weblogic.jar" weblogic.ejbc \
    -compiler javac build/std_cluster_ejb_teller.jar \
    $APPLICATIONS/cluster_ejb_teller.jar

# Compile servlets and EJB interfaces into WEB-INF/classes directory of the Examples Web App
# This ensures that the EJB can be accessed by JSPs and servlets of the Examples Web App
javac -d $EX_WEBAPP_CLASSES  Teller.java TellerHome.java TellerException.java TellerResult.java

# Compile EJB interfaces & client app into the clientclasses directory
javac -d $CLIENT_CLASSES Teller.java TellerHome.java TellerException.java TellerResult.java 

cd ..
javac -d $CLIENT_CLASSES Client.java
