#!/bin/sh

# Copyright (c) 2000 BEA Systems, Inc. All Rights Reserved.
# You must set your environment by running the setExamplesEnv shell script 
# prior to executing this script.

# Create the build directory, and copy the deployment descriptors into it
mkdir -p build build/META-INF build/images
cp -f ejb-jar.xml weblogic-ejb-jar.xml build/META-INF
cp -f green-cube.gif orange-cube.gif build/images

# Compile EJB classes into the build directory (jar preparation)
javac -d build Trader.java TraderHome.java TradeResult.java TraderBean.java

# Make a EJB jar file, including XML deployment descriptors
(cd build; jar cv0f std_ejb_basic_statelessSession.jar META-INF examples images)
# Run EJBC on jar file
java -classpath "$WL_HOME/lib/weblogic_sp.jar:$WL_HOME/lib/weblogic.jar" weblogic.ejbc \
    -compiler javac build/std_ejb_basic_statelessSession.jar \
    $APPLICATIONS/ejb_basic_statelessSession.jar

# Compile servlets and EJB interfaces into WEB-INF/classes directory of the Examples Web App
# This ensures that the EJB can be accessed by JSPs and servlets of the Examples Web App
javac -d $EX_WEBAPP_CLASSES  Trader.java TraderHome.java TradeResult.java

# Compile EJB interfaces & client app into the clientclasses directory
javac -d $CLIENT_CLASSES Trader.java TraderHome.java TradeResult.java Client.java

