package examples.ejb20.relationships.many2many;

import java.util.Collection;
import java.rmi.RemoteException;

import javax.ejb.*;

/**
 * Interface for a customer bean. Demonstrates many to many 
 * releationship with AccountBean.
 *
 * @author Copyright (c) 1998-2000 by BEA Systems, Inc. All Rights Reserved.
 */
public interface Customer extends EJBObject {

  /**
   * Returns name of customer.
   *
   * @return                  java.lang.String
   * @exception               java.rmi.RemoteException if there is
   *                          a communications or systems failure
   */
  public java.lang.String getName() throws RemoteException;

  /**
   * Returns balance of associated accounts.
   *
   * @return                  balance
   * @exception               java.rmi.RemoteException if there is
   *                          a communications or systems failure
   */
  public double getBalance() throws RemoteException;

  /**
   * Adds Account.
   *
   * @exception               java.rmi.RemoteException if there is
   *                          a communications or systems failure
   */
  public void addAccount(Account acct) throws RemoteException;

  /**
   * Removes Account.
   *
   * @exception               java.rmi.RemoteException if there is
   *                          a communications or systems failure
   */
  public void removeAccount(Account acct) throws RemoteException;

  /**
   * Returns serializable Collection of Accounts.
   *
   * @return                  Collection
   * @exception               java.rmi.RemoteException if there is
   *                          a communications or systems failure
   */
  public Collection getAllAccounts() throws RemoteException;
}














