package examples.ejb20.relationships.one2many;

import java.rmi.RemoteException;
import java.util.Collection;
import javax.ejb.*;

  /**
   * Interface for a customer bean. Demonstrates one to many 
   * releationship with AccountBean.
   *
   * @author Copyright (c) 1998-2000 by BEA Systems, Inc. All Rights Reserved.
   */
  public interface Customer extends EJBObject {
  
  /**
   * Returns name of customer.
   *
   * @return                  java.lang.String
   * @exception               java.rmi.RemoteException if there is
   *                          a communications or systems failure
   */
  public java.lang.String getName() throws RemoteException;

  /**
   * Adds Account.
   *
   * @exception               java.rmi.RemoteException if there is
   *                          a communications or systems failure
   */
  public void addAccount(Account acct) throws RemoteException;
  
  /**
   * Returns serializable Collection of Accounts.
   *
   * @return                  Collection
   * @exception               java.rmi.RemoteException if there is
   *                          a communications or systems failure
   */
  public Collection getAllAccounts() throws RemoteException;

  /**
   * Return accounts.
   *
   * @return                  Collection
   * @exception               java.rmi.RemoteException if there is
   *                          a communications or systems failure
   */
  public Collection getAccounts() throws RemoteException;
 
  public void setAccounts(Collection accts) throws RemoteException;
  
}














