#!/bin/sh

# Copyright (c) 2000 BEA Systems, Inc. All Rights Reserved.
# You must set your environment by running the setExamplesEnv shell script 
# prior to executing this script.

echo Adjust these variables to match your environment
VISIBROKER_HOME=/usr/local/Inprise/vbroker; export VISIBROKER_HOME
IDL2CPP="$VISIBROKER_HOME/bin/idl2cpp -no_servant -idl_strict"; export IDL2CPP

echo Create the build directory, and copy the deployment descriptors into it
mkdir -p build/META-INF build/images idlSources cpp/javax/ejb
cp -f *.xml build/META-INF
cp -f *.gif build/images

echo Compile EJB classes into the build directory (jar preparation)
javac -d build Trader.java TraderHome.java TradeResult.java TraderBean.java

echo Make a EJB jar file, including XML deployment descriptors
cd build
jar cv0f std_ejb_generic_idl.jar META-INF examples images
cd ..

echo Run EJBc on jar file
java weblogic.ejbc -compiler javac -iiop -idl -idlOverwrite -idlDirectory idlSources build/std_ejb_generic_idl.jar $APPLICATIONS/ejb_generic_idl.jar

echo Run idl2cpp to create C++ sources
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir . idlSources/examples/rmi_iiop/ejb/generic_idl/TradeResult.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir . idlSources/examples/rmi_iiop/ejb/generic_idl/Trader.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir . idlSources/examples/rmi_iiop/ejb/generic_idl/TraderHome.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir cpp/javax/ejb idlSources/javax/ejb/EJBObject.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir cpp/javax/ejb idlSources/javax/ejb/EJBHome.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir cpp/javax/ejb idlSources/javax/ejb/RemoveEx.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir cpp/javax/ejb idlSources/javax/ejb/RemoveException.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir cpp/javax/ejb idlSources/javax/ejb/CreateEx.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir cpp/java/lang idlSources/java/lang/_Ex.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir cpp/java/lang idlSources/java/lang/_Object.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir cpp/java/lang idlSources/java/lang/_Exception.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir cpp/java/lang idlSources/java/lang/Throwable.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir cpp/java/rmi idlSources/java/rmi/Remote.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir cpp/java/io idlSources/java/io/Serializable.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir cpp/java/io idlSources/java/io/PrintStream.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir cpp/java/io idlSources/java/io/PrintWriter.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir cpp/java/io idlSources/java/io/Writer.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir cpp/java/io idlSources/java/io/IOEx.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir cpp/java/io idlSources/java/io/IOException.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -namespace -IidlSources -src_suffix cpp -root_dir cpp/org/omg/boxedRMI idlSources/org/omg/boxedRMI/seq1_wchar.idl

c++ -Icpp -I$VISIBROKER_HOME/include -I$VISIBROKER_HOME/include/stubs -I$WL_HOME/samples -c Trader_c.cpp TraderHome_c.cpp cpp/Client.cpp cpp/javax/ejb/EJBObject_c.cpp cpp/javax/ejb/EJBHome_c.cpp cpp/javax/ejb/RemoveEx_c.cpp cpp/javax/ejb/RemoveException_c.cpp cpp/java/lang/_Object_c.cpp cpp/java/lang/_Ex_c.cpp cpp/java/lang/_Exception_c.cpp cpp/java/lang/Throwable_c.cpp cpp/java/rmi/Remote_c.cpp cpp/java/io/PrintWriter_c.cpp cpp/java/io/PrintStream_c.cpp cpp/java/io/Writer_c.cpp cpp/java/io/Serializable_c.cpp cpp/java/io/IOException_c.cpp cpp/java/io/IOEx_c.cpp cpp/org/omg/boxedRMI/seq1_wchar_c.cpp 

ld -o Client.exe -L$VISIBROKER_HOME/lib TradeResult_c.o Trader_c.o TraderHome_c.o EJBObject_c.o EJBHome_c.o RemoveEx_c.o RemoveException_c.o _Object_c.o _Ex_c.o_Exception_c.o Throwable_c.o Remote_c.o Serializable_c.o PrintWrite_c.o PrintStream_c.o Write_c.o seq1_wchar_c.o Client.o IOEx_c.o IOException_c.o
