#!/bin/sh

# Copyright (c) 2000 BEA Systems, Inc. All Rights Reserved.
# You must set your environment by running the setExamplesEnv shell script 
# prior to executing this script.

echo Create the build directory, and copy the deployment descriptors into it
mkdir -p build/META-INF build/images
cp -f *.xml build/META-INF
cp -f *.gif build/images

echo Compile EJB classes into the build directory (jar preparation)
javac -d build Trader.java TraderHome.java TradeResult.java TraderBean.java

echo Make a EJB jar file, including XML deployment descriptors
cd build
jar cv0f std_ejb_over_iiop.jar META-INF examples images
cd ..

echo Run ejbc on jar file
java weblogic.ejbc -compiler javac -idl -idlDirectory idlSources -iiop build/std_ejb_over_iiop.jar $APPLICATIONS/ejb_over_iiop.jar

@echo Compile EJB interfaces & client app into the clientclasses directory
javac -d $CLIENT_CLASSES Trader.java TraderHome.java TradeResult.java Client.java

