#!/bin/sh

# Copyright (c) 2000 BEA Systems, Inc. All Rights Reserved.
# You must set your environment by running the setExamplesEnv shell script 
# prior to executing this script.

echo Adjust these variables to match your environment
VISIBROKER_HOME=/usr/local/Inprise/vbroker; export VISIBROKER_HOME
IDL2CPP="$VISIBROKER_HOME/bin/idl2cpp -no_servant -idl_strict"; export IDL2CPP

echo Create the build directory, and copy the deployment descriptors into it
mkdir -p build/META-INF build/images idlSources cpp/javax/ejb
cp -f *.xml build/META-INF
cp -f *.gif build/images

echo Compile EJB classes into the build directory (jar preparation)
javac -d build MyBean.java MyBeanHome.java MyBeanImpl.java

echo Make a EJB jar file, including XML deployment descriptors
cd build
jar cv0f std_simple_ejb_idl.jar META-INF examples images
cd ..

echo Run EJBc on jar file
java weblogic.ejbc -compiler javac -idl -idlNoValueTypes -idlOverwrite -idlDirectory idlSources -iiop build/std_simple_ejb_idl.jar $APPLICATIONS/simple_ejb_idl.jar

echo Run idl2cpp to create C++ sources
$IDL2CPP -I$VISIBROKER_HOME/idl -IidlSources -namespace -Iidl -src_suffix cpp -root_dir . idlSources/examples/rmi_iiop/ejb/simplified_idl/MyBean.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -IidlSources -namespace -Iidl -src_suffix cpp -root_dir . idlSources/examples/rmi_iiop/ejb/simplified_idl/MyBeanHome.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -IidlSources -namespace -Iidl -src_suffix cpp -root_dir cpp/javax/ejb idlSources/javax/ejb/EJBObject.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -IidlSources -namespace -Iidl -src_suffix cpp -root_dir cpp/javax/ejb idlSources/javax/ejb/EJBHome.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -IidlSources -namespace -Iidl -src_suffix cpp -root_dir cpp/javax/ejb idlSources/javax/ejb/RemoveEx.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -IidlSources -namespace -Iidl -src_suffix cpp -root_dir cpp/javax/ejb idlSources/javax/ejb/CreateEx.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -IidlSources -namespace -Iidl -src_suffix cpp -root_dir cpp/java/lang idlSources/java/lang/_Object.idl
$IDL2CPP -I$VISIBROKER_HOME/idl -IidlSources -namespace -Iidl -src_suffix cpp -root_dir cpp/java/rmi idlSources/java/rmi/Remote.idl

@REM Compile the C++ stubs and client file
c++ -Icpp -I$VISIBROKER_HOME/include -I$VISIBROKER_HOME/include/stubs -I$WL_HOME/samples -c MyBean_c.cpp  MyBeanHome_c.cpp cpp/Client.cpp cpp/javax/ejb/EJBObject_c.cpp cpp/javax/ejb/EJBHome_c.cpp cpp/javax/ejb/RemoveEx_c.cpp cpp/java/lang/_Object_c.cpp cpp/java/rmi/Remote_c.cpp

@REM Generate the client executable
ld -o Client.exe -L$VISIBROKER_HOME/lib MyBean_c.o MyBeanHome_c.o EJBObject_c.o EJBHome_c.o RemoveEx_c.o _Object_c.o Remote_c.o Client.o



