#include "CosNaming_c.hh"
#include "../MyBean_c.hh"
#include "../MyBeanHome_c.hh"

USE_STD_NS

int main(int argc, char* const* argv)
{
  try {
    CORBA::ORB_var orb = CORBA::ORB_init(argc, argv);
    if (argc != 2) {
	cout << "Usage: HelloClient <ServerIOR>" << endl;
	return argc;
    }
    // obtain WebLogic Server IOR from command line argument
    const char* ior = argv[1];

    // string to object
    CORBA::Object_ptr o = orb->string_to_object(ior);

    // obtain a naming context
    CosNaming::NamingContext_var context = CosNaming::NamingContext::_narrow(o);
    CosNaming::Name name;
    name.length(1);
    name[0].id = "MyBean";
    name[0].kind = "";

    // resolve and narrow to RMI object
    CORBA::Object_var object = context->resolve(name);
    examples::rmi_iiop::ejb::simplified_idl::MyBeanHome_var home =
      examples::rmi_iiop::ejb::simplified_idl::MyBeanHome::_narrow(object);
     examples::rmi_iiop::ejb::simplified_idl::MyBean_ptr bean = home->create();

    for (int i=0; i<10; i++) {
      int shares = (i+1) * 100;
      cout << "Buying " << shares << " shares" << endl;
      bean->buy(shares);
    }
  }
  catch(const CORBA::Exception& e) {
    cout << "Failure: " << e << endl;
  }
  return 0;
}






