#!/bin/sh

# Copyright (c) 2000 BEA Systems, Inc. All Rights Reserved.
# You must set your environment by running the setExamplesEnv shell script 
# prior to executing this script.
# Build the C++ Client:
# Note: $WL_HOME variable gets set when you run the setExamplesEnv shell script.

# Set VISIBROKER_HOME variable as the installation directory of your VisiBroker for Java 4.0
echo Edit VISIBROKER_HOME depending upon your VisiBroker for C++ installation 
export VISIBROKER_HOME=/usr/local/Inprise/vbroker

# Set MSVC_HOME variable as the installation directory of your Microsoft Visiual C++
echo Edit MSVC_HOME depending upon your Microsoft Visiual C++ installation
export MSVC_HOME=/usr/local/Progra~1/Micros~1/Vc98

# Set the PATH to build the C++ client
export PATH=$PATH:$WL_HOME/lib:$VISIBROKER_HOME/bin:$VISIBROKER_HOME/lib:$MSVC_HOME/bin

# Compile the HelloWorld.idl file located in the samples/examples/rmi_iiop/hello/idlSources/examples/rmi_iiop/hello
# directory with the VisiBroker idl2cpp utility
idl2cpp -I$WL_HOME/lib -IidlSources -src_suffix cpp idlSources/examples/rmi_iiop/hello/HelloWorld.idl

# Compile the Remote.idl file located in the samples/examples/rmi_iiop/hello/idlSources/java/rmi
# directory with the VisiBroker idl2cpp utility 
idl2cpp -I$WL_HOME/lib -IidlSources -src_suffix cpp idlSources/java/rmi/Remote.idl

# Change directory to cpp
cd cpp

# Create directory java and java/rmi under cpp directory
mkdir java java/rmi
cd ..

# Move all the Remote cpp and hh file to cpp/java/rmi directory 
cp Rem*.* cpp/java/rmi

# Copy all the HelloWorld cpp file to cpp directory
cp HelloWorld_* cpp
cd cpp

# Compile the HelloClient.cpp and HelloWorld_c.cpp file and create the
# executable HelloClient.exe file  
cc -Icpp -I$VISIBROKER_HOME/include -I$MSVC_HOME/include HelloClient.cpp HelloWorld_c.cpp /ld -L$VISIBROKER_HOME/lib -o HelloClient.exe
