#!/bin/sh

# Copyright (c) 2000 BEA Systems, Inc. All Rights Reserved.
# You must set your environment by running the setExamplesEnv shell script 
# prior to executing this script.
# Build the Client:
# Note: $WL_HOME variable gets set when you run the setExamplesEnv shell script.


# Set VISIBROKER_HOME variable as the installation directory of your VisiBroker for Java 4.0
echo Edit VISIBROKER_HOME depending upon your VisiBroker for Java 4.0 installation 
export VISIBROKER_HOME=/usr/local/Inprise/vbroker

# Create the corbaclient directory
mkdir $WL_HOME/config/examples/corbaclient

# Set the CLASSPATH to build the client 
export CLASSPATH=$WL_HOME/config/examples/corbaclient:$WL_HOME/lib/ir.idl:$WL_HOME/lib/orb.idl:$VISIBROKER_HOME/lib/vbjdev.jar:$VISIBROKER_HOME/lib/vbjorb.jar:$VISIBROKER_HOME/lib/vbdev.jar:$VISIBROKER_HOME/lib/migration.jar

# Set the PATH to build the client
export PATH=$PATH:$VISIBROKER_HOME/bin

# Compile the HelloWorld.idl file with the VisiBroker idlj utility to generate
# Java classes into the subdirectory /examples/rmi_iiop/hello underneath the current directory
# (samples/examples/rmi_iiop/hello).  
idlj -I$WL_HOME/lib -IidlSources idlSources/examples/rmi_iiop/hello/HelloWorld.idl

# Compile the generated Java files by HelloWorld.idl into the corbaclient directory
javac -d $WL_HOME/config/examples/corbaclient examples/rmi_iiop/hello/*.java

# Compile the HelloClient file into the corbaclient directory
javac -d $WL_HOME/config/examples/corbaclient HelloClient.java