#!/bin/sh

# Copyright (c) 2000 BEA Systems, Inc. All Rights Reserved.
# You must set your environment by running the setExamplesEnv shell script 
# prior to executing this script.

# Create the build directory, and copy the deployment descriptors into it
mkdir -p build build/META-INF
cp -f ejb-jar.xml weblogic-ejb-jar.xml build/META-INF

# Compile EJB classes into the build directory (jar preparation)
javac -d build Converter.java ConverterHome.java ConverterResult.java ProcessingErrorException.java ConverterBean.java

# Make a EJB jar file, including XML deployment descriptors
(cd build; jar cv0f std_wlec_ejb.jar META-INF examples)
# Run EJBC on jar file
java -classpath "$WL_HOME/lib/weblogic_sp.jar:$WL_HOME/lib/weblogic.jar:$WL_HOME/config/examples/serverclasses:$WL_HOME/lib/wleorb.jar" weblogic.ejbc \
    -compiler javac build/std_wlec_ejb.jar \
    $APPLICATIONS/wlec_ejb.jar

# Compile servlets and EJB interfaces into WEB-INF/classes directory of the Examples Web App
# This ensures that the EJB can be accessed by JSPs and servlets of the Examples Web App
javac -d $EX_WEBAPP_CLASSES Converter.java ConverterHome.java ConverterResult.java ProcessingErrorException.java

# Compile EJB interfaces & client app into the clientclasses directory
javac -d $CLIENT_CLASSES Converter.java ConverterHome.java ConverterResult.java ProcessingErrorException.java Client.java

# Creates jsp_servlet directory under WEB-INF\classes of the Examples Web App
# and places the compiled jsp classes into it
java weblogic.jspc -d $EX_WEBAPP_CLASSES ejbSimpappServlet.jsp

# Copy the .jsp and html files into Examples Web App  
cp ejbSimpappServlet.jsp $APPLICATIONS/examplesWebApp
cp ejbSimpapp.html $APPLICATIONS/examplesWebApp 
