package weblogic.cluster;

import weblogic.logging.MessageLogger;
 
/** 
 * Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.
 * @exclude
 */
public class ClusterLogger
{
  /**
   * Using default multicast address: {0}
   * @exclude
   *
   * messageid:  000100
   * severity:   info
   */
  public static String logUsingDefaultMulticastAddress(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000100",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000100";
  }

  /**
   * Cannot resolve ClusterAddress: {0}
   * @exclude
   *
   * messageid:  000101
   * severity:   info
   */
  public static String logCannotResolveClusterAddressWarning(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000101",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000101";
  }

  /**
   * Joined cluster {0} at address {1} on port {2}
   * @exclude
   *
   * messageid:  000102
   * severity:   info
   */
  public static String logJoinedCluster(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"000102",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000102";
  }

  /**
   * Disconnecting from cluster {0}
   * @exclude
   *
   * messageid:  000103
   * severity:   error
   */
  public static String logLeavingCluster(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000103",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000103";
  }

  /**
   * Cluster members are running incompatible versions. \n\tLocal version: {0}. \n\tRemote version ({1}): {2}
   * @exclude
   *
   * messageid:  000104
   * severity:   error
   */
  public static String logIncompatibleVersionsError(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"000104",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000104";
  }

  /**
   * Server leaving cluster because it is an incompatible version
   * @exclude
   *
   * messageid:  000105
   * severity:   info
   */
  public static String logIncompatibleServerLeavingCluster()  {
    Object [] args = {  };
    MessageLogger.log(
	"000105",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000105";
  }

  /**
   * Failed to move {0} to pending list due to {1}
   * @exclude
   *
   * messageid:  000106
   * severity:   error
   */
  public static String logMoveOfferToPendingListError(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000106",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000106";
  }

  /**
   * Failed to install {0} in place of those currently installed due to {1}
   * @exclude
   *
   * messageid:  000107
   * severity:   error
   */
  public static String logOfferReplacementError(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000107",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000107";
  }

  /**
   * Attempt to retract offer {0} that is neither installed nor pending
   * @exclude
   *
   * messageid:  000108
   * severity:   error
   */
  public static String logRetractUnrecognizedOfferError(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000108",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000108";
  }

  /**
   * Error sending multicast message: {0}
   * @exclude
   *
   * messageid:  000109
   * severity:   error
   */
  public static String logMulticastSendError(java.io.IOException arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000109",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000109";
  }

  /**
   * Multicast socket receive error: {0}
   * @exclude
   *
   * messageid:  000110
   * severity:   error
   */
  public static String logMulticastReceiveError(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000110",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000110";
  }

  /**
   * Adding server {0} to cluster view
   * @exclude
   *
   * messageid:  000111
   * severity:   info
   */
  public static String logAddingServer(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000111",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000111";
  }

  /**
   * Removing {0} from cluster view due to timeout
   * @exclude
   *
   * messageid:  000112
   * severity:   info
   */
  public static String logRemovingServerDueToTimeout(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000112",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000112";
  }

  /**
   * Removing {0} from cluster view due to PeerGone
   * @exclude
   *
   * messageid:  000113
   * severity:   info
   */
  public static String logRemovingServerDueToPeerGone(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000113",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000113";
  }

  /**
   * Failed to find cluster license: {0}
   * @exclude
   *
   * messageid:  000114
   * severity:   error
   */
  public static String logNoClusterLicenseError(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000114",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000114";
  }

  /**
   * Lost {0} multicast message(s)
   * @exclude
   *
   * messageid:  000115
   * severity:   info
   */
  public static String logLostMulticastMessages(long arg0)  {
    Object [] args = { new Long(arg0) };
    MessageLogger.log(
	"000115",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000115";
  }

  /**
   * Failed to join cluster {0} at address {1} due to : {2}
   * @exclude
   *
   * messageid:  000116
   * severity:   error
   */
  public static String logFailedToJoinClusterError(String arg0, String arg1, Exception arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"000116",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000116";
  }

  /**
   * Got stale replication request for object {0}
   * @exclude
   *
   * messageid:  000117
   * severity:   info
   */
  public static String logStaleReplicationRequest(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000117",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000117";
  }

  /**
   * Lost {0} replication updates of object {1}. Re-fetching secondary.
   * @exclude
   *
   * messageid:  000118
   * severity:   info
   */
  public static String logReplicationVersionMismatch(int arg0, String arg1)  {
    Object [] args = { new Integer(arg0), arg1 };
    MessageLogger.log(
	"000118",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000118";
  }

  /**
   * Missing multicast address for cluster: {0}. Please set the MulticastAddress=\"a.b.c.d\" property for the cluster. Use an address in the range of 224.0.0.0 - 239.255.255.255 (avoid the reserved range 224.0.0.0 - 224.0.1.255).
   * @exclude
   *
   * messageid:  000119
   * severity:   emergency
   */
  public static String logMissingClusterMulticastAddressError(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000119",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000119";
  }

  /**
   * Error creating Cluster RuntimeMBean
   * @exclude
   *
   * messageid:  000120
   * severity:   error
   */
  public static String logErrorCreatingClusterRuntime(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000120",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000120";
  }

  /**
   * Two domains in the same LAN shouldn''t use the same multicast address. Domains in conflict {0} and {1}
   * @exclude
   *
   * messageid:  000121
   * severity:   error
   */
  public static String logMultipleDomainsCannotUseSameMulticastAddress(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000121",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000121";
  }

  /**
   * Clusters {0} and {1} cannot use the same multicast address
   * @exclude
   *
   * messageid:  000122
   * severity:   error
   */
  public static String logMultipleClustersCannotUseSameMulticastAddress(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000122",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000122";
  }

  /**
   * Conflict start: You tried to bind an object under the name {0} in the jndi tree. The object you have bound {1} is non clusterable and you have tried to bind more than once from two or more servers. Such objects can only deployed from one server.
   * @exclude
   *
   * messageid:  000123
   * severity:   error
   */
  public static String logConflictStartNonClusterableObject(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000123",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000123";
  }

  /**
   * Conflict start: The object {1} you tried to bind under the name {0} in the jndi tree is clusterable but is incompatible. Please make sure all the servers in the cluster use the identical copy of object.
   * @exclude
   *
   * messageid:  000124
   * severity:   error
   */
  public static String logConflictStartInCompatibleClusterableObject(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000124",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000124";
  }

  /**
   * Conflict Resolved: {0} for the object {1} under the bind name {0} in the jndi tree.
   * @exclude
   *
   * messageid:  000125
   * severity:   error
   */
  public static String logConflictStop(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000125",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000125";
  }

  /**
   * All session objects should be serializable to replicate. Please check the objects in your session. Failed to replicate non serializable object
   * @exclude
   *
   * messageid:  000126
   * severity:   error
   */
  public static String logUnableToUpdateNonSerializableObject()  {
    Object [] args = {  };
    MessageLogger.log(
	"000126",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000126";
  }

  /**
   * Adding {0} to the cluster
   * @exclude
   *
   * messageid:  000127
   * severity:   info
   */
  public static String logNewServerJoinedCluster(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000127",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000127";
  }

  /**
   * Updating {0} in the cluster
   * @exclude
   *
   * messageid:  000128
   * severity:   info
   */
  public static String logUpdatingServerInTheCluster(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000128",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000128";
  }

  /**
   * Removing {0} to the cluster
   * @exclude
   *
   * messageid:  000129
   * severity:   info
   */
  public static String logRemovingServerFromCluster(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000129",
	args,
	"weblogic.i18n.ClusterLogLocalizer");
    return "000129";
  }


}
