package weblogic.ejb20;

import weblogic.logging.MessageLogger;
 
/** 
 * Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.
 * @exclude
 */
public class EJBLogger
{
  /**
   * Exception during ejbActivate: {0}
   * @exclude
   *
   * messageid:  010000
   * severity:   info
   */
  public static String logExceptionDuringEJBActivate(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010000",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010000";
  }

  /**
   * EJB Deployment: {0} cannot be redeployed while the server is running. {1} is located in the server''s classpath.
   * @exclude
   *
   * messageid:  010001
   * severity:   warning
   */
  public static String logRedeployClasspathFailure(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"010001",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010001";
  }

  /**
   * There was an error while undeploying:{0}.
   * @exclude
   *
   * messageid:  010002
   * severity:   error
   */
  public static String logErrorUndeploying(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"010002",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010002";
  }

  /**
   * Exception while loading _WL_TIMESTAMP FILE.
   * @exclude
   *
   * messageid:  010003
   * severity:   error
   */
  public static String logExceptionLoadingTimestamp(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010003",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010003";
  }

  /**
   * The EJB deployment named: {0} was compiled by a different version of the WebLogic Server.
   * @exclude
   *
   * messageid:  010004
   * severity:   warning
   */
  public static String logCompiledDifferentVersion(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010004",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010004";
  }

  /**
   * Error while reading WebLogic generated files in deployment: {0}. Exception is: {1}
   * @exclude
   *
   * messageid:  010005
   * severity:   warning
   */
  public static String logErrorGeneratedFiles(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"010005",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010005";
  }

  /**
   * Error while saving ejb deployment timestamps. {0}
   * @exclude
   *
   * messageid:  010006
   * severity:   error
   */
  public static String logErrorSavingTimestamps(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010006",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010006";
  }

  /**
   * \u004c\u0069\u0063\u0065\u006e\u0073\u0065\u0020\u0076\u0061\u006c\u0069\u0064\u0061\u0074\u0069\u006f\u006e\u0020\u0070\u0061\u0073\u0073\u0065\u0064\u0020\u0066\u006f\u0072 {0}.
   * @exclude
   *
   * messageid:  010007
   * severity:   info
   */
  public static String logLicenseValidation(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010007",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010007";
  }

  /**
   * EJB Deploying file: {0}
   * @exclude
   *
   * messageid:  010008
   * severity:   info
   */
  public static String logDeploying(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010008",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010008";
  }

  /**
   * EJB Deployed EJB with JNDI name {0}.
   * @exclude
   *
   * messageid:  010009
   * severity:   info
   */
  public static String logDeployedWithJNDIName(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010009",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010009";
  }

  /**
   * Exception looking up current transaction:\n {0}
   * @exclude
   *
   * messageid:  010010
   * severity:   info
   */
  public static String logExcepLookingUpXn1(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010010",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010010";
  }

  /**
   * Exception looking up current transaction:\n {0}
   * @exclude
   *
   * messageid:  010011
   * severity:   info
   */
  public static String logExcepLookingUpXn2(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010011",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010011";
  }

  /**
   * Exception looking up current transaction:\n {0}
   * @exclude
   *
   * messageid:  010012
   * severity:   info
   */
  public static String logExcepLookingUpXn3(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010012",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010012";
  }

  /**
   * EJB \"{0}\" referenced an undeclared security role \"{1}\".
   * @exclude
   *
   * messageid:  010013
   * severity:   warning
   */
  public static String logUndeclaredSecRole(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"010013",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010013";
  }

  /**
   * Error attempting to rollback transaction: {0}
   * @exclude
   *
   * messageid:  010014
   * severity:   notice
   */
  public static String logErrorOnRollback(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010014",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010014";
  }

  /**
   * Error marking transaction for rollback: {0}
   * @exclude
   *
   * messageid:  010015
   * severity:   notice
   */
  public static String logErrorMarkingRollback(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010015",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010015";
  }

  /**
   * Exception while marking transaction for rollback: {0}
   * @exclude
   *
   * messageid:  010016
   * severity:   notice
   */
  public static String logErrorMarkingForRollback(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010016",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010016";
  }

  /**
   * Exception during rollback of transaction {0}: {1}
   * @exclude
   *
   * messageid:  010017
   * severity:   notice
   */
  public static String logErrorDuringRollback(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"010017",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010017";
  }

  /**
   * Error resuming caller''s transaction: {0}
   * @exclude
   *
   * messageid:  010018
   * severity:   notice
   */
  public static String logErrorResumingTx(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010018",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010018";
  }

  /**
   * Running in a cluster, but DNS name of cluster is not set. This may prevent EJB handles from operating properly.
   * @exclude
   *
   * messageid:  010019
   * severity:   warning
   */
  public static String logNoClusterName()  {
    Object [] args = {  };
    MessageLogger.log(
	"010019",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010019";
  }

  /**
   * EJB-20 - MessageDriven - Couldn''t start the JMS connection: {0}
   * @exclude
   *
   * messageid:  010020
   * severity:   error
   */
  public static String logErrorStartingJMSConnection(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010020",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010020";
  }

  /**
   * Clusters must be homogeneous for EJB replication. Please ensure that you have deployed the bean named: {0} on all members of your WebLogic cluster
   * @exclude
   *
   * messageid:  010021
   * severity:   error
   */
  public static String logClustersNotHomogeneous(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010021",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010021";
  }

  /**
   * Error in ejbPassivate: {0}
   * @exclude
   *
   * messageid:  010022
   * severity:   error
   */
  public static String logErrorPassivating(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010022",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010022";
  }

  /**
   * Diskswap - error in setup for StatefulEJBCache:\n {0}
   * @exclude
   *
   * messageid:  010023
   * severity:   error
   */
  public static String logErrorSetupStatefulCache(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010023",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010023";
  }

  /**
   * Error during passivation: {0}
   * @exclude
   *
   * messageid:  010024
   * severity:   error
   */
  public static String logErrorDuringPassivation(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010024",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010024";
  }

  /**
   * Exception during rollback of transaction {0}: {1}
   * @exclude
   *
   * messageid:  010025
   * severity:   error
   */
  public static String logErrorDuringRollback1(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"010025",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010025";
  }

  /**
   * Exception during commit of transaction {0}: {1}
   * @exclude
   *
   * messageid:  010026
   * severity:   error
   */
  public static String logErrorDuringCommit(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"010026",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010026";
  }

  /**
   * Exception during rollback of transaction {0}: {1}
   * @exclude
   *
   * messageid:  010027
   * severity:   info
   */
  public static String logErrorDuringRollback2(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"010027",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010027";
  }

  /**
   * Exception during commit of transaction {0}: {1}
   * @exclude
   *
   * messageid:  010028
   * severity:   info
   */
  public static String logErrorDuringCommit1(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"010028",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010028";
  }

  /**
   * Exception during commit of transaction {0}: {1}
   * @exclude
   *
   * messageid:  010029
   * severity:   info
   */
  public static String logErrorDuringCommit2(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"010029",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010029";
  }

  /**
   * Ignoring exception rolling back a transaction during undeployment of {0}.
   * @exclude
   *
   * messageid:  010030
   * severity:   info
   */
  public static String logIgnoreExcepOnRollback(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"010030",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010030";
  }

  /**
   * EJB Exception in method: {0}: {1}
   * @exclude
   *
   * messageid:  010031
   * severity:   info
   */
  public static String logExcepInMethod(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"010031",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010031";
  }

  /**
   * Exception during ejbActivate(): {0}
   * @exclude
   *
   * messageid:  010032
   * severity:   info
   */
  public static String logErrorDuringActivate(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010032",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010032";
  }

  /**
   * Exception from ejbLoad: {0}
   * @exclude
   *
   * messageid:  010033
   * severity:   info
   */
  public static String logErrorFromLoad(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010033",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010033";
  }

  /**
   * Exception from ejbStore: {0}
   * @exclude
   *
   * messageid:  010034
   * severity:   info
   */
  public static String logErrorFromStore(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010034",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010034";
  }

  /**
   * EJB Exception during invocation from home: {0} and primary key: {1} threw exception: {2}
   * @exclude
   *
   * messageid:  010035
   * severity:   info
   */
  public static String logErrorDuringInvocation(String arg0, Object arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"010035",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010035";
  }

  /**
   * Exception from ejbStore: {0}
   * @exclude
   *
   * messageid:  010036
   * severity:   info
   */
  public static String logExcepFromStore(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010036",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010036";
  }

  /**
   * Exception from ejbLoad: {0}
   * @exclude
   *
   * messageid:  010037
   * severity:   info
   */
  public static String logExcepFromLoad(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010037",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010037";
  }

  /**
   * Exception from __WL_superEjbLoad: {0}
   * @exclude
   *
   * messageid:  010038
   * severity:   info
   */
  public static String logExcepFromSuperLoad(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010038",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010038";
  }

  /**
   * Exception in ejbStore: {0}
   * @exclude
   *
   * messageid:  010039
   * severity:   info
   */
  public static String logExcepInStore(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010039",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010039";
  }

  /**
   * Exception in ejbStore: {0}
   * @exclude
   *
   * messageid:  010040
   * severity:   info
   */
  public static String logExcepInStore1(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010040",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010040";
  }

  /**
   * ERROR creating secondary: {0}
   * @exclude
   *
   * messageid:  010041
   * severity:   info
   */
  public static String logErrorCreatingSecondary(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010041",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010041";
  }

  /**
   * ERROR becoming primary server: {0}
   * @exclude
   *
   * messageid:  010042
   * severity:   info
   */
  public static String logErrorBecomingPrimaryServer(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010042",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010042";
  }

  /**
   * Exception in ejbActivate: {0}
   * @exclude
   *
   * messageid:  010043
   * severity:   info
   */
  public static String logExcepInActivate(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010043",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010043";
  }

  /**
   * Exception trying to resume transaction: {0}
   * @exclude
   *
   * messageid:  010044
   * severity:   info
   */
  public static String logExcepResumingTx(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010044",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010044";
  }

  /**
   * Exception in afterBegin: {0}
   * @exclude
   *
   * messageid:  010045
   * severity:   info
   */
  public static String logExcepInAfterBegin(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010045",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010045";
  }

  /**
   * Exception in beforeCompletion: {0}
   * @exclude
   *
   * messageid:  010046
   * severity:   info
   */
  public static String logExcepInBeforeCompletion(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010046",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010046";
  }

  /**
   * Exception during setRollbackOnly: {0}
   * @exclude
   *
   * messageid:  010047
   * severity:   info
   */
  public static String logExcepDuringSetRollbackOnly(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010047",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010047";
  }

  /**
   * Exception in afterCompletion: {0}
   * @exclude
   *
   * messageid:  010048
   * severity:   info
   */
  public static String logExcepInAfterCompletion(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010048",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010048";
  }

  /**
   * EJB Exception in method: {0}: {1}
   * @exclude
   *
   * messageid:  010049
   * severity:   info
   */
  public static String logExcepInMethod1(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"010049",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010049";
  }

  /**
   * A stateless session bean with bean-managed transactions must commit or rollback a transaction before the business method completes.
   * @exclude
   *
   * messageid:  010050
   * severity:   info
   */
  public static String logMustCommit()  {
    Object [] args = {  };
    MessageLogger.log(
	"010050",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010050";
  }

  /**
   * EJB Exception during invocation from home: {0} threw exception: {1}
   * @exclude
   *
   * messageid:  010051
   * severity:   info
   */
  public static String logExcepDuringInvocFromHome(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"010051",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010051";
  }

  /**
   * An exception occurred while creating the freepool.
   * @exclude
   *
   * messageid:  010052
   * severity:   info
   */
  public static String logErrorCreatingFreepool(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"010052",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010052";
  }

  /**
   * Warning: disregarding principal \"{0}"\ mapped to\nrole \"{1}\" because it is not found in realm "\{2}"\
   * @exclude
   *
   * messageid:  010053
   * severity:   warning
   */
  public static String logPrinNotFoundInRealm(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"010053",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010053";
  }

  /**
   * EJB Deployment: {0} has a class {1} which is in the classpath. This class should only be located in the ejb-jar file.
   * @exclude
   *
   * messageid:  010054
   * severity:   error
   */
  public static String logEJBClassFoundInClasspath(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"010054",
	args,
	"weblogic.ejb20.EJBLogLocalizer");
    return "010054";
  }


}
