package weblogic.ejb20;

import java.text.MessageFormat;
import java.util.Locale;
import weblogic.i18n.Localizer;
import weblogic.i18ntools.L10nLookup;
 
/** 
 * Copyright (c) 2000 by BEA Inc. All Rights Reserved.
 */
public class EJBTextTextFormatter {
  private Localizer l10n;
// constructors
  /**
   * @exclude
   */
  public EJBTextTextFormatter() {
    l10n = L10nLookup.getLocalizer(Locale.getDefault(), "weblogic.ejb20.EJBTextTextLocalizer");
  }
  /**
   * @exclude
   */
  public EJBTextTextFormatter(Locale l) {
    l10n = L10nLookup.getLocalizer(l, "weblogic.ejb20.EJBTextTextLocalizer");
  }

  /**
   * Creation of Many-To-Many relationship for primary key {0} and {1} effected {2} rows in {3}, instead of just 1.
   * @exclude
   */
  public String manyToManyError(Object arg0, Object arg1, int arg2, String arg3)  {
    Object [] args = { arg0, arg1, new Integer(arg2), arg3 };
    return MessageFormat.format(l10n.get("manyToManyCreationError") , args);
  }

  /**
   * Attempt to set illegal value {0} for RDBMS CMP option {1}
   * @exclude
   */
  public String attemptIllegalValue(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("attemptIllegalValue") , args);
  }

  /**
   * FinderNotFoundException: {0}\nMake sure the finder method is defined correctly, and<finder-param>element contains the fully-qualified Java type name. See section [21.5] in EJB 2.0 Specification.
   * @exclude
   */
  public String finderNotFound11Message(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("finderNotFound11Message") , args);
  }

  /**
   * A \'query\' element for finder method \' {0}\' was not found in the ejb-jar.xml descriptor.\nMake sure the query method is defined correctly, and<method-param>element contains the fully-qualified Java type name. See section [21.5] in EJB 2.0 Specification.
   * @exclude
   */
  public String finderNotFoundMessage(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("finderNotFoundMessage") , args);
  }

  /**
   * While trying to process {0}
   * @exclude
   */
  public String whileTryingToProcess(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("whileTryingToProcess") , args);
  }

  /**
   * Invalid Identifier in {0} expression: {1}
   * @exclude
   */
  public String invalidIdInExpression(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("invalidIdInExpression") , args);
  }

  /**
   * Invalid Operation attempted in {0} expression: {1}
   * @exclude
   */
  public String invalidOp(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("invalidOp") , args);
  }

  /**
   * Could not parse {0} expression: {1}
   * @exclude
   */
  public String couldNotParse(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("couldNotParse") , args);
  }

  /**
   * Invalid Expression: {0}
   * @exclude
   */
  public String invalidExpression(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("invalidExpression") , args);
  }

  /**
   * null name: {0}
   * @exclude
   */
  public String nullName(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("nullName") , args);
  }

  /**
   * empty name: {0}
   * @exclude
   */
  public String emptyName(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("emptyName") , args);
  }

  /**
   * invalid name prefix: {0}
   * @exclude
   */
  public String invalidNamePrefix(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("invalidNamePrefix") , args);
  }

  /**
   * null query: {0}
   * @exclude
   */
  public String nullQuery(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("nullQuery") , args);
  }

  /**
   * invalid expression number: {0}
   * @exclude
   */
  public String invalidExpressionNumber(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("invalidExpressionNumber") , args);
  }

  /**
   * empty expression text: {0}
   * @exclude
   */
  public String emptyExpressionText(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("emptyExpressionText") , args);
  }

  /**
   * empty expression type: {0}
   * @exclude
   */
  public String emptyExpressionType(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("emptyExpressionType") , args);
  }

  /**
   * invalid query: {0}
   * @exclude
   */
  public String invalidQuery(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("invalidQuery") , args);
  }

  /**
   * Could not locate a local resource corresponding to public Id {0}.\nIs the XML DOCTYPE header correct?
   * @exclude
   */
  public String noLocalResource(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("noLocalResource") , args);
  }

  /**
   * Encountered two installed Persistence Types with the same identifiers.
   * @exclude
   */
  public String twoInstalledSameIds()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("twoInstalledSameIds") , args);
  }

  /**
   * First Persistence Type loaded from {0}
   * @exclude
   */
  public String firstLoadedFrom(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("firstLoadedFrom") , args);
  }

  /**
   * Second Persistence Type loaded from {0}
   * @exclude
   */
  public String secondLoadedFrom(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("secondLoadedFrom") , args);
  }

  /**
   * Duplicate Persistence Types installed in the WebLogic Server environment.
   * @exclude
   */
  public String duplicatePersistenceTypes()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("duplicatePersistenceTypes") , args);
  }

  /**
   * An invalid Persistence Type has been installed in the WebLogic Server environment.
   * @exclude
   */
  public String invalidPersistenceType()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("invalidPersistenceType") , args);
  }

  /**
   * A Persistence Type installed in your WebLogic Server is invalid:
   * @exclude
   */
  public String invalidPersistenceType2()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("invalidPersistenceType2") , args);
  }

  /**
   * {0} has the following errors:
   * @exclude
   */
  public String hasErrors(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("hasErrors") , args);
  }

  /**
   * No class defined for the mandatory entry \'{0}\'
   * @exclude
   */
  public String noClassForEntry(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("noClassForEntry") , args);
  }

  /**
   * The class defined to match the entry \'{0}\' could not be found.
   * @exclude
   */
  public String noMatchForEntry(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("noMatchForEntry") , args);
  }

  /**
   * The class named \'{0}\' to match the entry \'{1}\' does not correctly match the interface.
   * @exclude
   */
  public String notMatchInterface(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("notMatchInterface") , args);
  }

  /**
   * Please contact the vendor of your Persistence Type for further assistance.
   * @exclude
   */
  public String contactVendor()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("contactVendor") , args);
  }


}
