// $ANTLR 2.7.0: "weblogic/ejb20/cmp/rdbms/finders//expression.g" -> "ExpressionParser.java"$

package weblogic.ejb20.cmp.rdbms.finders;

import antlr.TokenBuffer;
import antlr.TokenStreamException;
import antlr.TokenStreamIOException;
import antlr.ANTLRException;
import antlr.LLkParser;
import antlr.Token;
import antlr.TokenStream;
import antlr.RecognitionException;
import antlr.NoViableAltException;
import antlr.MismatchedTokenException;
import antlr.SemanticException;
import antlr.ParserSharedInputState;
import antlr.collections.impl.BitSet;
import antlr.collections.AST;
import antlr.ASTPair;
import antlr.collections.impl.ASTArray;

import java.io.*;
import java.net.*;
import java.util.*;
import weblogic.ejb20.ejbc.EJBCException;
import weblogic.utils.*;
import weblogic.utils.Debug;

/**
 * Grammar for the WHERE clause of the EJB-QL query language understood by EJB2.0
 * 
 * @author Copyright (c) 2000 by WebLogic, Inc. All Rights Reserved.
 */
public class ExpressionParser extends antlr.LLkParser
       implements ExpressionParserTokenTypes
 {

  // This seems to be in line with the other constructors generated by
  // antlr.Tool -- we don't want to set the lexer yet because we want
  // to be able to reuse the parser.
  public ExpressionParser() { super(2); }

  public Expression parse(String s) throws EJBCException  {
    try {
// <USS390 Port> Added UTF8 encoding string for correct character translation.
      byte[] bytes              = s.getBytes("UTF8");
      ByteArrayInputStream bais = new ByteArrayInputStream(bytes);
      ExpressionLexer lexer          = new ExpressionLexer(bais);
      TokenBuffer tokBuf        = new TokenBuffer(lexer);
      setTokenBuffer(tokBuf);
      return rootExpression();
    } catch (Exception e) {
      throw new EJBCException(
        "Couldn't parse '" + s + "' into Expression. ");
    }
  }

protected ExpressionParser(TokenBuffer tokenBuf, int k) {
  super(tokenBuf,k);
  tokenNames = _tokenNames;
}

public ExpressionParser(TokenBuffer tokenBuf) {
  this(tokenBuf,2);
}

protected ExpressionParser(TokenStream lexer, int k) {
  super(lexer,k);
  tokenNames = _tokenNames;
}

public ExpressionParser(TokenStream lexer) {
  this(lexer,2);
}

public ExpressionParser(ParserSharedInputState state) {
  super(state,2);
  tokenNames = _tokenNames;
}

	public final Expression  rootExpression() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		
		expr = null;
		Vector v = null;
		
		
		v=getExpressions();
		int vsize = v.size();
		Enumeration e = v.elements();
		
		if (vsize == 4) {
		expr = new Expression(ExpressionTypes.ROOT, (Expression)e.nextElement(), 
		(Expression)e.nextElement(),
		(Expression)e.nextElement(),  
		(Expression)e.nextElement());
		} else if (vsize == 3) {
		expr = new Expression(ExpressionTypes.ROOT, (Expression)e.nextElement(), 
		(Expression)e.nextElement(), 
		(Expression)e.nextElement());
		} else if (vsize == 2 ) {
		expr = new Expression(ExpressionTypes.ROOT, (Expression)e.nextElement(), 
		(Expression)e.nextElement());
		} else if (vsize == 1 ) {
		expr = new Expression(ExpressionTypes.ROOT, (Expression)e.nextElement());
		} else reportError("Expected 1-4 EJB-QL Elements: {SELECT, FROM, WHERE, WL_ORDER_BY} instead got: "+vsize);
		
		return expr;
	}
	
	public final Vector  getExpressions() throws RecognitionException, TokenStreamException {
		Vector v;
		
		
		Expression selectexpr = null;
		Expression e1 = null;
		Expression e2 = null;
		Expression fromexpr = null;
		v = new Vector();
		
		
		selectexpr=selectExpression();
		if (selectexpr != null) {
		v.addElement(selectexpr); 
		} 
		
		fromexpr=fromExpression();
		if (fromexpr != null) {
		v.addElement(fromexpr); 
		} 
		
		e1=whereExpression();
		if (e1 != null) {
		v.addElement(e1); 
		} 
		
		e2=orderByExpression();
		if (e2 != null) {
		v.addElement(e2); 
		} 
		
		return v;
	}
	
	public final Expression  selectExpression() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		Token  x1 = null;
		Token  x2 = null;
		Token  x3 = null;
		
		expr = null;
		Expression distinctExpr = null;
		int type = 0;
		
		
		switch ( LA(1)) {
		case LITERAL_SELECT:
		case LITERAL_select:
		{
			{
			switch ( LA(1)) {
			case LITERAL_SELECT:
			{
				match(LITERAL_SELECT);
				break;
			}
			case LITERAL_select:
			{
				match(LITERAL_select);
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			{
			switch ( LA(1)) {
			case LITERAL_DISTINCT_USING_SQL:
			case LITERAL_distinct_using_sql:
			{
				{
				switch ( LA(1)) {
				case LITERAL_DISTINCT_USING_SQL:
				{
					match(LITERAL_DISTINCT_USING_SQL);
					break;
				}
				case LITERAL_distinct_using_sql:
				{
					match(LITERAL_distinct_using_sql);
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				distinctExpr = new Expression(ExpressionTypes.DISTINCT_USING_SQL);
				x1 = LT(1);
				match(FINDERSTRING_OR_ID);
				type = Expression.finderStringOrId(x1.getText());
				if (type != ExpressionTypes.ID && type != ExpressionTypes.ENTITY_OBJECT_CAST) {
				reportError(" Error SELECT expected an ID or '@@', but instead got: "+x1.getText());
				}
				
				if (type == ExpressionTypes.ENTITY_OBJECT_CAST) {
				java.lang.String cast = Expression.getSelectCast(x1.getText());
				expr = new Expression(ExpressionTypes.SELECT, distinctExpr,
				new Expression(ExpressionTypes.ENTITY_OBJECT_CAST, cast)); 
				} else {
				expr = new Expression(ExpressionTypes.SELECT, distinctExpr, new Expression(ExpressionTypes.ID, x1.getText())); 
				}
				
				break;
			}
			case LITERAL_DISTINCT:
			case LITERAL_distinct:
			{
				{
				switch ( LA(1)) {
				case LITERAL_DISTINCT:
				{
					match(LITERAL_DISTINCT);
					break;
				}
				case LITERAL_distinct:
				{
					match(LITERAL_distinct);
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				distinctExpr = new Expression(ExpressionTypes.DISTINCT);
				x2 = LT(1);
				match(FINDERSTRING_OR_ID);
				type = Expression.finderStringOrId(x2.getText());
				if (type != ExpressionTypes.ID && type != ExpressionTypes.ENTITY_OBJECT_CAST) {
				reportError(" Error SELECT expected an ID or '@@', but instead got: "+x2.getText());
				}
				
				if (type == ExpressionTypes.ENTITY_OBJECT_CAST) {
				java.lang.String cast = Expression.getSelectCast(x2.getText());
				expr = new Expression(ExpressionTypes.SELECT, distinctExpr,
				new Expression(ExpressionTypes.ENTITY_OBJECT_CAST, cast)); 
				} else {
				expr = new Expression(ExpressionTypes.SELECT, distinctExpr, new Expression(ExpressionTypes.ID, x2.getText())); 
				}
				
				break;
			}
			case FINDERSTRING_OR_ID:
			{
				x3 = LT(1);
				match(FINDERSTRING_OR_ID);
				type = Expression.finderStringOrId(x3.getText());
				if (type != ExpressionTypes.ID && type != ExpressionTypes.ENTITY_OBJECT_CAST) {
				reportError(" Error SELECT expected an ID or '@@', but instead got: "+x3.getText());
				}
				
				if (type == ExpressionTypes.ENTITY_OBJECT_CAST) {
				java.lang.String cast = Expression.getSelectCast(x3.getText());
				expr = new Expression(ExpressionTypes.SELECT, 
				new Expression(ExpressionTypes.ENTITY_OBJECT_CAST, cast)); 
				} else {
				expr = new Expression(ExpressionTypes.SELECT, new Expression(ExpressionTypes.ID, x3.getText())); 
				}
				
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			break;
		}
		case EOF:
		case LITERAL_FROM:
		case LITERAL_from:
		case LITERAL_WHERE:
		case LITERAL_where:
		case LITERAL_ORDERBY:
		case LITERAL_orderby:
		case LITERAL_orderBy:
		{
			expr = null;
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		return expr;
	}
	
	public final Expression  fromExpression() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		Token  x1a = null;
		Token  x1b = null;
		Token  x1c = null;
		Token  x1d = null;
		Token  x1e = null;
		Token  x2a = null;
		Token  x2b = null;
		Token  x2c = null;
		Token  x2d = null;
		Token  x2e = null;
		
		expr = null;
		Expression e = null;
		int type;
		Vector v = new Vector();
		
		
		switch ( LA(1)) {
		case LITERAL_FROM:
		case LITERAL_from:
		{
			{
			switch ( LA(1)) {
			case LITERAL_FROM:
			{
				match(LITERAL_FROM);
				break;
			}
			case LITERAL_from:
			{
				match(LITERAL_from);
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			{
			x1a = LT(1);
			match(FINDERSTRING_OR_ID);
			type = Expression.finderStringOrId(x1a.getText());
			if (type != ExpressionTypes.ID) {
			reportError(" Error FOR expected an ID, but instead got: "+x1a.getText());
			}
			
			{
			switch ( LA(1)) {
			case LITERAL_FOR:
			case LITERAL_for:
			{
				{
				switch ( LA(1)) {
				case LITERAL_FOR:
				{
					match(LITERAL_FOR);
					break;
				}
				case LITERAL_for:
				{
					match(LITERAL_for);
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				x1b = LT(1);
				match(FINDERSTRING_OR_ID);
				type = Expression.finderStringOrId(x1b.getText());
				if (type != ExpressionTypes.ID) {
				reportError(" Error FOR expected an ID, but instead got: "+x1b.getText());
				}
				
				e = new Expression(ExpressionTypes.CORR_FOR, 
				new Expression(ExpressionTypes.ID, x1a.getText()), 
				new Expression(ExpressionTypes.ID, x1b.getText())); 
				v.addElement(e);
				break;
			}
			case LITERAL_IN:
			case LITERAL_in:
			{
				{
				switch ( LA(1)) {
				case LITERAL_IN:
				{
					match(LITERAL_IN);
					break;
				}
				case LITERAL_in:
				{
					match(LITERAL_in);
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				x1c = LT(1);
				match(FINDERSTRING_OR_ID);
				type = Expression.finderStringOrId(x1c.getText());
				if (type != ExpressionTypes.ID) {
				reportError(" Error FOR expected an ID, but instead got: "+x1c.getText());
				}
				
				e = new Expression(ExpressionTypes.CORR_IN, 
				new Expression(ExpressionTypes.ID, x1a.getText()), 
				new Expression(ExpressionTypes.ID, x1c.getText())); 
				v.addElement(e);
				break;
			}
			case LITERAL_AS:
			case LITERAL_as:
			{
				{
				switch ( LA(1)) {
				case LITERAL_AS:
				{
					match(LITERAL_AS);
					break;
				}
				case LITERAL_as:
				{
					match(LITERAL_as);
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				x1d = LT(1);
				match(FINDERSTRING_OR_ID);
				type = Expression.finderStringOrId(x1d.getText());
				if (type != ExpressionTypes.ID) {
				reportError(" Error FOR expected an ID, but instead got: "+x1d.getText());
				}
				
				e = new Expression(ExpressionTypes.AS, 
				new Expression(ExpressionTypes.ID, x1a.getText()), 
				new Expression(ExpressionTypes.ID, x1d.getText())); 
				v.addElement(e);
				break;
			}
			case FINDERSTRING_OR_ID:
			{
				x1e = LT(1);
				match(FINDERSTRING_OR_ID);
				type = Expression.finderStringOrId(x1e.getText());
				if (type == ExpressionTypes.FINDERSTRING) {
				reportError(" Error FOR expected an ID, but instead got: "+x1e.getText());
				}
				
				e = new Expression(ExpressionTypes.AS, 
				new Expression(ExpressionTypes.ID, x1a.getText()), 
				new Expression(ExpressionTypes.ID, x1e.getText())); 
				v.addElement(e);
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			{
			_loop20:
			do {
				if ((LA(1)==COMMA)) {
					match(COMMA);
					x2a = LT(1);
					match(FINDERSTRING_OR_ID);
					type = Expression.finderStringOrId(x2a.getText());
					if (type != ExpressionTypes.ID) {
					reportError(" Error FOR expected an ID, but instead got: "+x2a.getText());
					}
					
					{
					switch ( LA(1)) {
					case LITERAL_FOR:
					case LITERAL_for:
					{
						{
						switch ( LA(1)) {
						case LITERAL_FOR:
						{
							match(LITERAL_FOR);
							break;
						}
						case LITERAL_for:
						{
							match(LITERAL_for);
							break;
						}
						default:
						{
							throw new NoViableAltException(LT(1), getFilename());
						}
						}
						}
						x2b = LT(1);
						match(FINDERSTRING_OR_ID);
						type = Expression.finderStringOrId(x2b.getText());
						if (type != ExpressionTypes.ID) {
						reportError(" Error FOR expected an ID, but instead got: "+x2b.getText());
						}
						
						e = new Expression(ExpressionTypes.CORR_FOR, 
						new Expression(ExpressionTypes.ID, x2a.getText()), 
						new Expression(ExpressionTypes.ID, x2b.getText())); 
						v.addElement(e);
						break;
					}
					case LITERAL_IN:
					case LITERAL_in:
					{
						{
						switch ( LA(1)) {
						case LITERAL_IN:
						{
							match(LITERAL_IN);
							break;
						}
						case LITERAL_in:
						{
							match(LITERAL_in);
							break;
						}
						default:
						{
							throw new NoViableAltException(LT(1), getFilename());
						}
						}
						}
						x2c = LT(1);
						match(FINDERSTRING_OR_ID);
						type = Expression.finderStringOrId(x2c.getText());
						if (type != ExpressionTypes.ID) {
						reportError(" Error FOR expected an ID, but instead got: "+x2c.getText());
						}
						
						e = new Expression(ExpressionTypes.CORR_IN, 
						new Expression(ExpressionTypes.ID, x2a.getText()), 
						new Expression(ExpressionTypes.ID, x2c.getText())); 
						v.addElement(e);
						break;
					}
					case LITERAL_AS:
					case LITERAL_as:
					{
						{
						switch ( LA(1)) {
						case LITERAL_AS:
						{
							match(LITERAL_AS);
							break;
						}
						case LITERAL_as:
						{
							match(LITERAL_as);
							break;
						}
						default:
						{
							throw new NoViableAltException(LT(1), getFilename());
						}
						}
						}
						x2d = LT(1);
						match(FINDERSTRING_OR_ID);
						type = Expression.finderStringOrId(x2d.getText());
						if (type != ExpressionTypes.ID) {
						reportError(" Error FOR expected an ID, but instead got: "+x2d.getText());
						}
						
						e = new Expression(ExpressionTypes.AS, 
						new Expression(ExpressionTypes.ID, x2a.getText()), 
						new Expression(ExpressionTypes.ID, x2d.getText())); 
						v.addElement(e);
						break;
					}
					case FINDERSTRING_OR_ID:
					{
						x2e = LT(1);
						match(FINDERSTRING_OR_ID);
						type = Expression.finderStringOrId(x2e.getText());
						if (type == ExpressionTypes.FINDERSTRING) {
						reportError(" Error FOR expected an ID, but instead got: "+x2e.getText());
						}
						
						e = new Expression(ExpressionTypes.AS, 
						new Expression(ExpressionTypes.ID, x2a.getText()), 
						new Expression(ExpressionTypes.ID, x2e.getText())); 
						v.addElement(e);
						break;
					}
					default:
					{
						throw new NoViableAltException(LT(1), getFilename());
					}
					}
					}
				}
				else {
					break _loop20;
				}
				
			} while (true);
			}
			expr = new Expression(ExpressionTypes.FROM, new Expression(ExpressionTypes.FROM), v);
			}
			break;
		}
		case EOF:
		case LITERAL_WHERE:
		case LITERAL_where:
		case LITERAL_ORDERBY:
		case LITERAL_orderby:
		case LITERAL_orderBy:
		case RPAREN:
		{
			expr = null;
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		return expr;
	}
	
	public final Expression  whereExpression() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		
		expr = null;
		Expression e1 = null;
		
		
		switch ( LA(1)) {
		case LITERAL_WHERE:
		case LITERAL_where:
		{
			{
			switch ( LA(1)) {
			case LITERAL_WHERE:
			{
				match(LITERAL_WHERE);
				break;
			}
			case LITERAL_where:
			{
				match(LITERAL_where);
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			{
			e1=conditionalExpression();
			expr = new Expression(ExpressionTypes.WHERE, e1);
			}
			break;
		}
		case EOF:
		case LITERAL_ORDERBY:
		case LITERAL_orderby:
		case LITERAL_orderBy:
		case RPAREN:
		{
			expr = null;
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		return expr;
	}
	
	public final Expression  orderByExpression() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		
		expr = null;
		Expression e1 = null;
		Vector v1 = null;
		
		
		if (((LA(1) >= LITERAL_ORDERBY && LA(1) <= LITERAL_orderBy)) && (LA(2)==FINDERSTRING_OR_ID)) {
			{
			switch ( LA(1)) {
			case LITERAL_ORDERBY:
			{
				match(LITERAL_ORDERBY);
				break;
			}
			case LITERAL_orderby:
			{
				match(LITERAL_orderby);
				break;
			}
			case LITERAL_orderBy:
			{
				match(LITERAL_orderBy);
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			{
			v1=ident_list();
			e1 = new Expression(ExpressionTypes.ORDERBY);
			expr = new Expression(ExpressionTypes.ORDERBY, e1, v1);
			}
		}
		else if ((_tokenSet_0.member(LA(1))) && (_tokenSet_1.member(LA(2)))) {
			expr = null;
		}
		else {
			throw new NoViableAltException(LT(1), getFilename());
		}
		
		return expr;
	}
	
	public final Expression  conditionalExpression() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		Token  x = null;
		
		expr = null;
		
		
		switch ( LA(1)) {
		case LITERAL_SELECT:
		case LITERAL_select:
		{
			{
			switch ( LA(1)) {
			case LITERAL_SELECT:
			{
				match(LITERAL_SELECT);
				break;
			}
			case LITERAL_select:
			{
				match(LITERAL_select);
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			Expression selectexpr = null;
			Expression e1 = null;
			Expression e2 = null;
			Expression fromexpr = null;
			Vector v = new Vector();
			boolean distinct_any = false;
			int type;
			
			{
			switch ( LA(1)) {
			case LITERAL_MIN:
			case LITERAL_min:
			{
				{
				switch ( LA(1)) {
				case LITERAL_MIN:
				{
					match(LITERAL_MIN);
					break;
				}
				case LITERAL_min:
				{
					match(LITERAL_min);
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				match(LPAREN);
				{
				switch ( LA(1)) {
				case LITERAL_DISTINCT:
				case LITERAL_distinct:
				{
					{
					switch ( LA(1)) {
					case LITERAL_DISTINCT:
					{
						match(LITERAL_DISTINCT);
						break;
					}
					case LITERAL_distinct:
					{
						match(LITERAL_distinct);
						break;
					}
					default:
					{
						throw new NoViableAltException(LT(1), getFilename());
					}
					}
					}
					distinct_any = true; e2 = new Expression(ExpressionTypes.DISTINCT);
					break;
				}
				case FINDERSTRING_OR_ID:
				case LITERAL_ANY:
				case LITERAL_any:
				{
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				{
				switch ( LA(1)) {
				case LITERAL_ANY:
				case LITERAL_any:
				{
					{
					switch ( LA(1)) {
					case LITERAL_ANY:
					{
						match(LITERAL_ANY);
						break;
					}
					case LITERAL_any:
					{
						match(LITERAL_any);
						break;
					}
					default:
					{
						throw new NoViableAltException(LT(1), getFilename());
					}
					}
					}
					distinct_any = true; e2 = new Expression(ExpressionTypes.ALL);
					break;
				}
				case FINDERSTRING_OR_ID:
				{
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				e1=id();
				match(RPAREN);
				if (distinct_any) {
				selectexpr = new Expression(ExpressionTypes.SELECT, new Expression(ExpressionTypes.MIN, e1, e2));
				} else { 
				selectexpr = new Expression(ExpressionTypes.SELECT, new Expression(ExpressionTypes.MIN, e1)); 
				}
				
				break;
			}
			case LITERAL_MAX:
			case LITERAL_max:
			{
				{
				switch ( LA(1)) {
				case LITERAL_MAX:
				{
					match(LITERAL_MAX);
					break;
				}
				case LITERAL_max:
				{
					match(LITERAL_max);
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				match(LPAREN);
				{
				switch ( LA(1)) {
				case LITERAL_DISTINCT:
				case LITERAL_distinct:
				{
					{
					switch ( LA(1)) {
					case LITERAL_DISTINCT:
					{
						match(LITERAL_DISTINCT);
						break;
					}
					case LITERAL_distinct:
					{
						match(LITERAL_distinct);
						break;
					}
					default:
					{
						throw new NoViableAltException(LT(1), getFilename());
					}
					}
					}
					distinct_any = true; e2 = new Expression(ExpressionTypes.DISTINCT);
					break;
				}
				case FINDERSTRING_OR_ID:
				case LITERAL_ANY:
				case LITERAL_any:
				{
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				{
				switch ( LA(1)) {
				case LITERAL_ANY:
				case LITERAL_any:
				{
					{
					switch ( LA(1)) {
					case LITERAL_ANY:
					{
						match(LITERAL_ANY);
						break;
					}
					case LITERAL_any:
					{
						match(LITERAL_any);
						break;
					}
					default:
					{
						throw new NoViableAltException(LT(1), getFilename());
					}
					}
					}
					distinct_any = true; e2 = new Expression(ExpressionTypes.ALL);
					break;
				}
				case FINDERSTRING_OR_ID:
				{
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				e1=id();
				match(RPAREN);
				if (distinct_any) {
				selectexpr = new Expression(ExpressionTypes.SELECT, new Expression(ExpressionTypes.MAX, e1, e2));
				} else { 
				selectexpr = new Expression(ExpressionTypes.SELECT, new Expression(ExpressionTypes.MAX, e1)); 
				}
				
				break;
			}
			case LITERAL_AVG:
			case LITERAL_avg:
			{
				{
				switch ( LA(1)) {
				case LITERAL_AVG:
				{
					match(LITERAL_AVG);
					break;
				}
				case LITERAL_avg:
				{
					match(LITERAL_avg);
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				match(LPAREN);
				{
				switch ( LA(1)) {
				case LITERAL_DISTINCT:
				case LITERAL_distinct:
				{
					{
					switch ( LA(1)) {
					case LITERAL_DISTINCT:
					{
						match(LITERAL_DISTINCT);
						break;
					}
					case LITERAL_distinct:
					{
						match(LITERAL_distinct);
						break;
					}
					default:
					{
						throw new NoViableAltException(LT(1), getFilename());
					}
					}
					}
					distinct_any = true; e2 = new Expression(ExpressionTypes.DISTINCT);
					break;
				}
				case FINDERSTRING_OR_ID:
				case LITERAL_ANY:
				case LITERAL_any:
				{
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				{
				switch ( LA(1)) {
				case LITERAL_ANY:
				case LITERAL_any:
				{
					{
					switch ( LA(1)) {
					case LITERAL_ANY:
					{
						match(LITERAL_ANY);
						break;
					}
					case LITERAL_any:
					{
						match(LITERAL_any);
						break;
					}
					default:
					{
						throw new NoViableAltException(LT(1), getFilename());
					}
					}
					}
					distinct_any = true; e2 = new Expression(ExpressionTypes.ALL);
					break;
				}
				case FINDERSTRING_OR_ID:
				{
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				e1=id();
				match(RPAREN);
				if (distinct_any) {
				selectexpr = new Expression(ExpressionTypes.SELECT, new Expression(ExpressionTypes.AVG, e1, e2));
				} else { 
				selectexpr = new Expression(ExpressionTypes.SELECT, new Expression(ExpressionTypes.AVG, e1)); 
				}
				
				break;
			}
			case LITERAL_SUM:
			case LITERAL_sum:
			{
				{
				switch ( LA(1)) {
				case LITERAL_SUM:
				{
					match(LITERAL_SUM);
					break;
				}
				case LITERAL_sum:
				{
					match(LITERAL_sum);
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				match(LPAREN);
				{
				switch ( LA(1)) {
				case LITERAL_DISTINCT:
				case LITERAL_distinct:
				{
					{
					switch ( LA(1)) {
					case LITERAL_DISTINCT:
					{
						match(LITERAL_DISTINCT);
						break;
					}
					case LITERAL_distinct:
					{
						match(LITERAL_distinct);
						break;
					}
					default:
					{
						throw new NoViableAltException(LT(1), getFilename());
					}
					}
					}
					distinct_any = true; e2 = new Expression(ExpressionTypes.DISTINCT);
					break;
				}
				case FINDERSTRING_OR_ID:
				case LITERAL_ANY:
				case LITERAL_any:
				{
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				{
				switch ( LA(1)) {
				case LITERAL_ANY:
				case LITERAL_any:
				{
					{
					switch ( LA(1)) {
					case LITERAL_ANY:
					{
						match(LITERAL_ANY);
						break;
					}
					case LITERAL_any:
					{
						match(LITERAL_any);
						break;
					}
					default:
					{
						throw new NoViableAltException(LT(1), getFilename());
					}
					}
					}
					distinct_any = true; e2 = new Expression(ExpressionTypes.ALL);
					break;
				}
				case FINDERSTRING_OR_ID:
				{
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				e1=id();
				match(RPAREN);
				if (distinct_any) {
				selectexpr = new Expression(ExpressionTypes.SELECT, new Expression(ExpressionTypes.SUM, e1, e2));
				} else { 
				selectexpr = new Expression(ExpressionTypes.SELECT, new Expression(ExpressionTypes.SUM, e1)); 
				}
				
				break;
			}
			case LITERAL_COUNT:
			case LITERAL_count:
			{
				{
				switch ( LA(1)) {
				case LITERAL_COUNT:
				{
					match(LITERAL_COUNT);
					break;
				}
				case LITERAL_count:
				{
					match(LITERAL_count);
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				match(LPAREN);
				{
				switch ( LA(1)) {
				case LITERAL_DISTINCT:
				case LITERAL_distinct:
				{
					{
					switch ( LA(1)) {
					case LITERAL_DISTINCT:
					{
						match(LITERAL_DISTINCT);
						break;
					}
					case LITERAL_distinct:
					{
						match(LITERAL_distinct);
						break;
					}
					default:
					{
						throw new NoViableAltException(LT(1), getFilename());
					}
					}
					}
					distinct_any = true; e2 = new Expression(ExpressionTypes.DISTINCT);
					break;
				}
				case FINDERSTRING_OR_ID:
				case LITERAL_ANY:
				case LITERAL_any:
				{
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				{
				switch ( LA(1)) {
				case LITERAL_ANY:
				case LITERAL_any:
				{
					{
					switch ( LA(1)) {
					case LITERAL_ANY:
					{
						match(LITERAL_ANY);
						break;
					}
					case LITERAL_any:
					{
						match(LITERAL_any);
						break;
					}
					default:
					{
						throw new NoViableAltException(LT(1), getFilename());
					}
					}
					}
					distinct_any = true; e2 = new Expression(ExpressionTypes.ALL);
					break;
				}
				case FINDERSTRING_OR_ID:
				{
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				e1=id();
				match(RPAREN);
				if (distinct_any) {
				selectexpr = new Expression(ExpressionTypes.SELECT, new Expression(ExpressionTypes.COUNT, e1, e2));
				} else { 
				selectexpr = new Expression(ExpressionTypes.SELECT, new Expression(ExpressionTypes.COUNT, e1)); 
				}
				
				break;
			}
			case FINDERSTRING_OR_ID:
			{
				x = LT(1);
				match(FINDERSTRING_OR_ID);
				type = Expression.finderStringOrId(x.getText());
				if (type != ExpressionTypes.ID && type != ExpressionTypes.ENTITY_OBJECT_CAST) {
				reportError(" Error SELECT expected an ID or '@@', but instead got: "+x.getText());
				}
				
				if (type == ExpressionTypes.ENTITY_OBJECT_CAST) {
				java.lang.String cast = Expression.getSelectCast(x.getText());
				selectexpr = new Expression(ExpressionTypes.SELECT, 
				new Expression(ExpressionTypes.ENTITY_OBJECT_CAST, cast)); 
				} else {
				selectexpr = new Expression(ExpressionTypes.SELECT, new Expression(ExpressionTypes.ID, x.getText())); 
				}
				
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			v.addElement(selectexpr);
			fromexpr=fromExpression();
			if (fromexpr != null) {
			v.addElement(fromexpr); 
			} 
			
			e1=whereExpression();
			if (e1 != null) {
			v.addElement(e1); 
			} 
			
			e2=orderByExpression();
			if (e2 != null) {
			v.addElement(e2); 
			} 
			
			int vsize = v.size();
			Enumeration e = v.elements();
			
			if (vsize == 4) {
			expr = new Expression(ExpressionTypes.SUBQUERY, (Expression)e.nextElement(), 
			(Expression)e.nextElement(),
			(Expression)e.nextElement(),  
			(Expression)e.nextElement());
			} else if (vsize == 3) {
			expr = new Expression(ExpressionTypes.SUBQUERY, (Expression)e.nextElement(), 
			(Expression)e.nextElement(), 
			(Expression)e.nextElement());
			} else if (vsize == 2 ) {
			expr = new Expression(ExpressionTypes.SUBQUERY, (Expression)e.nextElement(), 
			(Expression)e.nextElement());
			} else if (vsize == 1 ) {
			expr = new Expression(ExpressionTypes.SUBQUERY, (Expression)e.nextElement());
			} else reportError("Expected 1-4 EJB-QL SubQuery Elements: {SELECT, FROM, WHERE, WL_ORDER_BY} instead got: "+vsize);
			
			break;
		}
		case FINDERSTRING_OR_ID:
		case LPAREN:
		case LITERAL_NOT:
		case LITERAL_not:
		case LITERAL_NULL:
		case LITERAL_null:
		case PLUS:
		case MINUS:
		case VARIABLE:
		case STRING:
		case LITERAL_TRUE:
		case LITERAL_true:
		case LITERAL_FALSE:
		case LITERAL_false:
		case NUMBER:
		{
			expr=logicalOrExpression();
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		return expr;
	}
	
	public final Vector  ident_list() throws RecognitionException, TokenStreamException {
		Vector v;
		
		
		v = new Vector();
		Expression e = null;
		
		
		e=id();
		v.addElement(e);
		{
		_loop93:
		do {
			if ((LA(1)==COMMA)) {
				match(COMMA);
				e=id();
				v.addElement(e);
			}
			else {
				break _loop93;
			}
			
		} while (true);
		}
		return v;
	}
	
	public final Expression  id() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		Token  x = null;
		
		expr = null;
		int type;
		
		
		x = LT(1);
		match(FINDERSTRING_OR_ID);
		type = Expression.finderStringOrId(x.getText());
		if (type != ExpressionTypes.ID) {
		reportError(" Error expected an ID, but instead got: "+x.getText());
		}
		
		expr = new Expression(ExpressionTypes.ID, x.getText());
		return expr;
	}
	
	public final Expression  logicalOrExpression() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		
		expr = null;
		Expression e1 = null;
		
		
		expr=logicalAndExpression();
		{
		_loop58:
		do {
			if ((LA(1)==LITERAL_OR||LA(1)==LITERAL_or)) {
				{
				switch ( LA(1)) {
				case LITERAL_OR:
				{
					match(LITERAL_OR);
					break;
				}
				case LITERAL_or:
				{
					match(LITERAL_or);
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				e1=logicalAndExpression();
				expr = new Expression(ExpressionTypes.OR, expr, e1);
			}
			else {
				break _loop58;
			}
			
		} while (true);
		}
		return expr;
	}
	
	public final Expression  logicalAndExpression() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		
		expr = null;
		Expression e1 = null;
		
		
		expr=logicalNotExpression();
		{
		_loop62:
		do {
			if ((LA(1)==LITERAL_AND||LA(1)==LITERAL_and)) {
				{
				switch ( LA(1)) {
				case LITERAL_AND:
				{
					match(LITERAL_AND);
					break;
				}
				case LITERAL_and:
				{
					match(LITERAL_and);
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				e1=logicalNotExpression();
				expr = new Expression(ExpressionTypes.AND, expr, e1);
			}
			else {
				break _loop62;
			}
			
		} while (true);
		}
		return expr;
	}
	
	public final Expression  logicalNotExpression() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		
		expr = null;
		Expression e1 = null;
		int op = 0;
		
		
		{
		switch ( LA(1)) {
		case LITERAL_NOT:
		case LITERAL_not:
		{
			{
			switch ( LA(1)) {
			case LITERAL_NOT:
			{
				match(LITERAL_NOT);
				break;
			}
			case LITERAL_not:
			{
				match(LITERAL_not);
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			op= ExpressionTypes.NOT;
			break;
		}
		case FINDERSTRING_OR_ID:
		case LPAREN:
		case LITERAL_NULL:
		case LITERAL_null:
		case PLUS:
		case MINUS:
		case VARIABLE:
		case STRING:
		case LITERAL_TRUE:
		case LITERAL_true:
		case LITERAL_FALSE:
		case LITERAL_false:
		case NUMBER:
		{
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		}
		expr=relationalExpression();
		if (op!=0) expr = new Expression(op, expr);
		return expr;
	}
	
	public final Expression  relationalExpression() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		
		expr = null;
		Expression e1 = null;
		Expression e2 = null;
		boolean negate = false;
		int op;
		
		
		expr=additiveExpression();
		{
		_loop78:
		do {
			switch ( LA(1)) {
			case NTEQ:
			case EQ:
			case LT:
			case GT:
			case LTEQ:
			case GTEQ:
			{
				{
				switch ( LA(1)) {
				case NTEQ:
				{
					match(NTEQ);
					op = ExpressionTypes.NOT_EQUAL;
					break;
				}
				case EQ:
				{
					match(EQ);
					op = ExpressionTypes.EQ;
					break;
				}
				case LT:
				{
					match(LT);
					op = ExpressionTypes.LESS_THAN;
					break;
				}
				case GT:
				{
					match(GT);
					op = ExpressionTypes.GREATER_THAN;
					break;
				}
				case LTEQ:
				{
					match(LTEQ);
					op = ExpressionTypes.LESS_THAN_OR_EQUAL;
					break;
				}
				case GTEQ:
				{
					match(GTEQ);
					op = ExpressionTypes.GREATER_THAN_OR_EQUAL;
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				e1=additiveExpression();
				expr = new Expression(op, expr, e1);
				break;
			}
			case LITERAL_IS:
			case LITERAL_is:
			{
				{
				switch ( LA(1)) {
				case LITERAL_IS:
				{
					match(LITERAL_IS);
					break;
				}
				case LITERAL_is:
				{
					match(LITERAL_is);
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				{
				switch ( LA(1)) {
				case LITERAL_NOT:
				case LITERAL_not:
				{
					{
					switch ( LA(1)) {
					case LITERAL_NOT:
					{
						match(LITERAL_NOT);
						break;
					}
					case LITERAL_not:
					{
						match(LITERAL_not);
						break;
					}
					default:
					{
						throw new NoViableAltException(LT(1), getFilename());
					}
					}
					}
					negate = true;
					break;
				}
				case LITERAL_NULL:
				case LITERAL_null:
				case LITERAL_EMPTY:
				case LITERAL_empty:
				{
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				{
				switch ( LA(1)) {
				case LITERAL_NULL:
				case LITERAL_null:
				{
					{
					switch ( LA(1)) {
					case LITERAL_NULL:
					{
						match(LITERAL_NULL);
						break;
					}
					case LITERAL_null:
					{
						match(LITERAL_null);
						break;
					}
					default:
					{
						throw new NoViableAltException(LT(1), getFilename());
					}
					}
					}
					op = (negate ? ExpressionTypes.NOTNULL : ExpressionTypes.ISNULL);
					expr = new Expression( op, expr);
					
					break;
				}
				case LITERAL_EMPTY:
				case LITERAL_empty:
				{
					{
					switch ( LA(1)) {
					case LITERAL_EMPTY:
					{
						match(LITERAL_EMPTY);
						break;
					}
					case LITERAL_empty:
					{
						match(LITERAL_empty);
						break;
					}
					default:
					{
						throw new NoViableAltException(LT(1), getFilename());
					}
					}
					}
					op = (negate ? ExpressionTypes.NOTEMPTY : ExpressionTypes.ISEMPTY);
					expr = new Expression( op, expr);
					
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				break;
			}
			case LITERAL_IN:
			case LITERAL_in:
			case LITERAL_NOT:
			case LITERAL_not:
			case LITERAL_BETWEEN:
			case LITERAL_between:
			case LITERAL_LIKE:
			case LITERAL_like:
			{
				{
				switch ( LA(1)) {
				case LITERAL_NOT:
				case LITERAL_not:
				{
					{
					switch ( LA(1)) {
					case LITERAL_NOT:
					{
						match(LITERAL_NOT);
						break;
					}
					case LITERAL_not:
					{
						match(LITERAL_not);
						break;
					}
					default:
					{
						throw new NoViableAltException(LT(1), getFilename());
					}
					}
					}
					negate = true;
					break;
				}
				case LITERAL_IN:
				case LITERAL_in:
				case LITERAL_BETWEEN:
				case LITERAL_between:
				case LITERAL_LIKE:
				case LITERAL_like:
				{
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				{
				switch ( LA(1)) {
				case LITERAL_BETWEEN:
				case LITERAL_between:
				{
					expr=betweenExpression(expr, negate);
					break;
				}
				case LITERAL_LIKE:
				case LITERAL_like:
				{
					expr=likeExpression(expr, negate);
					break;
				}
				case LITERAL_IN:
				case LITERAL_in:
				{
					expr=inExpression(expr, negate);
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				break;
			}
			default:
			{
				break _loop78;
			}
			}
		} while (true);
		}
		return expr;
	}
	
	public final Expression  additiveExpression() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		
		expr = null;
		Expression e1 = null;
		int op;
		
		
		expr=multiplicativeExpression();
		{
		_loop100:
		do {
			if ((LA(1)==PLUS||LA(1)==MINUS)) {
				{
				switch ( LA(1)) {
				case PLUS:
				{
					match(PLUS);
					op = Expression.PLUS;
					break;
				}
				case MINUS:
				{
					match(MINUS);
					op = Expression.MINUS;
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				e1=multiplicativeExpression();
				expr = new Expression(op, expr, e1);
			}
			else {
				break _loop100;
			}
			
		} while (true);
		}
		return expr;
	}
	
	public final Expression  betweenExpression(
		Expression lhs, boolean negate
	) throws RecognitionException, TokenStreamException {
		Expression expr;
		
		
		expr = null;
		Expression e1 = null;
		Expression e2 = null;
		
		
		{
		switch ( LA(1)) {
		case LITERAL_BETWEEN:
		{
			match(LITERAL_BETWEEN);
			break;
		}
		case LITERAL_between:
		{
			match(LITERAL_between);
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		}
		e1=additiveExpression();
		{
		switch ( LA(1)) {
		case LITERAL_AND:
		{
			match(LITERAL_AND);
			break;
		}
		case LITERAL_and:
		{
			match(LITERAL_and);
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		}
		e2=additiveExpression();
		if (negate) {
		Expression expr1 = new Expression(ExpressionTypes.LESS_THAN, lhs, e1);
		Expression expr2 = new Expression(ExpressionTypes.GREATER_THAN, lhs, e2);
		expr = new Expression(ExpressionTypes.OR, expr1, expr2);
		} else {
			Expression expr1 = new Expression(ExpressionTypes.GREATER_THAN_OR_EQUAL, lhs, e1);
			Expression expr2 = new Expression(ExpressionTypes.LESS_THAN_OR_EQUAL, lhs, e2);
		expr = new Expression(ExpressionTypes.AND, expr1, expr2);
		}
		
		return expr;
	}
	
	public final Expression  likeExpression(
		Expression lhs, boolean negate
	) throws RecognitionException, TokenStreamException {
		Expression expr;
		
		
		expr = null;
		Expression rhs = null;
		Expression esc = null;
		
		
		{
		switch ( LA(1)) {
		case LITERAL_LIKE:
		{
			match(LITERAL_LIKE);
			break;
		}
		case LITERAL_like:
		{
			match(LITERAL_like);
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		}
		rhs=like_value();
		esc=escapeExpression();
		expr = new Expression(ExpressionTypes.LIKE, lhs, rhs, esc);
		if (negate) {
			expr = new Expression(ExpressionTypes.NOT, expr);
		}
		
		return expr;
	}
	
	public final Expression  inExpression(
		Expression lhs, boolean negate
	) throws RecognitionException, TokenStreamException {
		Expression expr;
		
		
		expr = null;
		Vector list = null;
		
		
		{
		switch ( LA(1)) {
		case LITERAL_IN:
		{
			match(LITERAL_IN);
			break;
		}
		case LITERAL_in:
		{
			match(LITERAL_in);
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		}
		match(LPAREN);
		list=in_list();
		match(RPAREN);
		expr = new Expression(ExpressionTypes.IN, lhs, list); 
			if (negate) {
			  expr = new Expression(ExpressionTypes.NOT, expr);
		}
		
		return expr;
	}
	
	public final Expression  like_value() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		
		expr = null;
		
		
		switch ( LA(1)) {
		case STRING:
		{
			expr=string();
			break;
		}
		case VARIABLE:
		{
			expr=variable();
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		return expr;
	}
	
	public final Expression  escapeExpression() throws RecognitionException, TokenStreamException {
		Expression esc;
		
		
		esc = null;
		
		
		{
		switch ( LA(1)) {
		case LITERAL_ESCAPE:
		case LITERAL_escape:
		{
			{
			{
			switch ( LA(1)) {
			case LITERAL_ESCAPE:
			{
				match(LITERAL_ESCAPE);
				break;
			}
			case LITERAL_escape:
			{
				match(LITERAL_escape);
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			esc=like_value();
			}
			break;
		}
		case EOF:
		case LITERAL_IN:
		case LITERAL_in:
		case LITERAL_ORDERBY:
		case LITERAL_orderby:
		case LITERAL_orderBy:
		case RPAREN:
		case LITERAL_OR:
		case LITERAL_or:
		case LITERAL_AND:
		case LITERAL_and:
		case LITERAL_NOT:
		case LITERAL_not:
		case NTEQ:
		case EQ:
		case LT:
		case GT:
		case LTEQ:
		case GTEQ:
		case LITERAL_IS:
		case LITERAL_is:
		case LITERAL_BETWEEN:
		case LITERAL_between:
		case LITERAL_LIKE:
		case LITERAL_like:
		{
			esc = null;
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		}
		return esc;
	}
	
	public final Vector  in_list() throws RecognitionException, TokenStreamException {
		Vector v;
		
		Token  x = null;
		
		Expression e = null;
		int type;
		v = new Vector();
		
		
		if ((LA(1)==FINDERSTRING_OR_ID) && (LA(2)==RPAREN)) {
			x = LT(1);
			match(FINDERSTRING_OR_ID);
			type = Expression.finderStringOrId(x.getText());
			if (type != ExpressionTypes.FINDERSTRING) {
			reportError(" Error IN expected a FINDERSTRING, but instead got: "+x.getText());
			}
			
			RemoteFinderParser rfp = new RemoteFinderParser();
			
			Expression rf = null;
			try {
			rf = rfp.parse(x.getText());
			} catch (Exception ex) {
			reportError(ex.toString());
			}
			
			v.addElement(rf);
			
		}
		else if ((_tokenSet_2.member(LA(1))) && (LA(2)==COMMA||LA(2)==RPAREN)) {
			v=value_list();
		}
		else {
			throw new NoViableAltException(LT(1), getFilename());
		}
		
		return v;
	}
	
	public final Vector  value_list() throws RecognitionException, TokenStreamException {
		Vector v;
		
		
		v = new Vector();
		Expression e = null;
		
		
		e=value();
		v.addElement(e);
		{
		_loop96:
		do {
			if ((LA(1)==COMMA)) {
				match(COMMA);
				e=value();
				v.addElement(e);
			}
			else {
				break _loop96;
			}
			
		} while (true);
		}
		return v;
	}
	
	public final Expression  value() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		
		expr = null;
		Expression v1 = null;
		Expression v2 = null;
		
		
		switch ( LA(1)) {
		case STRING:
		{
			expr=string();
			break;
		}
		case NUMBER:
		{
			expr=number();
			break;
		}
		case VARIABLE:
		{
			expr=variable();
			break;
		}
		case FINDERSTRING_OR_ID:
		{
			expr=id();
			break;
		}
		case LITERAL_TRUE:
		case LITERAL_true:
		case LITERAL_FALSE:
		case LITERAL_false:
		{
			expr=bool();
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		return expr;
	}
	
	public final Expression  multiplicativeExpression() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		
		expr = null;
		Expression e1 = null;
		int op;
		
		
		expr=prefixExpression();
		{
		_loop104:
		do {
			if ((LA(1)==TIMES||LA(1)==DIV)) {
				{
				switch ( LA(1)) {
				case TIMES:
				{
					match(TIMES);
					op = Expression.TIMES;
					break;
				}
				case DIV:
				{
					match(DIV);
					op = Expression.DIV;
					break;
				}
				default:
				{
					throw new NoViableAltException(LT(1), getFilename());
				}
				}
				}
				e1=prefixExpression();
				expr = new Expression(op, expr, e1);
			}
			else {
				break _loop104;
			}
			
		} while (true);
		}
		return expr;
	}
	
	public final Expression  prefixExpression() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		
		expr = null;
		
		
		switch ( LA(1)) {
		case MINUS:
		{
			match(MINUS);
			expr=prefixExpression();
			Expression sign = new Expression(ExpressionTypes.INTEGER, "-1");
				   expr = new Expression(ExpressionTypes.TIMES, sign, expr);
				
			break;
		}
		case PLUS:
		{
			match(PLUS);
			expr=prefixExpression();
			break;
		}
		case FINDERSTRING_OR_ID:
		case LPAREN:
		case LITERAL_NULL:
		case LITERAL_null:
		case VARIABLE:
		case STRING:
		case LITERAL_TRUE:
		case LITERAL_true:
		case LITERAL_FALSE:
		case LITERAL_false:
		case NUMBER:
		{
			expr=primaryExpression();
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		return expr;
	}
	
	public final Expression  primaryExpression() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		
		expr = null;
		
		
		switch ( LA(1)) {
		case FINDERSTRING_OR_ID:
		case VARIABLE:
		case STRING:
		case LITERAL_TRUE:
		case LITERAL_true:
		case LITERAL_FALSE:
		case LITERAL_false:
		case NUMBER:
		{
			expr=value();
			break;
		}
		case LITERAL_NULL:
		case LITERAL_null:
		{
			{
			switch ( LA(1)) {
			case LITERAL_NULL:
			{
				match(LITERAL_NULL);
				break;
			}
			case LITERAL_null:
			{
				match(LITERAL_null);
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			expr = new Expression(ExpressionTypes.NULL);
			break;
		}
		case LPAREN:
		{
			match(LPAREN);
			expr=conditionalExpression();
			match(RPAREN);
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		return expr;
	}
	
	public final Expression  string() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		Token  s = null;
		
		expr = null;
		
		
		s = LT(1);
		match(STRING);
		
			expr = new Expression(ExpressionTypes.STRING, s.getText());
			
		return expr;
	}
	
	public final Expression  number() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		Token  n = null;
		
		expr = null;
		int op;
		String txt = null;
		
		
		n = LT(1);
		match(NUMBER);
		op= Expression.numType(n.getText()); expr = new Expression(op, n.getText());
		return expr;
	}
	
	public final Expression  variable() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		Token  v = null;
		
		expr = null;
		
		
		v = LT(1);
		match(VARIABLE);
		expr = new Expression(
			ExpressionTypes.VARIABLE, v.getText());
		
		return expr;
	}
	
	public final Expression  bool() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		
		expr = null;
		
		
		{
		switch ( LA(1)) {
		case LITERAL_TRUE:
		case LITERAL_true:
		{
			{
			switch ( LA(1)) {
			case LITERAL_TRUE:
			{
				match(LITERAL_TRUE);
				break;
			}
			case LITERAL_true:
			{
				match(LITERAL_true);
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			expr = new Expression(ExpressionTypes.TRUE);
			break;
		}
		case LITERAL_FALSE:
		case LITERAL_false:
		{
			{
			switch ( LA(1)) {
			case LITERAL_FALSE:
			{
				match(LITERAL_FALSE);
				break;
			}
			case LITERAL_false:
			{
				match(LITERAL_false);
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			expr = new Expression(ExpressionTypes.FALSE);
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		}
		return expr;
	}
	
	
	public static final String[] _tokenNames = {
		"<0>",
		"EOF",
		"<2>",
		"NULL_TREE_LOOKAHEAD",
		"\"SELECT\"",
		"\"select\"",
		"\"DISTINCT_USING_SQL\"",
		"\"distinct_using_sql\"",
		"FINDERSTRING_OR_ID",
		"\"DISTINCT\"",
		"\"distinct\"",
		"\"FROM\"",
		"\"from\"",
		"\"FOR\"",
		"\"for\"",
		"\"IN\"",
		"\"in\"",
		"\"AS\"",
		"\"as\"",
		"COMMA",
		"\"WHERE\"",
		"\"where\"",
		"\"ORDERBY\"",
		"\"orderby\"",
		"\"orderBy\"",
		"\"MIN\"",
		"\"min\"",
		"LPAREN",
		"\"ANY\"",
		"\"any\"",
		"RPAREN",
		"\"MAX\"",
		"\"max\"",
		"\"AVG\"",
		"\"avg\"",
		"\"SUM\"",
		"\"sum\"",
		"\"COUNT\"",
		"\"count\"",
		"\"OR\"",
		"\"or\"",
		"\"AND\"",
		"\"and\"",
		"\"NOT\"",
		"\"not\"",
		"NTEQ",
		"EQ",
		"LT",
		"GT",
		"LTEQ",
		"GTEQ",
		"\"IS\"",
		"\"is\"",
		"\"NULL\"",
		"\"null\"",
		"\"EMPTY\"",
		"\"empty\"",
		"\"BETWEEN\"",
		"\"between\"",
		"\"LIKE\"",
		"\"like\"",
		"\"ESCAPE\"",
		"\"escape\"",
		"PLUS",
		"MINUS",
		"TIMES",
		"DIV",
		"VARIABLE",
		"STRING",
		"\"TRUE\"",
		"\"true\"",
		"\"FALSE\"",
		"\"false\"",
		"NUMBER",
		"DIGIT",
		"LETTER",
		"DOT",
		"AT",
		"REMOTE_INTERFACE_REF",
		"ID",
		"FINDERSTRING",
		"INT",
		"REAL",
		"E",
		"WS"
	};
	
	private static long[] make_tokenSet_0() { long[] data = { 1103101954L, 0L }; return data; }
	public static final BitSet _tokenSet_0 = new BitSet(make_tokenSet_0());
	private static long[] make_tokenSet_1() { long[] data = { -7052637565114810110L, 7L, 0L, 0L }; return data; }
	public static final BitSet _tokenSet_1 = new BitSet(make_tokenSet_1());
	private static long[] make_tokenSet_2() { long[] data = { 256L, 1016L, 0L, 0L }; return data; }
	public static final BitSet _tokenSet_2 = new BitSet(make_tokenSet_2());
	
	}
