// $ANTLR 2.7.0: "weblogic/ejb20/cmp/rdbms/finders//remotefinder.g" -> "RemoteFinderParser.java"$

package weblogic.ejb20.cmp.rdbms.finders;

import antlr.TokenBuffer;
import antlr.TokenStreamException;
import antlr.TokenStreamIOException;
import antlr.ANTLRException;
import antlr.LLkParser;
import antlr.Token;
import antlr.TokenStream;
import antlr.RecognitionException;
import antlr.NoViableAltException;
import antlr.MismatchedTokenException;
import antlr.SemanticException;
import antlr.ParserSharedInputState;
import antlr.collections.impl.BitSet;
import antlr.collections.AST;
import antlr.ASTPair;
import antlr.collections.impl.ASTArray;

import java.io.*;
import java.net.*;
import java.util.*;
import weblogic.ejb20.ejbc.EJBCException;
import weblogic.utils.*;
import weblogic.utils.Debug;

import weblogic.i18n.Localizer;
import weblogic.i18ntools.L10nLookup;

import java.util.Locale;

/**
 * Grammar for the WHERE clause of the EJB-QL query language understood by EJB2.0
 * 
 * @author Copyright (c) 2000 by WebLogic, Inc. All Rights Reserved.
 */
public class RemoteFinderParser extends antlr.LLkParser
       implements RemoteFinderParserTokenTypes
 {

  // This seems to be in line with the other constructors generated by
  // antlr.Tool -- we don't want to set the lexer yet because we want
  // to be able to reuse the parser.
  public RemoteFinderParser() { super(2); }

  public Expression parse(String s) throws EJBCException  {
    try {
// <USS390 Port> Added UTF8 encoding string for correct character translation.
      byte[] bytes              = s.getBytes("UTF8");
      ByteArrayInputStream bais = new ByteArrayInputStream(bytes);
      RemoteFinderLexer lexer   = new RemoteFinderLexer(bais);
      TokenBuffer tokBuf        = new TokenBuffer(lexer);
      setTokenBuffer(tokBuf);
      return rootExpression();
    } catch (Exception e) {
      throw new EJBCException(
        "Couldn't parse '" + s + "' into Expression. ");
    }
  }

protected RemoteFinderParser(TokenBuffer tokenBuf, int k) {
  super(tokenBuf,k);
  tokenNames = _tokenNames;
}

public RemoteFinderParser(TokenBuffer tokenBuf) {
  this(tokenBuf,2);
}

protected RemoteFinderParser(TokenStream lexer, int k) {
  super(lexer,k);
  tokenNames = _tokenNames;
}

public RemoteFinderParser(TokenStream lexer) {
  this(lexer,2);
}

public RemoteFinderParser(ParserSharedInputState state) {
  super(state,2);
  tokenNames = _tokenNames;
}

	public final Expression  rootExpression() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		
		expr = null;
		Expression ejbName = null;
		Expression finderName = null;
		Vector finderProps = new Vector();
		
		
		ejbName=id();
		finderProps.add(ejbName);
		match(DOUBLEGT);
		finderName=id();
		finderProps.add(finderName);
		match(LPAREN);
		{
		_loop3:
		do {
			switch ( LA(1)) {
			case COMMA:
			{
				match(COMMA);
				
				break;
			}
			case STRING:
			{
				expr=string();
				finderProps.add(expr);
				break;
			}
			case NUMBER:
			{
				expr=number();
				finderProps.add(expr);
				break;
			}
			case VARIABLE:
			{
				expr=variable();
				finderProps.add(expr);
				break;
			}
			default:
			{
				break _loop3;
			}
			}
		} while (true);
		}
		match(RPAREN);
		expr = new Expression(ExpressionTypes.FINDERPROPS, new Expression(ExpressionTypes.DUMMY), finderProps);
		return expr;
	}
	
	public final Expression  id() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		Token  x = null;
		
		expr = null;
		int type;
		
		
		x = LT(1);
		match(ID);
		
		
		Localizer l10n = L10nLookup.getLocalizer(Locale.getDefault(), 
		"weblogic.ejb20.EJBTextTextLocalizer");
		
		expr = new Expression(ExpressionTypes.ID, x.getText());
		return expr;
	}
	
	public final Expression  string() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		Token  s = null;
		
		expr = null;
		
		
		s = LT(1);
		match(STRING);
		
			expr = new Expression(ExpressionTypes.STRING, s.getText());
			
		return expr;
	}
	
	public final Expression  number() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		Token  n = null;
		
		expr = null;
		int op;
		String txt = null;
		
		
		n = LT(1);
		match(NUMBER);
		op= Expression.numType(n.getText()); expr = new Expression(op, n.getText());
		return expr;
	}
	
	public final Expression  variable() throws RecognitionException, TokenStreamException {
		Expression expr;
		
		Token  v = null;
		
		expr = null;
		
		
		v = LT(1);
		match(VARIABLE);
		expr = new Expression(
			ExpressionTypes.VARIABLE, v.getText());
		
		return expr;
	}
	
	
	public static final String[] _tokenNames = {
		"<0>",
		"EOF",
		"<2>",
		"NULL_TREE_LOOKAHEAD",
		"DOUBLEGT",
		"LPAREN",
		"COMMA",
		"RPAREN",
		"VARIABLE",
		"ID",
		"STRING",
		"NUMBER",
		"PLUS",
		"MINUS",
		"DIGIT",
		"LETTER",
		"DOT",
		"INT",
		"REAL",
		"E",
		"WS"
	};
	
	
	}
