// $ANTLR 2.7.0: "weblogic/ejb20/cmp11/rdbms/finders//wlql_parser.g" -> "WLQLParser.java"$

package weblogic.ejb20.cmp11.rdbms.finders;

import antlr.TokenBuffer;
import antlr.TokenStreamException;
import antlr.TokenStreamIOException;
import antlr.ANTLRException;
import antlr.LLkParser;
import antlr.Token;
import antlr.TokenStream;
import antlr.RecognitionException;
import antlr.NoViableAltException;
import antlr.MismatchedTokenException;
import antlr.SemanticException;
import antlr.ParserSharedInputState;
import antlr.collections.impl.BitSet;
import antlr.collections.AST;
import antlr.ASTPair;
import antlr.collections.impl.ASTArray;

import java.util.ArrayList;
import java.util.List;
import java.io.ByteArrayInputStream;
import weblogic.utils.*;
import weblogic.utils.Debug;
import weblogic.ejb20.ejbc.EJBCException;

/**
 * Grammar for the simple query language understood by ejbc.
 * 
 * @author Copyright (c) 1999 by BEA Systems, Inc. All Rights Reserved.
 * @version $Id: //depot/dev/src_ejb20/weblogic/cmp/rdbms/finders/wlql_parser.g#1 $
 */
public class WLQLParser extends antlr.LLkParser
       implements WLQLParserTokenTypes
 {

  // This seems to be in line with the other constructors generated by
  // antlr.Tool -- we don't want to set the lexer yet because we want
  // to be able to reuse the parser.
  public WLQLParser() { super(2); }

  public WLQLExpression parse(String s) throws EJBCException  {
    try {
      byte[] bytes              = s.getBytes();
      ByteArrayInputStream bais = new ByteArrayInputStream(bytes);
      WLQLLexer lexer      = new WLQLLexer(bais);
      TokenBuffer tokBuf        = new TokenBuffer(lexer);
      setTokenBuffer(tokBuf);
      return expression();
    } catch (Exception e) {
      throw new EJBCException(
        "Couldn't parse '" + s + "' into WLQLExpression.", e);
    }
  }

protected WLQLParser(TokenBuffer tokenBuf, int k) {
  super(tokenBuf,k);
  tokenNames = _tokenNames;
}

public WLQLParser(TokenBuffer tokenBuf) {
  this(tokenBuf,2);
}

protected WLQLParser(TokenStream lexer, int k) {
  super(lexer,k);
  tokenNames = _tokenNames;
}

public WLQLParser(TokenStream lexer) {
  this(lexer,2);
}

public WLQLParser(ParserSharedInputState state) {
  super(state,2);
  tokenNames = _tokenNames;
}

	public final WLQLExpression  expression() throws RecognitionException, TokenStreamException {
		WLQLExpression expr;
		
		
		expr = null;
		
		
		switch ( LA(1)) {
		case LPAREN:
		{
			{
			match(LPAREN);
			{
			switch ( LA(1)) {
			case AND:
			{
				expr=and();
				{
				}
				break;
			}
			case OR:
			{
				expr=or();
				{
				}
				break;
			}
			case NOT:
			{
				expr=not();
				{
				}
				break;
			}
			case EQUALS:
			{
				expr=eq();
				{
				}
				break;
			}
			case LT:
			{
				expr=less_than();
				{
				}
				break;
			}
			case GT:
			{
				expr=greater_than();
				{
				}
				break;
			}
			case LTEQ:
			{
				expr=less_than_or_equal();
				{
				}
				break;
			}
			case GTEQ:
			{
				expr=greater_than_or_equal();
				{
				}
				break;
			}
			case LITERAL_like:
			{
				expr=like();
				{
				}
				break;
			}
			case LITERAL_isNull:
			{
				expr=isnull();
				{
				}
				break;
			}
			case LITERAL_isNotNull:
			{
				expr=isnotnull();
				{
				}
				break;
			}
			case LITERAL_orderBy:
			{
				expr=orderby();
				{
				}
				break;
			}
			default:
			{
				throw new NoViableAltException(LT(1), getFilename());
			}
			}
			}
			match(RPAREN);
			}
			break;
		}
		case VARIABLE:
		{
			expr=variable();
			{
			}
			break;
		}
		case SPECIAL:
		{
			expr=special();
			{
			}
			break;
		}
		case ID:
		{
			expr=id();
			{
			}
			break;
		}
		case STRING:
		case BACKSTRING:
		{
			expr=string();
			{
			}
			break;
		}
		case NUMBER:
		{
			expr=number();
			{
			}
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		return expr;
	}
	
	public final WLQLExpression  and() throws RecognitionException, TokenStreamException {
		WLQLExpression expr;
		
		
		expr = null;
		List l = new ArrayList();
		
		
		match(AND);
		l=expression_list();
		expr = new WLQLExpression(WLQLExpressionTypes.AND, l);
		return expr;
	}
	
	public final WLQLExpression  or() throws RecognitionException, TokenStreamException {
		WLQLExpression expr;
		
		
		expr = null;
		List l = new ArrayList();
		
		
		match(OR);
		l=expression_list();
		expr = new WLQLExpression(WLQLExpressionTypes.OR, l);
		return expr;
	}
	
	public final WLQLExpression  not() throws RecognitionException, TokenStreamException {
		WLQLExpression expr;
		
		
		expr = null;
		WLQLExpression e = null;
		
		
		match(NOT);
		e=expression();
		expr = new WLQLExpression(WLQLExpressionTypes.NOT, e);
		return expr;
	}
	
	public final WLQLExpression  eq() throws RecognitionException, TokenStreamException {
		WLQLExpression expr;
		
		
		expr = null;
		List l = new ArrayList();
		
		
		match(EQUALS);
		l=expression_list();
		expr = new WLQLExpression(WLQLExpressionTypes.EQ, l);
		return expr;
	}
	
	public final WLQLExpression  less_than() throws RecognitionException, TokenStreamException {
		WLQLExpression expr;
		
		
		expr = null;
		WLQLExpression e1 = null;
		WLQLExpression e2 = null;
		
		
		match(LT);
		e1=expression();
		e2=expression();
		expr = new WLQLExpression(WLQLExpressionTypes.LESS_THAN, e1, e2);
		return expr;
	}
	
	public final WLQLExpression  greater_than() throws RecognitionException, TokenStreamException {
		WLQLExpression expr;
		
		
		expr = null;
		WLQLExpression e1 = null;
		WLQLExpression e2 = null;
		
		
		match(GT);
		e1=expression();
		e2=expression();
		expr = new WLQLExpression(WLQLExpressionTypes.GREATER_THAN, e1, e2);
		return expr;
	}
	
	public final WLQLExpression  less_than_or_equal() throws RecognitionException, TokenStreamException {
		WLQLExpression expr;
		
		
		expr = null;
		WLQLExpression e1 = null;
		WLQLExpression e2 = null;
		
		
		match(LTEQ);
		e1=expression();
		e2=expression();
		expr = new WLQLExpression(WLQLExpressionTypes.LESS_THAN_OR_EQUAL, e1, e2);
		return expr;
	}
	
	public final WLQLExpression  greater_than_or_equal() throws RecognitionException, TokenStreamException {
		WLQLExpression expr;
		
		
		expr = null;
		WLQLExpression e1 = null;
		WLQLExpression e2 = null;
		
		
		match(GTEQ);
		e1=expression();
		e2=expression();
		expr = new WLQLExpression(WLQLExpressionTypes.GREATER_THAN_OR_EQUAL, e1, e2);
		return expr;
	}
	
	public final WLQLExpression  like() throws RecognitionException, TokenStreamException {
		WLQLExpression expr;
		
		
		expr = null;
		WLQLExpression e1 = null;
		WLQLExpression e2 = null;
		
		
		match(LITERAL_like);
		e1=expression();
		e2=expression();
		expr = new WLQLExpression(WLQLExpressionTypes.LIKE, e1, e2);
		return expr;
	}
	
	public final WLQLExpression  isnull() throws RecognitionException, TokenStreamException {
		WLQLExpression expr;
		
		
		expr = null;
		WLQLExpression e = null;
		
		
		match(LITERAL_isNull);
		e=expression();
		expr = new WLQLExpression(WLQLExpressionTypes.IS_NULL, e);
		return expr;
	}
	
	public final WLQLExpression  isnotnull() throws RecognitionException, TokenStreamException {
		WLQLExpression expr;
		
		
		expr = null;
		WLQLExpression e = null;
		
		
		match(LITERAL_isNotNull);
		e=expression();
		expr = new WLQLExpression(WLQLExpressionTypes.IS_NOT_NULL, e);
		return expr;
	}
	
	public final WLQLExpression  orderby() throws RecognitionException, TokenStreamException {
		WLQLExpression expr;
		
		
		expr = null;
		WLQLExpression clause = null;
		WLQLExpression e = null;
		
		
		match(LITERAL_orderBy);
		clause=string();
		e=expression();
		expr = new WLQLExpression(WLQLExpressionTypes.ORDER_BY, clause, e);
		return expr;
	}
	
	public final WLQLExpression  variable() throws RecognitionException, TokenStreamException {
		WLQLExpression expr;
		
		Token  v = null;
		
		expr = null;
		
		
		v = LT(1);
		match(VARIABLE);
		expr = new WLQLExpression(
			WLQLExpressionTypes.VARIABLE, v.getText());
		
		return expr;
	}
	
	public final WLQLExpression  special() throws RecognitionException, TokenStreamException {
		WLQLExpression expr;
		
		Token  id = null;
		
		expr = null;
		WLQLExpression lit = null;
			List l = new ArrayList();
		
		
		id = LT(1);
		match(SPECIAL);
		lit=string();
		{
		}
		l.add(lit);
		expr = new WLQLExpression(id.getText(), l);
		
		return expr;
	}
	
	public final WLQLExpression  id() throws RecognitionException, TokenStreamException {
		WLQLExpression expr;
		
		Token  i = null;
		
		expr = null;
		
		
		i = LT(1);
		match(ID);
		expr = new WLQLExpression(WLQLExpressionTypes.ID, i.getText());
		return expr;
	}
	
	public final WLQLExpression  string() throws RecognitionException, TokenStreamException {
		WLQLExpression expr;
		
		Token  s = null;
		Token  bs = null;
		
		expr = null;
		
		
		switch ( LA(1)) {
		case STRING:
		{
			s = LT(1);
			match(STRING);
			
				expr = new WLQLExpression(WLQLExpressionTypes.STRING, s.getText());
				
			break;
		}
		case BACKSTRING:
		{
			bs = LT(1);
			match(BACKSTRING);
			
				expr = new WLQLExpression(WLQLExpressionTypes.STRING, bs.getText());
			
			break;
		}
		default:
		{
			throw new NoViableAltException(LT(1), getFilename());
		}
		}
		return expr;
	}
	
	public final WLQLExpression  number() throws RecognitionException, TokenStreamException {
		WLQLExpression expr;
		
		Token  n = null;
		
		expr = null;
		
		
		n = LT(1);
		match(NUMBER);
		
			expr = new WLQLExpression(WLQLExpressionTypes.NUMBER, n.getText());
			
		return expr;
	}
	
	public final List  expression_list() throws RecognitionException, TokenStreamException {
		List l;
		
		
		l = new ArrayList();
		WLQLExpression e = null;
		
		
		{
		int _cnt23=0;
		_loop23:
		do {
			if ((_tokenSet_0.member(LA(1)))) {
				e=expression();
				l.add(e);
			}
			else {
				if ( _cnt23>=1 ) { break _loop23; } else {throw new NoViableAltException(LT(1), getFilename());}
			}
			
			_cnt23++;
		} while (true);
		}
		return l;
	}
	
	
	public static final String[] _tokenNames = {
		"<0>",
		"EOF",
		"<2>",
		"NULL_TREE_LOOKAHEAD",
		"LPAREN",
		"RPAREN",
		"AND",
		"OR",
		"NOT",
		"EQUALS",
		"LT",
		"GT",
		"LTEQ",
		"GTEQ",
		"\"like\"",
		"\"isNull\"",
		"\"isNotNull\"",
		"\"orderBy\"",
		"VARIABLE",
		"SPECIAL",
		"ID",
		"STRING",
		"BACKSTRING",
		"NUMBER",
		"SLASH",
		"BACKTICK",
		"SSTRING",
		"DSTRING",
		"DASH",
		"DOT",
		"INT",
		"REAL",
		"WS",
		"COMMENT",
		"DIGIT",
		"LETTER"
	};
	
	private static long[] make_tokenSet_0() { long[] data = { 16515088L, 0L }; return data; }
	public static final BitSet _tokenSet_0 = new BitSet(make_tokenSet_0());
	
	}
