package weblogic.ejb20.compliance;

import java.text.MessageFormat;
import java.util.Locale;
import weblogic.i18n.Localizer;
import weblogic.i18ntools.L10nLookup;
 
/** 
 * Copyright (c) 2000 by BEA Inc. All Rights Reserved.
 */
public class EJBComplianceTextFormatter {
  private Localizer l10n;
// constructors
  /**
   * @exclude
   */
  public EJBComplianceTextFormatter() {
    l10n = L10nLookup.getLocalizer(Locale.getDefault(), "weblogic.ejb20.compliance.EJBComplianceTextLocalizer");
  }
  /**
   * @exclude
   */
  public EJBComplianceTextFormatter(Locale l) {
    l10n = L10nLookup.getLocalizer(l, "weblogic.ejb20.compliance.EJBComplianceTextLocalizer");
  }

  /**
   * ERROR: EJB-JAR file: {0} does not exist.
   * @exclude
   */
  public String jarFileMissing(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("jarFileMissing") , args);
  }

  /**
   * EJB Compliance checker checking.....{0}
   * @exclude
   */
  public String checkingJarFile(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("checkingJarFile") , args);
  }

  /**
   * ERROR: EJB-JAR file: {0} is a directory.
   * @exclude
   */
  public String jarFileIsDirectory(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("jarFileIsDirectory") , args);
  }

  /**
   * {0} is compliant.
   * @exclude
   */
  public String compliant(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("compliant") , args);
  }

  /**
   * EJB Jar file :{0} is not valid {1}
   * @exclude
   */
  public String notValid(String arg0, java.io.IOException arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("notValid") , args);
  }

  /**
   * Failed to parse {0}. {1}
   * @exclude
   */
  public String failedToParse(String arg0, weblogic.xml.process.XMLParsingException arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("failedToParse") , args);
  }

  /**
   * Failed to load {0}. {1}
   * @exclude
   */
  public String failedToLoad(String arg0, weblogic.xml.process.XMLProcessingException arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("failedToLoad") , args);
  }

  /**
   * EJB Compliance Error: {0}
   * @exclude
   */
  public String complianceError(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("complianceError") , args);
  }

  /**
   * Unable to load a class required by your EJB: {0}
   * @exclude
   */
  public String loadFailure(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("loadFailure") , args);
  }

  /**
   * This bean is not in compliance with the EJB {0} specification.
   * @exclude
   */
  public String notCompliantWithSpec(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("notCompliantWithSpec") , args);
  }


}
