package weblogic.ejb20.utils.ddconverter;

import java.text.MessageFormat;
import java.util.Locale;
import weblogic.i18n.Localizer;
import weblogic.i18ntools.L10nLookup;
 
/** 
 * Copyright (c) 2000 by BEA Inc. All Rights Reserved.
 */
public class EJBddcTextFormatter {
  private Localizer l10n;
// constructors
  /**
   * @exclude
   */
  public EJBddcTextFormatter() {
    l10n = L10nLookup.getLocalizer(Locale.getDefault(), "weblogic.ejb20.utils.ddconverter.EJBddcTextLocalizer");
  }
  /**
   * @exclude
   */
  public EJBddcTextFormatter(Locale l) {
    l10n = L10nLookup.getLocalizer(l, "weblogic.ejb20.utils.ddconverter.EJBddcTextLocalizer");
  }

  /**
   * DDConverter starting at {0}...
   * @exclude
   */
  public String startup(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("STARTUP") , args);
  }

  /**
   * Source file list:
   * @exclude
   */
  public String startupSources()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("STARTUP_SOURCES") , args);
  }

  /**
   * Output directory: {0}
   * @exclude
   */
  public String startupTargetDir(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("STARTUP_TARGET_DIR") , args);
  }

  /**
   * Combining results into output jar file {0}
   * @exclude
   */
  public String startupCombine(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("STARTUP_COMBINE") , args);
  }

  /**
   * Converting {0} ...
   * @exclude
   */
  public String converting(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("CONVERTING") , args);
  }

  /**
   * Unable to log an error. The exception received was:\n{1}\nThe message being logged was:\n{0}
   * @exclude
   */
  public String logWriteError(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("LOG_WRITE_ERROR") , args);
  }

  /**
   * WARNING:
   * @exclude
   */
  public String warning()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("WARNING") , args);
  }

  /**
   * ERROR:
   * @exclude
   */
  public String error()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("ERROR") , args);
  }

  /**
   * DDConverter failed due to an unexpected Exception. The stack trace is:\n {0}
   * @exclude
   */
  public String ddconverterException(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("DDCONVERTER_EXCEPTION") , args);
  }

  /**
   * DDConverter was unable to convert all the input beans due to conversion errors. See \"{0}\" for details.
   * @exclude
   */
  public String ddconverterFailure(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("DDCONVERTER_FAILURE") , args);
  }

  /**
   * There was an error reading \"{0}\". The input file has to be a WLS 4.5 deployment descriptor text file or WLS 5.1 jar file.\n\nThe exception received was:\n{1}
   * @exclude
   */
  public String readDDError(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("READ_DD_ERROR") , args);
  }

  /**
   * Target file \"{0}\" already exist. DDConverter aborted.\n
   * @exclude
   */
  public String targetExist(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("TARGET_EXIST") , args);
  }

  /**
   * There was an error reading \"{0}\". The exception received was:\n{1}
   * @exclude
   */
  public String readCmpError(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("READ_CMP_ERROR") , args);
  }

  /**
   * There was an error writing \"{0}\". The exception received was:\n{1}
   * @exclude
   */
  public String writeError(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("WRITE_ERROR") , args);
  }

  /**
   * There was an error converting the finder query from WLQL to EJB QL. The query text was \"{0}\". The exception received was:\n{1}
   * @exclude
   */
  public String qlConversion(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("QL_CONVERSION") , args);
  }

  /**
   * The default isolation level for bean \"{0}\" is being overridden and set to value \"{1}\" because of the setting of isolation-level in the RDBMS XML file.
   * @exclude
   */
  public String isoLevelWarning(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("ISO_LEVEL_WARNING") , args);
  }

  /**
   * An invalid finder method declaration was found and cannot be converted. The method was \"{0}\". The query text is \"{1}\". The exception was:\n{2}
   * @exclude
   */
  public String invalidFinderDecl(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    return MessageFormat.format(l10n.get("INVALID_FINDER_DECL") , args);
  }

  /**
   * Converting connection pool reference \"{0}\" to a data source reference. Be sure there is a data source of that name declared in the server configuration.
   * @exclude
   */
  public String dataSource(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("DATASOURCE") , args);
  }

  /**
   * Ignoring <use-quoted-names> as it is unnecessary in WLS 6.0 and above.
   * @exclude
   */
  public String useQuotedNames()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("USE_QUOTED_NAMES") , args);
  }

  /**
   * An RDBMS XML deployment descriptor named \"{0}\" was declared in weblogic-ejb-jar.xml but was not found in the input jar file. Therefore it could not be converted.
   * @exclude
   */
  public String noCMPXMLFile(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("NO_CMP_XML_FILE") , args);
  }

  /**
   * Tag <finder-expression> is no longer supported in WebLogic EJB 2.0. Property is not being set.
   * @exclude
   */
  public String noFinderExpression()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("NO_FINDER_EXPRESSION") , args);
  }

  /**
   * Because of EJB specification changes, CMP beans are not backward compatible. The output jar is not deployable. You need to change the source code, compile them with the .xml files in this jar by using ejbc, then deploy the new jar.
   * @exclude
   */
  public String cmp20Warning()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("CMP20WARNING") , args);
  }

  /**
   * File did not contain a valid Session or Entity Bean Descriptor.
   * @exclude
   */
  public String invalidDDFile()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("INVALID_DD_FILE") , args);
  }

  /**
   * Setting a custom EJBObject Class is no longer supported in WebLogic EJB 1.1. Property is not being set.
   * @exclude
   */
  public String noCustomEJBObjectClass()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("NO_CUSTOM_EJB_OBJECT_CLASS") , args);
  }

  /**
   * Setting a custom Home Class is no longer supported in WebLogic EJB 1.1. Property is not being set.
   * @exclude
   */
  public String noCustomEJBHomeClass()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("NO_CUSTOM_EJB_HOME_CLASS") , args);
  }

  /**
   * Setting a custom Persistent Store Class is no longer supported in WebLogic EJB 1.1. Property is not being set.
   * @exclude
   */
  public String noCustomPstoreClass()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("NO_CUSTOM_PSTORE_CLASS") , args);
  }

  /**
   * File persistence is no longer supported. CMP Entity Beans must use JDBC persistence, or another third party persistence type.
   * @exclude
   */
  public String noFilePersistence()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("NO_FILE_PERSISTENCE") , args);
  }

  /**
   * Tag <runAsMode> is not supported in EJB1.1. Property is not being set for method: {0}
   * @exclude
   */
  public String noRunAsMode11(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("NO_RUN_AS_MODE_11") , args);
  }

  /**
   * Tag <runAsIdentity> is not supported in EJB1.1. Property is not being set for method: {0}
   * @exclude
   */
  public String noRunAsIdentity11(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("NO_RUN_AS_IDENTITY_11") , args);
  }

  /**
   * Tag <runAsMode> is not converted, you need to set it manually. Property is not being set for method: {0}
   * @exclude
   */
  public String noRunAsMode20(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("NO_RUN_AS_MODE_20") , args);
  }

  /**
   * Tag <runAsIdentity> is not converted, you need to set it manually. Property is not being set for method: {0}
   * @exclude
   */
  public String noRunAsIdentity20(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("NO_RUN_AS_IDENTITY_20") , args);
  }

  /**
   * User defined <env-entry> property: \"{0}\" was set to String. You will need to manually change the type as necessary,
   * @exclude
   */
  public String userPropsReadInAsString(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("USER_PROPS_READ_IN_AS_STRING") , args);
  }

  /**
   * Required tag <ejb-name> was set arbitrarily to the JNDI name for the bean: {0}. You should manually change the tag.
   * @exclude
   */
  public String ejbNameSetToJndi(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("EJB_NAME_SET_TO_JNDI") , args);
  }

  /**
   * File not found: {0}
   * @exclude
   */
  public String fileNotFound(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("FILE_NOT_FOUND") , args);
  }

  /**
   * The following non-fatal errors were detected. A logfile is being generated. Output files were generated, but some properties may need to be modified before the bean can be deployed.
   * @exclude
   */
  public String warningMessage()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("WARNING_MESSAGE") , args);
  }

  /**
   * Fatal error detected. Cannot proceed. No output files were generated.
   * @exclude
   */
  public String errorMessage()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("ERROR_MESSAGE") , args);
  }

  /**
   * EJB 1.1 forbids entity beans from using Bean Managed Transactions. A transaction attribute of {0} has been set for method: {1}. You will need to manually change the tag.
   * @exclude
   */
  public String noBeanManagedForEntityBeans(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("NO_BEAN_MANAGED_FOR_ENTITY_BEANS") , args);
  }

  /**
   * An unexpected error occurred. Transaction attribute {0} for method {1} was set to NotSet. You will need to manually change the tag.
   * @exclude
   */
  public String unexpectedErrorTxNotSet(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("UNEXPECTED_ERROR_TX_NOT_SET") , args);
  }

  /**
   * An unexpected error occurred. Cannot proceed. The stack trace is:\n{0}
   * @exclude
   */
  public String unexpectedError(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("UNEXPECTED_ERROR") , args);
  }

  /**
   * PStore type: {0} was invalid. No PStore tags are being generated.
   * @exclude
   */
  public String invalidPstoreType(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("INVALID_PSTORE_TYPE") , args);
  }

  /**
   * The following finder method parameter may not be a fully qualified class: <{0}> in finder: {1}
   * @exclude
   */
  public String typesNotFullyQualified(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("TYPES_NOT_FULLY_QUALIFIED") , args);
  }

  /**
   * Security Principal for Role: {0} was arbitrarily set to: {1}. You may need to change it manually.
   * @exclude
   */
  public String securityPrincipalArbitrarilySet(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("SECURITY_PRINCIPAL_ARBITRARILY_SET") , args);
  }

  /**
   * The 1.0 * operator (for specifying that all fields are container managed) is not supported in 1.1. Generating template <cmp-field> tags with the names specified in the database mapping. You may need to adjust the <cmp-field> tags.
   * @exclude
   */
  public String starNotSupportedForCmpFields()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("STAR_NOT_SUPPORTED_FOR_CMP_FIELDS") , args);
  }


}
