package weblogic.i18ntools;

import java.text.MessageFormat;
import java.util.Locale;
import weblogic.i18n.Localizer;
import weblogic.i18ntools.L10nLookup;
 
/** 
 * Copyright (c) 2000 by BEA Inc. All Rights Reserved.
 */
public class CatInfoTextFormatter {
  private Localizer l10n;
// constructors
  /**
   * @exclude
   */
  public CatInfoTextFormatter() {
    l10n = L10nLookup.getLocalizer(Locale.getDefault(), "weblogic.i18ntools.CatInfoTextLocalizer");
  }
  /**
   * @exclude
   */
  public CatInfoTextFormatter(Locale l) {
    l10n = L10nLookup.getLocalizer(l, "weblogic.i18ntools.CatInfoTextLocalizer");
  }

  /**
   * Print help message
   * @exclude
   */
  public String helpOption()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("HELP_OPTION") , args);
  }

  /**
   * Debug output to stderr
   * @exclude
   */
  public String verboseOption()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("VERBOSE_OPTION") , args);
  }

  /**
   * Output detailed catalog info
   * @exclude
   */
  public String detailOption()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("DETAIL_OPTION") , args);
  }

  /**
   * Message id
   * @exclude
   */
  public String idOption()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("ID_OPTION") , args);
  }

  /**
   * Subsystem
   * @exclude
   */
  public String subsystemOption()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("SUBSYSTEM_OPTION") , args);
  }

  /**
   * language
   * @exclude
   */
  public String langOption()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("LANG_OPTION") , args);
  }

  /**
   * country code
   * @exclude
   */
  public String countryOption()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("COUNTRY_OPTION") , args);
  }

  /**
   * variant
   * @exclude
   */
  public String variantOption()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("VARIANT_OPTION") , args);
  }

  /**
   * Attempting to set locale to "{0}"
   * @exclude
   */
  public String setLocale(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("SET_LOCALE") , args);
  }

  /**
   * Using locale: {0}
   * @exclude
   */
  public String usingLocale(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("USING_LOCALE") , args);
  }

  /**
   * Invalid id format ({0})
   * @exclude
   */
  public String invalidId(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("INVALID_ID") , args);
  }

  /**
   * Looking up key, {0}
   * @exclude
   */
  public String lookupKey(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("LOOKUP_KEY") , args);
  }

  /**
   * Getting body for {0}
   * @exclude
   */
  public String gettingBody(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("GETTING_BODY") , args);
  }

  /**
   * {0}: No message info available
   * @exclude
   */
  public String noInfo(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("NO_INFO") , args);
  }

  /**
   * Version: {0}
   * @exclude
   */
  public String version(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("VERSION") , args);
  }

  /**
   * L10n Package: {0}
   * @exclude
   */
  public String l10nPackage(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("L10N_PACKAGE") , args);
  }

  /**
   * I18n Package: {0}
   * @exclude
   */
  public String i18nPackage(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("I18N_PACKAGE") , args);
  }

  /**
   * Subsystem: {0}
   * @exclude
   */
  public String subsystem(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("SUBSYSTEM") , args);
  }

  /**
   * Severity: {0,number}
   * @exclude
   */
  public String severity(int arg0)  {
    Object [] args = { new Integer(arg0) };
    return MessageFormat.format(l10n.get("SEVERITY") , args);
  }

  /**
   * Stack Trace: {0}
   * @exclude
   */
  public String stackTrace(boolean arg0)  {
    Object [] args = { new Boolean(arg0) };
    return MessageFormat.format(l10n.get("STACK_TRACE") , args);
  }

  /**
   * Getting detail for {0}
   * @exclude
   */
  public String gettingDetail(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("GETTING_DETAIL") , args);
  }

  /**
   * Message Detail: {0}
   * @exclude
   */
  public String messageDetail(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("MESSAGE_DETAIL") , args);
  }

  /**
   * Cause: {0}
   * @exclude
   */
  public String cause(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("CAUSE") , args);
  }

  /**
   * Action: {0}
   * @exclude
   */
  public String action(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("ACTION") , args);
  }

  /**
   * {0}: No message detail available
   * @exclude
   */
  public String noDetail(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("NO_DETAIL") , args);
  }


}
