package weblogic.i18ntools.parser;

import java.text.MessageFormat;
import java.util.Locale;
import weblogic.i18n.Localizer;
import weblogic.i18ntools.L10nLookup;
 
/** 
 * Copyright (c) 2000 by BEA Inc. All Rights Reserved.
 */
public class L10nParserTextFormatter {
  private Localizer l10n;
// constructors
  /**
   * @exclude
   */
  public L10nParserTextFormatter() {
    l10n = L10nLookup.getLocalizer(Locale.getDefault(), "weblogic.i18ntools.parser.L10nParserTextLocalizer");
  }
  /**
   * @exclude
   */
  public L10nParserTextFormatter(Locale l) {
    l10n = L10nLookup.getLocalizer(l, "weblogic.i18ntools.parser.L10nParserTextLocalizer");
  }

  /**
   * Building dtdpath
   * @exclude
   */
  public String buildingDTD()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("BUILDING_DTD") , args);
  }

  /**
   * Trying DTD path: {0}
   * @exclude
   */
  public String tryingDTDPath(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("TRYING_DTD_PATH") , args);
  }

  /**
   * Parsing catalog, {0}
   * @exclude
   */
  public String parsingCatalog(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("PARSING_CATALOG") , args);
  }

  /**
   * Document start
   * @exclude
   */
  public String docStart()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("DOC_START") , args);
  }

  /**
   * Receive element: {0}
   * @exclude
   */
  public String receiveElement(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("RECEIVE_ELEMENT") , args);
  }

  /**
   * Adding new locale_message_catalog
   * @exclude
   */
  public String addCatalog()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("ADD_CATALOG") , args);
  }

  /**
   * Setting attr: name={0}, value={1}
   * @exclude
   */
  public String setAttr(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("SET_ATTR") , args);
  }

  /**
   * Adding new logmessage
   * @exclude
   */
  public String addLogMessage()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("ADD_LOG_MESSAGE") , args);
  }

  /**
   * Adding new messagebody
   * @exclude
   */
  public String addBody()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("ADD_BODY") , args);
  }

  /**
   * Adding new messagedetail
   * @exclude
   */
  public String addDetail()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("ADD_DETAIIL") , args);
  }

  /**
   * Adding new cause
   * @exclude
   */
  public String addCause()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("ADD_CAUSE") , args);
  }

  /**
   * Adding new action
   * @exclude
   */
  public String addAction()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("ADD_ACTION") , args);
  }

  /**
   * linking logmessage {0} to message_catalog
   * @exclude
   */
  public String linkLogMessage(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("LINK_LOG_MESSAGE") , args);
  }

  /**
   * Ignoring duplicate message. id = {0}
   * @exclude
   */
  public String ignoreDup(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("IGNORE_DUP") , args);
  }

  /**
   * WrongTypeException - this should never happen
   * @exclude
   */
  public String wrongException()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("WRONG_EXCEPTION") , args);
  }

  /**
   * linking messagebody to logmessage {0}
   * @exclude
   */
  public String linkLogBody(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("LINK_LOG_BODY") , args);
  }

  /**
   * linking messagebody to message {0}
   * @exclude
   */
  public String linkMsgBody(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("LINK_MSG_BODY") , args);
  }

  /**
   * linking messagedetail to logmessage {0}
   * @exclude
   */
  public String linkDetail(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("LINK_DETAIL") , args);
  }

  /**
   * linking cause to logmessage {0}
   * @exclude
   */
  public String linkCause(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("LINK_CAUSE") , args);
  }

  /**
   * linking action to logmessage {0}
   * @exclude
   */
  public String linkAction(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("LINK_ACTION") , args);
  }

  /**
   * linking message {0} to message_catalog
   * @exclude
   */
  public String linkMessage(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("LINK_MESSAGE") , args);
  }

  /**
   * received chars:<{0}>
   * @exclude
   */
  public String receivedChars(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("RECEIVED_CHARS") , args);
  }

  /**
   * Ignoring all whitespace string
   * @exclude
   */
  public String ignoreSpaces()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("IGNORE_SPACES") , args);
  }

  /**
   * edited string:<{0}>
   * @exclude
   */
  public String editString(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("EDIT_STRING") , args);
  }

  /**
   * adding to body
   * @exclude
   */
  public String addToBody()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("ADD_TO_BODY") , args);
  }

  /**
   * adding to detail
   * @exclude
   */
  public String addToDetail()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("ADD_TO_DETAIL") , args);
  }

  /**
   * adding to cause
   * @exclude
   */
  public String addToCause()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("ADD_TO_CAUSE") , args);
  }

  /**
   * adding to action
   * @exclude
   */
  public String addToAction()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("ADD_TO_ACTION") , args);
  }

  /**
   * ignoring...
   * @exclude
   */
  public String ignoring()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("IGNORING") , args);
  }

  /**
   * Resolving {0} and {1}
   * @exclude
   */
  public String resolving(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("RESOLVING") , args);
  }

  /**
   * Checking {0}
   * @exclude
   */
  public String checkingPath(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("CHECKING_PATH") , args);
  }

  /**
   * Returning {0}
   * @exclude
   */
  public String returningPath(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("RETURNING_PATH") , args);
  }

  /**
   * resolved to {0}
   * @exclude
   */
  public String resolvedPath(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("RESOLVED_PATH") , args);
  }

  /**
   * Unable to read {0}
   * @exclude
   */
  public String unableToRead(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("UNABLE_TO_READ") , args);
  }

  /**
   * Error: null message id detected
   * @exclude
   */
  public String nullId()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("NULL_ID") , args);
  }

  /**
   * Error({0}): no default definition for message
   * @exclude
   */
  public String noDefaultDef(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("NO_DEFAULT_DEF") , args);
  }

  /**
   * Error({0}): unable to determine package for message
   * @exclude
   */
  public String noPackageInfo(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("NO_PACKAGE_INFO") , args);
  }

  /**
   * Warning({0}): non-numeric log message id
   * @exclude
   */
  public String nonNumericId(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("NON_NUMERIC_ID") , args);
  }

  /**
   * Error({0}): messagebody must be non null
   * @exclude
   */
  public String nullBody(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("NULL_BODY") , args);
  }

  /**
   * Warning({0}): no messagedetail
   * @exclude
   */
  public String noDetail(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("NO_DETAIL") , args);
  }

  /**
   * Warning({0}): no cause
   * @exclude
   */
  public String noCause(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("NO_CAUSE") , args);
  }

  /**
   * Warning({0}): no action
   * @exclude
   */
  public String noAction(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("NO_ACTION") , args);
  }

  /**
   * TBD
   * @exclude
   */
  public String TBD()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("TBD") , args);
  }

  /**
   * Validating message...
   * @exclude
   */
  public String validatingMsg()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("VALIDATING_MSG") , args);
  }

  /**
   * LogMessages vector:
   * @exclude
   */
  public String logVector()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("LOG_VECTOR") , args);
  }

  /**
   * - message {0}
   * @exclude
   */
  public String element(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("ELEMENT") , args);
  }

  /**
   * Messages vector:
   * @exclude
   */
  public String msgVector()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("MSG_VECTOR") , args);
  }

  /**
   * Error({0}): version must be non null
   * @exclude
   */
  public String nullVersion(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("NULL_VERSION") , args);
  }

  /**
   * Warning({0}): no messages defined
   * @exclude
   */
  public String noMessages(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("NO_MESSAGES") , args);
  }

  /**
   * Validating simple message catalog...
   * @exclude
   */
  public String validateSimple()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("VALIDATE_SIMPLE") , args);
  }

  /**
   * language
   * @exclude
   */
  public String language()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("LANGUAGE") , args);
  }

  /**
   * ISO 639 language code designation for a locale
   * @exclude
   */
  public String ISOLanguage()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("ISO_LANGUAGE") , args);
  }

  /**
   * country
   * @exclude
   */
  public String country()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("COUNTRY") , args);
  }

  /**
   * ISO 3166 country code designation for a locale
   * @exclude
   */
  public String ISOCountry()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("ISO_COUNTRY") , args);
  }

  /**
   * variant
   * @exclude
   */
  public String variant()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("VARIANT") , args);
  }

  /**
   * locale variant
   * @exclude
   */
  public String localeVariant()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("LOCALE_VARIANT") , args);
  }

  /**
   * ignore errors
   * @exclude
   */
  public String ignoreErrors()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("IGNORE_ERRORS") , args);
  }

  /**
   * verbose output
   * @exclude
   */
  public String verbose()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("VERBOSE") , args);
  }

  /**
   * Debug output
   * @exclude
   */
  public String debug()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("DEBUG") , args);
  }

  /**
   * [filelist]
   * @exclude
   */
  public String filelist()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("FILELIST") , args);
  }

  /**
   * Options:
   * @exclude
   */
  public String options()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("OPTIONS") , args);
  }

  /**
   * ignore={0}
   * @exclude
   */
  public String ignoreOpt(boolean arg0)  {
    Object [] args = { new Boolean(arg0) };
    return MessageFormat.format(l10n.get("IGNORE_OPT") , args);
  }

  /**
   * verbose={0}
   * @exclude
   */
  public String verboseOpt(boolean arg0)  {
    Object [] args = { new Boolean(arg0) };
    return MessageFormat.format(l10n.get("VERBOSE_OPT") , args);
  }

  /**
   * debug={0}
   * @exclude
   */
  public String debugOpt(boolean arg0)  {
    Object [] args = { new Boolean(arg0) };
    return MessageFormat.format(l10n.get("DEBUG_OPT") , args);
  }

  /**
   * language={0}
   * @exclude
   */
  public String langOpt(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("LANG_OPT") , args);
  }

  /**
   * country={0}
   * @exclude
   */
  public String countryOpt(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("COUNTRY_OPT") , args);
  }

  /**
   * variant={0}
   * @exclude
   */
  public String variantOpt(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("VARIANT_OPT") , args);
  }

  /**
   * Building langs for path={0}, name={1}
   * @exclude
   */
  public String buildingLang(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("BUILDING_LANG") , args);
  }

  /**
   * Lang={0}
   * @exclude
   */
  public String langVal(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("LANG_VAL") , args);
  }

  /**
   * Parsing {0}
   * @exclude
   */
  public String parsing(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("PARSING") , args);
  }

  /**
   * Current locale: {0},{1},{2}
   * @exclude
   */
  public String currLocale(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    return MessageFormat.format(l10n.get("CURR_LOCALE") , args);
  }

  /**
   * Unable to parse {0}
   * @exclude
   */
  public String unableToParse(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("UNABLE_TO_PARSE") , args);
  }

  /**
   * inputfile: {0}
   * @exclude
   */
  public String inputFile(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("INPUT_FILE") , args);
  }

  /**
   * outName: {0}
   * @exclude
   */
  public String outName(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("OUT_NAME") , args);
  }

  /**
   * output file: {0}
   * @exclude
   */
  public String outFile(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("OUT_FILE") , args);
  }

  /**
   * Nothing to do.
   * @exclude
   */
  public String nothingToDo()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("NOTHING_TO_DO") , args);
  }

  /**
   * Cannot find file {0}. Please specify path correctly.
   * @exclude
   */
  public String noPath(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("NO_PATH") , args);
  }

  /**
   * File not found: {0}
   * @exclude
   */
  public String noFile(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("NO_FILE") , args);
  }

  /**
   * Error({0}): l10n_package attribute must be specified
   * @exclude
   */
  public String noPackage(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("NO_PACKAGE") , args);
  }

  /**
   * Error({2}): Package name, {0}, must match master catalog package, {1}
   * @exclude
   */
  public String incorrectPackage(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    return MessageFormat.format(l10n.get("INCORRECT_PACKAGE") , args);
  }

  /**
   * Error({1}): cannot locate master catalog due to invalid l10n_package attribute, {0}
   * @exclude
   */
  public String invalidPackage(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("INVALID_PACKAGE") , args);
  }

  /**
   * Unable to locate local copy of DTD, {0}. Will use System ID , {1}, to locate the DTD.
   * @exclude
   */
  public String noEntity(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("NO_ENTITY") , args);
  }


}
