package weblogic.j2ee;

import weblogic.logging.MessageLogger;
 
/** 
 * Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.
 * @exclude
 */
public class J2EELogger
{
  /**
   * Error Application Instance not found : {0}
   * @exclude
   *
   * messageid:  160000
   * severity:   error
   */
  public static String logErrorUndeployingJ2EEApplication(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"160000",
	args,
	"weblogic.i18n.J2EELogLocalizer");
    return "160000";
  }

  /**
   * Error deploying application {0}: {1}
   * @exclude
   *
   * messageid:  160001
   * severity:   error
   */
  public static String logErrorDeployingApplication(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"160001",
	args,
	"weblogic.i18n.J2EELogLocalizer");
    return "160001";
  }

  /**
   * Error deploying EJB Component : {0}
   * @exclude
   *
   * messageid:  160002
   * severity:   error
   */
  public static String logErrorEJBDeploymentException(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"160002",
	args,
	"weblogic.i18n.J2EELogLocalizer");
    return "160002";
  }

  /**
   * Deployed : {0}
   * @exclude
   *
   * messageid:  160003
   * severity:   info
   */
  public static String logInfoDeploymentResult(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"160003",
	args,
	"weblogic.i18n.J2EELogLocalizer");
    return "160003";
  }

  /**
   * Undeployed : {0}
   * @exclude
   *
   * messageid:  160004
   * severity:   info
   */
  public static String logInfoUndeploymentResult(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"160004",
	args,
	"weblogic.i18n.J2EELogLocalizer");
    return "160004";
  }

  /**
   * Error undeploying application {0}: {1}
   * @exclude
   *
   * messageid:  160005
   * severity:   error
   */
  public static String logErrorUndeployingApplication(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"160005",
	args,
	"weblogic.i18n.J2EELogLocalizer");
    return "160005";
  }

  /**
   * Error undeploying EJB Component : {0}
   * @exclude
   *
   * messageid:  160006
   * severity:   error
   */
  public static String logErrorEJBUndeploymentException(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"160006",
	args,
	"weblogic.i18n.J2EELogLocalizer");
    return "160006";
  }


}
