package weblogic.jms;

import weblogic.logging.MessageLogger;
 
/** 
 * Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.
 * @exclude
 */
public class JMSLogger
{
  /**
   * JMSServer "{0}", deleting subscription "{1}" no matching topic named "{2}".
   * @exclude
   *
   * messageid:  040000
   * severity:   info
   */
  public static String logStoreOpenNoTopic(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040000",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040000";
  }

  /**
   * JMS Debugging {0}
   * @exclude
   *
   * messageid:  040002
   * severity:   debug
   */
  public static String logDebugMsg(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"040002",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040002";
  }

  /**
   * JMSServer "{0}", SQL Error: {1}
   * @exclude
   *
   * messageid:  040003
   * severity:   error
   */
  public static String logSQLError(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040003",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040003";
  }

  /**
   * JMSServer "{0}", SQL Error Code: {1}
   * @exclude
   *
   * messageid:  040004
   * severity:   info
   */
  public static String logSQLErrorCode(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040004",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040004";
  }

  /**
   * JMSServer "{0}", SQL State: {1}
   * @exclude
   *
   * messageid:  040005
   * severity:   info
   */
  public static String logSQLErrorState(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040005",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040005";
  }

  /**
   * Server {0}, this server is not licensed to run JMS. To find out about JMS licensing, please contact sales@weblogic.com {1}
   * @exclude
   *
   * messageid:  040006
   * severity:   info
   */
  public static String logLicense(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040006",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040006";
  }

  /**
   * Configured {0,choice,0#no user connection factories|1#1 user connection factory|2#{0} user connection factories}.
   * @exclude
   *
   * messageid:  040008
   * severity:   info
   */
  public static String logCntCFactory(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"040008",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040008";
  }

  /**
   * Configured {0,choice,0#no JMSServers|1#1 JMSServer|2#{0} JMSServers}.
   * @exclude
   *
   * messageid:  040009
   * severity:   info
   */
  public static String logCntJServer(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"040009",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040009";
  }

  /**
   * JMSServer "{0}", configured {1,choice,0#no session pools|1#1 session pool|2#{1} session pools}.
   * @exclude
   *
   * messageid:  040010
   * severity:   info
   */
  public static String logCntPools(String arg0, int arg1)  {
    Object [] args = { arg0, new Integer(arg1) };
    MessageLogger.log(
	"040010",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040010";
  }

  /**
   * JMSServer "{0}", configured {1,choice,0#no destinations|1#1 destination|2#{1} destinations}.
   * @exclude
   *
   * messageid:  040011
   * severity:   info
   */
  public static String logCntDests(String arg0, int arg1)  {
    Object [] args = { arg0, new Integer(arg1) };
    MessageLogger.log(
	"040011",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040011";
  }

  /**
   * JMS is successfully started.
   * @exclude
   *
   * messageid:  040013
   * severity:   info
   */
  public static String logJMSStarted()  {
    Object [] args = {  };
    MessageLogger.log(
	"040013",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040013";
  }

  /**
   * Failed to start JMSServer, JMS is shutting down...
   * @exclude
   *
   * messageid:  040014
   * severity:   error
   */
  public static String logJMSFailedInit()  {
    Object [] args = {  };
    MessageLogger.log(
	"040014",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040014";
  }

  /**
   * JMS shutdown is complete.
   * @exclude
   *
   * messageid:  040015
   * severity:   info
   */
  public static String logJMSShutdown()  {
    Object [] args = {  };
    MessageLogger.log(
	"040015",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040015";
  }

  /**
   * No JMS Mbeans configured for server {0}
   * @exclude
   *
   * messageid:  040016
   * severity:   info
   */
  public static String logNoJMS(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"040016",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040016";
  }

  /**
   * JMSServer "{0}", connection factory JNDI binding failed, {1}, JMS is shutting down...
   * @exclude
   *
   * messageid:  040017
   * severity:   error
   */
  public static String logConnFactoryFailed(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040017",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040017";
  }

  /**
   * Could not get a replicated or non-replicated InitialContext from the default provider, {0}
   * @exclude
   *
   * messageid:  040018
   * severity:   error
   */
  public static String logErrorInitialCtx(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"040018",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040018";
  }

  /**
   * JMSServer "{0}", failed to bind to jndi name: {1}
   * @exclude
   *
   * messageid:  040019
   * severity:   error
   */
  public static String logBackEndBindingFailed(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040019",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040019";
  }

  /**
   * Debugging {0}
   * @exclude
   *
   * messageid:  040020
   * severity:   debug
   */
  public static String logDebugMsgTrace(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040020",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040020";
  }

  /**
   * JMSServer "{0}", byte threshold for destination {1} has been exceeded.
   * @exclude
   *
   * messageid:  040024
   * severity:   alert
   */
  public static String logBytesThresholdHighDestination(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040024",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040024";
  }

  /**
   * JMSServer "{0}", byte threshold condition for destination {1} has cleared.
   * @exclude
   *
   * messageid:  040025
   * severity:   alert
   */
  public static String logBytesThresholdLowDestination(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040025",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040025";
  }

  /**
   * JMSServer "{0}", message threshold for destination {1} has been exceeded.
   * @exclude
   *
   * messageid:  040026
   * severity:   alert
   */
  public static String logMessagesThresholdHighDestination(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040026",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040026";
  }

  /**
   * JMSServer "{0}", message threshold condition for destination {1} has cleared.
   * @exclude
   *
   * messageid:  040027
   * severity:   alert
   */
  public static String logMessagesThresholdLowDestination(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040027",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040027";
  }

  /**
   * JMSServer "{0}", byte threshold for server has been exceeded.
   * @exclude
   *
   * messageid:  040028
   * severity:   alert
   */
  public static String logBytesThresholdHighServer(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"040028",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040028";
  }

  /**
   * JMSServer "{0}", byte threshold for server has cleared.
   * @exclude
   *
   * messageid:  040029
   * severity:   alert
   */
  public static String logBytesThresholdLowServer(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"040029",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040029";
  }

  /**
   * JMSServer "{0}", message threshold for server has been exceeded.
   * @exclude
   *
   * messageid:  040030
   * severity:   alert
   */
  public static String logMessagesThresholdHighServer(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"040030",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040030";
  }

  /**
   * JMSServer "{0}", message threshold for server has cleared.
   * @exclude
   *
   * messageid:  040031
   * severity:   alert
   */
  public static String logMessagesThresholdLowServer(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"040031",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040031";
  }

  /**
   * JMSServer "{0}", {1} license validation failed, {2}.
   * @exclude
   *
   * messageid:  040033
   * severity:   error
   */
  public static String logLicenseError(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040033",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040033";
  }

  /**
   * JMSServer "{0}", destination {1} will be removed when JMS starts again.
   * @exclude
   *
   * messageid:  040034
   * severity:   info
   */
  public static String logDestinationRemove(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040034",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040034";
  }

  /**
   * JMSServer "{0}", cancel the destination {1} remove operation.
   * @exclude
   *
   * messageid:  040035
   * severity:   info
   */
  public static String logDestinationAdd(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040035",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040035";
  }

  /**
   * Failed to start JMSServer because there is no correct license, JMS is shutting down...
   * @exclude
   *
   * messageid:  040036
   * severity:   error
   */
  public static String logJMSFailedLicense()  {
    Object [] args = {  };
    MessageLogger.log(
	"040036",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040036";
  }

  /**
   * JMSServer "{0}", count {1}, failed to start JMSServer, {2}, JMS is shutting down...
   * @exclude
   *
   * messageid:  040037
   * severity:   error
   */
  public static String logJMSFailedBackEnd(String arg0, int arg1, Exception arg2)  {
    Object [] args = { arg0, new Integer(arg1), arg2 };
    MessageLogger.log(
	"040037",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040037";
  }

  /**
   * Failed to start JMSServer, unexpected state {0} at start(), JMS is shutting down...
   * @exclude
   *
   * messageid:  040038
   * severity:   error
   */
  public static String logJMSFailedUnexpectedState(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"040038",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040038";
  }

  /**
   * JMSServer "{0}", failed to dynamically add a new server session pool "{1}". Exception is "{2}".
   * @exclude
   *
   * messageid:  040040
   * severity:   error
   */
  public static String logAddSessionPoolError(String arg0, String arg1, Exception arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040040",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040040";
  }

  /**
   * JMSServer "{0}", server session pool closed for connection consumer: {1}
   * @exclude
   *
   * messageid:  040041
   * severity:   error
   */
  public static String logSessionPoolClosedError(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040041",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040041";
  }

  /**
   * JMSServer "{0}", connection closed for server session pool: {1}
   * @exclude
   *
   * messageid:  040042
   * severity:   error
   */
  public static String logConnClosedForSPError(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040042",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040042";
  }

  /**
   * JMSServer "{0}", server session pool''s Connection closed for connection consumer: {1}
   * @exclude
   *
   * messageid:  040043
   * severity:   error
   */
  public static String logConnClosedForSPError2(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040043",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040043";
  }

  /**
   * JMSServer "{0}", connections were broken between connection consumer: {1} and its server session.
   * @exclude
   *
   * messageid:  040045
   * severity:   error
   */
  public static String logConnectionBrokenForCCError(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040045",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040045";
  }

  /**
   * JMSServer "{0}", server session was closed for connection consumer {1}.
   * @exclude
   *
   * messageid:  040046
   * severity:   error
   */
  public static String logSPSessionClosedError(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040046",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040046";
  }

  /**
   * JMSServer "{0}", store failure while deleting consumer {1}, {2}.
   * @exclude
   *
   * messageid:  040047
   * severity:   alert
   */
  public static String logStoreErrorDeletingConsumer(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040047",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040047";
  }

  /**
   * JMSServer "{0}", store failure while writing message for topic {1}, {2}.
   * @exclude
   *
   * messageid:  040048
   * severity:   alert
   */
  public static String logStoreErrorWritingTopicMsg(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040048",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040048";
  }

  /**
   * JMSServer "{0}", store failure while writing message for queue {1}, {2}.
   * @exclude
   *
   * messageid:  040049
   * severity:   alert
   */
  public static String logStoreErrorWritingQueueMsg(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040049",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040049";
  }

  /**
   * JMSServer "{0}", store failure while writing durable subscriber message for topic {1}, {2}.
   * @exclude
   *
   * messageid:  040050
   * severity:   alert
   */
  public static String logStoreErrorWritingSubscriberMsg(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040050",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040050";
  }

  /**
   * JMSServer "{0}", store failure while deleting message for destination {1}, {2}.
   * @exclude
   *
   * messageid:  040051
   * severity:   alert
   */
  public static String logStoreErrorDeletingMsg(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040051",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040051";
  }

  /**
   * JMSServer "{0}", store failed to open, {1}.
   * @exclude
   *
   * messageid:  040052
   * severity:   alert
   */
  public static String logStoreOpenFailed(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040052",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040052";
  }

  /**
   * JMSServer "{0}", failed to register JMS server with transaction manager.
   * @exclude
   *
   * messageid:  040053
   * severity:   alert
   */
  public static String logFailedToRegisterWithTranManager(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040053",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040053";
  }

  /**
   * JMSServer "{0}", no persistent store configured.
   * @exclude
   *
   * messageid:  040054
   * severity:   info
   */
  public static String logStoreNotConfigured(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"040054",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040054";
  }

  /**
   * JMSServer "{0}", messages(s) with no matching destination "{1}".
   * @exclude
   *
   * messageid:  040055
   * severity:   info
   */
  public static String logStoreOpenDeletedDestination(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040055",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040055";
  }

  /**
   * JMSServer "{0}", deleting {1} messages(s) with no matching destination.
   * @exclude
   *
   * messageid:  040056
   * severity:   info
   */
  public static String logStoreOpenDeletedMessages(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040056",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040056";
  }

  /**
   * JMSServer "{0}", expiring {1} messages(s).
   * @exclude
   *
   * messageid:  040057
   * severity:   info
   */
  public static String logStoreOpenExpiredMessages(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040057",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040057";
  }

  /**
   * JMSServer "{0}", unhandled exception, error code "{1}", {2}.
   * @exclude
   *
   * messageid:  040058
   * severity:   alert
   */
  public static String logUnhandledException(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040058",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040058";
  }

  /**
   * JMSServer "{0}", unhandled exception during commit, {1}.
   * @exclude
   *
   * messageid:  040059
   * severity:   alert
   */
  public static String logUnhandledCommitException(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040059",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040059";
  }

  /**
   * JMSServer "{0}", unhandled exception during rollback, {1}.
   * @exclude
   *
   * messageid:  040060
   * severity:   alert
   */
  public static String logUnhandledRollbackException(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040060",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040060";
  }

  /**
   * JMSServer "{0}", store failure while preparing a transaction, {1}.
   * @exclude
   *
   * messageid:  040061
   * severity:   alert
   */
  public static String logStoreErrorWritingOnePhaseRec(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040061",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040061";
  }

  /**
   * JMSServer "{0}", store failure while preparing a receive transaction, {1}.
   * @exclude
   *
   * messageid:  040062
   * severity:   alert
   */
  public static String logStoreErrorTranReceivePrepare(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040062",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040062";
  }

  /**
   * JMSServer "{0}", store failure while committing a receive transaction, {1}.
   * @exclude
   *
   * messageid:  040063
   * severity:   alert
   */
  public static String logStoreErrorTranReceiveCommit(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040063",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040063";
  }

  /**
   * JMSServer "{0}", store failure while rolling back a receive transaction, {1}.
   * @exclude
   *
   * messageid:  040064
   * severity:   alert
   */
  public static String logStoreErrorTranReceiveRollback(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040064",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040064";
  }

  /**
   * JMSServer "{0}", store failure while preparing a send transaction, {1}.
   * @exclude
   *
   * messageid:  040065
   * severity:   alert
   */
  public static String logStoreErrorTranSendPrepare(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040065",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040065";
  }

  /**
   * JMSServer "{0}", store failure while committing a send transaction, {1}.
   * @exclude
   *
   * messageid:  040066
   * severity:   alert
   */
  public static String logStoreErrorTranSendCommit(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040066",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040066";
  }

  /**
   * JMSServer "{0}", exception closing subscriber {1} with exception {2} at JMS startup time.
   * @exclude
   *
   * messageid:  040067
   * severity:   info
   */
  public static String logCloseSubException(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040067",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040067";
  }

  /**
   * JMSServer "{0}", error unregistering destination {1}.
   * @exclude
   *
   * messageid:  040068
   * severity:   error
   */
  public static String logErrorUnregisteringBackEndDestination(String arg0, Object arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040068",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040068";
  }

  /**
   * JMSServer "{0}", error unregistering producer {1}.
   * @exclude
   *
   * messageid:  040069
   * severity:   error
   */
  public static String logErrorUnregisteringProducer(String arg0, Object arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040069",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040069";
  }

  /**
   * JMSServer "{0}", error unregistering connection {1},
   * @exclude
   *
   * messageid:  040070
   * severity:   error
   */
  public static String logErrorUnregisteringFrontEndConnection(String arg0, Object arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040070",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040070";
  }

  /**
   * JMSServer "{0}", error unregistering session {1}.
   * @exclude
   *
   * messageid:  040071
   * severity:   error
   */
  public static String logErrorUnregisteringFrontEndSession(String arg0, Object arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040071",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040071";
  }

  /**
   * JMSServer "{0}", error unregistering consumer {1}.
   * @exclude
   *
   * messageid:  040072
   * severity:   error
   */
  public static String logErrorUnregisteringConsumer(String arg0, Object arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040072",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040072";
  }

  /**
   * JMSServer "{0}", error creating JMS session with connection: {1} - mbeanName: {2} - sessionID: {3} - transacted: {4} - aknowledgeMode: {5}
   * @exclude
   *
   * messageid:  040073
   * severity:   error
   */
  public static String logErrorCreatingFrontEndSession(String arg0, Object arg1, String arg2, Object arg3, boolean arg4, int arg5, Throwable arg6)  {
    Object [] args = { arg0, arg1, arg2, arg3, new Boolean(arg4), new Integer(arg5), arg6 };
    MessageLogger.log(
	"040073",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040073";
  }

  /**
   * JMSServer "{0}", error creating JMS consumer for session: {1} - mbeanName: {2} - clientId: {3} - name: {4} - destination: {5} - selector: {6} - noLocal: {7}
   * @exclude
   *
   * messageid:  040074
   * severity:   error
   */
  public static String logErrorCreatingFrontEndConsumer(String arg0, Object arg1, String arg2, String arg3, String arg4, Object arg5, String arg6, boolean arg7, Throwable arg8)  {
    Object [] args = { arg0, arg1, arg2, arg3, arg4, arg5, arg6, new Boolean(arg7), arg8 };
    MessageLogger.log(
	"040074",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040074";
  }

  /**
   * JMSServer "{0}", error creating JMS producer for session: {1} - mbeanName: {2} - producerId: {3} - destination: {4}
   * @exclude
   *
   * messageid:  040075
   * severity:   error
   */
  public static String logErrorCreatingFrontEndProducer(String arg0, Object arg1, String arg2, Object arg3, Object arg4, Throwable arg5)  {
    Object [] args = { arg0, arg1, arg2, arg3, arg4, arg5 };
    MessageLogger.log(
	"040075",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040075";
  }

  /**
   * JMSServer "{0}", store close failed, {1}.
   * @exclude
   *
   * messageid:  040077
   * severity:   alert
   */
  public static String logStoreCloseFailed(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040077",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040077";
  }

  /**
   * JMSServer "{0}", partial JMS migration was found in JDBC store: {1}. The records previously migrated from an old release are to be removed and another migration is starting.
   * @exclude
   *
   * messageid:  040078
   * severity:   alert
   */
  public static String logAlertPartialMigration(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040078",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040078";
  }

  /**
   * JMSServer "{0}", migration of a pre-6.0 JDBC store ({1}) failed with an Exception:{2}.
   * @exclude
   *
   * messageid:  040079
   * severity:   error
   */
  public static String logErrorMigrationFailed(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040079",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040079";
  }

  /**
   * JMSServer "{0}", migration of an old JMS persistent store failed due to wrong jar file (version {1}).
   * @exclude
   *
   * messageid:  040080
   * severity:   error
   */
  public static String logErrorWrongJarFile(String arg0, int arg1)  {
    Object [] args = { arg0, new Integer(arg1) };
    MessageLogger.log(
	"040080",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040080";
  }

  /**
   * JMSServer "{0}", JMS JDBC I/O failure ({2}) during migration of old JMS persistent store:{1}.
   * @exclude
   *
   * messageid:  040082
   * severity:   error
   */
  public static String logErrorIOFailure(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040082",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040082";
  }

  /**
   * JMSServer "{0}", {2} JMS messages were successfully migrated from an old store into store: {1}.
   * @exclude
   *
   * messageid:  040083
   * severity:   info
   */
  public static String logInfoMessagesMigrated(String arg0, String arg1, long arg2)  {
    Object [] args = { arg0, arg1, new Long(arg2) };
    MessageLogger.log(
	"040083",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040083";
  }

  /**
   * JMSServer "{0}", failed to migrate JMS durable subscribers in store: {1} for Topic:{2}.
   * @exclude
   *
   * messageid:  040084
   * severity:   error
   */
  public static String logErrorDurTopicNotFound(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040084",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040084";
  }

  /**
   * JMSServer "{0}", failed to migrate JMS messages in store: {1} for Queue:{2}.
   * @exclude
   *
   * messageid:  040085
   * severity:   error
   */
  public static String logErrorMsgQueueNotFound(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040085",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040085";
  }

  /**
   * JMSServer "{0}", {2} JMS message references were successfully migrated from an old store into store: {1}.
   * @exclude
   *
   * messageid:  040086
   * severity:   info
   */
  public static String logInfoMsgReferencesMigrated(String arg0, String arg1, long arg2)  {
    Object [] args = { arg0, arg1, new Long(arg2) };
    MessageLogger.log(
	"040086",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040086";
  }

  /**
   * JMSServer "{0}", cannot migrate old JMS messages and durable subscribers into a non-empty store:{1}.
   * @exclude
   *
   * messageid:  040087
   * severity:   info
   */
  public static String logErrorStoreNotEmpty(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040087",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040087";
  }

  /**
   * JMSServer "{0}", JMS Failed to find or instantiate weblogic.jms.server.upgrade.UpgradeHelperImpl in jar file:{1}. The actual exception is {2}.
   * @exclude
   *
   * messageid:  040088
   * severity:   error
   */
  public static String logErrorUpgradeHelperImpl(String arg0, String arg1, Exception arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040088",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040088";
  }

  /**
   * JMSServer "{0}", JMS messages in store ({1}) were migrated from version {2} to 600.
   * @exclude
   *
   * messageid:  040089
   * severity:   info
   */
  public static String logInfoMigrationOkay(String arg0, String arg1, int arg2)  {
    Object [] args = { arg0, arg1, new Integer(arg2) };
    MessageLogger.log(
	"040089",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040089";
  }

  /**
   * Deployed {0,choice,0#no default connection factories|1#1 default connection factory|2#{0} default connection factories}.
   * @exclude
   *
   * messageid:  040090
   * severity:   info
   */
  public static String logCntDefCFactory(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"040090",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040090";
  }

  /**
   * JMSServer "{0}", an error occurred while testing to see if the current operation was transactional, {1}. The current operation is aborted.
   * @exclude
   *
   * messageid:  040091
   * severity:   alert
   */
  public static String logSystemErrorGettingCurrentTransaction(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040091",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040091";
  }

  /**
   * JMSServer "{0}", an old store ({1}) of version {2} was detected, but has already been successfully migrated previously.
   * @exclude
   *
   * messageid:  040092
   * severity:   info
   */
  public static String logInfoDetectHasMigrated(String arg0, String arg1, int arg2)  {
    Object [] args = { arg0, arg1, new Integer(arg2) };
    MessageLogger.log(
	"040092",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040092";
  }

  /**
   * JMSServer "{0}", the reply destination ({2}) of messages was not found in the same JMS server during migrating a pre-6.0 store ({1}).
   * @exclude
   *
   * messageid:  040093
   * severity:   alert
   */
  public static String logAlertReplyToDestError(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040093",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040093";
  }

  /**
   * JMSServer "{0}", migration of a pre-6.0 JDBC store ({1}) failed with Exception:{2}.
   * @exclude
   *
   * messageid:  040094
   * severity:   error
   */
  public static String logErrorMigrationOtherFailure(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040094",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040094";
  }

  /**
   * JMSServer "{0}", store I/O failure, {1}.
   * @exclude
   *
   * messageid:  040095
   * severity:   alert
   */
  public static String logStoreError(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040095",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040095";
  }

  /**
   * JMSServer "{0}", JMS store file={1} path={2} had an unexpected length of {3} bytes. The file will be truncated to {4} bytes and the remaining bytes will be discarded.
   * @exclude
   *
   * messageid:  040096
   * severity:   alert
   */
  public static String logFileTruncationError(String arg0, String arg1, String arg2, long arg3, long arg4)  {
    Object [] args = { arg0, arg1, arg2, new Long(arg3), new Long(arg4) };
    MessageLogger.log(
	"040096",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040096";
  }

  /**
   * JMSServer "{0}", store ({1}) migration is done and the old tables can be removed (see drop_{0}_oldtables.ddl).
   * @exclude
   *
   * messageid:  040097
   * severity:   info
   */
  public static String logInfoCleanUpOldTables(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040097",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040097";
  }

  /**
   * JMSServer "{0}", partial migration of store ({1}) was found but the old tables were missing during re-try.
   * @exclude
   *
   * messageid:  040098
   * severity:   error
   */
  public static String logErrorMigrationIllegalState(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040098",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040098";
  }

  /**
   * JMSServer "{0}", the old tables were found in the database ({1}), but migration is skipped since it is disabled in the configuration.
   * @exclude
   *
   * messageid:  040099
   * severity:   alert
   */
  public static String logAlertMigrationEnabledIsOff(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040099",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040099";
  }

  /**
   * JMSServer "{0}", Topic: {2} in the old properties file is not configured in the new configuration (store {1}).
   * @exclude
   *
   * messageid:  040100
   * severity:   alert
   */
  public static String logInfoNotConfiguredTopic(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040100",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040100";
  }

  /**
   * JMSServer "{0}", Queue: {2} in the old properties file is not configured in the new configuration (store {1}).
   * @exclude
   *
   * messageid:  040101
   * severity:   alert
   */
  public static String logInfoNotConfiguredQueue(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040101",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040101";
  }

  /**
   * JMSServer "{0}", Topic: {2} in the old properties file is configured as a Queue in the new configuration (store {1}).
   * @exclude
   *
   * messageid:  040102
   * severity:   alert
   */
  public static String logInfoWrongTopic(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040102",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040102";
  }

  /**
   * JMSServer "{0}", Queue: {2} in the old properties file is configured as a Topic in the new configuration (store {1}).
   * @exclude
   *
   * messageid:  040103
   * severity:   alert
   */
  public static String logInfoWrongQueue(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040103",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040103";
  }

  /**
   * JMSServer "{0}", {3,choice,0#no durable subscribers|1#1 durable subscriber|2#{3} durable subscribers} for Topic: {2} in store {1} not migrated.
   * @exclude
   *
   * messageid:  040104
   * severity:   info
   */
  public static String logInfoNotMigratedDurableSubscribers(String arg0, String arg1, String arg2, int arg3)  {
    Object [] args = { arg0, arg1, arg2, new Integer(arg3) };
    MessageLogger.log(
	"040104",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040104";
  }

  /**
   * JMSServer "{0}", {3,choice,0#no messages|1#1 message|2#{3} messages} for topic: {2} in store {1} not migrated.
   * @exclude
   *
   * messageid:  040105
   * severity:   info
   */
  public static String logInfoNotMigratedMessageRefs(String arg0, String arg1, String arg2, int arg3)  {
    Object [] args = { arg0, arg1, arg2, new Integer(arg3) };
    MessageLogger.log(
	"040105",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040105";
  }

  /**
   * JMSServer "{0}", {3,choice,0#no persistent messages|1#1 persistent message|2#{3} persistent messages} for queue: {2} in store {1} not migrated.
   * @exclude
   *
   * messageid:  040106
   * severity:   info
   */
  public static String logInfoNotMigratedMessages(String arg0, String arg1, String arg2, int arg3)  {
    Object [] args = { arg0, arg1, arg2, new Integer(arg3) };
    MessageLogger.log(
	"040106",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040106";
  }

  /**
   * Undeployed {0,choice,0#no default connection factories|1#1 default connection factory|2#{0} default connection factories}.
   * @exclude
   *
   * messageid:  040107
   * severity:   info
   */
  public static String logCntDefCFactoryUndeployed(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"040107",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040107";
  }

  /**
   * User connection factory "{0}" is started.
   * @exclude
   *
   * messageid:  040108
   * severity:   info
   */
  public static String logCFactoryDeployed(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"040108",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040108";
  }

  /**
   * JMSServer "{0}" is started.
   * @exclude
   *
   * messageid:  040109
   * severity:   info
   */
  public static String logJMSServerDeployed(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"040109",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040109";
  }

  /**
   * JMSServer "{0}", store name {1}, directory {2}, a JMS store version field contained a version higher than expected. It is likely an older version of JMS attempted to read messages that were written using a newer version of JMS.
   * @exclude
   *
   * messageid:  040110
   * severity:   alert
   */
  public static String logAttemptToReadFutureFailure(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040110",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040110";
  }

  /**
   * JMSServer "{0}", store name {1}, directory {2}, corruption detected in file {3} at byte position {4}. The corresponding file block will be zeroed out on disk, and this corruption will no longer be reported in the future. {5}
   * @exclude
   *
   * messageid:  040111
   * severity:   alert
   */
  public static String logFileStoreCorruption(String arg0, String arg1, String arg2, String arg3, int arg4, Throwable arg5)  {
    Object [] args = { arg0, arg1, arg2, arg3, new Integer(arg4), arg5 };
    MessageLogger.log(
	"040111",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040111";
  }

  /**
   * JMSServer "{0}", store name {1}, store directory {2}, file not found {3}.
   * @exclude
   *
   * messageid:  040112
   * severity:   alert
   */
  public static String logStoreFileMissing(String arg0, String arg1, String arg2, String arg3)  {
    Object [] args = { arg0, arg1, arg2, arg3 };
    MessageLogger.log(
	"040112",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040112";
  }

  /**
   * JMSServer "{0}", Opening file store "{1}" in directory "{2}". Starting scan of {3,choice,0#0 files|1#1 file|2#{3} files} totalling {4} bytes.
   * @exclude
   *
   * messageid:  040113
   * severity:   info
   */
  public static String logStoreOpen(String arg0, String arg1, String arg2, int arg3, long arg4)  {
    Object [] args = { arg0, arg1, arg2, new Integer(arg3), new Long(arg4) };
    MessageLogger.log(
	"040113",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040113";
  }

  /**
   * JMSServer "{0}", Finished scan of file store "{1}" in directory "{2}". Found {3,choice,0#0 records|1#1 record|2#{3} records} totalling {4} bytes.
   * @exclude
   *
   * messageid:  040114
   * severity:   info
   */
  public static String logStoreScanComplete(String arg0, String arg1, String arg2, long arg3, long arg4)  {
    Object [] args = { arg0, arg1, arg2, new Long(arg3), new Long(arg4) };
    MessageLogger.log(
	"040114",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040114";
  }

  /**
   * JMSServer "{0}", Migrating JDBC store (connection pool "{1}") from version {2} to 600.
   * @exclude
   *
   * messageid:  040115
   * severity:   info
   */
  public static String logInfoStartMigration(String arg0, String arg1, int arg2)  {
    Object [] args = { arg0, arg1, new Integer(arg2) };
    MessageLogger.log(
	"040115",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040115";
  }

  /**
   * JMSServer "{0}", failed to delete existing DDL file ({1}).
   * @exclude
   *
   * messageid:  040116
   * severity:   error
   */
  public static String logErrorDeleteDDLFile(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040116",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040116";
  }

  /**
   * JMSServer "{0}", Opening JDBC store tables "{2}" and "{3}" using connection pool "{1}".
   * @exclude
   *
   * messageid:  040117
   * severity:   info
   */
  public static String logJDBCStoreOpen(String arg0, String arg1, String arg2, String arg3)  {
    Object [] args = { arg0, arg1, arg2, arg3 };
    MessageLogger.log(
	"040117",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040117";
  }

  /**
   * JMSServer "{0}", Finished scan of JDBC store. Found {1,choice,0#0 records|1#1 record|2#{1} records}.
   * @exclude
   *
   * messageid:  040118
   * severity:   info
   */
  public static String logJDBCStoreScanComplete(String arg0, long arg1)  {
    Object [] args = { arg0, new Long(arg1) };
    MessageLogger.log(
	"040118",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040118";
  }

  /**
   * Failed to deploy JMS connection factory "{0}" due to {1}.
   * @exclude
   *
   * messageid:  040119
   * severity:   error
   */
  public static String logErrorCreateCF(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040119",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040119";
  }

  /**
   * Failed to bind JMS connection factory "{0}" with its JNDI name due to {1}.
   * @exclude
   *
   * messageid:  040120
   * severity:   error
   */
  public static String logErrorBindCF(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040120",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040120";
  }

  /**
   * JMSServer "{0}", cannot be deployed on multiple servers.
   * @exclude
   *
   * messageid:  040121
   * severity:   error
   */
  public static String logErrorBEMultiDeployed(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"040121",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040121";
  }

  /**
   * Failed to deploy JMS Server "{0}" due to {1}.
   * @exclude
   *
   * messageid:  040122
   * severity:   error
   */
  public static String logErrorCreateBE(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040122",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040122";
  }

  /**
   * Failed to start JMS Server "{0}" due to {1}.
   * @exclude
   *
   * messageid:  040123
   * severity:   error
   */
  public static String logErrorStartBE(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040123",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040123";
  }

  /**
   * JMSServer "{0}", Failed to create JMS server session pool "{1}" due to {2}.
   * @exclude
   *
   * messageid:  040124
   * severity:   error
   */
  public static String logErrorCreateSSP(String arg0, String arg1, Exception arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040124",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040124";
  }

  /**
   * JMSServer "{0}", Failed to create JMS connection consumer "{1}" due to {2}.
   * @exclude
   *
   * messageid:  040125
   * severity:   error
   */
  public static String logErrorCreateCC(String arg0, String arg1, Exception arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040125",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040125";
  }

  /**
   * JMSServer "{0}", Failed to create JMS destination "{1}" due to {2}.
   * @exclude
   *
   * messageid:  040126
   * severity:   error
   */
  public static String logErrorCreateDestination(String arg0, String arg1, Exception arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"040126",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040126";
  }

  /**
   * Failed to create JMS multicast socket due to {0}.
   * @exclude
   *
   * messageid:  040127
   * severity:   error
   */
  public static String logErrorMulticastOpen(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"040127",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040127";
  }

  /**
   * JMSServer "{0}", Failed to create JMS server session pool due to {1}.
   * @exclude
   *
   * messageid:  040128
   * severity:   error
   */
  public static String logErrorCreateRuntimeSSP(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040128",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040128";
  }

  /**
   * JMSServer "{0}", Multiple threads are updating JMS consumer "{1}" info.
   * @exclude
   *
   * messageid:  040129
   * severity:   info
   */
  public static String logMultiConsumer(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"040129",
	args,
	"weblogic.i18n.JMSLogLocalizer");
    return "040129";
  }


}
