package weblogic.logging;

import java.text.MessageFormat;
import java.util.Locale;
import weblogic.i18n.Localizer;
import weblogic.i18ntools.L10nLookup;
 
/** 
 * Copyright (c) 2000 by BEA Inc. All Rights Reserved.
 */
public class LoggingTextFormatter {
  private Localizer l10n;
// constructors
  /**
   * @exclude
   */
  public LoggingTextFormatter() {
    l10n = L10nLookup.getLocalizer(Locale.getDefault(), "weblogic.logging.LoggingTextLocalizer");
  }
  /**
   * @exclude
   */
  public LoggingTextFormatter(Locale l) {
    l10n = L10nLookup.getLocalizer(l, "weblogic.logging.LoggingTextLocalizer");
  }

  /**
   * Emergency
   * @exclude
   */
  public String getTextEmergency()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("emergency") , args);
  }

  /**
   * Alert
   * @exclude
   */
  public String getTextAlert()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("alert") , args);
  }

  /**
   * Critical
   * @exclude
   */
  public String getTextCritical()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("critical") , args);
  }

  /**
   * Notice
   * @exclude
   */
  public String getTextNotice()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("notice") , args);
  }

  /**
   * Error
   * @exclude
   */
  public String getTextError()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("error") , args);
  }

  /**
   * Warning
   * @exclude
   */
  public String getTextWarning()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("warning") , args);
  }

  /**
   * Info
   * @exclude
   */
  public String getTextInfo()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("info") , args);
  }

  /**
   * Debug
   * @exclude
   */
  public String getTextDebug()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("debug") , args);
  }

  /**
   * This can be changed at Admin Console> {0}> Servers> {1}> Logging> Debugging> Stdout severity threshold
   * @exclude
   */
  public String consoleSeverityControlHint(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    return MessageFormat.format(l10n.get("consoleSeverityControlHint") , args);
  }

  /**
   * Only log messages of severity "{0}" or worse will be displayed in this window.
   * @exclude
   */
  public String someConsoleSeverity2Console(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("someConsoleSeverity2Console") , args);
  }

  /**
   * Only log messages of severity "{0}" or worse will be displayed in the shell console.
   * @exclude
   */
  public String someConsoleSeverity2Log(String arg0)  {
    Object [] args = { arg0 };
    return MessageFormat.format(l10n.get("someConsoleSeverity2Log") , args);
  }

  /**
   * Log messages of every severity will be displayed in this window.
   * @exclude
   */
  public String everyConsoleSeverity2Console()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("everyConsoleSeverity2Console") , args);
  }

  /**
   * Log messages of every severity will be displayed in the shell console.
   * @exclude
   */
  public String everyConsoleSeverity2Log()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("everyConsoleSeverity2Log") , args);
  }

  /**
   * No further log messages will be displayed in this window.
   * @exclude
   */
  public String noConsoleSeverity2Console()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("noConsoleSeverity2Console") , args);
  }

  /**
   * No further log messages will be displayed in the shell console.
   * @exclude
   */
  public String noConsoleSeverity2Log()  {
    Object [] args = {  };
    return MessageFormat.format(l10n.get("noConsoleSeverity2Log") , args);
  }


}
