package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class ApplicationMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.ApplicationMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.ApplicationMBean delegate;

    public ApplicationMBean_CachingStub(weblogic.management.configuration.ApplicationMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of Components
   */
  private boolean componentsIsCached = false;
  private weblogic.management.configuration.ComponentMBean[] components;
  /**
   * Getter for Components
   */
  public weblogic.management.configuration.ComponentMBean[] getComponents() 
    
  {
    if (!componentsIsCached) {
      components = delegate.getComponents(); 
      componentsIsCached = true;  
    }
    return components;
  }
  /**
   * Setter for Components
   */
  public void setComponents(weblogic.management.configuration.ComponentMBean[] value)
    
  {
    delegate.setComponents(value);
    components = value;
    componentsIsCached = true;
  }
  /*
   * Declaration of Deployed
   */
  private boolean deployedIsCached = false;
  private boolean deployed;
  /**
   * Getter for Deployed
   */
  public boolean isDeployed() 
    
  {
    if (!deployedIsCached) {
      deployed = delegate.isDeployed(); 
      deployedIsCached = true;  
    }
    return deployed;
  }
  /**
   * Setter for Deployed
   */
  public void setDeployed(boolean value)
    throws weblogic.management.DeploymentException, weblogic.management.UndeploymentException, weblogic.management.DistributedManagementException
  {
    delegate.setDeployed(value);
    deployed = value;
    deployedIsCached = true;
  }
  /*
   * Declaration of Ear
   */
  private boolean earIsCached = false;
  private boolean ear;
  /**
   * Getter for Ear
   */
  public boolean isEar() 
    
  {
    if (!earIsCached) {
      ear = delegate.isEar(); 
      earIsCached = true;  
    }
    return ear;
  }
  /*
   * Declaration of FullPath
   */
  private boolean fullPathIsCached = false;
  private java.lang.String fullPath;
  /**
   * Getter for FullPath
   */
  public java.lang.String getFullPath() 
    
  {
    if (!fullPathIsCached) {
      fullPath = delegate.getFullPath(); 
      fullPathIsCached = true;  
    }
    return fullPath;
  }
  /*
   * Declaration of LastModified
   */
  private boolean lastModifiedIsCached = false;
  private long lastModified;
  /**
   * Getter for LastModified
   */
  public long getLastModified() 
    
  {
    if (!lastModifiedIsCached) {
      lastModified = delegate.getLastModified(); 
      lastModifiedIsCached = true;  
    }
    return lastModified;
  }
  /**
   * Setter for LastModified
   */
  public void setLastModified(long value)
    
  {
    delegate.setLastModified(value);
    lastModified = value;
    lastModifiedIsCached = true;
  }
  /*
   * Declaration of LoadError
   */
  private boolean loadErrorIsCached = false;
  private java.lang.Exception loadError;
  /**
   * Getter for LoadError
   */
  public java.lang.Exception getLoadError() 
    
  {
    if (!loadErrorIsCached) {
      loadError = delegate.getLoadError(); 
      loadErrorIsCached = true;  
    }
    return loadError;
  }
  /**
   * Setter for LoadError
   */
  public void setLoadError(java.lang.Exception value)
    
  {
    delegate.setLoadError(value);
    loadError = value;
    loadErrorIsCached = true;
  }
  /*
   * Declaration of LoadedFromAppDir
   */
  private boolean loadedFromAppDirIsCached = false;
  private boolean loadedFromAppDir;
  /**
   * Getter for LoadedFromAppDir
   */
  public boolean isLoadedFromAppDir() 
    
  {
    if (!loadedFromAppDirIsCached) {
      loadedFromAppDir = delegate.isLoadedFromAppDir(); 
      loadedFromAppDirIsCached = true;  
    }
    return loadedFromAppDir;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of Modified
   */
  private boolean modifiedIsCached = false;
  private boolean modified;
  /**
   * Getter for Modified
   */
  public boolean isModified() 
    
  {
    if (!modifiedIsCached) {
      modified = delegate.isModified(); 
      modifiedIsCached = true;  
    }
    return modified;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of Path
   */
  private boolean pathIsCached = false;
  private java.lang.String path;
  /**
   * Getter for Path
   */
  public java.lang.String getPath() 
    
  {
    if (!pathIsCached) {
      path = delegate.getPath(); 
      pathIsCached = true;  
    }
    return path;
  }
  /**
   * Setter for Path
   */
  public void setPath(java.lang.String value)
    throws weblogic.management.ManagementException, javax.management.InvalidAttributeValueException
  {
    delegate.setPath(value);
    path = value;
    pathIsCached = true;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }

  
    /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation undeploy
   */
  public void undeploy(
    
  ) 
    throws weblogic.management.UndeploymentException, weblogic.management.DistributedManagementException
  {
        delegate.undeploy();

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation addComponent
   */
  public boolean addComponent(
    weblogic.management.configuration.ComponentMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.addComponent(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation deploy
   */
  public void deploy(
    
  ) 
    throws weblogic.management.DeploymentException, weblogic.management.DistributedManagementException
  {
        delegate.deploy();

  }
  /**
   * Operation load
   */
  public void load(
    boolean arg0
  ) 
    throws weblogic.management.ManagementException
  {
        delegate.load(arg0);

  }
  /**
   * Operation load
   */
  public void load(
    
  ) 
    throws weblogic.management.ManagementException
  {
        delegate.load();

  }
  /**
   * Operation removeComponent
   */
  public boolean removeComponent(
    weblogic.management.configuration.ComponentMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.removeComponent(arg0);

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }
  /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation getInputStream
   */
  public java.io.InputStream getInputStream(
    java.lang.String arg0
  ) 
    throws java.io.IOException, weblogic.management.DeploymentException
  {
        return delegate.getInputStream(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("Components")) {
    componentsIsCached = false;
  }
else   if (attributeName.equals("Deployed")) {
    deployedIsCached = false;
  }
else   if (attributeName.equals("Ear")) {
    earIsCached = false;
  }
else   if (attributeName.equals("FullPath")) {
    fullPathIsCached = false;
  }
else   if (attributeName.equals("LastModified")) {
    lastModifiedIsCached = false;
  }
else   if (attributeName.equals("LoadError")) {
    loadErrorIsCached = false;
  }
else   if (attributeName.equals("LoadedFromAppDir")) {
    loadedFromAppDirIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("Modified")) {
    modifiedIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("Path")) {
    pathIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.ApplicationMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
