package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class CachingRealmMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.CachingRealmMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.CachingRealmMBean delegate;

    public CachingRealmMBean_CachingStub(weblogic.management.configuration.CachingRealmMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of ACLCacheEnable
   */
  private boolean aclCacheEnableIsCached = false;
  private boolean aclCacheEnable;
  /**
   * Getter for ACLCacheEnable
   */
  public boolean getACLCacheEnable() 
    
  {
    if (!aclCacheEnableIsCached) {
      aclCacheEnable = delegate.getACLCacheEnable(); 
      aclCacheEnableIsCached = true;  
    }
    return aclCacheEnable;
  }
  /**
   * Setter for ACLCacheEnable
   */
  public void setACLCacheEnable(boolean value)
    
  {
    delegate.setACLCacheEnable(value);
    aclCacheEnable = value;
    aclCacheEnableIsCached = true;
  }
  /*
   * Declaration of ACLCacheSize
   */
  private boolean aclCacheSizeIsCached = false;
  private int aclCacheSize;
  /**
   * Getter for ACLCacheSize
   */
  public int getACLCacheSize() 
    
  {
    if (!aclCacheSizeIsCached) {
      aclCacheSize = delegate.getACLCacheSize(); 
      aclCacheSizeIsCached = true;  
    }
    return aclCacheSize;
  }
  /**
   * Setter for ACLCacheSize
   */
  public void setACLCacheSize(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setACLCacheSize(value);
    aclCacheSize = value;
    aclCacheSizeIsCached = true;
  }
  /*
   * Declaration of ACLCacheTTLNegative
   */
  private boolean aclCacheTTLNegativeIsCached = false;
  private int aclCacheTTLNegative;
  /**
   * Getter for ACLCacheTTLNegative
   */
  public int getACLCacheTTLNegative() 
    
  {
    if (!aclCacheTTLNegativeIsCached) {
      aclCacheTTLNegative = delegate.getACLCacheTTLNegative(); 
      aclCacheTTLNegativeIsCached = true;  
    }
    return aclCacheTTLNegative;
  }
  /**
   * Setter for ACLCacheTTLNegative
   */
  public void setACLCacheTTLNegative(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setACLCacheTTLNegative(value);
    aclCacheTTLNegative = value;
    aclCacheTTLNegativeIsCached = true;
  }
  /*
   * Declaration of ACLCacheTTLPositive
   */
  private boolean aclCacheTTLPositiveIsCached = false;
  private int aclCacheTTLPositive;
  /**
   * Getter for ACLCacheTTLPositive
   */
  public int getACLCacheTTLPositive() 
    
  {
    if (!aclCacheTTLPositiveIsCached) {
      aclCacheTTLPositive = delegate.getACLCacheTTLPositive(); 
      aclCacheTTLPositiveIsCached = true;  
    }
    return aclCacheTTLPositive;
  }
  /**
   * Setter for ACLCacheTTLPositive
   */
  public void setACLCacheTTLPositive(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setACLCacheTTLPositive(value);
    aclCacheTTLPositive = value;
    aclCacheTTLPositiveIsCached = true;
  }
  /*
   * Declaration of AuthenticationCacheEnable
   */
  private boolean authenticationCacheEnableIsCached = false;
  private boolean authenticationCacheEnable;
  /**
   * Getter for AuthenticationCacheEnable
   */
  public boolean getAuthenticationCacheEnable() 
    
  {
    if (!authenticationCacheEnableIsCached) {
      authenticationCacheEnable = delegate.getAuthenticationCacheEnable(); 
      authenticationCacheEnableIsCached = true;  
    }
    return authenticationCacheEnable;
  }
  /**
   * Setter for AuthenticationCacheEnable
   */
  public void setAuthenticationCacheEnable(boolean value)
    
  {
    delegate.setAuthenticationCacheEnable(value);
    authenticationCacheEnable = value;
    authenticationCacheEnableIsCached = true;
  }
  /*
   * Declaration of AuthenticationCacheSize
   */
  private boolean authenticationCacheSizeIsCached = false;
  private int authenticationCacheSize;
  /**
   * Getter for AuthenticationCacheSize
   */
  public int getAuthenticationCacheSize() 
    
  {
    if (!authenticationCacheSizeIsCached) {
      authenticationCacheSize = delegate.getAuthenticationCacheSize(); 
      authenticationCacheSizeIsCached = true;  
    }
    return authenticationCacheSize;
  }
  /**
   * Setter for AuthenticationCacheSize
   */
  public void setAuthenticationCacheSize(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setAuthenticationCacheSize(value);
    authenticationCacheSize = value;
    authenticationCacheSizeIsCached = true;
  }
  /*
   * Declaration of AuthenticationCacheTTLNegative
   */
  private boolean authenticationCacheTTLNegativeIsCached = false;
  private int authenticationCacheTTLNegative;
  /**
   * Getter for AuthenticationCacheTTLNegative
   */
  public int getAuthenticationCacheTTLNegative() 
    
  {
    if (!authenticationCacheTTLNegativeIsCached) {
      authenticationCacheTTLNegative = delegate.getAuthenticationCacheTTLNegative(); 
      authenticationCacheTTLNegativeIsCached = true;  
    }
    return authenticationCacheTTLNegative;
  }
  /**
   * Setter for AuthenticationCacheTTLNegative
   */
  public void setAuthenticationCacheTTLNegative(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setAuthenticationCacheTTLNegative(value);
    authenticationCacheTTLNegative = value;
    authenticationCacheTTLNegativeIsCached = true;
  }
  /*
   * Declaration of AuthenticationCacheTTLPositive
   */
  private boolean authenticationCacheTTLPositiveIsCached = false;
  private int authenticationCacheTTLPositive;
  /**
   * Getter for AuthenticationCacheTTLPositive
   */
  public int getAuthenticationCacheTTLPositive() 
    
  {
    if (!authenticationCacheTTLPositiveIsCached) {
      authenticationCacheTTLPositive = delegate.getAuthenticationCacheTTLPositive(); 
      authenticationCacheTTLPositiveIsCached = true;  
    }
    return authenticationCacheTTLPositive;
  }
  /**
   * Setter for AuthenticationCacheTTLPositive
   */
  public void setAuthenticationCacheTTLPositive(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setAuthenticationCacheTTLPositive(value);
    authenticationCacheTTLPositive = value;
    authenticationCacheTTLPositiveIsCached = true;
  }
  /*
   * Declaration of BasicRealm
   */
  private boolean basicRealmIsCached = false;
  private weblogic.management.configuration.BasicRealmMBean basicRealm;
  /**
   * Getter for BasicRealm
   */
  public weblogic.management.configuration.BasicRealmMBean getBasicRealm() 
    
  {
    if (!basicRealmIsCached) {
      basicRealm = delegate.getBasicRealm(); 
      basicRealmIsCached = true;  
    }
    return basicRealm;
  }
  /**
   * Setter for BasicRealm
   */
  public void setBasicRealm(weblogic.management.configuration.BasicRealmMBean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setBasicRealm(value);
    basicRealm = value;
    basicRealmIsCached = true;
  }
  /*
   * Declaration of CacheCaseSensitive
   */
  private boolean cacheCaseSensitiveIsCached = false;
  private boolean cacheCaseSensitive;
  /**
   * Getter for CacheCaseSensitive
   */
  public boolean getCacheCaseSensitive() 
    
  {
    if (!cacheCaseSensitiveIsCached) {
      cacheCaseSensitive = delegate.getCacheCaseSensitive(); 
      cacheCaseSensitiveIsCached = true;  
    }
    return cacheCaseSensitive;
  }
  /**
   * Setter for CacheCaseSensitive
   */
  public void setCacheCaseSensitive(boolean value)
    
  {
    delegate.setCacheCaseSensitive(value);
    cacheCaseSensitive = value;
    cacheCaseSensitiveIsCached = true;
  }
  /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of GroupCacheEnable
   */
  private boolean groupCacheEnableIsCached = false;
  private boolean groupCacheEnable;
  /**
   * Getter for GroupCacheEnable
   */
  public boolean getGroupCacheEnable() 
    
  {
    if (!groupCacheEnableIsCached) {
      groupCacheEnable = delegate.getGroupCacheEnable(); 
      groupCacheEnableIsCached = true;  
    }
    return groupCacheEnable;
  }
  /**
   * Setter for GroupCacheEnable
   */
  public void setGroupCacheEnable(boolean value)
    
  {
    delegate.setGroupCacheEnable(value);
    groupCacheEnable = value;
    groupCacheEnableIsCached = true;
  }
  /*
   * Declaration of GroupCacheSize
   */
  private boolean groupCacheSizeIsCached = false;
  private int groupCacheSize;
  /**
   * Getter for GroupCacheSize
   */
  public int getGroupCacheSize() 
    
  {
    if (!groupCacheSizeIsCached) {
      groupCacheSize = delegate.getGroupCacheSize(); 
      groupCacheSizeIsCached = true;  
    }
    return groupCacheSize;
  }
  /**
   * Setter for GroupCacheSize
   */
  public void setGroupCacheSize(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setGroupCacheSize(value);
    groupCacheSize = value;
    groupCacheSizeIsCached = true;
  }
  /*
   * Declaration of GroupCacheTTLNegative
   */
  private boolean groupCacheTTLNegativeIsCached = false;
  private int groupCacheTTLNegative;
  /**
   * Getter for GroupCacheTTLNegative
   */
  public int getGroupCacheTTLNegative() 
    
  {
    if (!groupCacheTTLNegativeIsCached) {
      groupCacheTTLNegative = delegate.getGroupCacheTTLNegative(); 
      groupCacheTTLNegativeIsCached = true;  
    }
    return groupCacheTTLNegative;
  }
  /**
   * Setter for GroupCacheTTLNegative
   */
  public void setGroupCacheTTLNegative(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setGroupCacheTTLNegative(value);
    groupCacheTTLNegative = value;
    groupCacheTTLNegativeIsCached = true;
  }
  /*
   * Declaration of GroupCacheTTLPositive
   */
  private boolean groupCacheTTLPositiveIsCached = false;
  private int groupCacheTTLPositive;
  /**
   * Getter for GroupCacheTTLPositive
   */
  public int getGroupCacheTTLPositive() 
    
  {
    if (!groupCacheTTLPositiveIsCached) {
      groupCacheTTLPositive = delegate.getGroupCacheTTLPositive(); 
      groupCacheTTLPositiveIsCached = true;  
    }
    return groupCacheTTLPositive;
  }
  /**
   * Setter for GroupCacheTTLPositive
   */
  public void setGroupCacheTTLPositive(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setGroupCacheTTLPositive(value);
    groupCacheTTLPositive = value;
    groupCacheTTLPositiveIsCached = true;
  }
  /*
   * Declaration of GroupMembershipCacheTTL
   */
  private boolean groupMembershipCacheTTLIsCached = false;
  private int groupMembershipCacheTTL;
  /**
   * Getter for GroupMembershipCacheTTL
   */
  public int getGroupMembershipCacheTTL() 
    
  {
    if (!groupMembershipCacheTTLIsCached) {
      groupMembershipCacheTTL = delegate.getGroupMembershipCacheTTL(); 
      groupMembershipCacheTTLIsCached = true;  
    }
    return groupMembershipCacheTTL;
  }
  /**
   * Setter for GroupMembershipCacheTTL
   */
  public void setGroupMembershipCacheTTL(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setGroupMembershipCacheTTL(value);
    groupMembershipCacheTTL = value;
    groupMembershipCacheTTLIsCached = true;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of PermissionCacheEnable
   */
  private boolean permissionCacheEnableIsCached = false;
  private boolean permissionCacheEnable;
  /**
   * Getter for PermissionCacheEnable
   */
  public boolean getPermissionCacheEnable() 
    
  {
    if (!permissionCacheEnableIsCached) {
      permissionCacheEnable = delegate.getPermissionCacheEnable(); 
      permissionCacheEnableIsCached = true;  
    }
    return permissionCacheEnable;
  }
  /**
   * Setter for PermissionCacheEnable
   */
  public void setPermissionCacheEnable(boolean value)
    
  {
    delegate.setPermissionCacheEnable(value);
    permissionCacheEnable = value;
    permissionCacheEnableIsCached = true;
  }
  /*
   * Declaration of PermissionCacheSize
   */
  private boolean permissionCacheSizeIsCached = false;
  private int permissionCacheSize;
  /**
   * Getter for PermissionCacheSize
   */
  public int getPermissionCacheSize() 
    
  {
    if (!permissionCacheSizeIsCached) {
      permissionCacheSize = delegate.getPermissionCacheSize(); 
      permissionCacheSizeIsCached = true;  
    }
    return permissionCacheSize;
  }
  /**
   * Setter for PermissionCacheSize
   */
  public void setPermissionCacheSize(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setPermissionCacheSize(value);
    permissionCacheSize = value;
    permissionCacheSizeIsCached = true;
  }
  /*
   * Declaration of PermissionCacheTTLNegative
   */
  private boolean permissionCacheTTLNegativeIsCached = false;
  private int permissionCacheTTLNegative;
  /**
   * Getter for PermissionCacheTTLNegative
   */
  public int getPermissionCacheTTLNegative() 
    
  {
    if (!permissionCacheTTLNegativeIsCached) {
      permissionCacheTTLNegative = delegate.getPermissionCacheTTLNegative(); 
      permissionCacheTTLNegativeIsCached = true;  
    }
    return permissionCacheTTLNegative;
  }
  /**
   * Setter for PermissionCacheTTLNegative
   */
  public void setPermissionCacheTTLNegative(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setPermissionCacheTTLNegative(value);
    permissionCacheTTLNegative = value;
    permissionCacheTTLNegativeIsCached = true;
  }
  /*
   * Declaration of PermissionCacheTTLPositive
   */
  private boolean permissionCacheTTLPositiveIsCached = false;
  private int permissionCacheTTLPositive;
  /**
   * Getter for PermissionCacheTTLPositive
   */
  public int getPermissionCacheTTLPositive() 
    
  {
    if (!permissionCacheTTLPositiveIsCached) {
      permissionCacheTTLPositive = delegate.getPermissionCacheTTLPositive(); 
      permissionCacheTTLPositiveIsCached = true;  
    }
    return permissionCacheTTLPositive;
  }
  /**
   * Setter for PermissionCacheTTLPositive
   */
  public void setPermissionCacheTTLPositive(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setPermissionCacheTTLPositive(value);
    permissionCacheTTLPositive = value;
    permissionCacheTTLPositiveIsCached = true;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }
  /*
   * Declaration of UserCacheEnable
   */
  private boolean userCacheEnableIsCached = false;
  private boolean userCacheEnable;
  /**
   * Getter for UserCacheEnable
   */
  public boolean getUserCacheEnable() 
    
  {
    if (!userCacheEnableIsCached) {
      userCacheEnable = delegate.getUserCacheEnable(); 
      userCacheEnableIsCached = true;  
    }
    return userCacheEnable;
  }
  /**
   * Setter for UserCacheEnable
   */
  public void setUserCacheEnable(boolean value)
    
  {
    delegate.setUserCacheEnable(value);
    userCacheEnable = value;
    userCacheEnableIsCached = true;
  }
  /*
   * Declaration of UserCacheSize
   */
  private boolean userCacheSizeIsCached = false;
  private int userCacheSize;
  /**
   * Getter for UserCacheSize
   */
  public int getUserCacheSize() 
    
  {
    if (!userCacheSizeIsCached) {
      userCacheSize = delegate.getUserCacheSize(); 
      userCacheSizeIsCached = true;  
    }
    return userCacheSize;
  }
  /**
   * Setter for UserCacheSize
   */
  public void setUserCacheSize(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setUserCacheSize(value);
    userCacheSize = value;
    userCacheSizeIsCached = true;
  }
  /*
   * Declaration of UserCacheTTLNegative
   */
  private boolean userCacheTTLNegativeIsCached = false;
  private int userCacheTTLNegative;
  /**
   * Getter for UserCacheTTLNegative
   */
  public int getUserCacheTTLNegative() 
    
  {
    if (!userCacheTTLNegativeIsCached) {
      userCacheTTLNegative = delegate.getUserCacheTTLNegative(); 
      userCacheTTLNegativeIsCached = true;  
    }
    return userCacheTTLNegative;
  }
  /**
   * Setter for UserCacheTTLNegative
   */
  public void setUserCacheTTLNegative(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setUserCacheTTLNegative(value);
    userCacheTTLNegative = value;
    userCacheTTLNegativeIsCached = true;
  }
  /*
   * Declaration of UserCacheTTLPositive
   */
  private boolean userCacheTTLPositiveIsCached = false;
  private int userCacheTTLPositive;
  /**
   * Getter for UserCacheTTLPositive
   */
  public int getUserCacheTTLPositive() 
    
  {
    if (!userCacheTTLPositiveIsCached) {
      userCacheTTLPositive = delegate.getUserCacheTTLPositive(); 
      userCacheTTLPositiveIsCached = true;  
    }
    return userCacheTTLPositive;
  }
  /**
   * Setter for UserCacheTTLPositive
   */
  public void setUserCacheTTLPositive(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setUserCacheTTLPositive(value);
    userCacheTTLPositive = value;
    userCacheTTLPositiveIsCached = true;
  }

  
    /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }
  /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("ACLCacheEnable")) {
    aclCacheEnableIsCached = false;
  }
else   if (attributeName.equals("ACLCacheSize")) {
    aclCacheSizeIsCached = false;
  }
else   if (attributeName.equals("ACLCacheTTLNegative")) {
    aclCacheTTLNegativeIsCached = false;
  }
else   if (attributeName.equals("ACLCacheTTLPositive")) {
    aclCacheTTLPositiveIsCached = false;
  }
else   if (attributeName.equals("AuthenticationCacheEnable")) {
    authenticationCacheEnableIsCached = false;
  }
else   if (attributeName.equals("AuthenticationCacheSize")) {
    authenticationCacheSizeIsCached = false;
  }
else   if (attributeName.equals("AuthenticationCacheTTLNegative")) {
    authenticationCacheTTLNegativeIsCached = false;
  }
else   if (attributeName.equals("AuthenticationCacheTTLPositive")) {
    authenticationCacheTTLPositiveIsCached = false;
  }
else   if (attributeName.equals("BasicRealm")) {
    basicRealmIsCached = false;
  }
else   if (attributeName.equals("CacheCaseSensitive")) {
    cacheCaseSensitiveIsCached = false;
  }
else   if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("GroupCacheEnable")) {
    groupCacheEnableIsCached = false;
  }
else   if (attributeName.equals("GroupCacheSize")) {
    groupCacheSizeIsCached = false;
  }
else   if (attributeName.equals("GroupCacheTTLNegative")) {
    groupCacheTTLNegativeIsCached = false;
  }
else   if (attributeName.equals("GroupCacheTTLPositive")) {
    groupCacheTTLPositiveIsCached = false;
  }
else   if (attributeName.equals("GroupMembershipCacheTTL")) {
    groupMembershipCacheTTLIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("PermissionCacheEnable")) {
    permissionCacheEnableIsCached = false;
  }
else   if (attributeName.equals("PermissionCacheSize")) {
    permissionCacheSizeIsCached = false;
  }
else   if (attributeName.equals("PermissionCacheTTLNegative")) {
    permissionCacheTTLNegativeIsCached = false;
  }
else   if (attributeName.equals("PermissionCacheTTLPositive")) {
    permissionCacheTTLPositiveIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }
else   if (attributeName.equals("UserCacheEnable")) {
    userCacheEnableIsCached = false;
  }
else   if (attributeName.equals("UserCacheSize")) {
    userCacheSizeIsCached = false;
  }
else   if (attributeName.equals("UserCacheTTLNegative")) {
    userCacheTTLNegativeIsCached = false;
  }
else   if (attributeName.equals("UserCacheTTLPositive")) {
    userCacheTTLPositiveIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.CachingRealmMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
