package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class DomainMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.DomainMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.DomainMBean delegate;

    public DomainMBean_CachingStub(weblogic.management.configuration.DomainMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of Active
   */
  private boolean activeIsCached = false;
  private boolean active;
  /**
   * Getter for Active
   */
  public boolean isActive() 
    
  {
    if (!activeIsCached) {
      active = delegate.isActive(); 
      activeIsCached = true;  
    }
    return active;
  }
  /*
   * Declaration of ApplicationManager
   */
  private boolean applicationManagerIsCached = false;
  private weblogic.management.configuration.ApplicationManagerMBean applicationManager;
  /**
   * Getter for ApplicationManager
   */
  public weblogic.management.configuration.ApplicationManagerMBean getApplicationManager() 
    
  {
    if (!applicationManagerIsCached) {
      applicationManager = delegate.getApplicationManager(); 
      applicationManagerIsCached = true;  
    }
    return applicationManager;
  }
  /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of Deployments
   */
  private boolean deploymentsIsCached = false;
  private weblogic.management.configuration.DeploymentMBean[] deployments;
  /**
   * Getter for Deployments
   */
  public weblogic.management.configuration.DeploymentMBean[] getDeployments() 
    
  {
    if (!deploymentsIsCached) {
      deployments = delegate.getDeployments(); 
      deploymentsIsCached = true;  
    }
    return deployments;
  }
  /**
   * Setter for Deployments
   */
  public void setDeployments(weblogic.management.configuration.DeploymentMBean[] value)
    
  {
    delegate.setDeployments(value);
    deployments = value;
    deploymentsIsCached = true;
  }
  /*
   * Declaration of JTA
   */
  private boolean jtaIsCached = false;
  private weblogic.management.configuration.JTAMBean jta;
  /**
   * Getter for JTA
   */
  public weblogic.management.configuration.JTAMBean getJTA() 
    
  {
    if (!jtaIsCached) {
      jta = delegate.getJTA(); 
      jtaIsCached = true;  
    }
    return jta;
  }
  /*
   * Declaration of LastModificationTime
   */
  private boolean lastModificationTimeIsCached = false;
  private long lastModificationTime;
  /**
   * Getter for LastModificationTime
   */
  public long getLastModificationTime() 
    
  {
    if (!lastModificationTimeIsCached) {
      lastModificationTime = delegate.getLastModificationTime(); 
      lastModificationTimeIsCached = true;  
    }
    return lastModificationTime;
  }
  /*
   * Declaration of Log
   */
  private boolean logIsCached = false;
  private weblogic.management.configuration.LogMBean log;
  /**
   * Getter for Log
   */
  public weblogic.management.configuration.LogMBean getLog() 
    
  {
    if (!logIsCached) {
      log = delegate.getLog(); 
      logIsCached = true;  
    }
    return log;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of Repository
   */
  private boolean repositoryIsCached = false;
  private weblogic.management.configuration.RepositoryMBean repository;
  /**
   * Getter for Repository
   */
  public weblogic.management.configuration.RepositoryMBean getRepository() 
    
  {
    if (!repositoryIsCached) {
      repository = delegate.getRepository(); 
      repositoryIsCached = true;  
    }
    return repository;
  }
  /**
   * Setter for Repository
   */
  public void setRepository(weblogic.management.configuration.RepositoryMBean value)
    
  {
    delegate.setRepository(value);
    repository = value;
    repositoryIsCached = true;
  }
  /*
   * Declaration of RootDirectory
   */
  private boolean rootDirectoryIsCached = false;
  private java.lang.String rootDirectory;
  /**
   * Getter for RootDirectory
   */
  public java.lang.String getRootDirectory() 
    
  {
    if (!rootDirectoryIsCached) {
      rootDirectory = delegate.getRootDirectory(); 
      rootDirectoryIsCached = true;  
    }
    return rootDirectory;
  }
  /*
   * Declaration of Security
   */
  private boolean securityIsCached = false;
  private weblogic.management.configuration.SecurityMBean security;
  /**
   * Getter for Security
   */
  public weblogic.management.configuration.SecurityMBean getSecurity() 
    
  {
    if (!securityIsCached) {
      security = delegate.getSecurity(); 
      securityIsCached = true;  
    }
    return security;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }

  
    /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation removeDeployment
   */
  public boolean removeDeployment(
    weblogic.management.configuration.DeploymentMBean arg0
  ) 
    
  {
        return delegate.removeDeployment(arg0);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }
  /**
   * Operation discoverManagedServers
   */
  public void discoverManagedServers(
    
  ) 
    
  {
        delegate.discoverManagedServers();

  }
  /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation addDeployment
   */
  public boolean addDeployment(
    weblogic.management.configuration.DeploymentMBean arg0
  ) 
    
  {
        return delegate.addDeployment(arg0);

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("Active")) {
    activeIsCached = false;
  }
else   if (attributeName.equals("ApplicationManager")) {
    applicationManagerIsCached = false;
  }
else   if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("Deployments")) {
    deploymentsIsCached = false;
  }
else   if (attributeName.equals("JTA")) {
    jtaIsCached = false;
  }
else   if (attributeName.equals("LastModificationTime")) {
    lastModificationTimeIsCached = false;
  }
else   if (attributeName.equals("Log")) {
    logIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("Repository")) {
    repositoryIsCached = false;
  }
else   if (attributeName.equals("RootDirectory")) {
    rootDirectoryIsCached = false;
  }
else   if (attributeName.equals("Security")) {
    securityIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.DomainMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
