package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class EJBComponentMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.EJBComponentMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.EJBComponentMBean delegate;

    public EJBComponentMBean_CachingStub(weblogic.management.configuration.EJBComponentMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of Application
   */
  private boolean applicationIsCached = false;
  private weblogic.management.configuration.ApplicationMBean application;
  /**
   * Getter for Application
   */
  public weblogic.management.configuration.ApplicationMBean getApplication() 
    
  {
    if (!applicationIsCached) {
      application = delegate.getApplication(); 
      applicationIsCached = true;  
    }
    return application;
  }
  /**
   * Setter for Application
   */
  public void setApplication(weblogic.management.configuration.ApplicationMBean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setApplication(value);
    application = value;
    applicationIsCached = true;
  }
  /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of EJBDescriptors
   */
  private boolean ejbDescriptorsIsCached = false;
  private weblogic.management.configuration.application.EJBDescriptorMBean[] ejbDescriptors;
  /**
   * Getter for EJBDescriptors
   */
  public weblogic.management.configuration.application.EJBDescriptorMBean[] getEJBDescriptors() 
    
  {
    if (!ejbDescriptorsIsCached) {
      ejbDescriptors = delegate.getEJBDescriptors(); 
      ejbDescriptorsIsCached = true;  
    }
    return ejbDescriptors;
  }
  /**
   * Setter for EJBDescriptors
   */
  public void setEJBDescriptors(weblogic.management.configuration.application.EJBDescriptorMBean[] value)
    
  {
    delegate.setEJBDescriptors(value);
    ejbDescriptors = value;
    ejbDescriptorsIsCached = true;
  }
  /*
   * Declaration of ExtraRmicOptions
   */
  private boolean extraRmicOptionsIsCached = false;
  private java.lang.String extraRmicOptions;
  /**
   * Getter for ExtraRmicOptions
   */
  public java.lang.String getExtraRmicOptions() 
    
  {
    if (!extraRmicOptionsIsCached) {
      extraRmicOptions = delegate.getExtraRmicOptions(); 
      extraRmicOptionsIsCached = true;  
    }
    return extraRmicOptions;
  }
  /**
   * Setter for ExtraRmicOptions
   */
  public void setExtraRmicOptions(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setExtraRmicOptions(value);
    extraRmicOptions = value;
    extraRmicOptionsIsCached = true;
  }
  /*
   * Declaration of JavaCompiler
   */
  private boolean javaCompilerIsCached = false;
  private java.lang.String javaCompiler;
  /**
   * Getter for JavaCompiler
   */
  public java.lang.String getJavaCompiler() 
    
  {
    if (!javaCompilerIsCached) {
      javaCompiler = delegate.getJavaCompiler(); 
      javaCompilerIsCached = true;  
    }
    return javaCompiler;
  }
  /**
   * Setter for JavaCompiler
   */
  public void setJavaCompiler(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setJavaCompiler(value);
    javaCompiler = value;
    javaCompilerIsCached = true;
  }
  /*
   * Declaration of JavaCompilerPostClassPath
   */
  private boolean javaCompilerPostClassPathIsCached = false;
  private java.lang.String javaCompilerPostClassPath;
  /**
   * Getter for JavaCompilerPostClassPath
   */
  public java.lang.String getJavaCompilerPostClassPath() 
    
  {
    if (!javaCompilerPostClassPathIsCached) {
      javaCompilerPostClassPath = delegate.getJavaCompilerPostClassPath(); 
      javaCompilerPostClassPathIsCached = true;  
    }
    return javaCompilerPostClassPath;
  }
  /**
   * Setter for JavaCompilerPostClassPath
   */
  public void setJavaCompilerPostClassPath(java.lang.String value)
    
  {
    delegate.setJavaCompilerPostClassPath(value);
    javaCompilerPostClassPath = value;
    javaCompilerPostClassPathIsCached = true;
  }
  /*
   * Declaration of JavaCompilerPreClassPath
   */
  private boolean javaCompilerPreClassPathIsCached = false;
  private java.lang.String javaCompilerPreClassPath;
  /**
   * Getter for JavaCompilerPreClassPath
   */
  public java.lang.String getJavaCompilerPreClassPath() 
    
  {
    if (!javaCompilerPreClassPathIsCached) {
      javaCompilerPreClassPath = delegate.getJavaCompilerPreClassPath(); 
      javaCompilerPreClassPathIsCached = true;  
    }
    return javaCompilerPreClassPath;
  }
  /**
   * Setter for JavaCompilerPreClassPath
   */
  public void setJavaCompilerPreClassPath(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setJavaCompilerPreClassPath(value);
    javaCompilerPreClassPath = value;
    javaCompilerPreClassPathIsCached = true;
  }
  /*
   * Declaration of KeepGenerated
   */
  private boolean keepGeneratedIsCached = false;
  private boolean keepGenerated;
  /**
   * Getter for KeepGenerated
   */
  public boolean getKeepGenerated() 
    
  {
    if (!keepGeneratedIsCached) {
      keepGenerated = delegate.getKeepGenerated(); 
      keepGeneratedIsCached = true;  
    }
    return keepGenerated;
  }
  /**
   * Setter for KeepGenerated
   */
  public void setKeepGenerated(boolean value)
    
  {
    delegate.setKeepGenerated(value);
    keepGenerated = value;
    keepGeneratedIsCached = true;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of Targets
   */
  private boolean targetsIsCached = false;
  private weblogic.management.configuration.TargetMBean[] targets;
  /**
   * Getter for Targets
   */
  public weblogic.management.configuration.TargetMBean[] getTargets() 
    
  {
    if (!targetsIsCached) {
      targets = delegate.getTargets(); 
      targetsIsCached = true;  
    }
    return targets;
  }
  /**
   * Setter for Targets
   */
  public void setTargets(weblogic.management.configuration.TargetMBean[] value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setTargets(value);
    targets = value;
    targetsIsCached = true;
  }
  /*
   * Declaration of TmpPath
   */
  private boolean tmpPathIsCached = false;
  private java.lang.String tmpPath;
  /**
   * Getter for TmpPath
   */
  public java.lang.String getTmpPath() 
    
  {
    if (!tmpPathIsCached) {
      tmpPath = delegate.getTmpPath(); 
      tmpPathIsCached = true;  
    }
    return tmpPath;
  }
  /**
   * Setter for TmpPath
   */
  public void setTmpPath(java.lang.String value)
    
  {
    delegate.setTmpPath(value);
    tmpPath = value;
    tmpPathIsCached = true;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }
  /*
   * Declaration of URI
   */
  private boolean uriIsCached = false;
  private java.lang.String uri;
  /**
   * Getter for URI
   */
  public java.lang.String getURI() 
    
  {
    if (!uriIsCached) {
      uri = delegate.getURI(); 
      uriIsCached = true;  
    }
    return uri;
  }
  /**
   * Setter for URI
   */
  public void setURI(java.lang.String value)
    
  {
    delegate.setURI(value);
    uri = value;
    uriIsCached = true;
  }

  
    /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation removeTarget
   */
  public boolean removeTarget(
    weblogic.management.configuration.TargetMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.removeTarget(arg0);

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation getEJBComponentRuntime
   */
  public weblogic.management.runtime.EJBComponentRuntimeMBean getEJBComponentRuntime(
    weblogic.management.configuration.ServerMBean arg0
  ) 
    
  {
        return delegate.getEJBComponentRuntime(arg0);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }
  /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation addTarget
   */
  public boolean addTarget(
    weblogic.management.configuration.TargetMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.addTarget(arg0);

  }
  /**
   * Operation setEJBComponentRuntime
   */
  public void setEJBComponentRuntime(
    weblogic.management.configuration.ServerMBean arg0, weblogic.management.runtime.EJBComponentRuntimeMBean arg1
  ) 
    
  {
        delegate.setEJBComponentRuntime(arg0, arg1);

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("Application")) {
    applicationIsCached = false;
  }
else   if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("EJBDescriptors")) {
    ejbDescriptorsIsCached = false;
  }
else   if (attributeName.equals("ExtraRmicOptions")) {
    extraRmicOptionsIsCached = false;
  }
else   if (attributeName.equals("JavaCompiler")) {
    javaCompilerIsCached = false;
  }
else   if (attributeName.equals("JavaCompilerPostClassPath")) {
    javaCompilerPostClassPathIsCached = false;
  }
else   if (attributeName.equals("JavaCompilerPreClassPath")) {
    javaCompilerPreClassPathIsCached = false;
  }
else   if (attributeName.equals("KeepGenerated")) {
    keepGeneratedIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("Targets")) {
    targetsIsCached = false;
  }
else   if (attributeName.equals("TmpPath")) {
    tmpPathIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }
else   if (attributeName.equals("URI")) {
    uriIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.EJBComponentMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
