package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class JDBCConnectionPoolMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.JDBCConnectionPoolMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.JDBCConnectionPoolMBean delegate;

    public JDBCConnectionPoolMBean_CachingStub(weblogic.management.configuration.JDBCConnectionPoolMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of ACLName
   */
  private boolean aclNameIsCached = false;
  private java.lang.String aclName;
  /**
   * Getter for ACLName
   */
  public java.lang.String getACLName() 
    
  {
    if (!aclNameIsCached) {
      aclName = delegate.getACLName(); 
      aclNameIsCached = true;  
    }
    return aclName;
  }
  /**
   * Setter for ACLName
   */
  public void setACLName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setACLName(value);
    aclName = value;
    aclNameIsCached = true;
  }
  /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of CapacityIncrement
   */
  private boolean capacityIncrementIsCached = false;
  private int capacityIncrement;
  /**
   * Getter for CapacityIncrement
   */
  public int getCapacityIncrement() 
    
  {
    if (!capacityIncrementIsCached) {
      capacityIncrement = delegate.getCapacityIncrement(); 
      capacityIncrementIsCached = true;  
    }
    return capacityIncrement;
  }
  /**
   * Setter for CapacityIncrement
   */
  public void setCapacityIncrement(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setCapacityIncrement(value);
    capacityIncrement = value;
    capacityIncrementIsCached = true;
  }
  /*
   * Declaration of DriverName
   */
  private boolean driverNameIsCached = false;
  private java.lang.String driverName;
  /**
   * Getter for DriverName
   */
  public java.lang.String getDriverName() 
    
  {
    if (!driverNameIsCached) {
      driverName = delegate.getDriverName(); 
      driverNameIsCached = true;  
    }
    return driverName;
  }
  /**
   * Setter for DriverName
   */
  public void setDriverName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setDriverName(value);
    driverName = value;
    driverNameIsCached = true;
  }
  /*
   * Declaration of InitialCapacity
   */
  private boolean initialCapacityIsCached = false;
  private int initialCapacity;
  /**
   * Getter for InitialCapacity
   */
  public int getInitialCapacity() 
    
  {
    if (!initialCapacityIsCached) {
      initialCapacity = delegate.getInitialCapacity(); 
      initialCapacityIsCached = true;  
    }
    return initialCapacity;
  }
  /**
   * Setter for InitialCapacity
   */
  public void setInitialCapacity(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setInitialCapacity(value);
    initialCapacity = value;
    initialCapacityIsCached = true;
  }
  /*
   * Declaration of JDBCConnectionPoolRuntime
   */
  private boolean jdbcConnectionPoolRuntimeIsCached = false;
  private weblogic.management.runtime.JDBCConnectionPoolRuntimeMBean jdbcConnectionPoolRuntime;
  /**
   * Getter for JDBCConnectionPoolRuntime
   */
  public weblogic.management.runtime.JDBCConnectionPoolRuntimeMBean getJDBCConnectionPoolRuntime() 
    
  {
    if (!jdbcConnectionPoolRuntimeIsCached) {
      jdbcConnectionPoolRuntime = delegate.getJDBCConnectionPoolRuntime(); 
      jdbcConnectionPoolRuntimeIsCached = true;  
    }
    return jdbcConnectionPoolRuntime;
  }
  /**
   * Setter for JDBCConnectionPoolRuntime
   */
  public void setJDBCConnectionPoolRuntime(weblogic.management.runtime.JDBCConnectionPoolRuntimeMBean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setJDBCConnectionPoolRuntime(value);
    jdbcConnectionPoolRuntime = value;
    jdbcConnectionPoolRuntimeIsCached = true;
  }
  /*
   * Declaration of JDBCXADebugLevel
   */
  private boolean jdbcxaDebugLevelIsCached = false;
  private int jdbcxaDebugLevel;
  /**
   * Getter for JDBCXADebugLevel
   */
  public int getJDBCXADebugLevel() 
    
  {
    if (!jdbcxaDebugLevelIsCached) {
      jdbcxaDebugLevel = delegate.getJDBCXADebugLevel(); 
      jdbcxaDebugLevelIsCached = true;  
    }
    return jdbcxaDebugLevel;
  }
  /**
   * Setter for JDBCXADebugLevel
   */
  public void setJDBCXADebugLevel(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setJDBCXADebugLevel(value);
    jdbcxaDebugLevel = value;
    jdbcxaDebugLevelIsCached = true;
  }
  /*
   * Declaration of LoginDelaySeconds
   */
  private boolean loginDelaySecondsIsCached = false;
  private int loginDelaySeconds;
  /**
   * Getter for LoginDelaySeconds
   */
  public int getLoginDelaySeconds() 
    
  {
    if (!loginDelaySecondsIsCached) {
      loginDelaySeconds = delegate.getLoginDelaySeconds(); 
      loginDelaySecondsIsCached = true;  
    }
    return loginDelaySeconds;
  }
  /**
   * Setter for LoginDelaySeconds
   */
  public void setLoginDelaySeconds(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setLoginDelaySeconds(value);
    loginDelaySeconds = value;
    loginDelaySecondsIsCached = true;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of MaxCapacity
   */
  private boolean maxCapacityIsCached = false;
  private int maxCapacity;
  /**
   * Getter for MaxCapacity
   */
  public int getMaxCapacity() 
    
  {
    if (!maxCapacityIsCached) {
      maxCapacity = delegate.getMaxCapacity(); 
      maxCapacityIsCached = true;  
    }
    return maxCapacity;
  }
  /**
   * Setter for MaxCapacity
   */
  public void setMaxCapacity(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setMaxCapacity(value);
    maxCapacity = value;
    maxCapacityIsCached = true;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of Properties
   */
  private boolean propertiesIsCached = false;
  private java.util.Properties properties;
  /**
   * Getter for Properties
   */
  public java.util.Properties getProperties() 
    
  {
    if (!propertiesIsCached) {
      properties = delegate.getProperties(); 
      propertiesIsCached = true;  
    }
    return properties;
  }
  /**
   * Setter for Properties
   */
  public void setProperties(java.util.Properties value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setProperties(value);
    properties = value;
    propertiesIsCached = true;
  }
  /*
   * Declaration of RefreshMinutes
   */
  private boolean refreshMinutesIsCached = false;
  private int refreshMinutes;
  /**
   * Getter for RefreshMinutes
   */
  public int getRefreshMinutes() 
    
  {
    if (!refreshMinutesIsCached) {
      refreshMinutes = delegate.getRefreshMinutes(); 
      refreshMinutesIsCached = true;  
    }
    return refreshMinutes;
  }
  /**
   * Setter for RefreshMinutes
   */
  public void setRefreshMinutes(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setRefreshMinutes(value);
    refreshMinutes = value;
    refreshMinutesIsCached = true;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of ShrinkPeriodMinutes
   */
  private boolean shrinkPeriodMinutesIsCached = false;
  private int shrinkPeriodMinutes;
  /**
   * Getter for ShrinkPeriodMinutes
   */
  public int getShrinkPeriodMinutes() 
    
  {
    if (!shrinkPeriodMinutesIsCached) {
      shrinkPeriodMinutes = delegate.getShrinkPeriodMinutes(); 
      shrinkPeriodMinutesIsCached = true;  
    }
    return shrinkPeriodMinutes;
  }
  /**
   * Setter for ShrinkPeriodMinutes
   */
  public void setShrinkPeriodMinutes(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setShrinkPeriodMinutes(value);
    shrinkPeriodMinutes = value;
    shrinkPeriodMinutesIsCached = true;
  }
  /*
   * Declaration of ShrinkingEnabled
   */
  private boolean shrinkingEnabledIsCached = false;
  private boolean shrinkingEnabled;
  /**
   * Getter for ShrinkingEnabled
   */
  public boolean isShrinkingEnabled() 
    
  {
    if (!shrinkingEnabledIsCached) {
      shrinkingEnabled = delegate.isShrinkingEnabled(); 
      shrinkingEnabledIsCached = true;  
    }
    return shrinkingEnabled;
  }
  /**
   * Setter for ShrinkingEnabled
   */
  public void setShrinkingEnabled(boolean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setShrinkingEnabled(value);
    shrinkingEnabled = value;
    shrinkingEnabledIsCached = true;
  }
  /*
   * Declaration of SupportsLocalTransaction
   */
  private boolean supportsLocalTransactionIsCached = false;
  private boolean supportsLocalTransaction;
  /**
   * Getter for SupportsLocalTransaction
   */
  public boolean getSupportsLocalTransaction() 
    
  {
    if (!supportsLocalTransactionIsCached) {
      supportsLocalTransaction = delegate.getSupportsLocalTransaction(); 
      supportsLocalTransactionIsCached = true;  
    }
    return supportsLocalTransaction;
  }
  /**
   * Setter for SupportsLocalTransaction
   */
  public void setSupportsLocalTransaction(boolean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSupportsLocalTransaction(value);
    supportsLocalTransaction = value;
    supportsLocalTransactionIsCached = true;
  }
  /*
   * Declaration of Targets
   */
  private boolean targetsIsCached = false;
  private weblogic.management.configuration.TargetMBean[] targets;
  /**
   * Getter for Targets
   */
  public weblogic.management.configuration.TargetMBean[] getTargets() 
    
  {
    if (!targetsIsCached) {
      targets = delegate.getTargets(); 
      targetsIsCached = true;  
    }
    return targets;
  }
  /**
   * Setter for Targets
   */
  public void setTargets(weblogic.management.configuration.TargetMBean[] value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setTargets(value);
    targets = value;
    targetsIsCached = true;
  }
  /*
   * Declaration of TestConnectionsOnRelease
   */
  private boolean testConnectionsOnReleaseIsCached = false;
  private boolean testConnectionsOnRelease;
  /**
   * Getter for TestConnectionsOnRelease
   */
  public boolean getTestConnectionsOnRelease() 
    
  {
    if (!testConnectionsOnReleaseIsCached) {
      testConnectionsOnRelease = delegate.getTestConnectionsOnRelease(); 
      testConnectionsOnReleaseIsCached = true;  
    }
    return testConnectionsOnRelease;
  }
  /**
   * Setter for TestConnectionsOnRelease
   */
  public void setTestConnectionsOnRelease(boolean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setTestConnectionsOnRelease(value);
    testConnectionsOnRelease = value;
    testConnectionsOnReleaseIsCached = true;
  }
  /*
   * Declaration of TestConnectionsOnReserve
   */
  private boolean testConnectionsOnReserveIsCached = false;
  private boolean testConnectionsOnReserve;
  /**
   * Getter for TestConnectionsOnReserve
   */
  public boolean getTestConnectionsOnReserve() 
    
  {
    if (!testConnectionsOnReserveIsCached) {
      testConnectionsOnReserve = delegate.getTestConnectionsOnReserve(); 
      testConnectionsOnReserveIsCached = true;  
    }
    return testConnectionsOnReserve;
  }
  /**
   * Setter for TestConnectionsOnReserve
   */
  public void setTestConnectionsOnReserve(boolean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setTestConnectionsOnReserve(value);
    testConnectionsOnReserve = value;
    testConnectionsOnReserveIsCached = true;
  }
  /*
   * Declaration of TestTableName
   */
  private boolean testTableNameIsCached = false;
  private java.lang.String testTableName;
  /**
   * Getter for TestTableName
   */
  public java.lang.String getTestTableName() 
    
  {
    if (!testTableNameIsCached) {
      testTableName = delegate.getTestTableName(); 
      testTableNameIsCached = true;  
    }
    return testTableName;
  }
  /**
   * Setter for TestTableName
   */
  public void setTestTableName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setTestTableName(value);
    testTableName = value;
    testTableNameIsCached = true;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }
  /*
   * Declaration of URL
   */
  private boolean urlIsCached = false;
  private java.lang.String url;
  /**
   * Getter for URL
   */
  public java.lang.String getURL() 
    
  {
    if (!urlIsCached) {
      url = delegate.getURL(); 
      urlIsCached = true;  
    }
    return url;
  }
  /**
   * Setter for URL
   */
  public void setURL(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setURL(value);
    url = value;
    urlIsCached = true;
  }

  
    /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation removeTarget
   */
  public boolean removeTarget(
    weblogic.management.configuration.TargetMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.removeTarget(arg0);

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }
  /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation addTarget
   */
  public boolean addTarget(
    weblogic.management.configuration.TargetMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.addTarget(arg0);

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("ACLName")) {
    aclNameIsCached = false;
  }
else   if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("CapacityIncrement")) {
    capacityIncrementIsCached = false;
  }
else   if (attributeName.equals("DriverName")) {
    driverNameIsCached = false;
  }
else   if (attributeName.equals("InitialCapacity")) {
    initialCapacityIsCached = false;
  }
else   if (attributeName.equals("JDBCConnectionPoolRuntime")) {
    jdbcConnectionPoolRuntimeIsCached = false;
  }
else   if (attributeName.equals("JDBCXADebugLevel")) {
    jdbcxaDebugLevelIsCached = false;
  }
else   if (attributeName.equals("LoginDelaySeconds")) {
    loginDelaySecondsIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("MaxCapacity")) {
    maxCapacityIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("Properties")) {
    propertiesIsCached = false;
  }
else   if (attributeName.equals("RefreshMinutes")) {
    refreshMinutesIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("ShrinkPeriodMinutes")) {
    shrinkPeriodMinutesIsCached = false;
  }
else   if (attributeName.equals("ShrinkingEnabled")) {
    shrinkingEnabledIsCached = false;
  }
else   if (attributeName.equals("SupportsLocalTransaction")) {
    supportsLocalTransactionIsCached = false;
  }
else   if (attributeName.equals("Targets")) {
    targetsIsCached = false;
  }
else   if (attributeName.equals("TestConnectionsOnRelease")) {
    testConnectionsOnReleaseIsCached = false;
  }
else   if (attributeName.equals("TestConnectionsOnReserve")) {
    testConnectionsOnReserveIsCached = false;
  }
else   if (attributeName.equals("TestTableName")) {
    testTableNameIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }
else   if (attributeName.equals("URL")) {
    urlIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.JDBCConnectionPoolMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
