package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class JMSConnectionFactoryMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.JMSConnectionFactoryMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.JMSConnectionFactoryMBean delegate;

    public JMSConnectionFactoryMBean_CachingStub(weblogic.management.configuration.JMSConnectionFactoryMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of AllowCloseInOnMessage
   */
  private boolean allowCloseInOnMessageIsCached = false;
  private boolean allowCloseInOnMessage;
  /**
   * Getter for AllowCloseInOnMessage
   */
  public boolean getAllowCloseInOnMessage() 
    
  {
    if (!allowCloseInOnMessageIsCached) {
      allowCloseInOnMessage = delegate.getAllowCloseInOnMessage(); 
      allowCloseInOnMessageIsCached = true;  
    }
    return allowCloseInOnMessage;
  }
  /**
   * Setter for AllowCloseInOnMessage
   */
  public void setAllowCloseInOnMessage(boolean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setAllowCloseInOnMessage(value);
    allowCloseInOnMessage = value;
    allowCloseInOnMessageIsCached = true;
  }
  /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of ClientId
   */
  private boolean clientIdIsCached = false;
  private java.lang.String clientId;
  /**
   * Getter for ClientId
   */
  public java.lang.String getClientId() 
    
  {
    if (!clientIdIsCached) {
      clientId = delegate.getClientId(); 
      clientIdIsCached = true;  
    }
    return clientId;
  }
  /**
   * Setter for ClientId
   */
  public void setClientId(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setClientId(value);
    clientId = value;
    clientIdIsCached = true;
  }
  /*
   * Declaration of DefaultDeliveryMode
   */
  private boolean defaultDeliveryModeIsCached = false;
  private java.lang.String defaultDeliveryMode;
  /**
   * Getter for DefaultDeliveryMode
   */
  public java.lang.String getDefaultDeliveryMode() 
    
  {
    if (!defaultDeliveryModeIsCached) {
      defaultDeliveryMode = delegate.getDefaultDeliveryMode(); 
      defaultDeliveryModeIsCached = true;  
    }
    return defaultDeliveryMode;
  }
  /**
   * Setter for DefaultDeliveryMode
   */
  public void setDefaultDeliveryMode(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setDefaultDeliveryMode(value);
    defaultDeliveryMode = value;
    defaultDeliveryModeIsCached = true;
  }
  /*
   * Declaration of DefaultPriority
   */
  private boolean defaultPriorityIsCached = false;
  private int defaultPriority;
  /**
   * Getter for DefaultPriority
   */
  public int getDefaultPriority() 
    
  {
    if (!defaultPriorityIsCached) {
      defaultPriority = delegate.getDefaultPriority(); 
      defaultPriorityIsCached = true;  
    }
    return defaultPriority;
  }
  /**
   * Setter for DefaultPriority
   */
  public void setDefaultPriority(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setDefaultPriority(value);
    defaultPriority = value;
    defaultPriorityIsCached = true;
  }
  /*
   * Declaration of DefaultTimeToLive
   */
  private boolean defaultTimeToLiveIsCached = false;
  private long defaultTimeToLive;
  /**
   * Getter for DefaultTimeToLive
   */
  public long getDefaultTimeToLive() 
    
  {
    if (!defaultTimeToLiveIsCached) {
      defaultTimeToLive = delegate.getDefaultTimeToLive(); 
      defaultTimeToLiveIsCached = true;  
    }
    return defaultTimeToLive;
  }
  /**
   * Setter for DefaultTimeToLive
   */
  public void setDefaultTimeToLive(long value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setDefaultTimeToLive(value);
    defaultTimeToLive = value;
    defaultTimeToLiveIsCached = true;
  }
  /*
   * Declaration of JNDIName
   */
  private boolean jndiNameIsCached = false;
  private java.lang.String jndiName;
  /**
   * Getter for JNDIName
   */
  public java.lang.String getJNDIName() 
    
  {
    if (!jndiNameIsCached) {
      jndiName = delegate.getJNDIName(); 
      jndiNameIsCached = true;  
    }
    return jndiName;
  }
  /**
   * Setter for JNDIName
   */
  public void setJNDIName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setJNDIName(value);
    jndiName = value;
    jndiNameIsCached = true;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of MessagesMaximum
   */
  private boolean messagesMaximumIsCached = false;
  private int messagesMaximum;
  /**
   * Getter for MessagesMaximum
   */
  public int getMessagesMaximum() 
    
  {
    if (!messagesMaximumIsCached) {
      messagesMaximum = delegate.getMessagesMaximum(); 
      messagesMaximumIsCached = true;  
    }
    return messagesMaximum;
  }
  /**
   * Setter for MessagesMaximum
   */
  public void setMessagesMaximum(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setMessagesMaximum(value);
    messagesMaximum = value;
    messagesMaximumIsCached = true;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of OverrunPolicy
   */
  private boolean overrunPolicyIsCached = false;
  private java.lang.String overrunPolicy;
  /**
   * Getter for OverrunPolicy
   */
  public java.lang.String getOverrunPolicy() 
    
  {
    if (!overrunPolicyIsCached) {
      overrunPolicy = delegate.getOverrunPolicy(); 
      overrunPolicyIsCached = true;  
    }
    return overrunPolicy;
  }
  /**
   * Setter for OverrunPolicy
   */
  public void setOverrunPolicy(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setOverrunPolicy(value);
    overrunPolicy = value;
    overrunPolicyIsCached = true;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of Targets
   */
  private boolean targetsIsCached = false;
  private weblogic.management.configuration.TargetMBean[] targets;
  /**
   * Getter for Targets
   */
  public weblogic.management.configuration.TargetMBean[] getTargets() 
    
  {
    if (!targetsIsCached) {
      targets = delegate.getTargets(); 
      targetsIsCached = true;  
    }
    return targets;
  }
  /**
   * Setter for Targets
   */
  public void setTargets(weblogic.management.configuration.TargetMBean[] value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setTargets(value);
    targets = value;
    targetsIsCached = true;
  }
  /*
   * Declaration of TransactionTimeout
   */
  private boolean transactionTimeoutIsCached = false;
  private long transactionTimeout;
  /**
   * Getter for TransactionTimeout
   */
  public long getTransactionTimeout() 
    
  {
    if (!transactionTimeoutIsCached) {
      transactionTimeout = delegate.getTransactionTimeout(); 
      transactionTimeoutIsCached = true;  
    }
    return transactionTimeout;
  }
  /**
   * Setter for TransactionTimeout
   */
  public void setTransactionTimeout(long value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setTransactionTimeout(value);
    transactionTimeout = value;
    transactionTimeoutIsCached = true;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }
  /*
   * Declaration of UserTransactionsEnabled
   */
  private boolean userTransactionsEnabledIsCached = false;
  private boolean userTransactionsEnabled;
  /**
   * Getter for UserTransactionsEnabled
   */
  public boolean isUserTransactionsEnabled() 
    
  {
    if (!userTransactionsEnabledIsCached) {
      userTransactionsEnabled = delegate.isUserTransactionsEnabled(); 
      userTransactionsEnabledIsCached = true;  
    }
    return userTransactionsEnabled;
  }
  /**
   * Setter for UserTransactionsEnabled
   */
  public void setUserTransactionsEnabled(boolean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setUserTransactionsEnabled(value);
    userTransactionsEnabled = value;
    userTransactionsEnabledIsCached = true;
  }

  
    /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation removeTarget
   */
  public boolean removeTarget(
    weblogic.management.configuration.TargetMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.removeTarget(arg0);

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }
  /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation addTarget
   */
  public boolean addTarget(
    weblogic.management.configuration.TargetMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.addTarget(arg0);

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("AllowCloseInOnMessage")) {
    allowCloseInOnMessageIsCached = false;
  }
else   if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("ClientId")) {
    clientIdIsCached = false;
  }
else   if (attributeName.equals("DefaultDeliveryMode")) {
    defaultDeliveryModeIsCached = false;
  }
else   if (attributeName.equals("DefaultPriority")) {
    defaultPriorityIsCached = false;
  }
else   if (attributeName.equals("DefaultTimeToLive")) {
    defaultTimeToLiveIsCached = false;
  }
else   if (attributeName.equals("JNDIName")) {
    jndiNameIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("MessagesMaximum")) {
    messagesMaximumIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("OverrunPolicy")) {
    overrunPolicyIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("Targets")) {
    targetsIsCached = false;
  }
else   if (attributeName.equals("TransactionTimeout")) {
    transactionTimeoutIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }
else   if (attributeName.equals("UserTransactionsEnabled")) {
    userTransactionsEnabledIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.JMSConnectionFactoryMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
