package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class JMSServerMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.JMSServerMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.JMSServerMBean delegate;

    public JMSServerMBean_CachingStub(weblogic.management.configuration.JMSServerMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of BytesMaximum
   */
  private boolean bytesMaximumIsCached = false;
  private long bytesMaximum;
  /**
   * Getter for BytesMaximum
   */
  public long getBytesMaximum() 
    
  {
    if (!bytesMaximumIsCached) {
      bytesMaximum = delegate.getBytesMaximum(); 
      bytesMaximumIsCached = true;  
    }
    return bytesMaximum;
  }
  /**
   * Setter for BytesMaximum
   */
  public void setBytesMaximum(long value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setBytesMaximum(value);
    bytesMaximum = value;
    bytesMaximumIsCached = true;
  }
  /*
   * Declaration of BytesThresholdHigh
   */
  private boolean bytesThresholdHighIsCached = false;
  private long bytesThresholdHigh;
  /**
   * Getter for BytesThresholdHigh
   */
  public long getBytesThresholdHigh() 
    
  {
    if (!bytesThresholdHighIsCached) {
      bytesThresholdHigh = delegate.getBytesThresholdHigh(); 
      bytesThresholdHighIsCached = true;  
    }
    return bytesThresholdHigh;
  }
  /**
   * Setter for BytesThresholdHigh
   */
  public void setBytesThresholdHigh(long value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setBytesThresholdHigh(value);
    bytesThresholdHigh = value;
    bytesThresholdHighIsCached = true;
  }
  /*
   * Declaration of BytesThresholdLow
   */
  private boolean bytesThresholdLowIsCached = false;
  private long bytesThresholdLow;
  /**
   * Getter for BytesThresholdLow
   */
  public long getBytesThresholdLow() 
    
  {
    if (!bytesThresholdLowIsCached) {
      bytesThresholdLow = delegate.getBytesThresholdLow(); 
      bytesThresholdLowIsCached = true;  
    }
    return bytesThresholdLow;
  }
  /**
   * Setter for BytesThresholdLow
   */
  public void setBytesThresholdLow(long value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setBytesThresholdLow(value);
    bytesThresholdLow = value;
    bytesThresholdLowIsCached = true;
  }
  /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of Destinations
   */
  private boolean destinationsIsCached = false;
  private weblogic.management.configuration.JMSDestinationMBean[] destinations;
  /**
   * Getter for Destinations
   */
  public weblogic.management.configuration.JMSDestinationMBean[] getDestinations() 
    
  {
    if (!destinationsIsCached) {
      destinations = delegate.getDestinations(); 
      destinationsIsCached = true;  
    }
    return destinations;
  }
  /**
   * Setter for Destinations
   */
  public void setDestinations(weblogic.management.configuration.JMSDestinationMBean[] value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setDestinations(value);
    destinations = value;
    destinationsIsCached = true;
  }
  /*
   * Declaration of JDBCStoreUpgradeEnabled
   */
  private boolean jdbcStoreUpgradeEnabledIsCached = false;
  private boolean jdbcStoreUpgradeEnabled;
  /**
   * Getter for JDBCStoreUpgradeEnabled
   */
  public boolean isJDBCStoreUpgradeEnabled() 
    
  {
    if (!jdbcStoreUpgradeEnabledIsCached) {
      jdbcStoreUpgradeEnabled = delegate.isJDBCStoreUpgradeEnabled(); 
      jdbcStoreUpgradeEnabledIsCached = true;  
    }
    return jdbcStoreUpgradeEnabled;
  }
  /**
   * Setter for JDBCStoreUpgradeEnabled
   */
  public void setJDBCStoreUpgradeEnabled(boolean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setJDBCStoreUpgradeEnabled(value);
    jdbcStoreUpgradeEnabled = value;
    jdbcStoreUpgradeEnabledIsCached = true;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of MessagesMaximum
   */
  private boolean messagesMaximumIsCached = false;
  private long messagesMaximum;
  /**
   * Getter for MessagesMaximum
   */
  public long getMessagesMaximum() 
    
  {
    if (!messagesMaximumIsCached) {
      messagesMaximum = delegate.getMessagesMaximum(); 
      messagesMaximumIsCached = true;  
    }
    return messagesMaximum;
  }
  /**
   * Setter for MessagesMaximum
   */
  public void setMessagesMaximum(long value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setMessagesMaximum(value);
    messagesMaximum = value;
    messagesMaximumIsCached = true;
  }
  /*
   * Declaration of MessagesThresholdHigh
   */
  private boolean messagesThresholdHighIsCached = false;
  private long messagesThresholdHigh;
  /**
   * Getter for MessagesThresholdHigh
   */
  public long getMessagesThresholdHigh() 
    
  {
    if (!messagesThresholdHighIsCached) {
      messagesThresholdHigh = delegate.getMessagesThresholdHigh(); 
      messagesThresholdHighIsCached = true;  
    }
    return messagesThresholdHigh;
  }
  /**
   * Setter for MessagesThresholdHigh
   */
  public void setMessagesThresholdHigh(long value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setMessagesThresholdHigh(value);
    messagesThresholdHigh = value;
    messagesThresholdHighIsCached = true;
  }
  /*
   * Declaration of MessagesThresholdLow
   */
  private boolean messagesThresholdLowIsCached = false;
  private long messagesThresholdLow;
  /**
   * Getter for MessagesThresholdLow
   */
  public long getMessagesThresholdLow() 
    
  {
    if (!messagesThresholdLowIsCached) {
      messagesThresholdLow = delegate.getMessagesThresholdLow(); 
      messagesThresholdLowIsCached = true;  
    }
    return messagesThresholdLow;
  }
  /**
   * Setter for MessagesThresholdLow
   */
  public void setMessagesThresholdLow(long value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setMessagesThresholdLow(value);
    messagesThresholdLow = value;
    messagesThresholdLowIsCached = true;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of SessionPools
   */
  private boolean sessionPoolsIsCached = false;
  private weblogic.management.configuration.JMSSessionPoolMBean[] sessionPools;
  /**
   * Getter for SessionPools
   */
  public weblogic.management.configuration.JMSSessionPoolMBean[] getSessionPools() 
    
  {
    if (!sessionPoolsIsCached) {
      sessionPools = delegate.getSessionPools(); 
      sessionPoolsIsCached = true;  
    }
    return sessionPools;
  }
  /**
   * Setter for SessionPools
   */
  public void setSessionPools(weblogic.management.configuration.JMSSessionPoolMBean[] value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSessionPools(value);
    sessionPools = value;
    sessionPoolsIsCached = true;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of Store
   */
  private boolean storeIsCached = false;
  private weblogic.management.configuration.JMSStoreMBean store;
  /**
   * Getter for Store
   */
  public weblogic.management.configuration.JMSStoreMBean getStore() 
    
  {
    if (!storeIsCached) {
      store = delegate.getStore(); 
      storeIsCached = true;  
    }
    return store;
  }
  /**
   * Setter for Store
   */
  public void setStore(weblogic.management.configuration.JMSStoreMBean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setStore(value);
    store = value;
    storeIsCached = true;
  }
  /*
   * Declaration of Targets
   */
  private boolean targetsIsCached = false;
  private weblogic.management.configuration.TargetMBean[] targets;
  /**
   * Getter for Targets
   */
  public weblogic.management.configuration.TargetMBean[] getTargets() 
    
  {
    if (!targetsIsCached) {
      targets = delegate.getTargets(); 
      targetsIsCached = true;  
    }
    return targets;
  }
  /**
   * Setter for Targets
   */
  public void setTargets(weblogic.management.configuration.TargetMBean[] value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setTargets(value);
    targets = value;
    targetsIsCached = true;
  }
  /*
   * Declaration of TemporaryTemplate
   */
  private boolean temporaryTemplateIsCached = false;
  private weblogic.management.configuration.JMSTemplateMBean temporaryTemplate;
  /**
   * Getter for TemporaryTemplate
   */
  public weblogic.management.configuration.JMSTemplateMBean getTemporaryTemplate() 
    
  {
    if (!temporaryTemplateIsCached) {
      temporaryTemplate = delegate.getTemporaryTemplate(); 
      temporaryTemplateIsCached = true;  
    }
    return temporaryTemplate;
  }
  /**
   * Setter for TemporaryTemplate
   */
  public void setTemporaryTemplate(weblogic.management.configuration.JMSTemplateMBean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setTemporaryTemplate(value);
    temporaryTemplate = value;
    temporaryTemplateIsCached = true;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }

  
    /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation addSessionPool
   */
  public boolean addSessionPool(
    weblogic.management.configuration.JMSSessionPoolMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.addSessionPool(arg0);

  }
  /**
   * Operation removeDestination
   */
  public boolean removeDestination(
    weblogic.management.configuration.JMSDestinationMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.removeDestination(arg0);

  }
  /**
   * Operation addDestination
   */
  public boolean addDestination(
    weblogic.management.configuration.JMSDestinationMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.addDestination(arg0);

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation addTarget
   */
  public boolean addTarget(
    weblogic.management.configuration.TargetMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.addTarget(arg0);

  }
  /**
   * Operation removeTarget
   */
  public boolean removeTarget(
    weblogic.management.configuration.TargetMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.removeTarget(arg0);

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }
  /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation removeSessionPool
   */
  public boolean removeSessionPool(
    weblogic.management.configuration.JMSSessionPoolMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.removeSessionPool(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("BytesMaximum")) {
    bytesMaximumIsCached = false;
  }
else   if (attributeName.equals("BytesThresholdHigh")) {
    bytesThresholdHighIsCached = false;
  }
else   if (attributeName.equals("BytesThresholdLow")) {
    bytesThresholdLowIsCached = false;
  }
else   if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("Destinations")) {
    destinationsIsCached = false;
  }
else   if (attributeName.equals("JDBCStoreUpgradeEnabled")) {
    jdbcStoreUpgradeEnabledIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("MessagesMaximum")) {
    messagesMaximumIsCached = false;
  }
else   if (attributeName.equals("MessagesThresholdHigh")) {
    messagesThresholdHighIsCached = false;
  }
else   if (attributeName.equals("MessagesThresholdLow")) {
    messagesThresholdLowIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("SessionPools")) {
    sessionPoolsIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("Store")) {
    storeIsCached = false;
  }
else   if (attributeName.equals("Targets")) {
    targetsIsCached = false;
  }
else   if (attributeName.equals("TemporaryTemplate")) {
    temporaryTemplateIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.JMSServerMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
