package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class JTAMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.JTAMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.JTAMBean delegate;

    public JTAMBean_CachingStub(weblogic.management.configuration.JTAMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of AbandonTimeoutSeconds
   */
  private boolean abandonTimeoutSecondsIsCached = false;
  private int abandonTimeoutSeconds;
  /**
   * Getter for AbandonTimeoutSeconds
   */
  public int getAbandonTimeoutSeconds() 
    
  {
    if (!abandonTimeoutSecondsIsCached) {
      abandonTimeoutSeconds = delegate.getAbandonTimeoutSeconds(); 
      abandonTimeoutSecondsIsCached = true;  
    }
    return abandonTimeoutSeconds;
  }
  /**
   * Setter for AbandonTimeoutSeconds
   */
  public void setAbandonTimeoutSeconds(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setAbandonTimeoutSeconds(value);
    abandonTimeoutSeconds = value;
    abandonTimeoutSecondsIsCached = true;
  }
  /*
   * Declaration of BeforeCompletionIterationLimit
   */
  private boolean beforeCompletionIterationLimitIsCached = false;
  private int beforeCompletionIterationLimit;
  /**
   * Getter for BeforeCompletionIterationLimit
   */
  public int getBeforeCompletionIterationLimit() 
    
  {
    if (!beforeCompletionIterationLimitIsCached) {
      beforeCompletionIterationLimit = delegate.getBeforeCompletionIterationLimit(); 
      beforeCompletionIterationLimitIsCached = true;  
    }
    return beforeCompletionIterationLimit;
  }
  /**
   * Setter for BeforeCompletionIterationLimit
   */
  public void setBeforeCompletionIterationLimit(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setBeforeCompletionIterationLimit(value);
    beforeCompletionIterationLimit = value;
    beforeCompletionIterationLimitIsCached = true;
  }
  /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of ForgetHeuristics
   */
  private boolean forgetHeuristicsIsCached = false;
  private boolean forgetHeuristics;
  /**
   * Getter for ForgetHeuristics
   */
  public boolean getForgetHeuristics() 
    
  {
    if (!forgetHeuristicsIsCached) {
      forgetHeuristics = delegate.getForgetHeuristics(); 
      forgetHeuristicsIsCached = true;  
    }
    return forgetHeuristics;
  }
  /**
   * Setter for ForgetHeuristics
   */
  public void setForgetHeuristics(boolean value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setForgetHeuristics(value);
    forgetHeuristics = value;
    forgetHeuristicsIsCached = true;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of MaxTransactions
   */
  private boolean maxTransactionsIsCached = false;
  private int maxTransactions;
  /**
   * Getter for MaxTransactions
   */
  public int getMaxTransactions() 
    
  {
    if (!maxTransactionsIsCached) {
      maxTransactions = delegate.getMaxTransactions(); 
      maxTransactionsIsCached = true;  
    }
    return maxTransactions;
  }
  /**
   * Setter for MaxTransactions
   */
  public void setMaxTransactions(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setMaxTransactions(value);
    maxTransactions = value;
    maxTransactionsIsCached = true;
  }
  /*
   * Declaration of MaxUniqueNameStatistics
   */
  private boolean maxUniqueNameStatisticsIsCached = false;
  private int maxUniqueNameStatistics;
  /**
   * Getter for MaxUniqueNameStatistics
   */
  public int getMaxUniqueNameStatistics() 
    
  {
    if (!maxUniqueNameStatisticsIsCached) {
      maxUniqueNameStatistics = delegate.getMaxUniqueNameStatistics(); 
      maxUniqueNameStatisticsIsCached = true;  
    }
    return maxUniqueNameStatistics;
  }
  /**
   * Setter for MaxUniqueNameStatistics
   */
  public void setMaxUniqueNameStatistics(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setMaxUniqueNameStatistics(value);
    maxUniqueNameStatistics = value;
    maxUniqueNameStatisticsIsCached = true;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of TimeoutSeconds
   */
  private boolean timeoutSecondsIsCached = false;
  private int timeoutSeconds;
  /**
   * Getter for TimeoutSeconds
   */
  public int getTimeoutSeconds() 
    
  {
    if (!timeoutSecondsIsCached) {
      timeoutSeconds = delegate.getTimeoutSeconds(); 
      timeoutSecondsIsCached = true;  
    }
    return timeoutSeconds;
  }
  /**
   * Setter for TimeoutSeconds
   */
  public void setTimeoutSeconds(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setTimeoutSeconds(value);
    timeoutSeconds = value;
    timeoutSecondsIsCached = true;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }

  
    /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }
  /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("AbandonTimeoutSeconds")) {
    abandonTimeoutSecondsIsCached = false;
  }
else   if (attributeName.equals("BeforeCompletionIterationLimit")) {
    beforeCompletionIterationLimitIsCached = false;
  }
else   if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("ForgetHeuristics")) {
    forgetHeuristicsIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("MaxTransactions")) {
    maxTransactionsIsCached = false;
  }
else   if (attributeName.equals("MaxUniqueNameStatistics")) {
    maxUniqueNameStatisticsIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("TimeoutSeconds")) {
    timeoutSecondsIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.JTAMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
