package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class JoltConnectionPoolMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.JoltConnectionPoolMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.JoltConnectionPoolMBean delegate;

    public JoltConnectionPoolMBean_CachingStub(weblogic.management.configuration.JoltConnectionPoolMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of ApplicationPassword
   */
  private boolean applicationPasswordIsCached = false;
  private java.lang.String applicationPassword;
  /**
   * Getter for ApplicationPassword
   */
  public java.lang.String getApplicationPassword() 
    
  {
    if (!applicationPasswordIsCached) {
      applicationPassword = delegate.getApplicationPassword(); 
      applicationPasswordIsCached = true;  
    }
    return applicationPassword;
  }
  /**
   * Setter for ApplicationPassword
   */
  public void setApplicationPassword(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setApplicationPassword(value);
    applicationPassword = value;
    applicationPasswordIsCached = true;
  }
  /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of FailoverAddresses
   */
  private boolean failoverAddressesIsCached = false;
  private java.lang.String[] failoverAddresses;
  /**
   * Getter for FailoverAddresses
   */
  public java.lang.String[] getFailoverAddresses() 
    
  {
    if (!failoverAddressesIsCached) {
      failoverAddresses = delegate.getFailoverAddresses(); 
      failoverAddressesIsCached = true;  
    }
    return failoverAddresses;
  }
  /**
   * Setter for FailoverAddresses
   */
  public void setFailoverAddresses(java.lang.String[] value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setFailoverAddresses(value);
    failoverAddresses = value;
    failoverAddressesIsCached = true;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of MaximumPoolSize
   */
  private boolean maximumPoolSizeIsCached = false;
  private int maximumPoolSize;
  /**
   * Getter for MaximumPoolSize
   */
  public int getMaximumPoolSize() 
    
  {
    if (!maximumPoolSizeIsCached) {
      maximumPoolSize = delegate.getMaximumPoolSize(); 
      maximumPoolSizeIsCached = true;  
    }
    return maximumPoolSize;
  }
  /**
   * Setter for MaximumPoolSize
   */
  public void setMaximumPoolSize(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setMaximumPoolSize(value);
    maximumPoolSize = value;
    maximumPoolSizeIsCached = true;
  }
  /*
   * Declaration of MinimumPoolSize
   */
  private boolean minimumPoolSizeIsCached = false;
  private int minimumPoolSize;
  /**
   * Getter for MinimumPoolSize
   */
  public int getMinimumPoolSize() 
    
  {
    if (!minimumPoolSizeIsCached) {
      minimumPoolSize = delegate.getMinimumPoolSize(); 
      minimumPoolSizeIsCached = true;  
    }
    return minimumPoolSize;
  }
  /**
   * Setter for MinimumPoolSize
   */
  public void setMinimumPoolSize(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setMinimumPoolSize(value);
    minimumPoolSize = value;
    minimumPoolSizeIsCached = true;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of PrimaryAddresses
   */
  private boolean primaryAddressesIsCached = false;
  private java.lang.String[] primaryAddresses;
  /**
   * Getter for PrimaryAddresses
   */
  public java.lang.String[] getPrimaryAddresses() 
    
  {
    if (!primaryAddressesIsCached) {
      primaryAddresses = delegate.getPrimaryAddresses(); 
      primaryAddressesIsCached = true;  
    }
    return primaryAddresses;
  }
  /**
   * Setter for PrimaryAddresses
   */
  public void setPrimaryAddresses(java.lang.String[] value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setPrimaryAddresses(value);
    primaryAddresses = value;
    primaryAddressesIsCached = true;
  }
  /*
   * Declaration of RecvTimeout
   */
  private boolean recvTimeoutIsCached = false;
  private int recvTimeout;
  /**
   * Getter for RecvTimeout
   */
  public int getRecvTimeout() 
    
  {
    if (!recvTimeoutIsCached) {
      recvTimeout = delegate.getRecvTimeout(); 
      recvTimeoutIsCached = true;  
    }
    return recvTimeout;
  }
  /**
   * Setter for RecvTimeout
   */
  public void setRecvTimeout(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setRecvTimeout(value);
    recvTimeout = value;
    recvTimeoutIsCached = true;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of SecurityContextEnabled
   */
  private boolean securityContextEnabledIsCached = false;
  private boolean securityContextEnabled;
  /**
   * Getter for SecurityContextEnabled
   */
  public boolean isSecurityContextEnabled() 
    
  {
    if (!securityContextEnabledIsCached) {
      securityContextEnabled = delegate.isSecurityContextEnabled(); 
      securityContextEnabledIsCached = true;  
    }
    return securityContextEnabled;
  }
  /**
   * Setter for SecurityContextEnabled
   */
  public void setSecurityContextEnabled(boolean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSecurityContextEnabled(value);
    securityContextEnabled = value;
    securityContextEnabledIsCached = true;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of Targets
   */
  private boolean targetsIsCached = false;
  private weblogic.management.configuration.TargetMBean[] targets;
  /**
   * Getter for Targets
   */
  public weblogic.management.configuration.TargetMBean[] getTargets() 
    
  {
    if (!targetsIsCached) {
      targets = delegate.getTargets(); 
      targetsIsCached = true;  
    }
    return targets;
  }
  /**
   * Setter for Targets
   */
  public void setTargets(weblogic.management.configuration.TargetMBean[] value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setTargets(value);
    targets = value;
    targetsIsCached = true;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }
  /*
   * Declaration of UserName
   */
  private boolean userNameIsCached = false;
  private java.lang.String userName;
  /**
   * Getter for UserName
   */
  public java.lang.String getUserName() 
    
  {
    if (!userNameIsCached) {
      userName = delegate.getUserName(); 
      userNameIsCached = true;  
    }
    return userName;
  }
  /**
   * Setter for UserName
   */
  public void setUserName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setUserName(value);
    userName = value;
    userNameIsCached = true;
  }
  /*
   * Declaration of UserPassword
   */
  private boolean userPasswordIsCached = false;
  private java.lang.String userPassword;
  /**
   * Getter for UserPassword
   */
  public java.lang.String getUserPassword() 
    
  {
    if (!userPasswordIsCached) {
      userPassword = delegate.getUserPassword(); 
      userPasswordIsCached = true;  
    }
    return userPassword;
  }
  /**
   * Setter for UserPassword
   */
  public void setUserPassword(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setUserPassword(value);
    userPassword = value;
    userPasswordIsCached = true;
  }
  /*
   * Declaration of UserRole
   */
  private boolean userRoleIsCached = false;
  private java.lang.String userRole;
  /**
   * Getter for UserRole
   */
  public java.lang.String getUserRole() 
    
  {
    if (!userRoleIsCached) {
      userRole = delegate.getUserRole(); 
      userRoleIsCached = true;  
    }
    return userRole;
  }
  /**
   * Setter for UserRole
   */
  public void setUserRole(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setUserRole(value);
    userRole = value;
    userRoleIsCached = true;
  }

  
    /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation removePrimaryAddress
   */
  public boolean removePrimaryAddress(
    java.lang.String arg0
  ) 
    throws javax.management.InvalidAttributeValueException
  {
        return delegate.removePrimaryAddress(arg0);

  }
  /**
   * Operation addFailoverAddress
   */
  public boolean addFailoverAddress(
    java.lang.String arg0
  ) 
    throws javax.management.InvalidAttributeValueException
  {
        return delegate.addFailoverAddress(arg0);

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation removeFailoverAddress
   */
  public boolean removeFailoverAddress(
    java.lang.String arg0
  ) 
    throws javax.management.InvalidAttributeValueException
  {
        return delegate.removeFailoverAddress(arg0);

  }
  /**
   * Operation addTarget
   */
  public boolean addTarget(
    weblogic.management.configuration.TargetMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.addTarget(arg0);

  }
  /**
   * Operation removeTarget
   */
  public boolean removeTarget(
    weblogic.management.configuration.TargetMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.removeTarget(arg0);

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }
  /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }
  /**
   * Operation addPrimaryAddress
   */
  public boolean addPrimaryAddress(
    java.lang.String arg0
  ) 
    throws javax.management.InvalidAttributeValueException
  {
        return delegate.addPrimaryAddress(arg0);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("ApplicationPassword")) {
    applicationPasswordIsCached = false;
  }
else   if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("FailoverAddresses")) {
    failoverAddressesIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("MaximumPoolSize")) {
    maximumPoolSizeIsCached = false;
  }
else   if (attributeName.equals("MinimumPoolSize")) {
    minimumPoolSizeIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("PrimaryAddresses")) {
    primaryAddressesIsCached = false;
  }
else   if (attributeName.equals("RecvTimeout")) {
    recvTimeoutIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("SecurityContextEnabled")) {
    securityContextEnabledIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("Targets")) {
    targetsIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }
else   if (attributeName.equals("UserName")) {
    userNameIsCached = false;
  }
else   if (attributeName.equals("UserPassword")) {
    userPasswordIsCached = false;
  }
else   if (attributeName.equals("UserRole")) {
    userRoleIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.JoltConnectionPoolMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
