package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class KernelDebugMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.KernelDebugMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.KernelDebugMBean delegate;

    public KernelDebugMBean_CachingStub(weblogic.management.configuration.KernelDebugMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of DebugAbbreviation
   */
  private boolean debugAbbreviationIsCached = false;
  private boolean debugAbbreviation;
  /**
   * Getter for DebugAbbreviation
   */
  public boolean getDebugAbbreviation() 
    
  {
    if (!debugAbbreviationIsCached) {
      debugAbbreviation = delegate.getDebugAbbreviation(); 
      debugAbbreviationIsCached = true;  
    }
    return debugAbbreviation;
  }
  /**
   * Setter for DebugAbbreviation
   */
  public void setDebugAbbreviation(boolean value)
    
  {
    delegate.setDebugAbbreviation(value);
    debugAbbreviation = value;
    debugAbbreviationIsCached = true;
  }
  /*
   * Declaration of DebugConnection
   */
  private boolean debugConnectionIsCached = false;
  private boolean debugConnection;
  /**
   * Getter for DebugConnection
   */
  public boolean getDebugConnection() 
    
  {
    if (!debugConnectionIsCached) {
      debugConnection = delegate.getDebugConnection(); 
      debugConnectionIsCached = true;  
    }
    return debugConnection;
  }
  /**
   * Setter for DebugConnection
   */
  public void setDebugConnection(boolean value)
    
  {
    delegate.setDebugConnection(value);
    debugConnection = value;
    debugConnectionIsCached = true;
  }
  /*
   * Declaration of DebugDGCEnrollment
   */
  private boolean debugDGCEnrollmentIsCached = false;
  private boolean debugDGCEnrollment;
  /**
   * Getter for DebugDGCEnrollment
   */
  public boolean getDebugDGCEnrollment() 
    
  {
    if (!debugDGCEnrollmentIsCached) {
      debugDGCEnrollment = delegate.getDebugDGCEnrollment(); 
      debugDGCEnrollmentIsCached = true;  
    }
    return debugDGCEnrollment;
  }
  /*
   * Declaration of DebugFailOver
   */
  private boolean debugFailOverIsCached = false;
  private boolean debugFailOver;
  /**
   * Getter for DebugFailOver
   */
  public boolean getDebugFailOver() 
    
  {
    if (!debugFailOverIsCached) {
      debugFailOver = delegate.getDebugFailOver(); 
      debugFailOverIsCached = true;  
    }
    return debugFailOver;
  }
  /**
   * Setter for DebugFailOver
   */
  public void setDebugFailOver(boolean value)
    
  {
    delegate.setDebugFailOver(value);
    debugFailOver = value;
    debugFailOverIsCached = true;
  }
  /*
   * Declaration of DebugLoadBalancing
   */
  private boolean debugLoadBalancingIsCached = false;
  private boolean debugLoadBalancing;
  /**
   * Getter for DebugLoadBalancing
   */
  public boolean getDebugLoadBalancing() 
    
  {
    if (!debugLoadBalancingIsCached) {
      debugLoadBalancing = delegate.getDebugLoadBalancing(); 
      debugLoadBalancingIsCached = true;  
    }
    return debugLoadBalancing;
  }
  /**
   * Setter for DebugLoadBalancing
   */
  public void setDebugLoadBalancing(boolean value)
    
  {
    delegate.setDebugLoadBalancing(value);
    debugLoadBalancing = value;
    debugLoadBalancingIsCached = true;
  }
  /*
   * Declaration of DebugMessaging
   */
  private boolean debugMessagingIsCached = false;
  private boolean debugMessaging;
  /**
   * Getter for DebugMessaging
   */
  public boolean getDebugMessaging() 
    
  {
    if (!debugMessagingIsCached) {
      debugMessaging = delegate.getDebugMessaging(); 
      debugMessagingIsCached = true;  
    }
    return debugMessaging;
  }
  /**
   * Setter for DebugMessaging
   */
  public void setDebugMessaging(boolean value)
    
  {
    delegate.setDebugMessaging(value);
    debugMessaging = value;
    debugMessagingIsCached = true;
  }
  /*
   * Declaration of DebugRC4
   */
  private boolean debugRC4IsCached = false;
  private boolean debugRC4;
  /**
   * Getter for DebugRC4
   */
  public boolean getDebugRC4() 
    
  {
    if (!debugRC4IsCached) {
      debugRC4 = delegate.getDebugRC4(); 
      debugRC4IsCached = true;  
    }
    return debugRC4;
  }
  /**
   * Setter for DebugRC4
   */
  public void setDebugRC4(boolean value)
    
  {
    delegate.setDebugRC4(value);
    debugRC4 = value;
    debugRC4IsCached = true;
  }
  /*
   * Declaration of DebugRSA
   */
  private boolean debugRSAIsCached = false;
  private boolean debugRSA;
  /**
   * Getter for DebugRSA
   */
  public boolean getDebugRSA() 
    
  {
    if (!debugRSAIsCached) {
      debugRSA = delegate.getDebugRSA(); 
      debugRSAIsCached = true;  
    }
    return debugRSA;
  }
  /**
   * Setter for DebugRSA
   */
  public void setDebugRSA(boolean value)
    
  {
    delegate.setDebugRSA(value);
    debugRSA = value;
    debugRSAIsCached = true;
  }
  /*
   * Declaration of DebugRouting
   */
  private boolean debugRoutingIsCached = false;
  private boolean debugRouting;
  /**
   * Getter for DebugRouting
   */
  public boolean getDebugRouting() 
    
  {
    if (!debugRoutingIsCached) {
      debugRouting = delegate.getDebugRouting(); 
      debugRoutingIsCached = true;  
    }
    return debugRouting;
  }
  /**
   * Setter for DebugRouting
   */
  public void setDebugRouting(boolean value)
    
  {
    delegate.setDebugRouting(value);
    debugRouting = value;
    debugRoutingIsCached = true;
  }
  /*
   * Declaration of DebugSSL
   */
  private boolean debugSSLIsCached = false;
  private boolean debugSSL;
  /**
   * Getter for DebugSSL
   */
  public boolean getDebugSSL() 
    
  {
    if (!debugSSLIsCached) {
      debugSSL = delegate.getDebugSSL(); 
      debugSSLIsCached = true;  
    }
    return debugSSL;
  }
  /**
   * Setter for DebugSSL
   */
  public void setDebugSSL(boolean value)
    
  {
    delegate.setDebugSSL(value);
    debugSSL = value;
    debugSSLIsCached = true;
  }
  /*
   * Declaration of ForceGCEachDGCPeriod
   */
  private boolean forceGCEachDGCPeriodIsCached = false;
  private boolean forceGCEachDGCPeriod;
  /**
   * Getter for ForceGCEachDGCPeriod
   */
  public boolean getForceGCEachDGCPeriod() 
    
  {
    if (!forceGCEachDGCPeriodIsCached) {
      forceGCEachDGCPeriod = delegate.getForceGCEachDGCPeriod(); 
      forceGCEachDGCPeriodIsCached = true;  
    }
    return forceGCEachDGCPeriod;
  }
  /*
   * Declaration of LogDGCStatistics
   */
  private boolean logDGCStatisticsIsCached = false;
  private boolean logDGCStatistics;
  /**
   * Getter for LogDGCStatistics
   */
  public boolean getLogDGCStatistics() 
    
  {
    if (!logDGCStatisticsIsCached) {
      logDGCStatistics = delegate.getLogDGCStatistics(); 
      logDGCStatisticsIsCached = true;  
    }
    return logDGCStatistics;
  }
  /**
   * Setter for LogDGCStatistics
   */
  public void setLogDGCStatistics(boolean value)
    
  {
    delegate.setLogDGCStatistics(value);
    logDGCStatistics = value;
    logDGCStatisticsIsCached = true;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }

  
    /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }
  /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation setForceGCEachDGCPeriod
   */
  public void setForceGCEachDGCPeriod(
    
  ) 
    
  {
        delegate.setForceGCEachDGCPeriod();

  }
  /**
   * Operation setDebugDGCEnrollment
   */
  public void setDebugDGCEnrollment(
    
  ) 
    
  {
        delegate.setDebugDGCEnrollment();

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("DebugAbbreviation")) {
    debugAbbreviationIsCached = false;
  }
else   if (attributeName.equals("DebugConnection")) {
    debugConnectionIsCached = false;
  }
else   if (attributeName.equals("DebugDGCEnrollment")) {
    debugDGCEnrollmentIsCached = false;
  }
else   if (attributeName.equals("DebugFailOver")) {
    debugFailOverIsCached = false;
  }
else   if (attributeName.equals("DebugLoadBalancing")) {
    debugLoadBalancingIsCached = false;
  }
else   if (attributeName.equals("DebugMessaging")) {
    debugMessagingIsCached = false;
  }
else   if (attributeName.equals("DebugRC4")) {
    debugRC4IsCached = false;
  }
else   if (attributeName.equals("DebugRSA")) {
    debugRSAIsCached = false;
  }
else   if (attributeName.equals("DebugRouting")) {
    debugRoutingIsCached = false;
  }
else   if (attributeName.equals("DebugSSL")) {
    debugSSLIsCached = false;
  }
else   if (attributeName.equals("ForceGCEachDGCPeriod")) {
    forceGCEachDGCPeriodIsCached = false;
  }
else   if (attributeName.equals("LogDGCStatistics")) {
    logDGCStatisticsIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.KernelDebugMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
