package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class KernelMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.KernelMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.KernelMBean delegate;

    public KernelMBean_CachingStub(weblogic.management.configuration.KernelMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of CompleteHTTPMessageTimeout
   */
  private boolean completeHTTPMessageTimeoutIsCached = false;
  private int completeHTTPMessageTimeout;
  /**
   * Getter for CompleteHTTPMessageTimeout
   */
  public int getCompleteHTTPMessageTimeout() 
    
  {
    if (!completeHTTPMessageTimeoutIsCached) {
      completeHTTPMessageTimeout = delegate.getCompleteHTTPMessageTimeout(); 
      completeHTTPMessageTimeoutIsCached = true;  
    }
    return completeHTTPMessageTimeout;
  }
  /**
   * Setter for CompleteHTTPMessageTimeout
   */
  public void setCompleteHTTPMessageTimeout(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setCompleteHTTPMessageTimeout(value);
    completeHTTPMessageTimeout = value;
    completeHTTPMessageTimeoutIsCached = true;
  }
  /*
   * Declaration of CompleteIIOPMessageTimeout
   */
  private boolean completeIIOPMessageTimeoutIsCached = false;
  private int completeIIOPMessageTimeout;
  /**
   * Getter for CompleteIIOPMessageTimeout
   */
  public int getCompleteIIOPMessageTimeout() 
    
  {
    if (!completeIIOPMessageTimeoutIsCached) {
      completeIIOPMessageTimeout = delegate.getCompleteIIOPMessageTimeout(); 
      completeIIOPMessageTimeoutIsCached = true;  
    }
    return completeIIOPMessageTimeout;
  }
  /**
   * Setter for CompleteIIOPMessageTimeout
   */
  public void setCompleteIIOPMessageTimeout(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setCompleteIIOPMessageTimeout(value);
    completeIIOPMessageTimeout = value;
    completeIIOPMessageTimeoutIsCached = true;
  }
  /*
   * Declaration of CompleteT3MessageTimeout
   */
  private boolean completeT3MessageTimeoutIsCached = false;
  private int completeT3MessageTimeout;
  /**
   * Getter for CompleteT3MessageTimeout
   */
  public int getCompleteT3MessageTimeout() 
    
  {
    if (!completeT3MessageTimeoutIsCached) {
      completeT3MessageTimeout = delegate.getCompleteT3MessageTimeout(); 
      completeT3MessageTimeoutIsCached = true;  
    }
    return completeT3MessageTimeout;
  }
  /**
   * Setter for CompleteT3MessageTimeout
   */
  public void setCompleteT3MessageTimeout(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setCompleteT3MessageTimeout(value);
    completeT3MessageTimeout = value;
    completeT3MessageTimeoutIsCached = true;
  }
  /*
   * Declaration of DGCIdlePeriodsUntilTimeout
   */
  private boolean dgcIdlePeriodsUntilTimeoutIsCached = false;
  private int dgcIdlePeriodsUntilTimeout;
  /**
   * Getter for DGCIdlePeriodsUntilTimeout
   */
  public int getDGCIdlePeriodsUntilTimeout() 
    
  {
    if (!dgcIdlePeriodsUntilTimeoutIsCached) {
      dgcIdlePeriodsUntilTimeout = delegate.getDGCIdlePeriodsUntilTimeout(); 
      dgcIdlePeriodsUntilTimeoutIsCached = true;  
    }
    return dgcIdlePeriodsUntilTimeout;
  }
  /**
   * Setter for DGCIdlePeriodsUntilTimeout
   */
  public void setDGCIdlePeriodsUntilTimeout(int value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setDGCIdlePeriodsUntilTimeout(value);
    dgcIdlePeriodsUntilTimeout = value;
    dgcIdlePeriodsUntilTimeoutIsCached = true;
  }
  /*
   * Declaration of DefaultProtocol
   */
  private boolean defaultProtocolIsCached = false;
  private java.lang.String defaultProtocol;
  /**
   * Getter for DefaultProtocol
   */
  public java.lang.String getDefaultProtocol() 
    
  {
    if (!defaultProtocolIsCached) {
      defaultProtocol = delegate.getDefaultProtocol(); 
      defaultProtocolIsCached = true;  
    }
    return defaultProtocol;
  }
  /**
   * Setter for DefaultProtocol
   */
  public void setDefaultProtocol(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setDefaultProtocol(value);
    defaultProtocol = value;
    defaultProtocolIsCached = true;
  }
  /*
   * Declaration of DefaultSecureProtocol
   */
  private boolean defaultSecureProtocolIsCached = false;
  private java.lang.String defaultSecureProtocol;
  /**
   * Getter for DefaultSecureProtocol
   */
  public java.lang.String getDefaultSecureProtocol() 
    
  {
    if (!defaultSecureProtocolIsCached) {
      defaultSecureProtocol = delegate.getDefaultSecureProtocol(); 
      defaultSecureProtocolIsCached = true;  
    }
    return defaultSecureProtocol;
  }
  /**
   * Setter for DefaultSecureProtocol
   */
  public void setDefaultSecureProtocol(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setDefaultSecureProtocol(value);
    defaultSecureProtocol = value;
    defaultSecureProtocolIsCached = true;
  }
  /*
   * Declaration of IdlePeriodsUntilTimeout
   */
  private boolean idlePeriodsUntilTimeoutIsCached = false;
  private int idlePeriodsUntilTimeout;
  /**
   * Getter for IdlePeriodsUntilTimeout
   */
  public int getIdlePeriodsUntilTimeout() 
    
  {
    if (!idlePeriodsUntilTimeoutIsCached) {
      idlePeriodsUntilTimeout = delegate.getIdlePeriodsUntilTimeout(); 
      idlePeriodsUntilTimeoutIsCached = true;  
    }
    return idlePeriodsUntilTimeout;
  }
  /**
   * Setter for IdlePeriodsUntilTimeout
   */
  public void setIdlePeriodsUntilTimeout(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setIdlePeriodsUntilTimeout(value);
    idlePeriodsUntilTimeout = value;
    idlePeriodsUntilTimeoutIsCached = true;
  }
  /*
   * Declaration of InstrumentStackTraceEnabled
   */
  private boolean instrumentStackTraceEnabledIsCached = false;
  private boolean instrumentStackTraceEnabled;
  /**
   * Getter for InstrumentStackTraceEnabled
   */
  public boolean isInstrumentStackTraceEnabled() 
    
  {
    if (!instrumentStackTraceEnabledIsCached) {
      instrumentStackTraceEnabled = delegate.isInstrumentStackTraceEnabled(); 
      instrumentStackTraceEnabledIsCached = true;  
    }
    return instrumentStackTraceEnabled;
  }
  /**
   * Setter for InstrumentStackTraceEnabled
   */
  public void setInstrumentStackTraceEnabled(boolean value)
    throws weblogic.management.DistributedManagementException
  {
    delegate.setInstrumentStackTraceEnabled(value);
    instrumentStackTraceEnabled = value;
    instrumentStackTraceEnabledIsCached = true;
  }
  /*
   * Declaration of KernelDebug
   */
  private boolean kernelDebugIsCached = false;
  private weblogic.management.configuration.KernelDebugMBean kernelDebug;
  /**
   * Getter for KernelDebug
   */
  public weblogic.management.configuration.KernelDebugMBean getKernelDebug() 
    
  {
    if (!kernelDebugIsCached) {
      kernelDebug = delegate.getKernelDebug(); 
      kernelDebugIsCached = true;  
    }
    return kernelDebug;
  }
  /*
   * Declaration of Log
   */
  private boolean logIsCached = false;
  private weblogic.management.configuration.LogMBean log;
  /**
   * Getter for Log
   */
  public weblogic.management.configuration.LogMBean getLog() 
    
  {
    if (!logIsCached) {
      log = delegate.getLog(); 
      logIsCached = true;  
    }
    return log;
  }
  /*
   * Declaration of LogRemoteExceptionsEnabled
   */
  private boolean logRemoteExceptionsEnabledIsCached = false;
  private boolean logRemoteExceptionsEnabled;
  /**
   * Getter for LogRemoteExceptionsEnabled
   */
  public boolean isLogRemoteExceptionsEnabled() 
    
  {
    if (!logRemoteExceptionsEnabledIsCached) {
      logRemoteExceptionsEnabled = delegate.isLogRemoteExceptionsEnabled(); 
      logRemoteExceptionsEnabledIsCached = true;  
    }
    return logRemoteExceptionsEnabled;
  }
  /**
   * Setter for LogRemoteExceptionsEnabled
   */
  public void setLogRemoteExceptionsEnabled(boolean value)
    throws weblogic.management.DistributedManagementException
  {
    delegate.setLogRemoteExceptionsEnabled(value);
    logRemoteExceptionsEnabled = value;
    logRemoteExceptionsEnabledIsCached = true;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of MaxHTTPMessageSize
   */
  private boolean maxHTTPMessageSizeIsCached = false;
  private int maxHTTPMessageSize;
  /**
   * Getter for MaxHTTPMessageSize
   */
  public int getMaxHTTPMessageSize() 
    
  {
    if (!maxHTTPMessageSizeIsCached) {
      maxHTTPMessageSize = delegate.getMaxHTTPMessageSize(); 
      maxHTTPMessageSizeIsCached = true;  
    }
    return maxHTTPMessageSize;
  }
  /**
   * Setter for MaxHTTPMessageSize
   */
  public void setMaxHTTPMessageSize(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setMaxHTTPMessageSize(value);
    maxHTTPMessageSize = value;
    maxHTTPMessageSizeIsCached = true;
  }
  /*
   * Declaration of MaxIIOPMessageSize
   */
  private boolean maxIIOPMessageSizeIsCached = false;
  private int maxIIOPMessageSize;
  /**
   * Getter for MaxIIOPMessageSize
   */
  public int getMaxIIOPMessageSize() 
    
  {
    if (!maxIIOPMessageSizeIsCached) {
      maxIIOPMessageSize = delegate.getMaxIIOPMessageSize(); 
      maxIIOPMessageSizeIsCached = true;  
    }
    return maxIIOPMessageSize;
  }
  /**
   * Setter for MaxIIOPMessageSize
   */
  public void setMaxIIOPMessageSize(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setMaxIIOPMessageSize(value);
    maxIIOPMessageSize = value;
    maxIIOPMessageSizeIsCached = true;
  }
  /*
   * Declaration of MaxT3MessageSize
   */
  private boolean maxT3MessageSizeIsCached = false;
  private int maxT3MessageSize;
  /**
   * Getter for MaxT3MessageSize
   */
  public int getMaxT3MessageSize() 
    
  {
    if (!maxT3MessageSizeIsCached) {
      maxT3MessageSize = delegate.getMaxT3MessageSize(); 
      maxT3MessageSizeIsCached = true;  
    }
    return maxT3MessageSize;
  }
  /**
   * Setter for MaxT3MessageSize
   */
  public void setMaxT3MessageSize(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setMaxT3MessageSize(value);
    maxT3MessageSize = value;
    maxT3MessageSizeIsCached = true;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of NativeIOEnabled
   */
  private boolean nativeIOEnabledIsCached = false;
  private boolean nativeIOEnabled;
  /**
   * Getter for NativeIOEnabled
   */
  public boolean isNativeIOEnabled() 
    
  {
    if (!nativeIOEnabledIsCached) {
      nativeIOEnabled = delegate.isNativeIOEnabled(); 
      nativeIOEnabledIsCached = true;  
    }
    return nativeIOEnabled;
  }
  /**
   * Setter for NativeIOEnabled
   */
  public void setNativeIOEnabled(boolean value)
    
  {
    delegate.setNativeIOEnabled(value);
    nativeIOEnabled = value;
    nativeIOEnabledIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of PeriodLength
   */
  private boolean periodLengthIsCached = false;
  private int periodLength;
  /**
   * Getter for PeriodLength
   */
  public int getPeriodLength() 
    
  {
    if (!periodLengthIsCached) {
      periodLength = delegate.getPeriodLength(); 
      periodLengthIsCached = true;  
    }
    return periodLength;
  }
  /**
   * Setter for PeriodLength
   */
  public void setPeriodLength(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setPeriodLength(value);
    periodLength = value;
    periodLengthIsCached = true;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of ResponseTimeout
   */
  private boolean responseTimeoutIsCached = false;
  private int responseTimeout;
  /**
   * Getter for ResponseTimeout
   */
  public int getResponseTimeout() 
    
  {
    if (!responseTimeoutIsCached) {
      responseTimeout = delegate.getResponseTimeout(); 
      responseTimeoutIsCached = true;  
    }
    return responseTimeout;
  }
  /**
   * Setter for ResponseTimeout
   */
  public void setResponseTimeout(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setResponseTimeout(value);
    responseTimeout = value;
    responseTimeoutIsCached = true;
  }
  /*
   * Declaration of ReverseDNSAllowed
   */
  private boolean reverseDNSAllowedIsCached = false;
  private boolean reverseDNSAllowed;
  /**
   * Getter for ReverseDNSAllowed
   */
  public boolean isReverseDNSAllowed() 
    
  {
    if (!reverseDNSAllowedIsCached) {
      reverseDNSAllowed = delegate.isReverseDNSAllowed(); 
      reverseDNSAllowedIsCached = true;  
    }
    return reverseDNSAllowed;
  }
  /**
   * Setter for ReverseDNSAllowed
   */
  public void setReverseDNSAllowed(boolean value)
    throws weblogic.management.DistributedManagementException
  {
    delegate.setReverseDNSAllowed(value);
    reverseDNSAllowed = value;
    reverseDNSAllowedIsCached = true;
  }
  /*
   * Declaration of RjvmIdleTimeout
   */
  private boolean rjvmIdleTimeoutIsCached = false;
  private int rjvmIdleTimeout;
  /**
   * Getter for RjvmIdleTimeout
   */
  public int getRjvmIdleTimeout() 
    
  {
    if (!rjvmIdleTimeoutIsCached) {
      rjvmIdleTimeout = delegate.getRjvmIdleTimeout(); 
      rjvmIdleTimeoutIsCached = true;  
    }
    return rjvmIdleTimeout;
  }
  /**
   * Setter for RjvmIdleTimeout
   */
  public void setRjvmIdleTimeout(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setRjvmIdleTimeout(value);
    rjvmIdleTimeout = value;
    rjvmIdleTimeoutIsCached = true;
  }
  /*
   * Declaration of SSL
   */
  private boolean sslIsCached = false;
  private weblogic.management.configuration.SSLMBean ssl;
  /**
   * Getter for SSL
   */
  public weblogic.management.configuration.SSLMBean getSSL() 
    
  {
    if (!sslIsCached) {
      ssl = delegate.getSSL(); 
      sslIsCached = true;  
    }
    return ssl;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of SocketReaderTimeoutMaxMillis
   */
  private boolean socketReaderTimeoutMaxMillisIsCached = false;
  private int socketReaderTimeoutMaxMillis;
  /**
   * Getter for SocketReaderTimeoutMaxMillis
   */
  public int getSocketReaderTimeoutMaxMillis() 
    
  {
    if (!socketReaderTimeoutMaxMillisIsCached) {
      socketReaderTimeoutMaxMillis = delegate.getSocketReaderTimeoutMaxMillis(); 
      socketReaderTimeoutMaxMillisIsCached = true;  
    }
    return socketReaderTimeoutMaxMillis;
  }
  /**
   * Setter for SocketReaderTimeoutMaxMillis
   */
  public void setSocketReaderTimeoutMaxMillis(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setSocketReaderTimeoutMaxMillis(value);
    socketReaderTimeoutMaxMillis = value;
    socketReaderTimeoutMaxMillisIsCached = true;
  }
  /*
   * Declaration of SocketReaderTimeoutMinMillis
   */
  private boolean socketReaderTimeoutMinMillisIsCached = false;
  private int socketReaderTimeoutMinMillis;
  /**
   * Getter for SocketReaderTimeoutMinMillis
   */
  public int getSocketReaderTimeoutMinMillis() 
    
  {
    if (!socketReaderTimeoutMinMillisIsCached) {
      socketReaderTimeoutMinMillis = delegate.getSocketReaderTimeoutMinMillis(); 
      socketReaderTimeoutMinMillisIsCached = true;  
    }
    return socketReaderTimeoutMinMillis;
  }
  /**
   * Setter for SocketReaderTimeoutMinMillis
   */
  public void setSocketReaderTimeoutMinMillis(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setSocketReaderTimeoutMinMillis(value);
    socketReaderTimeoutMinMillis = value;
    socketReaderTimeoutMinMillisIsCached = true;
  }
  /*
   * Declaration of StdoutDebugEnabled
   */
  private boolean stdoutDebugEnabledIsCached = false;
  private boolean stdoutDebugEnabled;
  /**
   * Getter for StdoutDebugEnabled
   */
  public boolean isStdoutDebugEnabled() 
    
  {
    if (!stdoutDebugEnabledIsCached) {
      stdoutDebugEnabled = delegate.isStdoutDebugEnabled(); 
      stdoutDebugEnabledIsCached = true;  
    }
    return stdoutDebugEnabled;
  }
  /**
   * Setter for StdoutDebugEnabled
   */
  public void setStdoutDebugEnabled(boolean value)
    throws weblogic.management.DistributedManagementException
  {
    delegate.setStdoutDebugEnabled(value);
    stdoutDebugEnabled = value;
    stdoutDebugEnabledIsCached = true;
  }
  /*
   * Declaration of StdoutEnabled
   */
  private boolean stdoutEnabledIsCached = false;
  private boolean stdoutEnabled;
  /**
   * Getter for StdoutEnabled
   */
  public boolean isStdoutEnabled() 
    
  {
    if (!stdoutEnabledIsCached) {
      stdoutEnabled = delegate.isStdoutEnabled(); 
      stdoutEnabledIsCached = true;  
    }
    return stdoutEnabled;
  }
  /**
   * Setter for StdoutEnabled
   */
  public void setStdoutEnabled(boolean value)
    throws weblogic.management.DistributedManagementException
  {
    delegate.setStdoutEnabled(value);
    stdoutEnabled = value;
    stdoutEnabledIsCached = true;
  }
  /*
   * Declaration of StdoutSeverityLevel
   */
  private boolean stdoutSeverityLevelIsCached = false;
  private int stdoutSeverityLevel;
  /**
   * Getter for StdoutSeverityLevel
   */
  public int getStdoutSeverityLevel() 
    
  {
    if (!stdoutSeverityLevelIsCached) {
      stdoutSeverityLevel = delegate.getStdoutSeverityLevel(); 
      stdoutSeverityLevelIsCached = true;  
    }
    return stdoutSeverityLevel;
  }
  /**
   * Setter for StdoutSeverityLevel
   */
  public void setStdoutSeverityLevel(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setStdoutSeverityLevel(value);
    stdoutSeverityLevel = value;
    stdoutSeverityLevelIsCached = true;
  }
  /*
   * Declaration of ThreadPoolPercentSocketReaders
   */
  private boolean threadPoolPercentSocketReadersIsCached = false;
  private int threadPoolPercentSocketReaders;
  /**
   * Getter for ThreadPoolPercentSocketReaders
   */
  public int getThreadPoolPercentSocketReaders() 
    
  {
    if (!threadPoolPercentSocketReadersIsCached) {
      threadPoolPercentSocketReaders = delegate.getThreadPoolPercentSocketReaders(); 
      threadPoolPercentSocketReadersIsCached = true;  
    }
    return threadPoolPercentSocketReaders;
  }
  /**
   * Setter for ThreadPoolPercentSocketReaders
   */
  public void setThreadPoolPercentSocketReaders(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setThreadPoolPercentSocketReaders(value);
    threadPoolPercentSocketReaders = value;
    threadPoolPercentSocketReadersIsCached = true;
  }
  /*
   * Declaration of ThreadPoolSize
   */
  private boolean threadPoolSizeIsCached = false;
  private int threadPoolSize;
  /**
   * Getter for ThreadPoolSize
   */
  public int getThreadPoolSize() 
    
  {
    if (!threadPoolSizeIsCached) {
      threadPoolSize = delegate.getThreadPoolSize(); 
      threadPoolSizeIsCached = true;  
    }
    return threadPoolSize;
  }
  /**
   * Setter for ThreadPoolSize
   */
  public void setThreadPoolSize(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setThreadPoolSize(value);
    threadPoolSize = value;
    threadPoolSizeIsCached = true;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }
  /*
   * Declaration of ValidProtocols
   */
  private boolean validProtocolsIsCached = false;
  private java.util.Map validProtocols;
  /**
   * Getter for ValidProtocols
   */
  public java.util.Map getValidProtocols() 
    
  {
    if (!validProtocolsIsCached) {
      validProtocols = delegate.getValidProtocols(); 
      validProtocolsIsCached = true;  
    }
    return validProtocols;
  }

  
    /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }
  /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("CompleteHTTPMessageTimeout")) {
    completeHTTPMessageTimeoutIsCached = false;
  }
else   if (attributeName.equals("CompleteIIOPMessageTimeout")) {
    completeIIOPMessageTimeoutIsCached = false;
  }
else   if (attributeName.equals("CompleteT3MessageTimeout")) {
    completeT3MessageTimeoutIsCached = false;
  }
else   if (attributeName.equals("DGCIdlePeriodsUntilTimeout")) {
    dgcIdlePeriodsUntilTimeoutIsCached = false;
  }
else   if (attributeName.equals("DefaultProtocol")) {
    defaultProtocolIsCached = false;
  }
else   if (attributeName.equals("DefaultSecureProtocol")) {
    defaultSecureProtocolIsCached = false;
  }
else   if (attributeName.equals("IdlePeriodsUntilTimeout")) {
    idlePeriodsUntilTimeoutIsCached = false;
  }
else   if (attributeName.equals("InstrumentStackTraceEnabled")) {
    instrumentStackTraceEnabledIsCached = false;
  }
else   if (attributeName.equals("KernelDebug")) {
    kernelDebugIsCached = false;
  }
else   if (attributeName.equals("Log")) {
    logIsCached = false;
  }
else   if (attributeName.equals("LogRemoteExceptionsEnabled")) {
    logRemoteExceptionsEnabledIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("MaxHTTPMessageSize")) {
    maxHTTPMessageSizeIsCached = false;
  }
else   if (attributeName.equals("MaxIIOPMessageSize")) {
    maxIIOPMessageSizeIsCached = false;
  }
else   if (attributeName.equals("MaxT3MessageSize")) {
    maxT3MessageSizeIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("NativeIOEnabled")) {
    nativeIOEnabledIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("PeriodLength")) {
    periodLengthIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("ResponseTimeout")) {
    responseTimeoutIsCached = false;
  }
else   if (attributeName.equals("ReverseDNSAllowed")) {
    reverseDNSAllowedIsCached = false;
  }
else   if (attributeName.equals("RjvmIdleTimeout")) {
    rjvmIdleTimeoutIsCached = false;
  }
else   if (attributeName.equals("SSL")) {
    sslIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("SocketReaderTimeoutMaxMillis")) {
    socketReaderTimeoutMaxMillisIsCached = false;
  }
else   if (attributeName.equals("SocketReaderTimeoutMinMillis")) {
    socketReaderTimeoutMinMillisIsCached = false;
  }
else   if (attributeName.equals("StdoutDebugEnabled")) {
    stdoutDebugEnabledIsCached = false;
  }
else   if (attributeName.equals("StdoutEnabled")) {
    stdoutEnabledIsCached = false;
  }
else   if (attributeName.equals("StdoutSeverityLevel")) {
    stdoutSeverityLevelIsCached = false;
  }
else   if (attributeName.equals("ThreadPoolPercentSocketReaders")) {
    threadPoolPercentSocketReadersIsCached = false;
  }
else   if (attributeName.equals("ThreadPoolSize")) {
    threadPoolSizeIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }
else   if (attributeName.equals("ValidProtocols")) {
    validProtocolsIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.KernelMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
