package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class LDAPRealmMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.LDAPRealmMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.LDAPRealmMBean delegate;

    public LDAPRealmMBean_CachingStub(weblogic.management.configuration.LDAPRealmMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of AuthProtocol
   */
  private boolean authProtocolIsCached = false;
  private java.lang.String authProtocol;
  /**
   * Getter for AuthProtocol
   */
  public java.lang.String getAuthProtocol() 
    
  {
    if (!authProtocolIsCached) {
      authProtocol = delegate.getAuthProtocol(); 
      authProtocolIsCached = true;  
    }
    return authProtocol;
  }
  /**
   * Setter for AuthProtocol
   */
  public void setAuthProtocol(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setAuthProtocol(value);
    authProtocol = value;
    authProtocolIsCached = true;
  }
  /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of Credential
   */
  private boolean credentialIsCached = false;
  private java.lang.String credential;
  /**
   * Getter for Credential
   */
  public java.lang.String getCredential() 
    
  {
    if (!credentialIsCached) {
      credential = delegate.getCredential(); 
      credentialIsCached = true;  
    }
    return credential;
  }
  /**
   * Setter for Credential
   */
  public void setCredential(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setCredential(value);
    credential = value;
    credentialIsCached = true;
  }
  /*
   * Declaration of GroupDN
   */
  private boolean groupDNIsCached = false;
  private java.lang.String groupDN;
  /**
   * Getter for GroupDN
   */
  public java.lang.String getGroupDN() 
    
  {
    if (!groupDNIsCached) {
      groupDN = delegate.getGroupDN(); 
      groupDNIsCached = true;  
    }
    return groupDN;
  }
  /**
   * Setter for GroupDN
   */
  public void setGroupDN(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setGroupDN(value);
    groupDN = value;
    groupDNIsCached = true;
  }
  /*
   * Declaration of GroupIsContext
   */
  private boolean groupIsContextIsCached = false;
  private boolean groupIsContext;
  /**
   * Getter for GroupIsContext
   */
  public boolean getGroupIsContext() 
    
  {
    if (!groupIsContextIsCached) {
      groupIsContext = delegate.getGroupIsContext(); 
      groupIsContextIsCached = true;  
    }
    return groupIsContext;
  }
  /**
   * Setter for GroupIsContext
   */
  public void setGroupIsContext(boolean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setGroupIsContext(value);
    groupIsContext = value;
    groupIsContextIsCached = true;
  }
  /*
   * Declaration of GroupNameAttribute
   */
  private boolean groupNameAttributeIsCached = false;
  private java.lang.String groupNameAttribute;
  /**
   * Getter for GroupNameAttribute
   */
  public java.lang.String getGroupNameAttribute() 
    
  {
    if (!groupNameAttributeIsCached) {
      groupNameAttribute = delegate.getGroupNameAttribute(); 
      groupNameAttributeIsCached = true;  
    }
    return groupNameAttribute;
  }
  /**
   * Setter for GroupNameAttribute
   */
  public void setGroupNameAttribute(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setGroupNameAttribute(value);
    groupNameAttribute = value;
    groupNameAttributeIsCached = true;
  }
  /*
   * Declaration of GroupUsernameAttribute
   */
  private boolean groupUsernameAttributeIsCached = false;
  private java.lang.String groupUsernameAttribute;
  /**
   * Getter for GroupUsernameAttribute
   */
  public java.lang.String getGroupUsernameAttribute() 
    
  {
    if (!groupUsernameAttributeIsCached) {
      groupUsernameAttribute = delegate.getGroupUsernameAttribute(); 
      groupUsernameAttributeIsCached = true;  
    }
    return groupUsernameAttribute;
  }
  /**
   * Setter for GroupUsernameAttribute
   */
  public void setGroupUsernameAttribute(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setGroupUsernameAttribute(value);
    groupUsernameAttribute = value;
    groupUsernameAttributeIsCached = true;
  }
  /*
   * Declaration of LDAPURL
   */
  private boolean ldapurlIsCached = false;
  private java.lang.String ldapurl;
  /**
   * Getter for LDAPURL
   */
  public java.lang.String getLDAPURL() 
    
  {
    if (!ldapurlIsCached) {
      ldapurl = delegate.getLDAPURL(); 
      ldapurlIsCached = true;  
    }
    return ldapurl;
  }
  /**
   * Setter for LDAPURL
   */
  public void setLDAPURL(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setLDAPURL(value);
    ldapurl = value;
    ldapurlIsCached = true;
  }
  /*
   * Declaration of LdapProvider
   */
  private boolean ldapProviderIsCached = false;
  private java.lang.String ldapProvider;
  /**
   * Getter for LdapProvider
   */
  public java.lang.String getLdapProvider() 
    
  {
    if (!ldapProviderIsCached) {
      ldapProvider = delegate.getLdapProvider(); 
      ldapProviderIsCached = true;  
    }
    return ldapProvider;
  }
  /**
   * Setter for LdapProvider
   */
  public void setLdapProvider(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setLdapProvider(value);
    ldapProvider = value;
    ldapProviderIsCached = true;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of Principal
   */
  private boolean principalIsCached = false;
  private java.lang.String principal;
  /**
   * Getter for Principal
   */
  public java.lang.String getPrincipal() 
    
  {
    if (!principalIsCached) {
      principal = delegate.getPrincipal(); 
      principalIsCached = true;  
    }
    return principal;
  }
  /**
   * Setter for Principal
   */
  public void setPrincipal(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setPrincipal(value);
    principal = value;
    principalIsCached = true;
  }
  /*
   * Declaration of RealmClassName
   */
  private boolean realmClassNameIsCached = false;
  private java.lang.String realmClassName;
  /**
   * Getter for RealmClassName
   */
  public java.lang.String getRealmClassName() 
    
  {
    if (!realmClassNameIsCached) {
      realmClassName = delegate.getRealmClassName(); 
      realmClassNameIsCached = true;  
    }
    return realmClassName;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of SSLEnable
   */
  private boolean sslEnableIsCached = false;
  private boolean sslEnable;
  /**
   * Getter for SSLEnable
   */
  public boolean getSSLEnable() 
    
  {
    if (!sslEnableIsCached) {
      sslEnable = delegate.getSSLEnable(); 
      sslEnableIsCached = true;  
    }
    return sslEnable;
  }
  /**
   * Setter for SSLEnable
   */
  public void setSSLEnable(boolean value)
    
  {
    delegate.setSSLEnable(value);
    sslEnable = value;
    sslEnableIsCached = true;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }
  /*
   * Declaration of UserAuthentication
   */
  private boolean userAuthenticationIsCached = false;
  private java.lang.String userAuthentication;
  /**
   * Getter for UserAuthentication
   */
  public java.lang.String getUserAuthentication() 
    
  {
    if (!userAuthenticationIsCached) {
      userAuthentication = delegate.getUserAuthentication(); 
      userAuthenticationIsCached = true;  
    }
    return userAuthentication;
  }
  /**
   * Setter for UserAuthentication
   */
  public void setUserAuthentication(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setUserAuthentication(value);
    userAuthentication = value;
    userAuthenticationIsCached = true;
  }
  /*
   * Declaration of UserDN
   */
  private boolean userDNIsCached = false;
  private java.lang.String userDN;
  /**
   * Getter for UserDN
   */
  public java.lang.String getUserDN() 
    
  {
    if (!userDNIsCached) {
      userDN = delegate.getUserDN(); 
      userDNIsCached = true;  
    }
    return userDN;
  }
  /**
   * Setter for UserDN
   */
  public void setUserDN(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setUserDN(value);
    userDN = value;
    userDNIsCached = true;
  }
  /*
   * Declaration of UserNameAttribute
   */
  private boolean userNameAttributeIsCached = false;
  private java.lang.String userNameAttribute;
  /**
   * Getter for UserNameAttribute
   */
  public java.lang.String getUserNameAttribute() 
    
  {
    if (!userNameAttributeIsCached) {
      userNameAttribute = delegate.getUserNameAttribute(); 
      userNameAttributeIsCached = true;  
    }
    return userNameAttribute;
  }
  /**
   * Setter for UserNameAttribute
   */
  public void setUserNameAttribute(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setUserNameAttribute(value);
    userNameAttribute = value;
    userNameAttributeIsCached = true;
  }
  /*
   * Declaration of UserPasswordAttribute
   */
  private boolean userPasswordAttributeIsCached = false;
  private java.lang.String userPasswordAttribute;
  /**
   * Getter for UserPasswordAttribute
   */
  public java.lang.String getUserPasswordAttribute() 
    
  {
    if (!userPasswordAttributeIsCached) {
      userPasswordAttribute = delegate.getUserPasswordAttribute(); 
      userPasswordAttributeIsCached = true;  
    }
    return userPasswordAttribute;
  }
  /**
   * Setter for UserPasswordAttribute
   */
  public void setUserPasswordAttribute(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setUserPasswordAttribute(value);
    userPasswordAttribute = value;
    userPasswordAttributeIsCached = true;
  }

  
    /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }
  /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("AuthProtocol")) {
    authProtocolIsCached = false;
  }
else   if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("Credential")) {
    credentialIsCached = false;
  }
else   if (attributeName.equals("GroupDN")) {
    groupDNIsCached = false;
  }
else   if (attributeName.equals("GroupIsContext")) {
    groupIsContextIsCached = false;
  }
else   if (attributeName.equals("GroupNameAttribute")) {
    groupNameAttributeIsCached = false;
  }
else   if (attributeName.equals("GroupUsernameAttribute")) {
    groupUsernameAttributeIsCached = false;
  }
else   if (attributeName.equals("LDAPURL")) {
    ldapurlIsCached = false;
  }
else   if (attributeName.equals("LdapProvider")) {
    ldapProviderIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("Principal")) {
    principalIsCached = false;
  }
else   if (attributeName.equals("RealmClassName")) {
    realmClassNameIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("SSLEnable")) {
    sslEnableIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }
else   if (attributeName.equals("UserAuthentication")) {
    userAuthenticationIsCached = false;
  }
else   if (attributeName.equals("UserDN")) {
    userDNIsCached = false;
  }
else   if (attributeName.equals("UserNameAttribute")) {
    userNameAttributeIsCached = false;
  }
else   if (attributeName.equals("UserPasswordAttribute")) {
    userPasswordAttributeIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.LDAPRealmMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
