package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class RDBMSRealmMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.RDBMSRealmMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.RDBMSRealmMBean delegate;

    public RDBMSRealmMBean_CachingStub(weblogic.management.configuration.RDBMSRealmMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of DatabaseDriver
   */
  private boolean databaseDriverIsCached = false;
  private java.lang.String databaseDriver;
  /**
   * Getter for DatabaseDriver
   */
  public java.lang.String getDatabaseDriver() 
    
  {
    if (!databaseDriverIsCached) {
      databaseDriver = delegate.getDatabaseDriver(); 
      databaseDriverIsCached = true;  
    }
    return databaseDriver;
  }
  /**
   * Setter for DatabaseDriver
   */
  public void setDatabaseDriver(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setDatabaseDriver(value);
    databaseDriver = value;
    databaseDriverIsCached = true;
  }
  /*
   * Declaration of DatabasePassword
   */
  private boolean databasePasswordIsCached = false;
  private java.lang.String databasePassword;
  /**
   * Getter for DatabasePassword
   */
  public java.lang.String getDatabasePassword() 
    
  {
    if (!databasePasswordIsCached) {
      databasePassword = delegate.getDatabasePassword(); 
      databasePasswordIsCached = true;  
    }
    return databasePassword;
  }
  /**
   * Setter for DatabasePassword
   */
  public void setDatabasePassword(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setDatabasePassword(value);
    databasePassword = value;
    databasePasswordIsCached = true;
  }
  /*
   * Declaration of DatabaseURL
   */
  private boolean databaseURLIsCached = false;
  private java.lang.String databaseURL;
  /**
   * Getter for DatabaseURL
   */
  public java.lang.String getDatabaseURL() 
    
  {
    if (!databaseURLIsCached) {
      databaseURL = delegate.getDatabaseURL(); 
      databaseURLIsCached = true;  
    }
    return databaseURL;
  }
  /**
   * Setter for DatabaseURL
   */
  public void setDatabaseURL(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setDatabaseURL(value);
    databaseURL = value;
    databaseURLIsCached = true;
  }
  /*
   * Declaration of DatabaseUserName
   */
  private boolean databaseUserNameIsCached = false;
  private java.lang.String databaseUserName;
  /**
   * Getter for DatabaseUserName
   */
  public java.lang.String getDatabaseUserName() 
    
  {
    if (!databaseUserNameIsCached) {
      databaseUserName = delegate.getDatabaseUserName(); 
      databaseUserNameIsCached = true;  
    }
    return databaseUserName;
  }
  /**
   * Setter for DatabaseUserName
   */
  public void setDatabaseUserName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setDatabaseUserName(value);
    databaseUserName = value;
    databaseUserNameIsCached = true;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of RealmClassName
   */
  private boolean realmClassNameIsCached = false;
  private java.lang.String realmClassName;
  /**
   * Getter for RealmClassName
   */
  public java.lang.String getRealmClassName() 
    
  {
    if (!realmClassNameIsCached) {
      realmClassName = delegate.getRealmClassName(); 
      realmClassNameIsCached = true;  
    }
    return realmClassName;
  }
  /**
   * Setter for RealmClassName
   */
  public void setRealmClassName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setRealmClassName(value);
    realmClassName = value;
    realmClassNameIsCached = true;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of SchemaProperties
   */
  private boolean schemaPropertiesIsCached = false;
  private java.util.Properties schemaProperties;
  /**
   * Getter for SchemaProperties
   */
  public java.util.Properties getSchemaProperties() 
    
  {
    if (!schemaPropertiesIsCached) {
      schemaProperties = delegate.getSchemaProperties(); 
      schemaPropertiesIsCached = true;  
    }
    return schemaProperties;
  }
  /**
   * Setter for SchemaProperties
   */
  public void setSchemaProperties(java.util.Properties value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSchemaProperties(value);
    schemaProperties = value;
    schemaPropertiesIsCached = true;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }

  
    /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }
  /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("DatabaseDriver")) {
    databaseDriverIsCached = false;
  }
else   if (attributeName.equals("DatabasePassword")) {
    databasePasswordIsCached = false;
  }
else   if (attributeName.equals("DatabaseURL")) {
    databaseURLIsCached = false;
  }
else   if (attributeName.equals("DatabaseUserName")) {
    databaseUserNameIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("RealmClassName")) {
    realmClassNameIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("SchemaProperties")) {
    schemaPropertiesIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.RDBMSRealmMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
