package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class SSLMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.SSLMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.SSLMBean delegate;

    public SSLMBean_CachingStub(weblogic.management.configuration.SSLMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of CertAuthenticator
   */
  private boolean certAuthenticatorIsCached = false;
  private java.lang.String certAuthenticator;
  /**
   * Getter for CertAuthenticator
   */
  public java.lang.String getCertAuthenticator() 
    
  {
    if (!certAuthenticatorIsCached) {
      certAuthenticator = delegate.getCertAuthenticator(); 
      certAuthenticatorIsCached = true;  
    }
    return certAuthenticator;
  }
  /**
   * Setter for CertAuthenticator
   */
  public void setCertAuthenticator(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setCertAuthenticator(value);
    certAuthenticator = value;
    certAuthenticatorIsCached = true;
  }
  /*
   * Declaration of CertificateCacheSize
   */
  private boolean certificateCacheSizeIsCached = false;
  private int certificateCacheSize;
  /**
   * Getter for CertificateCacheSize
   */
  public int getCertificateCacheSize() 
    
  {
    if (!certificateCacheSizeIsCached) {
      certificateCacheSize = delegate.getCertificateCacheSize(); 
      certificateCacheSizeIsCached = true;  
    }
    return certificateCacheSize;
  }
  /**
   * Setter for CertificateCacheSize
   */
  public void setCertificateCacheSize(int value)
    
  {
    delegate.setCertificateCacheSize(value);
    certificateCacheSize = value;
    certificateCacheSizeIsCached = true;
  }
  /*
   * Declaration of Ciphersuites
   */
  private boolean ciphersuitesIsCached = false;
  private java.lang.String[] ciphersuites;
  /**
   * Getter for Ciphersuites
   */
  public java.lang.String[] getCiphersuites() 
    
  {
    if (!ciphersuitesIsCached) {
      ciphersuites = delegate.getCiphersuites(); 
      ciphersuitesIsCached = true;  
    }
    return ciphersuites;
  }
  /**
   * Setter for Ciphersuites
   */
  public void setCiphersuites(java.lang.String[] value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setCiphersuites(value);
    ciphersuites = value;
    ciphersuitesIsCached = true;
  }
  /*
   * Declaration of ClientCertificateEnforced
   */
  private boolean clientCertificateEnforcedIsCached = false;
  private boolean clientCertificateEnforced;
  /**
   * Getter for ClientCertificateEnforced
   */
  public boolean isClientCertificateEnforced() 
    
  {
    if (!clientCertificateEnforcedIsCached) {
      clientCertificateEnforced = delegate.isClientCertificateEnforced(); 
      clientCertificateEnforcedIsCached = true;  
    }
    return clientCertificateEnforced;
  }
  /**
   * Setter for ClientCertificateEnforced
   */
  public void setClientCertificateEnforced(boolean value)
    
  {
    delegate.setClientCertificateEnforced(value);
    clientCertificateEnforced = value;
    clientCertificateEnforcedIsCached = true;
  }
  /*
   * Declaration of Enabled
   */
  private boolean enabledIsCached = false;
  private boolean enabled;
  /**
   * Getter for Enabled
   */
  public boolean isEnabled() 
    
  {
    if (!enabledIsCached) {
      enabled = delegate.isEnabled(); 
      enabledIsCached = true;  
    }
    return enabled;
  }
  /**
   * Setter for Enabled
   */
  public void setEnabled(boolean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setEnabled(value);
    enabled = value;
    enabledIsCached = true;
  }
  /*
   * Declaration of ExportKeyLifespan
   */
  private boolean exportKeyLifespanIsCached = false;
  private int exportKeyLifespan;
  /**
   * Getter for ExportKeyLifespan
   */
  public int getExportKeyLifespan() 
    
  {
    if (!exportKeyLifespanIsCached) {
      exportKeyLifespan = delegate.getExportKeyLifespan(); 
      exportKeyLifespanIsCached = true;  
    }
    return exportKeyLifespan;
  }
  /**
   * Setter for ExportKeyLifespan
   */
  public void setExportKeyLifespan(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setExportKeyLifespan(value);
    exportKeyLifespan = value;
    exportKeyLifespanIsCached = true;
  }
  /*
   * Declaration of HandlerEnabled
   */
  private boolean handlerEnabledIsCached = false;
  private boolean handlerEnabled;
  /**
   * Getter for HandlerEnabled
   */
  public boolean isHandlerEnabled() 
    
  {
    if (!handlerEnabledIsCached) {
      handlerEnabled = delegate.isHandlerEnabled(); 
      handlerEnabledIsCached = true;  
    }
    return handlerEnabled;
  }
  /**
   * Setter for HandlerEnabled
   */
  public void setHandlerEnabled(boolean value)
    
  {
    delegate.setHandlerEnabled(value);
    handlerEnabled = value;
    handlerEnabledIsCached = true;
  }
  /*
   * Declaration of KeyEncrypted
   */
  private boolean keyEncryptedIsCached = false;
  private boolean keyEncrypted;
  /**
   * Getter for KeyEncrypted
   */
  public boolean isKeyEncrypted() 
    
  {
    if (!keyEncryptedIsCached) {
      keyEncrypted = delegate.isKeyEncrypted(); 
      keyEncryptedIsCached = true;  
    }
    return keyEncrypted;
  }
  /**
   * Setter for KeyEncrypted
   */
  public void setKeyEncrypted(boolean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setKeyEncrypted(value);
    keyEncrypted = value;
    keyEncryptedIsCached = true;
  }
  /*
   * Declaration of ListenPort
   */
  private boolean listenPortIsCached = false;
  private int listenPort;
  /**
   * Getter for ListenPort
   */
  public int getListenPort() 
    
  {
    if (!listenPortIsCached) {
      listenPort = delegate.getListenPort(); 
      listenPortIsCached = true;  
    }
    return listenPort;
  }
  /**
   * Setter for ListenPort
   */
  public void setListenPort(int value)
    
  {
    delegate.setListenPort(value);
    listenPort = value;
    listenPortIsCached = true;
  }
  /*
   * Declaration of LoginTimeoutMillis
   */
  private boolean loginTimeoutMillisIsCached = false;
  private int loginTimeoutMillis;
  /**
   * Getter for LoginTimeoutMillis
   */
  public int getLoginTimeoutMillis() 
    
  {
    if (!loginTimeoutMillisIsCached) {
      loginTimeoutMillis = delegate.getLoginTimeoutMillis(); 
      loginTimeoutMillisIsCached = true;  
    }
    return loginTimeoutMillis;
  }
  /**
   * Setter for LoginTimeoutMillis
   */
  public void setLoginTimeoutMillis(int value)
    
  {
    delegate.setLoginTimeoutMillis(value);
    loginTimeoutMillis = value;
    loginTimeoutMillisIsCached = true;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of MDAcceleration
   */
  private boolean mdAccelerationIsCached = false;
  private java.lang.String mdAcceleration;
  /**
   * Getter for MDAcceleration
   */
  public java.lang.String getMDAcceleration() 
    
  {
    if (!mdAccelerationIsCached) {
      mdAcceleration = delegate.getMDAcceleration(); 
      mdAccelerationIsCached = true;  
    }
    return mdAcceleration;
  }
  /**
   * Setter for MDAcceleration
   */
  public void setMDAcceleration(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setMDAcceleration(value);
    mdAcceleration = value;
    mdAccelerationIsCached = true;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of PeerValidationEnforced
   */
  private boolean peerValidationEnforcedIsCached = false;
  private int peerValidationEnforced;
  /**
   * Getter for PeerValidationEnforced
   */
  public int getPeerValidationEnforced() 
    
  {
    if (!peerValidationEnforcedIsCached) {
      peerValidationEnforced = delegate.getPeerValidationEnforced(); 
      peerValidationEnforcedIsCached = true;  
    }
    return peerValidationEnforced;
  }
  /**
   * Setter for PeerValidationEnforced
   */
  public void setPeerValidationEnforced(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setPeerValidationEnforced(value);
    peerValidationEnforced = value;
    peerValidationEnforcedIsCached = true;
  }
  /*
   * Declaration of RC4Acceleration
   */
  private boolean rc4AccelerationIsCached = false;
  private java.lang.String rc4Acceleration;
  /**
   * Getter for RC4Acceleration
   */
  public java.lang.String getRC4Acceleration() 
    
  {
    if (!rc4AccelerationIsCached) {
      rc4Acceleration = delegate.getRC4Acceleration(); 
      rc4AccelerationIsCached = true;  
    }
    return rc4Acceleration;
  }
  /**
   * Setter for RC4Acceleration
   */
  public void setRC4Acceleration(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setRC4Acceleration(value);
    rc4Acceleration = value;
    rc4AccelerationIsCached = true;
  }
  /*
   * Declaration of RSAAcceleration
   */
  private boolean rsaAccelerationIsCached = false;
  private java.lang.String rsaAcceleration;
  /**
   * Getter for RSAAcceleration
   */
  public java.lang.String getRSAAcceleration() 
    
  {
    if (!rsaAccelerationIsCached) {
      rsaAcceleration = delegate.getRSAAcceleration(); 
      rsaAccelerationIsCached = true;  
    }
    return rsaAcceleration;
  }
  /**
   * Setter for RSAAcceleration
   */
  public void setRSAAcceleration(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setRSAAcceleration(value);
    rsaAcceleration = value;
    rsaAccelerationIsCached = true;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of ServerCertificateChainFileName
   */
  private boolean serverCertificateChainFileNameIsCached = false;
  private java.lang.String serverCertificateChainFileName;
  /**
   * Getter for ServerCertificateChainFileName
   */
  public java.lang.String getServerCertificateChainFileName() 
    
  {
    if (!serverCertificateChainFileNameIsCached) {
      serverCertificateChainFileName = delegate.getServerCertificateChainFileName(); 
      serverCertificateChainFileNameIsCached = true;  
    }
    return serverCertificateChainFileName;
  }
  /**
   * Setter for ServerCertificateChainFileName
   */
  public void setServerCertificateChainFileName(java.lang.String value)
    
  {
    delegate.setServerCertificateChainFileName(value);
    serverCertificateChainFileName = value;
    serverCertificateChainFileNameIsCached = true;
  }
  /*
   * Declaration of ServerCertificateFileName
   */
  private boolean serverCertificateFileNameIsCached = false;
  private java.lang.String serverCertificateFileName;
  /**
   * Getter for ServerCertificateFileName
   */
  public java.lang.String getServerCertificateFileName() 
    
  {
    if (!serverCertificateFileNameIsCached) {
      serverCertificateFileName = delegate.getServerCertificateFileName(); 
      serverCertificateFileNameIsCached = true;  
    }
    return serverCertificateFileName;
  }
  /**
   * Setter for ServerCertificateFileName
   */
  public void setServerCertificateFileName(java.lang.String value)
    
  {
    delegate.setServerCertificateFileName(value);
    serverCertificateFileName = value;
    serverCertificateFileNameIsCached = true;
  }
  /*
   * Declaration of ServerKeyFileName
   */
  private boolean serverKeyFileNameIsCached = false;
  private java.lang.String serverKeyFileName;
  /**
   * Getter for ServerKeyFileName
   */
  public java.lang.String getServerKeyFileName() 
    
  {
    if (!serverKeyFileNameIsCached) {
      serverKeyFileName = delegate.getServerKeyFileName(); 
      serverKeyFileNameIsCached = true;  
    }
    return serverKeyFileName;
  }
  /**
   * Setter for ServerKeyFileName
   */
  public void setServerKeyFileName(java.lang.String value)
    
  {
    delegate.setServerKeyFileName(value);
    serverKeyFileName = value;
    serverKeyFileNameIsCached = true;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of TrustedCAFileName
   */
  private boolean trustedCAFileNameIsCached = false;
  private java.lang.String trustedCAFileName;
  /**
   * Getter for TrustedCAFileName
   */
  public java.lang.String getTrustedCAFileName() 
    
  {
    if (!trustedCAFileNameIsCached) {
      trustedCAFileName = delegate.getTrustedCAFileName(); 
      trustedCAFileNameIsCached = true;  
    }
    return trustedCAFileName;
  }
  /**
   * Setter for TrustedCAFileName
   */
  public void setTrustedCAFileName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setTrustedCAFileName(value);
    trustedCAFileName = value;
    trustedCAFileNameIsCached = true;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }
  /*
   * Declaration of UseJava
   */
  private boolean useJavaIsCached = false;
  private boolean useJava;
  /**
   * Getter for UseJava
   */
  public boolean isUseJava() 
    
  {
    if (!useJavaIsCached) {
      useJava = delegate.isUseJava(); 
      useJavaIsCached = true;  
    }
    return useJava;
  }
  /**
   * Setter for UseJava
   */
  public void setUseJava(boolean value)
    
  {
    delegate.setUseJava(value);
    useJava = value;
    useJavaIsCached = true;
  }

  
    /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }
  /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("CertAuthenticator")) {
    certAuthenticatorIsCached = false;
  }
else   if (attributeName.equals("CertificateCacheSize")) {
    certificateCacheSizeIsCached = false;
  }
else   if (attributeName.equals("Ciphersuites")) {
    ciphersuitesIsCached = false;
  }
else   if (attributeName.equals("ClientCertificateEnforced")) {
    clientCertificateEnforcedIsCached = false;
  }
else   if (attributeName.equals("Enabled")) {
    enabledIsCached = false;
  }
else   if (attributeName.equals("ExportKeyLifespan")) {
    exportKeyLifespanIsCached = false;
  }
else   if (attributeName.equals("HandlerEnabled")) {
    handlerEnabledIsCached = false;
  }
else   if (attributeName.equals("KeyEncrypted")) {
    keyEncryptedIsCached = false;
  }
else   if (attributeName.equals("ListenPort")) {
    listenPortIsCached = false;
  }
else   if (attributeName.equals("LoginTimeoutMillis")) {
    loginTimeoutMillisIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("MDAcceleration")) {
    mdAccelerationIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("PeerValidationEnforced")) {
    peerValidationEnforcedIsCached = false;
  }
else   if (attributeName.equals("RC4Acceleration")) {
    rc4AccelerationIsCached = false;
  }
else   if (attributeName.equals("RSAAcceleration")) {
    rsaAccelerationIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("ServerCertificateChainFileName")) {
    serverCertificateChainFileNameIsCached = false;
  }
else   if (attributeName.equals("ServerCertificateFileName")) {
    serverCertificateFileNameIsCached = false;
  }
else   if (attributeName.equals("ServerKeyFileName")) {
    serverKeyFileNameIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("TrustedCAFileName")) {
    trustedCAFileNameIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }
else   if (attributeName.equals("UseJava")) {
    useJavaIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.SSLMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
