package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class SecurityMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.SecurityMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.SecurityMBean delegate;

    public SecurityMBean_CachingStub(weblogic.management.configuration.SecurityMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of AuditProviderClassName
   */
  private boolean auditProviderClassNameIsCached = false;
  private java.lang.String auditProviderClassName;
  /**
   * Getter for AuditProviderClassName
   */
  public java.lang.String getAuditProviderClassName() 
    
  {
    if (!auditProviderClassNameIsCached) {
      auditProviderClassName = delegate.getAuditProviderClassName(); 
      auditProviderClassNameIsCached = true;  
    }
    return auditProviderClassName;
  }
  /**
   * Setter for AuditProviderClassName
   */
  public void setAuditProviderClassName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setAuditProviderClassName(value);
    auditProviderClassName = value;
    auditProviderClassNameIsCached = true;
  }
  /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of ConnectionFilter
   */
  private boolean connectionFilterIsCached = false;
  private java.lang.String connectionFilter;
  /**
   * Getter for ConnectionFilter
   */
  public java.lang.String getConnectionFilter() 
    
  {
    if (!connectionFilterIsCached) {
      connectionFilter = delegate.getConnectionFilter(); 
      connectionFilterIsCached = true;  
    }
    return connectionFilter;
  }
  /**
   * Setter for ConnectionFilter
   */
  public void setConnectionFilter(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setConnectionFilter(value);
    connectionFilter = value;
    connectionFilterIsCached = true;
  }
  /*
   * Declaration of GuestDisabled
   */
  private boolean guestDisabledIsCached = false;
  private boolean guestDisabled;
  /**
   * Getter for GuestDisabled
   */
  public boolean isGuestDisabled() 
    
  {
    if (!guestDisabledIsCached) {
      guestDisabled = delegate.isGuestDisabled(); 
      guestDisabledIsCached = true;  
    }
    return guestDisabled;
  }
  /**
   * Setter for GuestDisabled
   */
  public void setGuestDisabled(boolean value)
    
  {
    delegate.setGuestDisabled(value);
    guestDisabled = value;
    guestDisabledIsCached = true;
  }
  /*
   * Declaration of LogAllChecksEnabled
   */
  private boolean logAllChecksEnabledIsCached = false;
  private boolean logAllChecksEnabled;
  /**
   * Getter for LogAllChecksEnabled
   */
  public boolean getLogAllChecksEnabled() 
    
  {
    if (!logAllChecksEnabledIsCached) {
      logAllChecksEnabled = delegate.getLogAllChecksEnabled(); 
      logAllChecksEnabledIsCached = true;  
    }
    return logAllChecksEnabled;
  }
  /**
   * Setter for LogAllChecksEnabled
   */
  public void setLogAllChecksEnabled(boolean value)
    
  {
    delegate.setLogAllChecksEnabled(value);
    logAllChecksEnabled = value;
    logAllChecksEnabledIsCached = true;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of PasswordPolicy
   */
  private boolean passwordPolicyIsCached = false;
  private weblogic.management.configuration.PasswordPolicyMBean passwordPolicy;
  /**
   * Getter for PasswordPolicy
   */
  public weblogic.management.configuration.PasswordPolicyMBean getPasswordPolicy() 
    
  {
    if (!passwordPolicyIsCached) {
      passwordPolicy = delegate.getPasswordPolicy(); 
      passwordPolicyIsCached = true;  
    }
    return passwordPolicy;
  }
  /**
   * Setter for PasswordPolicy
   */
  public void setPasswordPolicy(weblogic.management.configuration.PasswordPolicyMBean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setPasswordPolicy(value);
    passwordPolicy = value;
    passwordPolicyIsCached = true;
  }
  /*
   * Declaration of Realm
   */
  private boolean realmIsCached = false;
  private weblogic.management.configuration.RealmMBean realm;
  /**
   * Getter for Realm
   */
  public weblogic.management.configuration.RealmMBean getRealm() 
    
  {
    if (!realmIsCached) {
      realm = delegate.getRealm(); 
      realmIsCached = true;  
    }
    return realm;
  }
  /**
   * Setter for Realm
   */
  public void setRealm(weblogic.management.configuration.RealmMBean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setRealm(value);
    realm = value;
    realmIsCached = true;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of Salt
   */
  private boolean saltIsCached = false;
  private byte[] salt;
  /**
   * Getter for Salt
   */
  public byte[] getSalt() 
    
  {
    if (!saltIsCached) {
      salt = delegate.getSalt(); 
      saltIsCached = true;  
    }
    return salt;
  }
  /**
   * Setter for Salt
   */
  public void setSalt(byte[] value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSalt(value);
    salt = value;
    saltIsCached = true;
  }
  /*
   * Declaration of ServerSecurityRuntime
   */
  private boolean serverSecurityRuntimeIsCached = false;
  private weblogic.management.runtime.ServerSecurityRuntimeMBean serverSecurityRuntime;
  /**
   * Getter for ServerSecurityRuntime
   */
  public weblogic.management.runtime.ServerSecurityRuntimeMBean getServerSecurityRuntime() 
    
  {
    if (!serverSecurityRuntimeIsCached) {
      serverSecurityRuntime = delegate.getServerSecurityRuntime(); 
      serverSecurityRuntimeIsCached = true;  
    }
    return serverSecurityRuntime;
  }
  /**
   * Setter for ServerSecurityRuntime
   */
  public void setServerSecurityRuntime(weblogic.management.runtime.ServerSecurityRuntimeMBean value)
    
  {
    delegate.setServerSecurityRuntime(value);
    serverSecurityRuntime = value;
    serverSecurityRuntimeIsCached = true;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of SystemUser
   */
  private boolean systemUserIsCached = false;
  private java.lang.String systemUser;
  /**
   * Getter for SystemUser
   */
  public java.lang.String getSystemUser() 
    
  {
    if (!systemUserIsCached) {
      systemUser = delegate.getSystemUser(); 
      systemUserIsCached = true;  
    }
    return systemUser;
  }
  /**
   * Setter for SystemUser
   */
  public void setSystemUser(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSystemUser(value);
    systemUser = value;
    systemUserIsCached = true;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }

  
    /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }
  /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("AuditProviderClassName")) {
    auditProviderClassNameIsCached = false;
  }
else   if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("ConnectionFilter")) {
    connectionFilterIsCached = false;
  }
else   if (attributeName.equals("GuestDisabled")) {
    guestDisabledIsCached = false;
  }
else   if (attributeName.equals("LogAllChecksEnabled")) {
    logAllChecksEnabledIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("PasswordPolicy")) {
    passwordPolicyIsCached = false;
  }
else   if (attributeName.equals("Realm")) {
    realmIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("Salt")) {
    saltIsCached = false;
  }
else   if (attributeName.equals("ServerSecurityRuntime")) {
    serverSecurityRuntimeIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("SystemUser")) {
    systemUserIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.SecurityMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
