package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class ServerDebugMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.ServerDebugMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.ServerDebugMBean delegate;

    public ServerDebugMBean_CachingStub(weblogic.management.configuration.ServerDebugMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of DebugAbbreviation
   */
  private boolean debugAbbreviationIsCached = false;
  private boolean debugAbbreviation;
  /**
   * Getter for DebugAbbreviation
   */
  public boolean getDebugAbbreviation() 
    
  {
    if (!debugAbbreviationIsCached) {
      debugAbbreviation = delegate.getDebugAbbreviation(); 
      debugAbbreviationIsCached = true;  
    }
    return debugAbbreviation;
  }
  /**
   * Setter for DebugAbbreviation
   */
  public void setDebugAbbreviation(boolean value)
    
  {
    delegate.setDebugAbbreviation(value);
    debugAbbreviation = value;
    debugAbbreviationIsCached = true;
  }
  /*
   * Declaration of DebugCluster
   */
  private boolean debugClusterIsCached = false;
  private boolean debugCluster;
  /**
   * Getter for DebugCluster
   */
  public boolean getDebugCluster() 
    
  {
    if (!debugClusterIsCached) {
      debugCluster = delegate.getDebugCluster(); 
      debugClusterIsCached = true;  
    }
    return debugCluster;
  }
  /**
   * Setter for DebugCluster
   */
  public void setDebugCluster(boolean value)
    
  {
    delegate.setDebugCluster(value);
    debugCluster = value;
    debugClusterIsCached = true;
  }
  /*
   * Declaration of DebugClusterAnnouncements
   */
  private boolean debugClusterAnnouncementsIsCached = false;
  private boolean debugClusterAnnouncements;
  /**
   * Getter for DebugClusterAnnouncements
   */
  public boolean getDebugClusterAnnouncements() 
    
  {
    if (!debugClusterAnnouncementsIsCached) {
      debugClusterAnnouncements = delegate.getDebugClusterAnnouncements(); 
      debugClusterAnnouncementsIsCached = true;  
    }
    return debugClusterAnnouncements;
  }
  /**
   * Setter for DebugClusterAnnouncements
   */
  public void setDebugClusterAnnouncements(boolean value)
    
  {
    delegate.setDebugClusterAnnouncements(value);
    debugClusterAnnouncements = value;
    debugClusterAnnouncementsIsCached = true;
  }
  /*
   * Declaration of DebugClusterFragments
   */
  private boolean debugClusterFragmentsIsCached = false;
  private boolean debugClusterFragments;
  /**
   * Getter for DebugClusterFragments
   */
  public boolean getDebugClusterFragments() 
    
  {
    if (!debugClusterFragmentsIsCached) {
      debugClusterFragments = delegate.getDebugClusterFragments(); 
      debugClusterFragmentsIsCached = true;  
    }
    return debugClusterFragments;
  }
  /**
   * Setter for DebugClusterFragments
   */
  public void setDebugClusterFragments(boolean value)
    
  {
    delegate.setDebugClusterFragments(value);
    debugClusterFragments = value;
    debugClusterFragmentsIsCached = true;
  }
  /*
   * Declaration of DebugClusterHeartbeats
   */
  private boolean debugClusterHeartbeatsIsCached = false;
  private boolean debugClusterHeartbeats;
  /**
   * Getter for DebugClusterHeartbeats
   */
  public boolean getDebugClusterHeartbeats() 
    
  {
    if (!debugClusterHeartbeatsIsCached) {
      debugClusterHeartbeats = delegate.getDebugClusterHeartbeats(); 
      debugClusterHeartbeatsIsCached = true;  
    }
    return debugClusterHeartbeats;
  }
  /**
   * Setter for DebugClusterHeartbeats
   */
  public void setDebugClusterHeartbeats(boolean value)
    
  {
    delegate.setDebugClusterHeartbeats(value);
    debugClusterHeartbeats = value;
    debugClusterHeartbeatsIsCached = true;
  }
  /*
   * Declaration of DebugConnection
   */
  private boolean debugConnectionIsCached = false;
  private boolean debugConnection;
  /**
   * Getter for DebugConnection
   */
  public boolean getDebugConnection() 
    
  {
    if (!debugConnectionIsCached) {
      debugConnection = delegate.getDebugConnection(); 
      debugConnectionIsCached = true;  
    }
    return debugConnection;
  }
  /**
   * Setter for DebugConnection
   */
  public void setDebugConnection(boolean value)
    
  {
    delegate.setDebugConnection(value);
    debugConnection = value;
    debugConnectionIsCached = true;
  }
  /*
   * Declaration of DebugDGCEnrollment
   */
  private boolean debugDGCEnrollmentIsCached = false;
  private boolean debugDGCEnrollment;
  /**
   * Getter for DebugDGCEnrollment
   */
  public boolean getDebugDGCEnrollment() 
    
  {
    if (!debugDGCEnrollmentIsCached) {
      debugDGCEnrollment = delegate.getDebugDGCEnrollment(); 
      debugDGCEnrollmentIsCached = true;  
    }
    return debugDGCEnrollment;
  }
  /*
   * Declaration of DebugEJB
   */
  private boolean debugEJBIsCached = false;
  private boolean debugEJB;
  /**
   * Getter for DebugEJB
   */
  public boolean getDebugEJB() 
    
  {
    if (!debugEJBIsCached) {
      debugEJB = delegate.getDebugEJB(); 
      debugEJBIsCached = true;  
    }
    return debugEJB;
  }
  /**
   * Setter for DebugEJB
   */
  public void setDebugEJB(boolean value)
    
  {
    delegate.setDebugEJB(value);
    debugEJB = value;
    debugEJBIsCached = true;
  }
  /*
   * Declaration of DebugEJBCache
   */
  private boolean debugEJBCacheIsCached = false;
  private boolean debugEJBCache;
  /**
   * Getter for DebugEJBCache
   */
  public boolean getDebugEJBCache() 
    
  {
    if (!debugEJBCacheIsCached) {
      debugEJBCache = delegate.getDebugEJBCache(); 
      debugEJBCacheIsCached = true;  
    }
    return debugEJBCache;
  }
  /**
   * Setter for DebugEJBCache
   */
  public void setDebugEJBCache(boolean value)
    
  {
    delegate.setDebugEJBCache(value);
    debugEJBCache = value;
    debugEJBCacheIsCached = true;
  }
  /*
   * Declaration of DebugEJBCalls
   */
  private boolean debugEJBCallsIsCached = false;
  private boolean debugEJBCalls;
  /**
   * Getter for DebugEJBCalls
   */
  public boolean getDebugEJBCalls() 
    
  {
    if (!debugEJBCallsIsCached) {
      debugEJBCalls = delegate.getDebugEJBCalls(); 
      debugEJBCallsIsCached = true;  
    }
    return debugEJBCalls;
  }
  /**
   * Setter for DebugEJBCalls
   */
  public void setDebugEJBCalls(boolean value)
    
  {
    delegate.setDebugEJBCalls(value);
    debugEJBCalls = value;
    debugEJBCallsIsCached = true;
  }
  /*
   * Declaration of DebugEJBDeployment
   */
  private boolean debugEJBDeploymentIsCached = false;
  private boolean debugEJBDeployment;
  /**
   * Getter for DebugEJBDeployment
   */
  public boolean getDebugEJBDeployment() 
    
  {
    if (!debugEJBDeploymentIsCached) {
      debugEJBDeployment = delegate.getDebugEJBDeployment(); 
      debugEJBDeploymentIsCached = true;  
    }
    return debugEJBDeployment;
  }
  /**
   * Setter for DebugEJBDeployment
   */
  public void setDebugEJBDeployment(boolean value)
    
  {
    delegate.setDebugEJBDeployment(value);
    debugEJBDeployment = value;
    debugEJBDeploymentIsCached = true;
  }
  /*
   * Declaration of DebugEJBFreepool
   */
  private boolean debugEJBFreepoolIsCached = false;
  private boolean debugEJBFreepool;
  /**
   * Getter for DebugEJBFreepool
   */
  public boolean getDebugEJBFreepool() 
    
  {
    if (!debugEJBFreepoolIsCached) {
      debugEJBFreepool = delegate.getDebugEJBFreepool(); 
      debugEJBFreepoolIsCached = true;  
    }
    return debugEJBFreepool;
  }
  /**
   * Setter for DebugEJBFreepool
   */
  public void setDebugEJBFreepool(boolean value)
    
  {
    delegate.setDebugEJBFreepool(value);
    debugEJBFreepool = value;
    debugEJBFreepoolIsCached = true;
  }
  /*
   * Declaration of DebugEJBLocking
   */
  private boolean debugEJBLockingIsCached = false;
  private boolean debugEJBLocking;
  /**
   * Getter for DebugEJBLocking
   */
  public boolean getDebugEJBLocking() 
    
  {
    if (!debugEJBLockingIsCached) {
      debugEJBLocking = delegate.getDebugEJBLocking(); 
      debugEJBLockingIsCached = true;  
    }
    return debugEJBLocking;
  }
  /**
   * Setter for DebugEJBLocking
   */
  public void setDebugEJBLocking(boolean value)
    
  {
    delegate.setDebugEJBLocking(value);
    debugEJBLocking = value;
    debugEJBLockingIsCached = true;
  }
  /*
   * Declaration of DebugEJBPersistence
   */
  private boolean debugEJBPersistenceIsCached = false;
  private boolean debugEJBPersistence;
  /**
   * Getter for DebugEJBPersistence
   */
  public boolean getDebugEJBPersistence() 
    
  {
    if (!debugEJBPersistenceIsCached) {
      debugEJBPersistence = delegate.getDebugEJBPersistence(); 
      debugEJBPersistenceIsCached = true;  
    }
    return debugEJBPersistence;
  }
  /**
   * Setter for DebugEJBPersistence
   */
  public void setDebugEJBPersistence(boolean value)
    
  {
    delegate.setDebugEJBPersistence(value);
    debugEJBPersistence = value;
    debugEJBPersistenceIsCached = true;
  }
  /*
   * Declaration of DebugEJBSecurity
   */
  private boolean debugEJBSecurityIsCached = false;
  private boolean debugEJBSecurity;
  /**
   * Getter for DebugEJBSecurity
   */
  public boolean getDebugEJBSecurity() 
    
  {
    if (!debugEJBSecurityIsCached) {
      debugEJBSecurity = delegate.getDebugEJBSecurity(); 
      debugEJBSecurityIsCached = true;  
    }
    return debugEJBSecurity;
  }
  /**
   * Setter for DebugEJBSecurity
   */
  public void setDebugEJBSecurity(boolean value)
    
  {
    delegate.setDebugEJBSecurity(value);
    debugEJBSecurity = value;
    debugEJBSecurityIsCached = true;
  }
  /*
   * Declaration of DebugEventManager
   */
  private boolean debugEventManagerIsCached = false;
  private boolean debugEventManager;
  /**
   * Getter for DebugEventManager
   */
  public boolean getDebugEventManager() 
    
  {
    if (!debugEventManagerIsCached) {
      debugEventManager = delegate.getDebugEventManager(); 
      debugEventManagerIsCached = true;  
    }
    return debugEventManager;
  }
  /**
   * Setter for DebugEventManager
   */
  public void setDebugEventManager(boolean value)
    
  {
    delegate.setDebugEventManager(value);
    debugEventManager = value;
    debugEventManagerIsCached = true;
  }
  /*
   * Declaration of DebugFailOver
   */
  private boolean debugFailOverIsCached = false;
  private boolean debugFailOver;
  /**
   * Getter for DebugFailOver
   */
  public boolean getDebugFailOver() 
    
  {
    if (!debugFailOverIsCached) {
      debugFailOver = delegate.getDebugFailOver(); 
      debugFailOverIsCached = true;  
    }
    return debugFailOver;
  }
  /**
   * Setter for DebugFailOver
   */
  public void setDebugFailOver(boolean value)
    
  {
    delegate.setDebugFailOver(value);
    debugFailOver = value;
    debugFailOverIsCached = true;
  }
  /*
   * Declaration of DebugHttp
   */
  private boolean debugHttpIsCached = false;
  private boolean debugHttp;
  /**
   * Getter for DebugHttp
   */
  public boolean getDebugHttp() 
    
  {
    if (!debugHttpIsCached) {
      debugHttp = delegate.getDebugHttp(); 
      debugHttpIsCached = true;  
    }
    return debugHttp;
  }
  /**
   * Setter for DebugHttp
   */
  public void setDebugHttp(boolean value)
    
  {
    delegate.setDebugHttp(value);
    debugHttp = value;
    debugHttpIsCached = true;
  }
  /*
   * Declaration of DebugJMSBackEnd
   */
  private boolean debugJMSBackEndIsCached = false;
  private boolean debugJMSBackEnd;
  /**
   * Getter for DebugJMSBackEnd
   */
  public boolean getDebugJMSBackEnd() 
    
  {
    if (!debugJMSBackEndIsCached) {
      debugJMSBackEnd = delegate.getDebugJMSBackEnd(); 
      debugJMSBackEndIsCached = true;  
    }
    return debugJMSBackEnd;
  }
  /**
   * Setter for DebugJMSBackEnd
   */
  public void setDebugJMSBackEnd(boolean value)
    
  {
    delegate.setDebugJMSBackEnd(value);
    debugJMSBackEnd = value;
    debugJMSBackEndIsCached = true;
  }
  /*
   * Declaration of DebugJMSBoot
   */
  private boolean debugJMSBootIsCached = false;
  private boolean debugJMSBoot;
  /**
   * Getter for DebugJMSBoot
   */
  public boolean getDebugJMSBoot() 
    
  {
    if (!debugJMSBootIsCached) {
      debugJMSBoot = delegate.getDebugJMSBoot(); 
      debugJMSBootIsCached = true;  
    }
    return debugJMSBoot;
  }
  /**
   * Setter for DebugJMSBoot
   */
  public void setDebugJMSBoot(boolean value)
    
  {
    delegate.setDebugJMSBoot(value);
    debugJMSBoot = value;
    debugJMSBootIsCached = true;
  }
  /*
   * Declaration of DebugJMSCommon
   */
  private boolean debugJMSCommonIsCached = false;
  private boolean debugJMSCommon;
  /**
   * Getter for DebugJMSCommon
   */
  public boolean getDebugJMSCommon() 
    
  {
    if (!debugJMSCommonIsCached) {
      debugJMSCommon = delegate.getDebugJMSCommon(); 
      debugJMSCommonIsCached = true;  
    }
    return debugJMSCommon;
  }
  /**
   * Setter for DebugJMSCommon
   */
  public void setDebugJMSCommon(boolean value)
    
  {
    delegate.setDebugJMSCommon(value);
    debugJMSCommon = value;
    debugJMSCommonIsCached = true;
  }
  /*
   * Declaration of DebugJMSConfig
   */
  private boolean debugJMSConfigIsCached = false;
  private boolean debugJMSConfig;
  /**
   * Getter for DebugJMSConfig
   */
  public boolean getDebugJMSConfig() 
    
  {
    if (!debugJMSConfigIsCached) {
      debugJMSConfig = delegate.getDebugJMSConfig(); 
      debugJMSConfigIsCached = true;  
    }
    return debugJMSConfig;
  }
  /**
   * Setter for DebugJMSConfig
   */
  public void setDebugJMSConfig(boolean value)
    
  {
    delegate.setDebugJMSConfig(value);
    debugJMSConfig = value;
    debugJMSConfigIsCached = true;
  }
  /*
   * Declaration of DebugJMSDurableSubscribers
   */
  private boolean debugJMSDurableSubscribersIsCached = false;
  private boolean debugJMSDurableSubscribers;
  /**
   * Getter for DebugJMSDurableSubscribers
   */
  public boolean getDebugJMSDurableSubscribers() 
    
  {
    if (!debugJMSDurableSubscribersIsCached) {
      debugJMSDurableSubscribers = delegate.getDebugJMSDurableSubscribers(); 
      debugJMSDurableSubscribersIsCached = true;  
    }
    return debugJMSDurableSubscribers;
  }
  /**
   * Setter for DebugJMSDurableSubscribers
   */
  public void setDebugJMSDurableSubscribers(boolean value)
    
  {
    delegate.setDebugJMSDurableSubscribers(value);
    debugJMSDurableSubscribers = value;
    debugJMSDurableSubscribersIsCached = true;
  }
  /*
   * Declaration of DebugJMSFrontEnd
   */
  private boolean debugJMSFrontEndIsCached = false;
  private boolean debugJMSFrontEnd;
  /**
   * Getter for DebugJMSFrontEnd
   */
  public boolean getDebugJMSFrontEnd() 
    
  {
    if (!debugJMSFrontEndIsCached) {
      debugJMSFrontEnd = delegate.getDebugJMSFrontEnd(); 
      debugJMSFrontEndIsCached = true;  
    }
    return debugJMSFrontEnd;
  }
  /**
   * Setter for DebugJMSFrontEnd
   */
  public void setDebugJMSFrontEnd(boolean value)
    
  {
    delegate.setDebugJMSFrontEnd(value);
    debugJMSFrontEnd = value;
    debugJMSFrontEndIsCached = true;
  }
  /*
   * Declaration of DebugJMSJDBCScavengeOnFlush
   */
  private boolean debugJMSJDBCScavengeOnFlushIsCached = false;
  private boolean debugJMSJDBCScavengeOnFlush;
  /**
   * Getter for DebugJMSJDBCScavengeOnFlush
   */
  public boolean getDebugJMSJDBCScavengeOnFlush() 
    
  {
    if (!debugJMSJDBCScavengeOnFlushIsCached) {
      debugJMSJDBCScavengeOnFlush = delegate.getDebugJMSJDBCScavengeOnFlush(); 
      debugJMSJDBCScavengeOnFlushIsCached = true;  
    }
    return debugJMSJDBCScavengeOnFlush;
  }
  /**
   * Setter for DebugJMSJDBCScavengeOnFlush
   */
  public void setDebugJMSJDBCScavengeOnFlush(boolean value)
    
  {
    delegate.setDebugJMSJDBCScavengeOnFlush(value);
    debugJMSJDBCScavengeOnFlush = value;
    debugJMSJDBCScavengeOnFlushIsCached = true;
  }
  /*
   * Declaration of DebugJMSLocking
   */
  private boolean debugJMSLockingIsCached = false;
  private boolean debugJMSLocking;
  /**
   * Getter for DebugJMSLocking
   */
  public boolean getDebugJMSLocking() 
    
  {
    if (!debugJMSLockingIsCached) {
      debugJMSLocking = delegate.getDebugJMSLocking(); 
      debugJMSLockingIsCached = true;  
    }
    return debugJMSLocking;
  }
  /**
   * Setter for DebugJMSLocking
   */
  public void setDebugJMSLocking(boolean value)
    
  {
    delegate.setDebugJMSLocking(value);
    debugJMSLocking = value;
    debugJMSLockingIsCached = true;
  }
  /*
   * Declaration of DebugJMSStore
   */
  private boolean debugJMSStoreIsCached = false;
  private boolean debugJMSStore;
  /**
   * Getter for DebugJMSStore
   */
  public boolean getDebugJMSStore() 
    
  {
    if (!debugJMSStoreIsCached) {
      debugJMSStore = delegate.getDebugJMSStore(); 
      debugJMSStoreIsCached = true;  
    }
    return debugJMSStore;
  }
  /**
   * Setter for DebugJMSStore
   */
  public void setDebugJMSStore(boolean value)
    
  {
    delegate.setDebugJMSStore(value);
    debugJMSStore = value;
    debugJMSStoreIsCached = true;
  }
  /*
   * Declaration of DebugJMSXA
   */
  private boolean debugJMSXAIsCached = false;
  private boolean debugJMSXA;
  /**
   * Getter for DebugJMSXA
   */
  public boolean getDebugJMSXA() 
    
  {
    if (!debugJMSXAIsCached) {
      debugJMSXA = delegate.getDebugJMSXA(); 
      debugJMSXAIsCached = true;  
    }
    return debugJMSXA;
  }
  /**
   * Setter for DebugJMSXA
   */
  public void setDebugJMSXA(boolean value)
    
  {
    delegate.setDebugJMSXA(value);
    debugJMSXA = value;
    debugJMSXAIsCached = true;
  }
  /*
   * Declaration of DebugJNDI
   */
  private boolean debugJNDIIsCached = false;
  private boolean debugJNDI;
  /**
   * Getter for DebugJNDI
   */
  public boolean getDebugJNDI() 
    
  {
    if (!debugJNDIIsCached) {
      debugJNDI = delegate.getDebugJNDI(); 
      debugJNDIIsCached = true;  
    }
    return debugJNDI;
  }
  /**
   * Setter for DebugJNDI
   */
  public void setDebugJNDI(boolean value)
    
  {
    delegate.setDebugJNDI(value);
    debugJNDI = value;
    debugJNDIIsCached = true;
  }
  /*
   * Declaration of DebugJNDIFactories
   */
  private boolean debugJNDIFactoriesIsCached = false;
  private boolean debugJNDIFactories;
  /**
   * Getter for DebugJNDIFactories
   */
  public boolean getDebugJNDIFactories() 
    
  {
    if (!debugJNDIFactoriesIsCached) {
      debugJNDIFactories = delegate.getDebugJNDIFactories(); 
      debugJNDIFactoriesIsCached = true;  
    }
    return debugJNDIFactories;
  }
  /**
   * Setter for DebugJNDIFactories
   */
  public void setDebugJNDIFactories(boolean value)
    
  {
    delegate.setDebugJNDIFactories(value);
    debugJNDIFactories = value;
    debugJNDIFactoriesIsCached = true;
  }
  /*
   * Declaration of DebugJNDIResolution
   */
  private boolean debugJNDIResolutionIsCached = false;
  private boolean debugJNDIResolution;
  /**
   * Getter for DebugJNDIResolution
   */
  public boolean getDebugJNDIResolution() 
    
  {
    if (!debugJNDIResolutionIsCached) {
      debugJNDIResolution = delegate.getDebugJNDIResolution(); 
      debugJNDIResolutionIsCached = true;  
    }
    return debugJNDIResolution;
  }
  /**
   * Setter for DebugJNDIResolution
   */
  public void setDebugJNDIResolution(boolean value)
    
  {
    delegate.setDebugJNDIResolution(value);
    debugJNDIResolution = value;
    debugJNDIResolutionIsCached = true;
  }
  /*
   * Declaration of DebugLoadBalancing
   */
  private boolean debugLoadBalancingIsCached = false;
  private boolean debugLoadBalancing;
  /**
   * Getter for DebugLoadBalancing
   */
  public boolean getDebugLoadBalancing() 
    
  {
    if (!debugLoadBalancingIsCached) {
      debugLoadBalancing = delegate.getDebugLoadBalancing(); 
      debugLoadBalancingIsCached = true;  
    }
    return debugLoadBalancing;
  }
  /**
   * Setter for DebugLoadBalancing
   */
  public void setDebugLoadBalancing(boolean value)
    
  {
    delegate.setDebugLoadBalancing(value);
    debugLoadBalancing = value;
    debugLoadBalancingIsCached = true;
  }
  /*
   * Declaration of DebugMessaging
   */
  private boolean debugMessagingIsCached = false;
  private boolean debugMessaging;
  /**
   * Getter for DebugMessaging
   */
  public boolean getDebugMessaging() 
    
  {
    if (!debugMessagingIsCached) {
      debugMessaging = delegate.getDebugMessaging(); 
      debugMessagingIsCached = true;  
    }
    return debugMessaging;
  }
  /**
   * Setter for DebugMessaging
   */
  public void setDebugMessaging(boolean value)
    
  {
    delegate.setDebugMessaging(value);
    debugMessaging = value;
    debugMessagingIsCached = true;
  }
  /*
   * Declaration of DebugRC4
   */
  private boolean debugRC4IsCached = false;
  private boolean debugRC4;
  /**
   * Getter for DebugRC4
   */
  public boolean getDebugRC4() 
    
  {
    if (!debugRC4IsCached) {
      debugRC4 = delegate.getDebugRC4(); 
      debugRC4IsCached = true;  
    }
    return debugRC4;
  }
  /**
   * Setter for DebugRC4
   */
  public void setDebugRC4(boolean value)
    
  {
    delegate.setDebugRC4(value);
    debugRC4 = value;
    debugRC4IsCached = true;
  }
  /*
   * Declaration of DebugRSA
   */
  private boolean debugRSAIsCached = false;
  private boolean debugRSA;
  /**
   * Getter for DebugRSA
   */
  public boolean getDebugRSA() 
    
  {
    if (!debugRSAIsCached) {
      debugRSA = delegate.getDebugRSA(); 
      debugRSAIsCached = true;  
    }
    return debugRSA;
  }
  /**
   * Setter for DebugRSA
   */
  public void setDebugRSA(boolean value)
    
  {
    delegate.setDebugRSA(value);
    debugRSA = value;
    debugRSAIsCached = true;
  }
  /*
   * Declaration of DebugReplication
   */
  private boolean debugReplicationIsCached = false;
  private boolean debugReplication;
  /**
   * Getter for DebugReplication
   */
  public boolean getDebugReplication() 
    
  {
    if (!debugReplicationIsCached) {
      debugReplication = delegate.getDebugReplication(); 
      debugReplicationIsCached = true;  
    }
    return debugReplication;
  }
  /**
   * Setter for DebugReplication
   */
  public void setDebugReplication(boolean value)
    
  {
    delegate.setDebugReplication(value);
    debugReplication = value;
    debugReplicationIsCached = true;
  }
  /*
   * Declaration of DebugReplicationDetails
   */
  private boolean debugReplicationDetailsIsCached = false;
  private boolean debugReplicationDetails;
  /**
   * Getter for DebugReplicationDetails
   */
  public boolean getDebugReplicationDetails() 
    
  {
    if (!debugReplicationDetailsIsCached) {
      debugReplicationDetails = delegate.getDebugReplicationDetails(); 
      debugReplicationDetailsIsCached = true;  
    }
    return debugReplicationDetails;
  }
  /**
   * Setter for DebugReplicationDetails
   */
  public void setDebugReplicationDetails(boolean value)
    
  {
    delegate.setDebugReplicationDetails(value);
    debugReplicationDetails = value;
    debugReplicationDetailsIsCached = true;
  }
  /*
   * Declaration of DebugRouting
   */
  private boolean debugRoutingIsCached = false;
  private boolean debugRouting;
  /**
   * Getter for DebugRouting
   */
  public boolean getDebugRouting() 
    
  {
    if (!debugRoutingIsCached) {
      debugRouting = delegate.getDebugRouting(); 
      debugRoutingIsCached = true;  
    }
    return debugRouting;
  }
  /**
   * Setter for DebugRouting
   */
  public void setDebugRouting(boolean value)
    
  {
    delegate.setDebugRouting(value);
    debugRouting = value;
    debugRoutingIsCached = true;
  }
  /*
   * Declaration of DebugSSL
   */
  private boolean debugSSLIsCached = false;
  private boolean debugSSL;
  /**
   * Getter for DebugSSL
   */
  public boolean getDebugSSL() 
    
  {
    if (!debugSSLIsCached) {
      debugSSL = delegate.getDebugSSL(); 
      debugSSLIsCached = true;  
    }
    return debugSSL;
  }
  /**
   * Setter for DebugSSL
   */
  public void setDebugSSL(boolean value)
    
  {
    delegate.setDebugSSL(value);
    debugSSL = value;
    debugSSLIsCached = true;
  }
  /*
   * Declaration of DebugSecurityPasswordPolicy
   */
  private boolean debugSecurityPasswordPolicyIsCached = false;
  private boolean debugSecurityPasswordPolicy;
  /**
   * Getter for DebugSecurityPasswordPolicy
   */
  public boolean getDebugSecurityPasswordPolicy() 
    
  {
    if (!debugSecurityPasswordPolicyIsCached) {
      debugSecurityPasswordPolicy = delegate.getDebugSecurityPasswordPolicy(); 
      debugSecurityPasswordPolicyIsCached = true;  
    }
    return debugSecurityPasswordPolicy;
  }
  /**
   * Setter for DebugSecurityPasswordPolicy
   */
  public void setDebugSecurityPasswordPolicy(boolean value)
    
  {
    delegate.setDebugSecurityPasswordPolicy(value);
    debugSecurityPasswordPolicy = value;
    debugSecurityPasswordPolicyIsCached = true;
  }
  /*
   * Declaration of DebugSecurityRealm
   */
  private boolean debugSecurityRealmIsCached = false;
  private boolean debugSecurityRealm;
  /**
   * Getter for DebugSecurityRealm
   */
  public boolean getDebugSecurityRealm() 
    
  {
    if (!debugSecurityRealmIsCached) {
      debugSecurityRealm = delegate.getDebugSecurityRealm(); 
      debugSecurityRealmIsCached = true;  
    }
    return debugSecurityRealm;
  }
  /**
   * Setter for DebugSecurityRealm
   */
  public void setDebugSecurityRealm(boolean value)
    
  {
    delegate.setDebugSecurityRealm(value);
    debugSecurityRealm = value;
    debugSecurityRealmIsCached = true;
  }
  /*
   * Declaration of DebugTunnelingConnection
   */
  private boolean debugTunnelingConnectionIsCached = false;
  private boolean debugTunnelingConnection;
  /**
   * Getter for DebugTunnelingConnection
   */
  public boolean getDebugTunnelingConnection() 
    
  {
    if (!debugTunnelingConnectionIsCached) {
      debugTunnelingConnection = delegate.getDebugTunnelingConnection(); 
      debugTunnelingConnectionIsCached = true;  
    }
    return debugTunnelingConnection;
  }
  /**
   * Setter for DebugTunnelingConnection
   */
  public void setDebugTunnelingConnection(boolean value)
    
  {
    delegate.setDebugTunnelingConnection(value);
    debugTunnelingConnection = value;
    debugTunnelingConnectionIsCached = true;
  }
  /*
   * Declaration of DebugTunnelingConnectionTimeout
   */
  private boolean debugTunnelingConnectionTimeoutIsCached = false;
  private boolean debugTunnelingConnectionTimeout;
  /**
   * Getter for DebugTunnelingConnectionTimeout
   */
  public boolean getDebugTunnelingConnectionTimeout() 
    
  {
    if (!debugTunnelingConnectionTimeoutIsCached) {
      debugTunnelingConnectionTimeout = delegate.getDebugTunnelingConnectionTimeout(); 
      debugTunnelingConnectionTimeoutIsCached = true;  
    }
    return debugTunnelingConnectionTimeout;
  }
  /**
   * Setter for DebugTunnelingConnectionTimeout
   */
  public void setDebugTunnelingConnectionTimeout(boolean value)
    
  {
    delegate.setDebugTunnelingConnectionTimeout(value);
    debugTunnelingConnectionTimeout = value;
    debugTunnelingConnectionTimeoutIsCached = true;
  }
  /*
   * Declaration of DebugURLResolution
   */
  private boolean debugURLResolutionIsCached = false;
  private boolean debugURLResolution;
  /**
   * Getter for DebugURLResolution
   */
  public boolean getDebugURLResolution() 
    
  {
    if (!debugURLResolutionIsCached) {
      debugURLResolution = delegate.getDebugURLResolution(); 
      debugURLResolutionIsCached = true;  
    }
    return debugURLResolution;
  }
  /**
   * Setter for DebugURLResolution
   */
  public void setDebugURLResolution(boolean value)
    
  {
    delegate.setDebugURLResolution(value);
    debugURLResolution = value;
    debugURLResolutionIsCached = true;
  }
  /*
   * Declaration of ForceGCEachDGCPeriod
   */
  private boolean forceGCEachDGCPeriodIsCached = false;
  private boolean forceGCEachDGCPeriod;
  /**
   * Getter for ForceGCEachDGCPeriod
   */
  public boolean getForceGCEachDGCPeriod() 
    
  {
    if (!forceGCEachDGCPeriodIsCached) {
      forceGCEachDGCPeriod = delegate.getForceGCEachDGCPeriod(); 
      forceGCEachDGCPeriodIsCached = true;  
    }
    return forceGCEachDGCPeriod;
  }
  /*
   * Declaration of JDBCConn
   */
  private boolean jdbcConnIsCached = false;
  private boolean jdbcConn;
  /**
   * Getter for JDBCConn
   */
  public boolean getJDBCConn() 
    
  {
    if (!jdbcConnIsCached) {
      jdbcConn = delegate.getJDBCConn(); 
      jdbcConnIsCached = true;  
    }
    return jdbcConn;
  }
  /**
   * Setter for JDBCConn
   */
  public void setJDBCConn(boolean value)
    
  {
    delegate.setJDBCConn(value);
    jdbcConn = value;
    jdbcConnIsCached = true;
  }
  /*
   * Declaration of JDBCSQL
   */
  private boolean jdbcsqlIsCached = false;
  private boolean jdbcsql;
  /**
   * Getter for JDBCSQL
   */
  public boolean getJDBCSQL() 
    
  {
    if (!jdbcsqlIsCached) {
      jdbcsql = delegate.getJDBCSQL(); 
      jdbcsqlIsCached = true;  
    }
    return jdbcsql;
  }
  /**
   * Setter for JDBCSQL
   */
  public void setJDBCSQL(boolean value)
    
  {
    delegate.setJDBCSQL(value);
    jdbcsql = value;
    jdbcsqlIsCached = true;
  }
  /*
   * Declaration of JTA2PC
   */
  private boolean jta2pcIsCached = false;
  private boolean jta2pc;
  /**
   * Getter for JTA2PC
   */
  public boolean getJTA2PC() 
    
  {
    if (!jta2pcIsCached) {
      jta2pc = delegate.getJTA2PC(); 
      jta2pcIsCached = true;  
    }
    return jta2pc;
  }
  /**
   * Setter for JTA2PC
   */
  public void setJTA2PC(boolean value)
    
  {
    delegate.setJTA2PC(value);
    jta2pc = value;
    jta2pcIsCached = true;
  }
  /*
   * Declaration of JTAAPI
   */
  private boolean jtaapiIsCached = false;
  private boolean jtaapi;
  /**
   * Getter for JTAAPI
   */
  public boolean getJTAAPI() 
    
  {
    if (!jtaapiIsCached) {
      jtaapi = delegate.getJTAAPI(); 
      jtaapiIsCached = true;  
    }
    return jtaapi;
  }
  /**
   * Setter for JTAAPI
   */
  public void setJTAAPI(boolean value)
    
  {
    delegate.setJTAAPI(value);
    jtaapi = value;
    jtaapiIsCached = true;
  }
  /*
   * Declaration of JTAJDBC
   */
  private boolean jtajdbcIsCached = false;
  private boolean jtajdbc;
  /**
   * Getter for JTAJDBC
   */
  public boolean getJTAJDBC() 
    
  {
    if (!jtajdbcIsCached) {
      jtajdbc = delegate.getJTAJDBC(); 
      jtajdbcIsCached = true;  
    }
    return jtajdbc;
  }
  /**
   * Setter for JTAJDBC
   */
  public void setJTAJDBC(boolean value)
    
  {
    delegate.setJTAJDBC(value);
    jtajdbc = value;
    jtajdbcIsCached = true;
  }
  /*
   * Declaration of JTAPropagate
   */
  private boolean jtaPropagateIsCached = false;
  private boolean jtaPropagate;
  /**
   * Getter for JTAPropagate
   */
  public boolean getJTAPropagate() 
    
  {
    if (!jtaPropagateIsCached) {
      jtaPropagate = delegate.getJTAPropagate(); 
      jtaPropagateIsCached = true;  
    }
    return jtaPropagate;
  }
  /**
   * Setter for JTAPropagate
   */
  public void setJTAPropagate(boolean value)
    
  {
    delegate.setJTAPropagate(value);
    jtaPropagate = value;
    jtaPropagateIsCached = true;
  }
  /*
   * Declaration of JTARMI
   */
  private boolean jtarmiIsCached = false;
  private boolean jtarmi;
  /**
   * Getter for JTARMI
   */
  public boolean getJTARMI() 
    
  {
    if (!jtarmiIsCached) {
      jtarmi = delegate.getJTARMI(); 
      jtarmiIsCached = true;  
    }
    return jtarmi;
  }
  /**
   * Setter for JTARMI
   */
  public void setJTARMI(boolean value)
    
  {
    delegate.setJTARMI(value);
    jtarmi = value;
    jtarmiIsCached = true;
  }
  /*
   * Declaration of JTARecovery
   */
  private boolean jtaRecoveryIsCached = false;
  private boolean jtaRecovery;
  /**
   * Getter for JTARecovery
   */
  public boolean getJTARecovery() 
    
  {
    if (!jtaRecoveryIsCached) {
      jtaRecovery = delegate.getJTARecovery(); 
      jtaRecoveryIsCached = true;  
    }
    return jtaRecovery;
  }
  /**
   * Setter for JTARecovery
   */
  public void setJTARecovery(boolean value)
    
  {
    delegate.setJTARecovery(value);
    jtaRecovery = value;
    jtaRecoveryIsCached = true;
  }
  /*
   * Declaration of JTAResourceName
   */
  private boolean jtaResourceNameIsCached = false;
  private java.lang.String jtaResourceName;
  /**
   * Getter for JTAResourceName
   */
  public java.lang.String getJTAResourceName() 
    
  {
    if (!jtaResourceNameIsCached) {
      jtaResourceName = delegate.getJTAResourceName(); 
      jtaResourceNameIsCached = true;  
    }
    return jtaResourceName;
  }
  /**
   * Setter for JTAResourceName
   */
  public void setJTAResourceName(java.lang.String value)
    
  {
    delegate.setJTAResourceName(value);
    jtaResourceName = value;
    jtaResourceNameIsCached = true;
  }
  /*
   * Declaration of JTATLOG
   */
  private boolean jtatlogIsCached = false;
  private boolean jtatlog;
  /**
   * Getter for JTATLOG
   */
  public boolean getJTATLOG() 
    
  {
    if (!jtatlogIsCached) {
      jtatlog = delegate.getJTATLOG(); 
      jtatlogIsCached = true;  
    }
    return jtatlog;
  }
  /**
   * Setter for JTATLOG
   */
  public void setJTATLOG(boolean value)
    
  {
    delegate.setJTATLOG(value);
    jtatlog = value;
    jtatlogIsCached = true;
  }
  /*
   * Declaration of JTATransactionName
   */
  private boolean jtaTransactionNameIsCached = false;
  private java.lang.String jtaTransactionName;
  /**
   * Getter for JTATransactionName
   */
  public java.lang.String getJTATransactionName() 
    
  {
    if (!jtaTransactionNameIsCached) {
      jtaTransactionName = delegate.getJTATransactionName(); 
      jtaTransactionNameIsCached = true;  
    }
    return jtaTransactionName;
  }
  /**
   * Setter for JTATransactionName
   */
  public void setJTATransactionName(java.lang.String value)
    
  {
    delegate.setJTATransactionName(value);
    jtaTransactionName = value;
    jtaTransactionNameIsCached = true;
  }
  /*
   * Declaration of JTAXA
   */
  private boolean jtaxaIsCached = false;
  private boolean jtaxa;
  /**
   * Getter for JTAXA
   */
  public boolean getJTAXA() 
    
  {
    if (!jtaxaIsCached) {
      jtaxa = delegate.getJTAXA(); 
      jtaxaIsCached = true;  
    }
    return jtaxa;
  }
  /**
   * Setter for JTAXA
   */
  public void setJTAXA(boolean value)
    
  {
    delegate.setJTAXA(value);
    jtaxa = value;
    jtaxaIsCached = true;
  }
  /*
   * Declaration of ListenThreadDebug
   */
  private boolean listenThreadDebugIsCached = false;
  private boolean listenThreadDebug;
  /**
   * Getter for ListenThreadDebug
   */
  public boolean getListenThreadDebug() 
    
  {
    if (!listenThreadDebugIsCached) {
      listenThreadDebug = delegate.getListenThreadDebug(); 
      listenThreadDebugIsCached = true;  
    }
    return listenThreadDebug;
  }
  /**
   * Setter for ListenThreadDebug
   */
  public void setListenThreadDebug(boolean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setListenThreadDebug(value);
    listenThreadDebug = value;
    listenThreadDebugIsCached = true;
  }
  /*
   * Declaration of LogDGCStatistics
   */
  private boolean logDGCStatisticsIsCached = false;
  private boolean logDGCStatistics;
  /**
   * Getter for LogDGCStatistics
   */
  public boolean getLogDGCStatistics() 
    
  {
    if (!logDGCStatisticsIsCached) {
      logDGCStatistics = delegate.getLogDGCStatistics(); 
      logDGCStatisticsIsCached = true;  
    }
    return logDGCStatistics;
  }
  /**
   * Setter for LogDGCStatistics
   */
  public void setLogDGCStatistics(boolean value)
    
  {
    delegate.setLogDGCStatistics(value);
    logDGCStatistics = value;
    logDGCStatisticsIsCached = true;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of MagicThreadDumpBackToSocket
   */
  private boolean magicThreadDumpBackToSocketIsCached = false;
  private boolean magicThreadDumpBackToSocket;
  /**
   * Getter for MagicThreadDumpBackToSocket
   */
  public boolean getMagicThreadDumpBackToSocket() 
    
  {
    if (!magicThreadDumpBackToSocketIsCached) {
      magicThreadDumpBackToSocket = delegate.getMagicThreadDumpBackToSocket(); 
      magicThreadDumpBackToSocketIsCached = true;  
    }
    return magicThreadDumpBackToSocket;
  }
  /**
   * Setter for MagicThreadDumpBackToSocket
   */
  public void setMagicThreadDumpBackToSocket(boolean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setMagicThreadDumpBackToSocket(value);
    magicThreadDumpBackToSocket = value;
    magicThreadDumpBackToSocketIsCached = true;
  }
  /*
   * Declaration of MagicThreadDumpEnabled
   */
  private boolean magicThreadDumpEnabledIsCached = false;
  private boolean magicThreadDumpEnabled;
  /**
   * Getter for MagicThreadDumpEnabled
   */
  public boolean isMagicThreadDumpEnabled() 
    
  {
    if (!magicThreadDumpEnabledIsCached) {
      magicThreadDumpEnabled = delegate.isMagicThreadDumpEnabled(); 
      magicThreadDumpEnabledIsCached = true;  
    }
    return magicThreadDumpEnabled;
  }
  /**
   * Setter for MagicThreadDumpEnabled
   */
  public void setMagicThreadDumpEnabled(boolean value)
    
  {
    delegate.setMagicThreadDumpEnabled(value);
    magicThreadDumpEnabled = value;
    magicThreadDumpEnabledIsCached = true;
  }
  /*
   * Declaration of MagicThreadDumpFile
   */
  private boolean magicThreadDumpFileIsCached = false;
  private java.lang.String magicThreadDumpFile;
  /**
   * Getter for MagicThreadDumpFile
   */
  public java.lang.String getMagicThreadDumpFile() 
    
  {
    if (!magicThreadDumpFileIsCached) {
      magicThreadDumpFile = delegate.getMagicThreadDumpFile(); 
      magicThreadDumpFileIsCached = true;  
    }
    return magicThreadDumpFile;
  }
  /**
   * Setter for MagicThreadDumpFile
   */
  public void setMagicThreadDumpFile(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setMagicThreadDumpFile(value);
    magicThreadDumpFile = value;
    magicThreadDumpFileIsCached = true;
  }
  /*
   * Declaration of MagicThreadDumpHost
   */
  private boolean magicThreadDumpHostIsCached = false;
  private java.lang.String magicThreadDumpHost;
  /**
   * Getter for MagicThreadDumpHost
   */
  public java.lang.String getMagicThreadDumpHost() 
    
  {
    if (!magicThreadDumpHostIsCached) {
      magicThreadDumpHost = delegate.getMagicThreadDumpHost(); 
      magicThreadDumpHostIsCached = true;  
    }
    return magicThreadDumpHost;
  }
  /**
   * Setter for MagicThreadDumpHost
   */
  public void setMagicThreadDumpHost(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setMagicThreadDumpHost(value);
    magicThreadDumpHost = value;
    magicThreadDumpHostIsCached = true;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of Server
   */
  private boolean serverIsCached = false;
  private weblogic.management.configuration.ServerMBean server;
  /**
   * Getter for Server
   */
  public weblogic.management.configuration.ServerMBean getServer() 
    
  {
    if (!serverIsCached) {
      server = delegate.getServer(); 
      serverIsCached = true;  
    }
    return server;
  }
  /**
   * Setter for Server
   */
  public void setServer(weblogic.management.configuration.ServerMBean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setServer(value);
    server = value;
    serverIsCached = true;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }

  
    /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }
  /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation setForceGCEachDGCPeriod
   */
  public void setForceGCEachDGCPeriod(
    
  ) 
    
  {
        delegate.setForceGCEachDGCPeriod();

  }
  /**
   * Operation setDebugDGCEnrollment
   */
  public void setDebugDGCEnrollment(
    
  ) 
    
  {
        delegate.setDebugDGCEnrollment();

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("DebugAbbreviation")) {
    debugAbbreviationIsCached = false;
  }
else   if (attributeName.equals("DebugCluster")) {
    debugClusterIsCached = false;
  }
else   if (attributeName.equals("DebugClusterAnnouncements")) {
    debugClusterAnnouncementsIsCached = false;
  }
else   if (attributeName.equals("DebugClusterFragments")) {
    debugClusterFragmentsIsCached = false;
  }
else   if (attributeName.equals("DebugClusterHeartbeats")) {
    debugClusterHeartbeatsIsCached = false;
  }
else   if (attributeName.equals("DebugConnection")) {
    debugConnectionIsCached = false;
  }
else   if (attributeName.equals("DebugDGCEnrollment")) {
    debugDGCEnrollmentIsCached = false;
  }
else   if (attributeName.equals("DebugEJB")) {
    debugEJBIsCached = false;
  }
else   if (attributeName.equals("DebugEJBCache")) {
    debugEJBCacheIsCached = false;
  }
else   if (attributeName.equals("DebugEJBCalls")) {
    debugEJBCallsIsCached = false;
  }
else   if (attributeName.equals("DebugEJBDeployment")) {
    debugEJBDeploymentIsCached = false;
  }
else   if (attributeName.equals("DebugEJBFreepool")) {
    debugEJBFreepoolIsCached = false;
  }
else   if (attributeName.equals("DebugEJBLocking")) {
    debugEJBLockingIsCached = false;
  }
else   if (attributeName.equals("DebugEJBPersistence")) {
    debugEJBPersistenceIsCached = false;
  }
else   if (attributeName.equals("DebugEJBSecurity")) {
    debugEJBSecurityIsCached = false;
  }
else   if (attributeName.equals("DebugEventManager")) {
    debugEventManagerIsCached = false;
  }
else   if (attributeName.equals("DebugFailOver")) {
    debugFailOverIsCached = false;
  }
else   if (attributeName.equals("DebugHttp")) {
    debugHttpIsCached = false;
  }
else   if (attributeName.equals("DebugJMSBackEnd")) {
    debugJMSBackEndIsCached = false;
  }
else   if (attributeName.equals("DebugJMSBoot")) {
    debugJMSBootIsCached = false;
  }
else   if (attributeName.equals("DebugJMSCommon")) {
    debugJMSCommonIsCached = false;
  }
else   if (attributeName.equals("DebugJMSConfig")) {
    debugJMSConfigIsCached = false;
  }
else   if (attributeName.equals("DebugJMSDurableSubscribers")) {
    debugJMSDurableSubscribersIsCached = false;
  }
else   if (attributeName.equals("DebugJMSFrontEnd")) {
    debugJMSFrontEndIsCached = false;
  }
else   if (attributeName.equals("DebugJMSJDBCScavengeOnFlush")) {
    debugJMSJDBCScavengeOnFlushIsCached = false;
  }
else   if (attributeName.equals("DebugJMSLocking")) {
    debugJMSLockingIsCached = false;
  }
else   if (attributeName.equals("DebugJMSStore")) {
    debugJMSStoreIsCached = false;
  }
else   if (attributeName.equals("DebugJMSXA")) {
    debugJMSXAIsCached = false;
  }
else   if (attributeName.equals("DebugJNDI")) {
    debugJNDIIsCached = false;
  }
else   if (attributeName.equals("DebugJNDIFactories")) {
    debugJNDIFactoriesIsCached = false;
  }
else   if (attributeName.equals("DebugJNDIResolution")) {
    debugJNDIResolutionIsCached = false;
  }
else   if (attributeName.equals("DebugLoadBalancing")) {
    debugLoadBalancingIsCached = false;
  }
else   if (attributeName.equals("DebugMessaging")) {
    debugMessagingIsCached = false;
  }
else   if (attributeName.equals("DebugRC4")) {
    debugRC4IsCached = false;
  }
else   if (attributeName.equals("DebugRSA")) {
    debugRSAIsCached = false;
  }
else   if (attributeName.equals("DebugReplication")) {
    debugReplicationIsCached = false;
  }
else   if (attributeName.equals("DebugReplicationDetails")) {
    debugReplicationDetailsIsCached = false;
  }
else   if (attributeName.equals("DebugRouting")) {
    debugRoutingIsCached = false;
  }
else   if (attributeName.equals("DebugSSL")) {
    debugSSLIsCached = false;
  }
else   if (attributeName.equals("DebugSecurityPasswordPolicy")) {
    debugSecurityPasswordPolicyIsCached = false;
  }
else   if (attributeName.equals("DebugSecurityRealm")) {
    debugSecurityRealmIsCached = false;
  }
else   if (attributeName.equals("DebugTunnelingConnection")) {
    debugTunnelingConnectionIsCached = false;
  }
else   if (attributeName.equals("DebugTunnelingConnectionTimeout")) {
    debugTunnelingConnectionTimeoutIsCached = false;
  }
else   if (attributeName.equals("DebugURLResolution")) {
    debugURLResolutionIsCached = false;
  }
else   if (attributeName.equals("ForceGCEachDGCPeriod")) {
    forceGCEachDGCPeriodIsCached = false;
  }
else   if (attributeName.equals("JDBCConn")) {
    jdbcConnIsCached = false;
  }
else   if (attributeName.equals("JDBCSQL")) {
    jdbcsqlIsCached = false;
  }
else   if (attributeName.equals("JTA2PC")) {
    jta2pcIsCached = false;
  }
else   if (attributeName.equals("JTAAPI")) {
    jtaapiIsCached = false;
  }
else   if (attributeName.equals("JTAJDBC")) {
    jtajdbcIsCached = false;
  }
else   if (attributeName.equals("JTAPropagate")) {
    jtaPropagateIsCached = false;
  }
else   if (attributeName.equals("JTARMI")) {
    jtarmiIsCached = false;
  }
else   if (attributeName.equals("JTARecovery")) {
    jtaRecoveryIsCached = false;
  }
else   if (attributeName.equals("JTAResourceName")) {
    jtaResourceNameIsCached = false;
  }
else   if (attributeName.equals("JTATLOG")) {
    jtatlogIsCached = false;
  }
else   if (attributeName.equals("JTATransactionName")) {
    jtaTransactionNameIsCached = false;
  }
else   if (attributeName.equals("JTAXA")) {
    jtaxaIsCached = false;
  }
else   if (attributeName.equals("ListenThreadDebug")) {
    listenThreadDebugIsCached = false;
  }
else   if (attributeName.equals("LogDGCStatistics")) {
    logDGCStatisticsIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("MagicThreadDumpBackToSocket")) {
    magicThreadDumpBackToSocketIsCached = false;
  }
else   if (attributeName.equals("MagicThreadDumpEnabled")) {
    magicThreadDumpEnabledIsCached = false;
  }
else   if (attributeName.equals("MagicThreadDumpFile")) {
    magicThreadDumpFileIsCached = false;
  }
else   if (attributeName.equals("MagicThreadDumpHost")) {
    magicThreadDumpHostIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("Server")) {
    serverIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.ServerDebugMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
