package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class ServerMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.ServerMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.ServerMBean delegate;

    public ServerMBean_CachingStub(weblogic.management.configuration.ServerMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of AcceptBacklog
   */
  private boolean acceptBacklogIsCached = false;
  private int acceptBacklog;
  /**
   * Getter for AcceptBacklog
   */
  public int getAcceptBacklog() 
    
  {
    if (!acceptBacklogIsCached) {
      acceptBacklog = delegate.getAcceptBacklog(); 
      acceptBacklogIsCached = true;  
    }
    return acceptBacklog;
  }
  /**
   * Setter for AcceptBacklog
   */
  public void setAcceptBacklog(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setAcceptBacklog(value);
    acceptBacklog = value;
    acceptBacklogIsCached = true;
  }
  /*
   * Declaration of AdministrationPort
   */
  private boolean administrationPortIsCached = false;
  private int administrationPort;
  /**
   * Getter for AdministrationPort
   */
  public int getAdministrationPort() 
    
  {
    if (!administrationPortIsCached) {
      administrationPort = delegate.getAdministrationPort(); 
      administrationPortIsCached = true;  
    }
    return administrationPort;
  }
  /**
   * Setter for AdministrationPort
   */
  public void setAdministrationPort(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setAdministrationPort(value);
    administrationPort = value;
    administrationPortIsCached = true;
  }
  /*
   * Declaration of Applications
   */
  private boolean applicationsIsCached = false;
  private weblogic.management.configuration.ApplicationMBean[] applications;
  /**
   * Getter for Applications
   */
  public weblogic.management.configuration.ApplicationMBean[] getApplications() 
    
  {
    if (!applicationsIsCached) {
      applications = delegate.getApplications(); 
      applicationsIsCached = true;  
    }
    return applications;
  }
  /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of Cluster
   */
  private boolean clusterIsCached = false;
  private weblogic.management.configuration.ClusterMBean cluster;
  /**
   * Getter for Cluster
   */
  public weblogic.management.configuration.ClusterMBean getCluster() 
    
  {
    if (!clusterIsCached) {
      cluster = delegate.getCluster(); 
      clusterIsCached = true;  
    }
    return cluster;
  }
  /**
   * Setter for Cluster
   */
  public void setCluster(weblogic.management.configuration.ClusterMBean value)
    
  {
    delegate.setCluster(value);
    cluster = value;
    clusterIsCached = true;
  }
  /*
   * Declaration of ClusterRuntime
   */
  private boolean clusterRuntimeIsCached = false;
  private weblogic.management.runtime.ClusterRuntimeMBean clusterRuntime;
  /**
   * Getter for ClusterRuntime
   */
  public weblogic.management.runtime.ClusterRuntimeMBean getClusterRuntime() 
    
  {
    if (!clusterRuntimeIsCached) {
      clusterRuntime = delegate.getClusterRuntime(); 
      clusterRuntimeIsCached = true;  
    }
    return clusterRuntime;
  }
  /*
   * Declaration of ClusterWeight
   */
  private boolean clusterWeightIsCached = false;
  private int clusterWeight;
  /**
   * Getter for ClusterWeight
   */
  public int getClusterWeight() 
    
  {
    if (!clusterWeightIsCached) {
      clusterWeight = delegate.getClusterWeight(); 
      clusterWeightIsCached = true;  
    }
    return clusterWeight;
  }
  /**
   * Setter for ClusterWeight
   */
  public void setClusterWeight(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setClusterWeight(value);
    clusterWeight = value;
    clusterWeightIsCached = true;
  }
  /*
   * Declaration of CompleteHTTPMessageTimeout
   */
  private boolean completeHTTPMessageTimeoutIsCached = false;
  private int completeHTTPMessageTimeout;
  /**
   * Getter for CompleteHTTPMessageTimeout
   */
  public int getCompleteHTTPMessageTimeout() 
    
  {
    if (!completeHTTPMessageTimeoutIsCached) {
      completeHTTPMessageTimeout = delegate.getCompleteHTTPMessageTimeout(); 
      completeHTTPMessageTimeoutIsCached = true;  
    }
    return completeHTTPMessageTimeout;
  }
  /**
   * Setter for CompleteHTTPMessageTimeout
   */
  public void setCompleteHTTPMessageTimeout(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setCompleteHTTPMessageTimeout(value);
    completeHTTPMessageTimeout = value;
    completeHTTPMessageTimeoutIsCached = true;
  }
  /*
   * Declaration of CompleteIIOPMessageTimeout
   */
  private boolean completeIIOPMessageTimeoutIsCached = false;
  private int completeIIOPMessageTimeout;
  /**
   * Getter for CompleteIIOPMessageTimeout
   */
  public int getCompleteIIOPMessageTimeout() 
    
  {
    if (!completeIIOPMessageTimeoutIsCached) {
      completeIIOPMessageTimeout = delegate.getCompleteIIOPMessageTimeout(); 
      completeIIOPMessageTimeoutIsCached = true;  
    }
    return completeIIOPMessageTimeout;
  }
  /**
   * Setter for CompleteIIOPMessageTimeout
   */
  public void setCompleteIIOPMessageTimeout(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setCompleteIIOPMessageTimeout(value);
    completeIIOPMessageTimeout = value;
    completeIIOPMessageTimeoutIsCached = true;
  }
  /*
   * Declaration of CompleteT3MessageTimeout
   */
  private boolean completeT3MessageTimeoutIsCached = false;
  private int completeT3MessageTimeout;
  /**
   * Getter for CompleteT3MessageTimeout
   */
  public int getCompleteT3MessageTimeout() 
    
  {
    if (!completeT3MessageTimeoutIsCached) {
      completeT3MessageTimeout = delegate.getCompleteT3MessageTimeout(); 
      completeT3MessageTimeoutIsCached = true;  
    }
    return completeT3MessageTimeout;
  }
  /**
   * Setter for CompleteT3MessageTimeout
   */
  public void setCompleteT3MessageTimeout(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setCompleteT3MessageTimeout(value);
    completeT3MessageTimeout = value;
    completeT3MessageTimeoutIsCached = true;
  }
  /*
   * Declaration of ConsoleInputEnabled
   */
  private boolean consoleInputEnabledIsCached = false;
  private boolean consoleInputEnabled;
  /**
   * Getter for ConsoleInputEnabled
   */
  public boolean isConsoleInputEnabled() 
    
  {
    if (!consoleInputEnabledIsCached) {
      consoleInputEnabled = delegate.isConsoleInputEnabled(); 
      consoleInputEnabledIsCached = true;  
    }
    return consoleInputEnabled;
  }
  /**
   * Setter for ConsoleInputEnabled
   */
  public void setConsoleInputEnabled(boolean value)
    
  {
    delegate.setConsoleInputEnabled(value);
    consoleInputEnabled = value;
    consoleInputEnabledIsCached = true;
  }
  /*
   * Declaration of DGCIdlePeriodsUntilTimeout
   */
  private boolean dgcIdlePeriodsUntilTimeoutIsCached = false;
  private int dgcIdlePeriodsUntilTimeout;
  /**
   * Getter for DGCIdlePeriodsUntilTimeout
   */
  public int getDGCIdlePeriodsUntilTimeout() 
    
  {
    if (!dgcIdlePeriodsUntilTimeoutIsCached) {
      dgcIdlePeriodsUntilTimeout = delegate.getDGCIdlePeriodsUntilTimeout(); 
      dgcIdlePeriodsUntilTimeoutIsCached = true;  
    }
    return dgcIdlePeriodsUntilTimeout;
  }
  /**
   * Setter for DGCIdlePeriodsUntilTimeout
   */
  public void setDGCIdlePeriodsUntilTimeout(int value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setDGCIdlePeriodsUntilTimeout(value);
    dgcIdlePeriodsUntilTimeout = value;
    dgcIdlePeriodsUntilTimeoutIsCached = true;
  }
  /*
   * Declaration of DefaultIIOPPassword
   */
  private boolean defaultIIOPPasswordIsCached = false;
  private java.lang.String defaultIIOPPassword;
  /**
   * Getter for DefaultIIOPPassword
   */
  public java.lang.String getDefaultIIOPPassword() 
    
  {
    if (!defaultIIOPPasswordIsCached) {
      defaultIIOPPassword = delegate.getDefaultIIOPPassword(); 
      defaultIIOPPasswordIsCached = true;  
    }
    return defaultIIOPPassword;
  }
  /**
   * Setter for DefaultIIOPPassword
   */
  public void setDefaultIIOPPassword(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setDefaultIIOPPassword(value);
    defaultIIOPPassword = value;
    defaultIIOPPasswordIsCached = true;
  }
  /*
   * Declaration of DefaultIIOPUser
   */
  private boolean defaultIIOPUserIsCached = false;
  private java.lang.String defaultIIOPUser;
  /**
   * Getter for DefaultIIOPUser
   */
  public java.lang.String getDefaultIIOPUser() 
    
  {
    if (!defaultIIOPUserIsCached) {
      defaultIIOPUser = delegate.getDefaultIIOPUser(); 
      defaultIIOPUserIsCached = true;  
    }
    return defaultIIOPUser;
  }
  /**
   * Setter for DefaultIIOPUser
   */
  public void setDefaultIIOPUser(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setDefaultIIOPUser(value);
    defaultIIOPUser = value;
    defaultIIOPUserIsCached = true;
  }
  /*
   * Declaration of DefaultProtocol
   */
  private boolean defaultProtocolIsCached = false;
  private java.lang.String defaultProtocol;
  /**
   * Getter for DefaultProtocol
   */
  public java.lang.String getDefaultProtocol() 
    
  {
    if (!defaultProtocolIsCached) {
      defaultProtocol = delegate.getDefaultProtocol(); 
      defaultProtocolIsCached = true;  
    }
    return defaultProtocol;
  }
  /**
   * Setter for DefaultProtocol
   */
  public void setDefaultProtocol(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setDefaultProtocol(value);
    defaultProtocol = value;
    defaultProtocolIsCached = true;
  }
  /*
   * Declaration of DefaultSecureProtocol
   */
  private boolean defaultSecureProtocolIsCached = false;
  private java.lang.String defaultSecureProtocol;
  /**
   * Getter for DefaultSecureProtocol
   */
  public java.lang.String getDefaultSecureProtocol() 
    
  {
    if (!defaultSecureProtocolIsCached) {
      defaultSecureProtocol = delegate.getDefaultSecureProtocol(); 
      defaultSecureProtocolIsCached = true;  
    }
    return defaultSecureProtocol;
  }
  /**
   * Setter for DefaultSecureProtocol
   */
  public void setDefaultSecureProtocol(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setDefaultSecureProtocol(value);
    defaultSecureProtocol = value;
    defaultSecureProtocolIsCached = true;
  }
  /*
   * Declaration of Deployments
   */
  private boolean deploymentsIsCached = false;
  private weblogic.management.configuration.DeploymentMBean[] deployments;
  /**
   * Getter for Deployments
   */
  public weblogic.management.configuration.DeploymentMBean[] getDeployments() 
    
  {
    if (!deploymentsIsCached) {
      deployments = delegate.getDeployments(); 
      deploymentsIsCached = true;  
    }
    return deployments;
  }
  /**
   * Setter for Deployments
   */
  public void setDeployments(weblogic.management.configuration.DeploymentMBean[] value)
    
  {
    delegate.setDeployments(value);
    deployments = value;
    deploymentsIsCached = true;
  }
  /*
   * Declaration of DomainLogFilter
   */
  private boolean domainLogFilterIsCached = false;
  private weblogic.management.configuration.DomainLogFilterMBean domainLogFilter;
  /**
   * Getter for DomainLogFilter
   */
  public weblogic.management.configuration.DomainLogFilterMBean getDomainLogFilter() 
    
  {
    if (!domainLogFilterIsCached) {
      domainLogFilter = delegate.getDomainLogFilter(); 
      domainLogFilterIsCached = true;  
    }
    return domainLogFilter;
  }
  /**
   * Setter for DomainLogFilter
   */
  public void setDomainLogFilter(weblogic.management.configuration.DomainLogFilterMBean value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setDomainLogFilter(value);
    domainLogFilter = value;
    domainLogFilterIsCached = true;
  }
  /*
   * Declaration of EnabledForDomainLog
   */
  private boolean enabledForDomainLogIsCached = false;
  private boolean enabledForDomainLog;
  /**
   * Getter for EnabledForDomainLog
   */
  public boolean isEnabledForDomainLog() 
    
  {
    if (!enabledForDomainLogIsCached) {
      enabledForDomainLog = delegate.isEnabledForDomainLog(); 
      enabledForDomainLogIsCached = true;  
    }
    return enabledForDomainLog;
  }
  /**
   * Setter for EnabledForDomainLog
   */
  public void setEnabledForDomainLog(boolean value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setEnabledForDomainLog(value);
    enabledForDomainLog = value;
    enabledForDomainLogIsCached = true;
  }
  /*
   * Declaration of ExecuteQueues
   */
  private boolean executeQueuesIsCached = false;
  private weblogic.management.configuration.ExecuteQueueMBean[] executeQueues;
  /**
   * Getter for ExecuteQueues
   */
  public weblogic.management.configuration.ExecuteQueueMBean[] getExecuteQueues() 
    
  {
    if (!executeQueuesIsCached) {
      executeQueues = delegate.getExecuteQueues(); 
      executeQueuesIsCached = true;  
    }
    return executeQueues;
  }
  /**
   * Setter for ExecuteQueues
   */
  public void setExecuteQueues(weblogic.management.configuration.ExecuteQueueMBean[] value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setExecuteQueues(value);
    executeQueues = value;
    executeQueuesIsCached = true;
  }
  /*
   * Declaration of ExpectedToRun
   */
  private boolean expectedToRunIsCached = false;
  private boolean expectedToRun;
  /**
   * Getter for ExpectedToRun
   */
  public boolean getExpectedToRun() 
    
  {
    if (!expectedToRunIsCached) {
      expectedToRun = delegate.getExpectedToRun(); 
      expectedToRunIsCached = true;  
    }
    return expectedToRun;
  }
  /*
   * Declaration of ExtraRmicOptions
   */
  private boolean extraRmicOptionsIsCached = false;
  private java.lang.String extraRmicOptions;
  /**
   * Getter for ExtraRmicOptions
   */
  public java.lang.String getExtraRmicOptions() 
    
  {
    if (!extraRmicOptionsIsCached) {
      extraRmicOptions = delegate.getExtraRmicOptions(); 
      extraRmicOptionsIsCached = true;  
    }
    return extraRmicOptions;
  }
  /**
   * Setter for ExtraRmicOptions
   */
  public void setExtraRmicOptions(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setExtraRmicOptions(value);
    extraRmicOptions = value;
    extraRmicOptionsIsCached = true;
  }
  /*
   * Declaration of HelpPageURL
   */
  private boolean helpPageURLIsCached = false;
  private java.lang.String helpPageURL;
  /**
   * Getter for HelpPageURL
   */
  public java.lang.String getHelpPageURL() 
    
  {
    if (!helpPageURLIsCached) {
      helpPageURL = delegate.getHelpPageURL(); 
      helpPageURLIsCached = true;  
    }
    return helpPageURL;
  }
  /**
   * Setter for HelpPageURL
   */
  public void setHelpPageURL(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setHelpPageURL(value);
    helpPageURL = value;
    helpPageURLIsCached = true;
  }
  /*
   * Declaration of HttpdEnabled
   */
  private boolean httpdEnabledIsCached = false;
  private boolean httpdEnabled;
  /**
   * Getter for HttpdEnabled
   */
  public boolean isHttpdEnabled() 
    
  {
    if (!httpdEnabledIsCached) {
      httpdEnabled = delegate.isHttpdEnabled(); 
      httpdEnabledIsCached = true;  
    }
    return httpdEnabled;
  }
  /**
   * Setter for HttpdEnabled
   */
  public void setHttpdEnabled(boolean value)
    
  {
    delegate.setHttpdEnabled(value);
    httpdEnabled = value;
    httpdEnabledIsCached = true;
  }
  /*
   * Declaration of IIOPConnectionPools
   */
  private boolean iiopConnectionPoolsIsCached = false;
  private java.util.Map iiopConnectionPools;
  /**
   * Getter for IIOPConnectionPools
   */
  public java.util.Map getIIOPConnectionPools() 
    
  {
    if (!iiopConnectionPoolsIsCached) {
      iiopConnectionPools = delegate.getIIOPConnectionPools(); 
      iiopConnectionPoolsIsCached = true;  
    }
    return iiopConnectionPools;
  }
  /**
   * Setter for IIOPConnectionPools
   */
  public void setIIOPConnectionPools(java.util.Map value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setIIOPConnectionPools(value);
    iiopConnectionPools = value;
    iiopConnectionPoolsIsCached = true;
  }
  /*
   * Declaration of IIOPEnabled
   */
  private boolean iiopEnabledIsCached = false;
  private boolean iiopEnabled;
  /**
   * Getter for IIOPEnabled
   */
  public boolean isIIOPEnabled() 
    
  {
    if (!iiopEnabledIsCached) {
      iiopEnabled = delegate.isIIOPEnabled(); 
      iiopEnabledIsCached = true;  
    }
    return iiopEnabled;
  }
  /**
   * Setter for IIOPEnabled
   */
  public void setIIOPEnabled(boolean value)
    
  {
    delegate.setIIOPEnabled(value);
    iiopEnabled = value;
    iiopEnabledIsCached = true;
  }
  /*
   * Declaration of IdlePeriodsUntilTimeout
   */
  private boolean idlePeriodsUntilTimeoutIsCached = false;
  private int idlePeriodsUntilTimeout;
  /**
   * Getter for IdlePeriodsUntilTimeout
   */
  public int getIdlePeriodsUntilTimeout() 
    
  {
    if (!idlePeriodsUntilTimeoutIsCached) {
      idlePeriodsUntilTimeout = delegate.getIdlePeriodsUntilTimeout(); 
      idlePeriodsUntilTimeoutIsCached = true;  
    }
    return idlePeriodsUntilTimeout;
  }
  /**
   * Setter for IdlePeriodsUntilTimeout
   */
  public void setIdlePeriodsUntilTimeout(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setIdlePeriodsUntilTimeout(value);
    idlePeriodsUntilTimeout = value;
    idlePeriodsUntilTimeoutIsCached = true;
  }
  /*
   * Declaration of InstrumentStackTraceEnabled
   */
  private boolean instrumentStackTraceEnabledIsCached = false;
  private boolean instrumentStackTraceEnabled;
  /**
   * Getter for InstrumentStackTraceEnabled
   */
  public boolean isInstrumentStackTraceEnabled() 
    
  {
    if (!instrumentStackTraceEnabledIsCached) {
      instrumentStackTraceEnabled = delegate.isInstrumentStackTraceEnabled(); 
      instrumentStackTraceEnabledIsCached = true;  
    }
    return instrumentStackTraceEnabled;
  }
  /**
   * Setter for InstrumentStackTraceEnabled
   */
  public void setInstrumentStackTraceEnabled(boolean value)
    throws weblogic.management.DistributedManagementException
  {
    delegate.setInstrumentStackTraceEnabled(value);
    instrumentStackTraceEnabled = value;
    instrumentStackTraceEnabledIsCached = true;
  }
  /*
   * Declaration of JDBCLogFileName
   */
  private boolean jdbcLogFileNameIsCached = false;
  private java.lang.String jdbcLogFileName;
  /**
   * Getter for JDBCLogFileName
   */
  public java.lang.String getJDBCLogFileName() 
    
  {
    if (!jdbcLogFileNameIsCached) {
      jdbcLogFileName = delegate.getJDBCLogFileName(); 
      jdbcLogFileNameIsCached = true;  
    }
    return jdbcLogFileName;
  }
  /**
   * Setter for JDBCLogFileName
   */
  public void setJDBCLogFileName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setJDBCLogFileName(value);
    jdbcLogFileName = value;
    jdbcLogFileNameIsCached = true;
  }
  /*
   * Declaration of JDBCLoggingEnabled
   */
  private boolean jdbcLoggingEnabledIsCached = false;
  private boolean jdbcLoggingEnabled;
  /**
   * Getter for JDBCLoggingEnabled
   */
  public boolean isJDBCLoggingEnabled() 
    
  {
    if (!jdbcLoggingEnabledIsCached) {
      jdbcLoggingEnabled = delegate.isJDBCLoggingEnabled(); 
      jdbcLoggingEnabledIsCached = true;  
    }
    return jdbcLoggingEnabled;
  }
  /**
   * Setter for JDBCLoggingEnabled
   */
  public void setJDBCLoggingEnabled(boolean value)
    
  {
    delegate.setJDBCLoggingEnabled(value);
    jdbcLoggingEnabled = value;
    jdbcLoggingEnabledIsCached = true;
  }
  /*
   * Declaration of JMSDefaultConnectionFactoriesEnabled
   */
  private boolean jmsDefaultConnectionFactoriesEnabledIsCached = false;
  private boolean jmsDefaultConnectionFactoriesEnabled;
  /**
   * Getter for JMSDefaultConnectionFactoriesEnabled
   */
  public boolean isJMSDefaultConnectionFactoriesEnabled() 
    
  {
    if (!jmsDefaultConnectionFactoriesEnabledIsCached) {
      jmsDefaultConnectionFactoriesEnabled = delegate.isJMSDefaultConnectionFactoriesEnabled(); 
      jmsDefaultConnectionFactoriesEnabledIsCached = true;  
    }
    return jmsDefaultConnectionFactoriesEnabled;
  }
  /**
   * Setter for JMSDefaultConnectionFactoriesEnabled
   */
  public void setJMSDefaultConnectionFactoriesEnabled(boolean value)
    throws weblogic.management.DistributedManagementException
  {
    delegate.setJMSDefaultConnectionFactoriesEnabled(value);
    jmsDefaultConnectionFactoriesEnabled = value;
    jmsDefaultConnectionFactoriesEnabledIsCached = true;
  }
  /*
   * Declaration of JNDITransportableObjectFactoryList
   */
  private boolean jndiTransportableObjectFactoryListIsCached = false;
  private java.lang.String[] jndiTransportableObjectFactoryList;
  /**
   * Getter for JNDITransportableObjectFactoryList
   */
  public java.lang.String[] getJNDITransportableObjectFactoryList() 
    
  {
    if (!jndiTransportableObjectFactoryListIsCached) {
      jndiTransportableObjectFactoryList = delegate.getJNDITransportableObjectFactoryList(); 
      jndiTransportableObjectFactoryListIsCached = true;  
    }
    return jndiTransportableObjectFactoryList;
  }
  /**
   * Setter for JNDITransportableObjectFactoryList
   */
  public void setJNDITransportableObjectFactoryList(java.lang.String[] value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setJNDITransportableObjectFactoryList(value);
    jndiTransportableObjectFactoryList = value;
    jndiTransportableObjectFactoryListIsCached = true;
  }
  /*
   * Declaration of JavaCompiler
   */
  private boolean javaCompilerIsCached = false;
  private java.lang.String javaCompiler;
  /**
   * Getter for JavaCompiler
   */
  public java.lang.String getJavaCompiler() 
    
  {
    if (!javaCompilerIsCached) {
      javaCompiler = delegate.getJavaCompiler(); 
      javaCompilerIsCached = true;  
    }
    return javaCompiler;
  }
  /**
   * Setter for JavaCompiler
   */
  public void setJavaCompiler(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setJavaCompiler(value);
    javaCompiler = value;
    javaCompilerIsCached = true;
  }
  /*
   * Declaration of JavaCompilerPostClassPath
   */
  private boolean javaCompilerPostClassPathIsCached = false;
  private java.lang.String javaCompilerPostClassPath;
  /**
   * Getter for JavaCompilerPostClassPath
   */
  public java.lang.String getJavaCompilerPostClassPath() 
    
  {
    if (!javaCompilerPostClassPathIsCached) {
      javaCompilerPostClassPath = delegate.getJavaCompilerPostClassPath(); 
      javaCompilerPostClassPathIsCached = true;  
    }
    return javaCompilerPostClassPath;
  }
  /**
   * Setter for JavaCompilerPostClassPath
   */
  public void setJavaCompilerPostClassPath(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setJavaCompilerPostClassPath(value);
    javaCompilerPostClassPath = value;
    javaCompilerPostClassPathIsCached = true;
  }
  /*
   * Declaration of JavaCompilerPreClassPath
   */
  private boolean javaCompilerPreClassPathIsCached = false;
  private java.lang.String javaCompilerPreClassPath;
  /**
   * Getter for JavaCompilerPreClassPath
   */
  public java.lang.String getJavaCompilerPreClassPath() 
    
  {
    if (!javaCompilerPreClassPathIsCached) {
      javaCompilerPreClassPath = delegate.getJavaCompilerPreClassPath(); 
      javaCompilerPreClassPathIsCached = true;  
    }
    return javaCompilerPreClassPath;
  }
  /**
   * Setter for JavaCompilerPreClassPath
   */
  public void setJavaCompilerPreClassPath(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setJavaCompilerPreClassPath(value);
    javaCompilerPreClassPath = value;
    javaCompilerPreClassPathIsCached = true;
  }
  /*
   * Declaration of KernelDebug
   */
  private boolean kernelDebugIsCached = false;
  private weblogic.management.configuration.KernelDebugMBean kernelDebug;
  /**
   * Getter for KernelDebug
   */
  public weblogic.management.configuration.KernelDebugMBean getKernelDebug() 
    
  {
    if (!kernelDebugIsCached) {
      kernelDebug = delegate.getKernelDebug(); 
      kernelDebugIsCached = true;  
    }
    return kernelDebug;
  }
  /*
   * Declaration of ListenAddress
   */
  private boolean listenAddressIsCached = false;
  private java.lang.String listenAddress;
  /**
   * Getter for ListenAddress
   */
  public java.lang.String getListenAddress() 
    
  {
    if (!listenAddressIsCached) {
      listenAddress = delegate.getListenAddress(); 
      listenAddressIsCached = true;  
    }
    return listenAddress;
  }
  /**
   * Setter for ListenAddress
   */
  public void setListenAddress(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setListenAddress(value);
    listenAddress = value;
    listenAddressIsCached = true;
  }
  /*
   * Declaration of ListenPort
   */
  private boolean listenPortIsCached = false;
  private int listenPort;
  /**
   * Getter for ListenPort
   */
  public int getListenPort() 
    
  {
    if (!listenPortIsCached) {
      listenPort = delegate.getListenPort(); 
      listenPortIsCached = true;  
    }
    return listenPort;
  }
  /**
   * Setter for ListenPort
   */
  public void setListenPort(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setListenPort(value);
    listenPort = value;
    listenPortIsCached = true;
  }
  /*
   * Declaration of ListenThreadStartDelaySecs
   */
  private boolean listenThreadStartDelaySecsIsCached = false;
  private int listenThreadStartDelaySecs;
  /**
   * Getter for ListenThreadStartDelaySecs
   */
  public int getListenThreadStartDelaySecs() 
    
  {
    if (!listenThreadStartDelaySecsIsCached) {
      listenThreadStartDelaySecs = delegate.getListenThreadStartDelaySecs(); 
      listenThreadStartDelaySecsIsCached = true;  
    }
    return listenThreadStartDelaySecs;
  }
  /**
   * Setter for ListenThreadStartDelaySecs
   */
  public void setListenThreadStartDelaySecs(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setListenThreadStartDelaySecs(value);
    listenThreadStartDelaySecs = value;
    listenThreadStartDelaySecsIsCached = true;
  }
  /*
   * Declaration of Log
   */
  private boolean logIsCached = false;
  private weblogic.management.configuration.LogMBean log;
  /**
   * Getter for Log
   */
  public weblogic.management.configuration.LogMBean getLog() 
    
  {
    if (!logIsCached) {
      log = delegate.getLog(); 
      logIsCached = true;  
    }
    return log;
  }
  /*
   * Declaration of LogRemoteExceptionsEnabled
   */
  private boolean logRemoteExceptionsEnabledIsCached = false;
  private boolean logRemoteExceptionsEnabled;
  /**
   * Getter for LogRemoteExceptionsEnabled
   */
  public boolean isLogRemoteExceptionsEnabled() 
    
  {
    if (!logRemoteExceptionsEnabledIsCached) {
      logRemoteExceptionsEnabled = delegate.isLogRemoteExceptionsEnabled(); 
      logRemoteExceptionsEnabledIsCached = true;  
    }
    return logRemoteExceptionsEnabled;
  }
  /**
   * Setter for LogRemoteExceptionsEnabled
   */
  public void setLogRemoteExceptionsEnabled(boolean value)
    throws weblogic.management.DistributedManagementException
  {
    delegate.setLogRemoteExceptionsEnabled(value);
    logRemoteExceptionsEnabled = value;
    logRemoteExceptionsEnabledIsCached = true;
  }
  /*
   * Declaration of LoginTimeout
   */
  private boolean loginTimeoutIsCached = false;
  private int loginTimeout;
  /**
   * Getter for LoginTimeout
   */
  public int getLoginTimeout() 
    
  {
    if (!loginTimeoutIsCached) {
      loginTimeout = delegate.getLoginTimeout(); 
      loginTimeoutIsCached = true;  
    }
    return loginTimeout;
  }
  /**
   * Setter for LoginTimeout
   */
  public void setLoginTimeout(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setLoginTimeout(value);
    loginTimeout = value;
    loginTimeoutIsCached = true;
  }
  /*
   * Declaration of LoginTimeoutMillis
   */
  private boolean loginTimeoutMillisIsCached = false;
  private int loginTimeoutMillis;
  /**
   * Getter for LoginTimeoutMillis
   */
  public int getLoginTimeoutMillis() 
    
  {
    if (!loginTimeoutMillisIsCached) {
      loginTimeoutMillis = delegate.getLoginTimeoutMillis(); 
      loginTimeoutMillisIsCached = true;  
    }
    return loginTimeoutMillis;
  }
  /**
   * Setter for LoginTimeoutMillis
   */
  public void setLoginTimeoutMillis(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setLoginTimeoutMillis(value);
    loginTimeoutMillis = value;
    loginTimeoutMillisIsCached = true;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of Machine
   */
  private boolean machineIsCached = false;
  private weblogic.management.configuration.MachineMBean machine;
  /**
   * Getter for Machine
   */
  public weblogic.management.configuration.MachineMBean getMachine() 
    
  {
    if (!machineIsCached) {
      machine = delegate.getMachine(); 
      machineIsCached = true;  
    }
    return machine;
  }
  /**
   * Setter for Machine
   */
  public void setMachine(weblogic.management.configuration.MachineMBean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setMachine(value);
    machine = value;
    machineIsCached = true;
  }
  /*
   * Declaration of MaxHTTPMessageSize
   */
  private boolean maxHTTPMessageSizeIsCached = false;
  private int maxHTTPMessageSize;
  /**
   * Getter for MaxHTTPMessageSize
   */
  public int getMaxHTTPMessageSize() 
    
  {
    if (!maxHTTPMessageSizeIsCached) {
      maxHTTPMessageSize = delegate.getMaxHTTPMessageSize(); 
      maxHTTPMessageSizeIsCached = true;  
    }
    return maxHTTPMessageSize;
  }
  /**
   * Setter for MaxHTTPMessageSize
   */
  public void setMaxHTTPMessageSize(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setMaxHTTPMessageSize(value);
    maxHTTPMessageSize = value;
    maxHTTPMessageSizeIsCached = true;
  }
  /*
   * Declaration of MaxIIOPMessageSize
   */
  private boolean maxIIOPMessageSizeIsCached = false;
  private int maxIIOPMessageSize;
  /**
   * Getter for MaxIIOPMessageSize
   */
  public int getMaxIIOPMessageSize() 
    
  {
    if (!maxIIOPMessageSizeIsCached) {
      maxIIOPMessageSize = delegate.getMaxIIOPMessageSize(); 
      maxIIOPMessageSizeIsCached = true;  
    }
    return maxIIOPMessageSize;
  }
  /**
   * Setter for MaxIIOPMessageSize
   */
  public void setMaxIIOPMessageSize(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setMaxIIOPMessageSize(value);
    maxIIOPMessageSize = value;
    maxIIOPMessageSizeIsCached = true;
  }
  /*
   * Declaration of MaxT3MessageSize
   */
  private boolean maxT3MessageSizeIsCached = false;
  private int maxT3MessageSize;
  /**
   * Getter for MaxT3MessageSize
   */
  public int getMaxT3MessageSize() 
    
  {
    if (!maxT3MessageSizeIsCached) {
      maxT3MessageSize = delegate.getMaxT3MessageSize(); 
      maxT3MessageSizeIsCached = true;  
    }
    return maxT3MessageSize;
  }
  /**
   * Setter for MaxT3MessageSize
   */
  public void setMaxT3MessageSize(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setMaxT3MessageSize(value);
    maxT3MessageSize = value;
    maxT3MessageSizeIsCached = true;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of NativeIOEnabled
   */
  private boolean nativeIOEnabledIsCached = false;
  private boolean nativeIOEnabled;
  /**
   * Getter for NativeIOEnabled
   */
  public boolean isNativeIOEnabled() 
    
  {
    if (!nativeIOEnabledIsCached) {
      nativeIOEnabled = delegate.isNativeIOEnabled(); 
      nativeIOEnabledIsCached = true;  
    }
    return nativeIOEnabled;
  }
  /**
   * Setter for NativeIOEnabled
   */
  public void setNativeIOEnabled(boolean value)
    
  {
    delegate.setNativeIOEnabled(value);
    nativeIOEnabled = value;
    nativeIOEnabledIsCached = true;
  }
  /*
   * Declaration of NetworkClassLoadingEnabled
   */
  private boolean networkClassLoadingEnabledIsCached = false;
  private boolean networkClassLoadingEnabled;
  /**
   * Getter for NetworkClassLoadingEnabled
   */
  public boolean isNetworkClassLoadingEnabled() 
    
  {
    if (!networkClassLoadingEnabledIsCached) {
      networkClassLoadingEnabled = delegate.isNetworkClassLoadingEnabled(); 
      networkClassLoadingEnabledIsCached = true;  
    }
    return networkClassLoadingEnabled;
  }
  /**
   * Setter for NetworkClassLoadingEnabled
   */
  public void setNetworkClassLoadingEnabled(boolean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setNetworkClassLoadingEnabled(value);
    networkClassLoadingEnabled = value;
    networkClassLoadingEnabledIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of PeriodLength
   */
  private boolean periodLengthIsCached = false;
  private int periodLength;
  /**
   * Getter for PeriodLength
   */
  public int getPeriodLength() 
    
  {
    if (!periodLengthIsCached) {
      periodLength = delegate.getPeriodLength(); 
      periodLengthIsCached = true;  
    }
    return periodLength;
  }
  /**
   * Setter for PeriodLength
   */
  public void setPeriodLength(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setPeriodLength(value);
    periodLength = value;
    periodLengthIsCached = true;
  }
  /*
   * Declaration of PreferredSecondaryGroup
   */
  private boolean preferredSecondaryGroupIsCached = false;
  private java.lang.String preferredSecondaryGroup;
  /**
   * Getter for PreferredSecondaryGroup
   */
  public java.lang.String getPreferredSecondaryGroup() 
    
  {
    if (!preferredSecondaryGroupIsCached) {
      preferredSecondaryGroup = delegate.getPreferredSecondaryGroup(); 
      preferredSecondaryGroupIsCached = true;  
    }
    return preferredSecondaryGroup;
  }
  /**
   * Setter for PreferredSecondaryGroup
   */
  public void setPreferredSecondaryGroup(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setPreferredSecondaryGroup(value);
    preferredSecondaryGroup = value;
    preferredSecondaryGroupIsCached = true;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of ReplicationGroup
   */
  private boolean replicationGroupIsCached = false;
  private java.lang.String replicationGroup;
  /**
   * Getter for ReplicationGroup
   */
  public java.lang.String getReplicationGroup() 
    
  {
    if (!replicationGroupIsCached) {
      replicationGroup = delegate.getReplicationGroup(); 
      replicationGroupIsCached = true;  
    }
    return replicationGroup;
  }
  /**
   * Setter for ReplicationGroup
   */
  public void setReplicationGroup(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setReplicationGroup(value);
    replicationGroup = value;
    replicationGroupIsCached = true;
  }
  /*
   * Declaration of ResponseTimeout
   */
  private boolean responseTimeoutIsCached = false;
  private int responseTimeout;
  /**
   * Getter for ResponseTimeout
   */
  public int getResponseTimeout() 
    
  {
    if (!responseTimeoutIsCached) {
      responseTimeout = delegate.getResponseTimeout(); 
      responseTimeoutIsCached = true;  
    }
    return responseTimeout;
  }
  /**
   * Setter for ResponseTimeout
   */
  public void setResponseTimeout(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setResponseTimeout(value);
    responseTimeout = value;
    responseTimeoutIsCached = true;
  }
  /*
   * Declaration of ReverseDNSAllowed
   */
  private boolean reverseDNSAllowedIsCached = false;
  private boolean reverseDNSAllowed;
  /**
   * Getter for ReverseDNSAllowed
   */
  public boolean isReverseDNSAllowed() 
    
  {
    if (!reverseDNSAllowedIsCached) {
      reverseDNSAllowed = delegate.isReverseDNSAllowed(); 
      reverseDNSAllowedIsCached = true;  
    }
    return reverseDNSAllowed;
  }
  /**
   * Setter for ReverseDNSAllowed
   */
  public void setReverseDNSAllowed(boolean value)
    throws weblogic.management.DistributedManagementException
  {
    delegate.setReverseDNSAllowed(value);
    reverseDNSAllowed = value;
    reverseDNSAllowedIsCached = true;
  }
  /*
   * Declaration of RjvmIdleTimeout
   */
  private boolean rjvmIdleTimeoutIsCached = false;
  private int rjvmIdleTimeout;
  /**
   * Getter for RjvmIdleTimeout
   */
  public int getRjvmIdleTimeout() 
    
  {
    if (!rjvmIdleTimeoutIsCached) {
      rjvmIdleTimeout = delegate.getRjvmIdleTimeout(); 
      rjvmIdleTimeoutIsCached = true;  
    }
    return rjvmIdleTimeout;
  }
  /**
   * Setter for RjvmIdleTimeout
   */
  public void setRjvmIdleTimeout(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setRjvmIdleTimeout(value);
    rjvmIdleTimeout = value;
    rjvmIdleTimeoutIsCached = true;
  }
  /*
   * Declaration of RootDirectory
   */
  private boolean rootDirectoryIsCached = false;
  private java.lang.String rootDirectory;
  /**
   * Getter for RootDirectory
   */
  public java.lang.String getRootDirectory() 
    
  {
    if (!rootDirectoryIsCached) {
      rootDirectory = delegate.getRootDirectory(); 
      rootDirectoryIsCached = true;  
    }
    return rootDirectory;
  }
  /**
   * Setter for RootDirectory
   */
  public void setRootDirectory(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setRootDirectory(value);
    rootDirectory = value;
    rootDirectoryIsCached = true;
  }
  /*
   * Declaration of SSL
   */
  private boolean sslIsCached = false;
  private weblogic.management.configuration.SSLMBean ssl;
  /**
   * Getter for SSL
   */
  public weblogic.management.configuration.SSLMBean getSSL() 
    
  {
    if (!sslIsCached) {
      ssl = delegate.getSSL(); 
      sslIsCached = true;  
    }
    return ssl;
  }
  /*
   * Declaration of ServerDebug
   */
  private boolean serverDebugIsCached = false;
  private weblogic.management.configuration.ServerDebugMBean serverDebug;
  /**
   * Getter for ServerDebug
   */
  public weblogic.management.configuration.ServerDebugMBean getServerDebug() 
    
  {
    if (!serverDebugIsCached) {
      serverDebug = delegate.getServerDebug(); 
      serverDebugIsCached = true;  
    }
    return serverDebug;
  }
  /*
   * Declaration of ServerRuntime
   */
  private boolean serverRuntimeIsCached = false;
  private weblogic.management.runtime.ServerRuntimeMBean serverRuntime;
  /**
   * Getter for ServerRuntime
   */
  public weblogic.management.runtime.ServerRuntimeMBean getServerRuntime() 
    
  {
    if (!serverRuntimeIsCached) {
      serverRuntime = delegate.getServerRuntime(); 
      serverRuntimeIsCached = true;  
    }
    return serverRuntime;
  }
  /**
   * Setter for ServerRuntime
   */
  public void setServerRuntime(weblogic.management.runtime.ServerRuntimeMBean value)
    
  {
    delegate.setServerRuntime(value);
    serverRuntime = value;
    serverRuntimeIsCached = true;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of SocketReaderTimeoutMaxMillis
   */
  private boolean socketReaderTimeoutMaxMillisIsCached = false;
  private int socketReaderTimeoutMaxMillis;
  /**
   * Getter for SocketReaderTimeoutMaxMillis
   */
  public int getSocketReaderTimeoutMaxMillis() 
    
  {
    if (!socketReaderTimeoutMaxMillisIsCached) {
      socketReaderTimeoutMaxMillis = delegate.getSocketReaderTimeoutMaxMillis(); 
      socketReaderTimeoutMaxMillisIsCached = true;  
    }
    return socketReaderTimeoutMaxMillis;
  }
  /**
   * Setter for SocketReaderTimeoutMaxMillis
   */
  public void setSocketReaderTimeoutMaxMillis(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setSocketReaderTimeoutMaxMillis(value);
    socketReaderTimeoutMaxMillis = value;
    socketReaderTimeoutMaxMillisIsCached = true;
  }
  /*
   * Declaration of SocketReaderTimeoutMinMillis
   */
  private boolean socketReaderTimeoutMinMillisIsCached = false;
  private int socketReaderTimeoutMinMillis;
  /**
   * Getter for SocketReaderTimeoutMinMillis
   */
  public int getSocketReaderTimeoutMinMillis() 
    
  {
    if (!socketReaderTimeoutMinMillisIsCached) {
      socketReaderTimeoutMinMillis = delegate.getSocketReaderTimeoutMinMillis(); 
      socketReaderTimeoutMinMillisIsCached = true;  
    }
    return socketReaderTimeoutMinMillis;
  }
  /**
   * Setter for SocketReaderTimeoutMinMillis
   */
  public void setSocketReaderTimeoutMinMillis(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setSocketReaderTimeoutMinMillis(value);
    socketReaderTimeoutMinMillis = value;
    socketReaderTimeoutMinMillisIsCached = true;
  }
  /*
   * Declaration of StdoutDebugEnabled
   */
  private boolean stdoutDebugEnabledIsCached = false;
  private boolean stdoutDebugEnabled;
  /**
   * Getter for StdoutDebugEnabled
   */
  public boolean isStdoutDebugEnabled() 
    
  {
    if (!stdoutDebugEnabledIsCached) {
      stdoutDebugEnabled = delegate.isStdoutDebugEnabled(); 
      stdoutDebugEnabledIsCached = true;  
    }
    return stdoutDebugEnabled;
  }
  /**
   * Setter for StdoutDebugEnabled
   */
  public void setStdoutDebugEnabled(boolean value)
    throws weblogic.management.DistributedManagementException
  {
    delegate.setStdoutDebugEnabled(value);
    stdoutDebugEnabled = value;
    stdoutDebugEnabledIsCached = true;
  }
  /*
   * Declaration of StdoutEnabled
   */
  private boolean stdoutEnabledIsCached = false;
  private boolean stdoutEnabled;
  /**
   * Getter for StdoutEnabled
   */
  public boolean isStdoutEnabled() 
    
  {
    if (!stdoutEnabledIsCached) {
      stdoutEnabled = delegate.isStdoutEnabled(); 
      stdoutEnabledIsCached = true;  
    }
    return stdoutEnabled;
  }
  /**
   * Setter for StdoutEnabled
   */
  public void setStdoutEnabled(boolean value)
    throws weblogic.management.DistributedManagementException
  {
    delegate.setStdoutEnabled(value);
    stdoutEnabled = value;
    stdoutEnabledIsCached = true;
  }
  /*
   * Declaration of StdoutSeverityLevel
   */
  private boolean stdoutSeverityLevelIsCached = false;
  private int stdoutSeverityLevel;
  /**
   * Getter for StdoutSeverityLevel
   */
  public int getStdoutSeverityLevel() 
    
  {
    if (!stdoutSeverityLevelIsCached) {
      stdoutSeverityLevel = delegate.getStdoutSeverityLevel(); 
      stdoutSeverityLevelIsCached = true;  
    }
    return stdoutSeverityLevel;
  }
  /**
   * Setter for StdoutSeverityLevel
   */
  public void setStdoutSeverityLevel(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setStdoutSeverityLevel(value);
    stdoutSeverityLevel = value;
    stdoutSeverityLevelIsCached = true;
  }
  /*
   * Declaration of SystemPassword
   */
  private boolean systemPasswordIsCached = false;
  private java.lang.String systemPassword;
  /**
   * Getter for SystemPassword
   */
  public java.lang.String getSystemPassword() 
    
  {
    if (!systemPasswordIsCached) {
      systemPassword = delegate.getSystemPassword(); 
      systemPasswordIsCached = true;  
    }
    return systemPassword;
  }
  /**
   * Setter for SystemPassword
   */
  public void setSystemPassword(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSystemPassword(value);
    systemPassword = value;
    systemPasswordIsCached = true;
  }
  /*
   * Declaration of ThreadPoolPercentSocketReaders
   */
  private boolean threadPoolPercentSocketReadersIsCached = false;
  private int threadPoolPercentSocketReaders;
  /**
   * Getter for ThreadPoolPercentSocketReaders
   */
  public int getThreadPoolPercentSocketReaders() 
    
  {
    if (!threadPoolPercentSocketReadersIsCached) {
      threadPoolPercentSocketReaders = delegate.getThreadPoolPercentSocketReaders(); 
      threadPoolPercentSocketReadersIsCached = true;  
    }
    return threadPoolPercentSocketReaders;
  }
  /**
   * Setter for ThreadPoolPercentSocketReaders
   */
  public void setThreadPoolPercentSocketReaders(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setThreadPoolPercentSocketReaders(value);
    threadPoolPercentSocketReaders = value;
    threadPoolPercentSocketReadersIsCached = true;
  }
  /*
   * Declaration of ThreadPoolSize
   */
  private boolean threadPoolSizeIsCached = false;
  private int threadPoolSize;
  /**
   * Getter for ThreadPoolSize
   */
  public int getThreadPoolSize() 
    
  {
    if (!threadPoolSizeIsCached) {
      threadPoolSize = delegate.getThreadPoolSize(); 
      threadPoolSizeIsCached = true;  
    }
    return threadPoolSize;
  }
  /**
   * Setter for ThreadPoolSize
   */
  public void setThreadPoolSize(int value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setThreadPoolSize(value);
    threadPoolSize = value;
    threadPoolSizeIsCached = true;
  }
  /*
   * Declaration of TransactionLogFilePrefix
   */
  private boolean transactionLogFilePrefixIsCached = false;
  private java.lang.String transactionLogFilePrefix;
  /**
   * Getter for TransactionLogFilePrefix
   */
  public java.lang.String getTransactionLogFilePrefix() 
    
  {
    if (!transactionLogFilePrefixIsCached) {
      transactionLogFilePrefix = delegate.getTransactionLogFilePrefix(); 
      transactionLogFilePrefixIsCached = true;  
    }
    return transactionLogFilePrefix;
  }
  /**
   * Setter for TransactionLogFilePrefix
   */
  public void setTransactionLogFilePrefix(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setTransactionLogFilePrefix(value);
    transactionLogFilePrefix = value;
    transactionLogFilePrefixIsCached = true;
  }
  /*
   * Declaration of TunnelingClientPingSecs
   */
  private boolean tunnelingClientPingSecsIsCached = false;
  private int tunnelingClientPingSecs;
  /**
   * Getter for TunnelingClientPingSecs
   */
  public int getTunnelingClientPingSecs() 
    
  {
    if (!tunnelingClientPingSecsIsCached) {
      tunnelingClientPingSecs = delegate.getTunnelingClientPingSecs(); 
      tunnelingClientPingSecsIsCached = true;  
    }
    return tunnelingClientPingSecs;
  }
  /**
   * Setter for TunnelingClientPingSecs
   */
  public void setTunnelingClientPingSecs(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setTunnelingClientPingSecs(value);
    tunnelingClientPingSecs = value;
    tunnelingClientPingSecsIsCached = true;
  }
  /*
   * Declaration of TunnelingClientTimeoutDebuggingEnabled
   */
  private boolean tunnelingClientTimeoutDebuggingEnabledIsCached = false;
  private boolean tunnelingClientTimeoutDebuggingEnabled;
  /**
   * Getter for TunnelingClientTimeoutDebuggingEnabled
   */
  public boolean isTunnelingClientTimeoutDebuggingEnabled() 
    
  {
    if (!tunnelingClientTimeoutDebuggingEnabledIsCached) {
      tunnelingClientTimeoutDebuggingEnabled = delegate.isTunnelingClientTimeoutDebuggingEnabled(); 
      tunnelingClientTimeoutDebuggingEnabledIsCached = true;  
    }
    return tunnelingClientTimeoutDebuggingEnabled;
  }
  /**
   * Setter for TunnelingClientTimeoutDebuggingEnabled
   */
  public void setTunnelingClientTimeoutDebuggingEnabled(boolean value)
    
  {
    delegate.setTunnelingClientTimeoutDebuggingEnabled(value);
    tunnelingClientTimeoutDebuggingEnabled = value;
    tunnelingClientTimeoutDebuggingEnabledIsCached = true;
  }
  /*
   * Declaration of TunnelingClientTimeoutSecs
   */
  private boolean tunnelingClientTimeoutSecsIsCached = false;
  private int tunnelingClientTimeoutSecs;
  /**
   * Getter for TunnelingClientTimeoutSecs
   */
  public int getTunnelingClientTimeoutSecs() 
    
  {
    if (!tunnelingClientTimeoutSecsIsCached) {
      tunnelingClientTimeoutSecs = delegate.getTunnelingClientTimeoutSecs(); 
      tunnelingClientTimeoutSecsIsCached = true;  
    }
    return tunnelingClientTimeoutSecs;
  }
  /**
   * Setter for TunnelingClientTimeoutSecs
   */
  public void setTunnelingClientTimeoutSecs(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setTunnelingClientTimeoutSecs(value);
    tunnelingClientTimeoutSecs = value;
    tunnelingClientTimeoutSecsIsCached = true;
  }
  /*
   * Declaration of TunnelingEnabled
   */
  private boolean tunnelingEnabledIsCached = false;
  private boolean tunnelingEnabled;
  /**
   * Getter for TunnelingEnabled
   */
  public boolean isTunnelingEnabled() 
    
  {
    if (!tunnelingEnabledIsCached) {
      tunnelingEnabled = delegate.isTunnelingEnabled(); 
      tunnelingEnabledIsCached = true;  
    }
    return tunnelingEnabled;
  }
  /**
   * Setter for TunnelingEnabled
   */
  public void setTunnelingEnabled(boolean value)
    throws weblogic.management.DistributedManagementException
  {
    delegate.setTunnelingEnabled(value);
    tunnelingEnabled = value;
    tunnelingEnabledIsCached = true;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }
  /*
   * Declaration of ValidProtocols
   */
  private boolean validProtocolsIsCached = false;
  private java.util.Map validProtocols;
  /**
   * Getter for ValidProtocols
   */
  public java.util.Map getValidProtocols() 
    
  {
    if (!validProtocolsIsCached) {
      validProtocols = delegate.getValidProtocols(); 
      validProtocolsIsCached = true;  
    }
    return validProtocols;
  }
  /*
   * Declaration of WebServer
   */
  private boolean webServerIsCached = false;
  private weblogic.management.configuration.WebServerMBean webServer;
  /**
   * Getter for WebServer
   */
  public weblogic.management.configuration.WebServerMBean getWebServer() 
    
  {
    if (!webServerIsCached) {
      webServer = delegate.getWebServer(); 
      webServerIsCached = true;  
    }
    return webServer;
  }
  /*
   * Declaration of WorkspaceShowUserKeysOnly
   */
  private boolean workspaceShowUserKeysOnlyIsCached = false;
  private boolean workspaceShowUserKeysOnly;
  /**
   * Getter for WorkspaceShowUserKeysOnly
   */
  public boolean getWorkspaceShowUserKeysOnly() 
    
  {
    if (!workspaceShowUserKeysOnlyIsCached) {
      workspaceShowUserKeysOnly = delegate.getWorkspaceShowUserKeysOnly(); 
      workspaceShowUserKeysOnlyIsCached = true;  
    }
    return workspaceShowUserKeysOnly;
  }
  /**
   * Setter for WorkspaceShowUserKeysOnly
   */
  public void setWorkspaceShowUserKeysOnly(boolean value)
    
  {
    delegate.setWorkspaceShowUserKeysOnly(value);
    workspaceShowUserKeysOnly = value;
    workspaceShowUserKeysOnlyIsCached = true;
  }
  /*
   * Declaration of XMLRegistry
   */
  private boolean xmlRegistryIsCached = false;
  private weblogic.management.configuration.XMLRegistryMBean xmlRegistry;
  /**
   * Getter for XMLRegistry
   */
  public weblogic.management.configuration.XMLRegistryMBean getXMLRegistry() 
    
  {
    if (!xmlRegistryIsCached) {
      xmlRegistry = delegate.getXMLRegistry(); 
      xmlRegistryIsCached = true;  
    }
    return xmlRegistry;
  }
  /**
   * Setter for XMLRegistry
   */
  public void setXMLRegistry(weblogic.management.configuration.XMLRegistryMBean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setXMLRegistry(value);
    xmlRegistry = value;
    xmlRegistryIsCached = true;
  }
  /*
   * Declaration of ZACEnabled
   */
  private boolean zacEnabledIsCached = false;
  private boolean zacEnabled;
  /**
   * Getter for ZACEnabled
   */
  public boolean isZACEnabled() 
    
  {
    if (!zacEnabledIsCached) {
      zacEnabled = delegate.isZACEnabled(); 
      zacEnabledIsCached = true;  
    }
    return zacEnabled;
  }
  /**
   * Setter for ZACEnabled
   */
  public void setZACEnabled(boolean value)
    
  {
    delegate.setZACEnabled(value);
    zacEnabled = value;
    zacEnabledIsCached = true;
  }
  /*
   * Declaration of ZACPublishRoot
   */
  private boolean zacPublishRootIsCached = false;
  private java.lang.String zacPublishRoot;
  /**
   * Getter for ZACPublishRoot
   */
  public java.lang.String getZACPublishRoot() 
    
  {
    if (!zacPublishRootIsCached) {
      zacPublishRoot = delegate.getZACPublishRoot(); 
      zacPublishRootIsCached = true;  
    }
    return zacPublishRoot;
  }
  /**
   * Setter for ZACPublishRoot
   */
  public void setZACPublishRoot(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setZACPublishRoot(value);
    zacPublishRoot = value;
    zacPublishRootIsCached = true;
  }

  
    /**
   * Operation start
   */
  public java.io.Reader start(
    java.lang.String arg0, java.lang.String arg1
  ) 
    
  {
        return delegate.start(arg0, arg1);

  }
  /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation stop
   */
  public void stop(
    
  ) 
    
  {
        delegate.stop();

  }
  /**
   * Operation removeDeployment
   */
  public boolean removeDeployment(
    weblogic.management.configuration.DeploymentMBean arg0
  ) 
    
  {
        return delegate.removeDeployment(arg0);

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation updateDeployments
   */
  public void updateDeployments(
    
  ) 
    throws weblogic.management.DistributedManagementException
  {
        delegate.updateDeployments();

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addDeployment
   */
  public boolean addDeployment(
    weblogic.management.configuration.DeploymentMBean arg0
  ) 
    
  {
        return delegate.addDeployment(arg0);

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }
  /**
   * Operation lookupServerRuntime
   */
  public weblogic.management.runtime.ServerRuntimeMBean lookupServerRuntime(
    
  ) 
    
  {
        return delegate.lookupServerRuntime();

  }
  /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("AcceptBacklog")) {
    acceptBacklogIsCached = false;
  }
else   if (attributeName.equals("AdministrationPort")) {
    administrationPortIsCached = false;
  }
else   if (attributeName.equals("Applications")) {
    applicationsIsCached = false;
  }
else   if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("Cluster")) {
    clusterIsCached = false;
  }
else   if (attributeName.equals("ClusterRuntime")) {
    clusterRuntimeIsCached = false;
  }
else   if (attributeName.equals("ClusterWeight")) {
    clusterWeightIsCached = false;
  }
else   if (attributeName.equals("CompleteHTTPMessageTimeout")) {
    completeHTTPMessageTimeoutIsCached = false;
  }
else   if (attributeName.equals("CompleteIIOPMessageTimeout")) {
    completeIIOPMessageTimeoutIsCached = false;
  }
else   if (attributeName.equals("CompleteT3MessageTimeout")) {
    completeT3MessageTimeoutIsCached = false;
  }
else   if (attributeName.equals("ConsoleInputEnabled")) {
    consoleInputEnabledIsCached = false;
  }
else   if (attributeName.equals("DGCIdlePeriodsUntilTimeout")) {
    dgcIdlePeriodsUntilTimeoutIsCached = false;
  }
else   if (attributeName.equals("DefaultIIOPPassword")) {
    defaultIIOPPasswordIsCached = false;
  }
else   if (attributeName.equals("DefaultIIOPUser")) {
    defaultIIOPUserIsCached = false;
  }
else   if (attributeName.equals("DefaultProtocol")) {
    defaultProtocolIsCached = false;
  }
else   if (attributeName.equals("DefaultSecureProtocol")) {
    defaultSecureProtocolIsCached = false;
  }
else   if (attributeName.equals("Deployments")) {
    deploymentsIsCached = false;
  }
else   if (attributeName.equals("DomainLogFilter")) {
    domainLogFilterIsCached = false;
  }
else   if (attributeName.equals("EnabledForDomainLog")) {
    enabledForDomainLogIsCached = false;
  }
else   if (attributeName.equals("ExecuteQueues")) {
    executeQueuesIsCached = false;
  }
else   if (attributeName.equals("ExpectedToRun")) {
    expectedToRunIsCached = false;
  }
else   if (attributeName.equals("ExtraRmicOptions")) {
    extraRmicOptionsIsCached = false;
  }
else   if (attributeName.equals("HelpPageURL")) {
    helpPageURLIsCached = false;
  }
else   if (attributeName.equals("HttpdEnabled")) {
    httpdEnabledIsCached = false;
  }
else   if (attributeName.equals("IIOPConnectionPools")) {
    iiopConnectionPoolsIsCached = false;
  }
else   if (attributeName.equals("IIOPEnabled")) {
    iiopEnabledIsCached = false;
  }
else   if (attributeName.equals("IdlePeriodsUntilTimeout")) {
    idlePeriodsUntilTimeoutIsCached = false;
  }
else   if (attributeName.equals("InstrumentStackTraceEnabled")) {
    instrumentStackTraceEnabledIsCached = false;
  }
else   if (attributeName.equals("JDBCLogFileName")) {
    jdbcLogFileNameIsCached = false;
  }
else   if (attributeName.equals("JDBCLoggingEnabled")) {
    jdbcLoggingEnabledIsCached = false;
  }
else   if (attributeName.equals("JMSDefaultConnectionFactoriesEnabled")) {
    jmsDefaultConnectionFactoriesEnabledIsCached = false;
  }
else   if (attributeName.equals("JNDITransportableObjectFactoryList")) {
    jndiTransportableObjectFactoryListIsCached = false;
  }
else   if (attributeName.equals("JavaCompiler")) {
    javaCompilerIsCached = false;
  }
else   if (attributeName.equals("JavaCompilerPostClassPath")) {
    javaCompilerPostClassPathIsCached = false;
  }
else   if (attributeName.equals("JavaCompilerPreClassPath")) {
    javaCompilerPreClassPathIsCached = false;
  }
else   if (attributeName.equals("KernelDebug")) {
    kernelDebugIsCached = false;
  }
else   if (attributeName.equals("ListenAddress")) {
    listenAddressIsCached = false;
  }
else   if (attributeName.equals("ListenPort")) {
    listenPortIsCached = false;
  }
else   if (attributeName.equals("ListenThreadStartDelaySecs")) {
    listenThreadStartDelaySecsIsCached = false;
  }
else   if (attributeName.equals("Log")) {
    logIsCached = false;
  }
else   if (attributeName.equals("LogRemoteExceptionsEnabled")) {
    logRemoteExceptionsEnabledIsCached = false;
  }
else   if (attributeName.equals("LoginTimeout")) {
    loginTimeoutIsCached = false;
  }
else   if (attributeName.equals("LoginTimeoutMillis")) {
    loginTimeoutMillisIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("Machine")) {
    machineIsCached = false;
  }
else   if (attributeName.equals("MaxHTTPMessageSize")) {
    maxHTTPMessageSizeIsCached = false;
  }
else   if (attributeName.equals("MaxIIOPMessageSize")) {
    maxIIOPMessageSizeIsCached = false;
  }
else   if (attributeName.equals("MaxT3MessageSize")) {
    maxT3MessageSizeIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("NativeIOEnabled")) {
    nativeIOEnabledIsCached = false;
  }
else   if (attributeName.equals("NetworkClassLoadingEnabled")) {
    networkClassLoadingEnabledIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("PeriodLength")) {
    periodLengthIsCached = false;
  }
else   if (attributeName.equals("PreferredSecondaryGroup")) {
    preferredSecondaryGroupIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("ReplicationGroup")) {
    replicationGroupIsCached = false;
  }
else   if (attributeName.equals("ResponseTimeout")) {
    responseTimeoutIsCached = false;
  }
else   if (attributeName.equals("ReverseDNSAllowed")) {
    reverseDNSAllowedIsCached = false;
  }
else   if (attributeName.equals("RjvmIdleTimeout")) {
    rjvmIdleTimeoutIsCached = false;
  }
else   if (attributeName.equals("RootDirectory")) {
    rootDirectoryIsCached = false;
  }
else   if (attributeName.equals("SSL")) {
    sslIsCached = false;
  }
else   if (attributeName.equals("ServerDebug")) {
    serverDebugIsCached = false;
  }
else   if (attributeName.equals("ServerRuntime")) {
    serverRuntimeIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("SocketReaderTimeoutMaxMillis")) {
    socketReaderTimeoutMaxMillisIsCached = false;
  }
else   if (attributeName.equals("SocketReaderTimeoutMinMillis")) {
    socketReaderTimeoutMinMillisIsCached = false;
  }
else   if (attributeName.equals("StdoutDebugEnabled")) {
    stdoutDebugEnabledIsCached = false;
  }
else   if (attributeName.equals("StdoutEnabled")) {
    stdoutEnabledIsCached = false;
  }
else   if (attributeName.equals("StdoutSeverityLevel")) {
    stdoutSeverityLevelIsCached = false;
  }
else   if (attributeName.equals("SystemPassword")) {
    systemPasswordIsCached = false;
  }
else   if (attributeName.equals("ThreadPoolPercentSocketReaders")) {
    threadPoolPercentSocketReadersIsCached = false;
  }
else   if (attributeName.equals("ThreadPoolSize")) {
    threadPoolSizeIsCached = false;
  }
else   if (attributeName.equals("TransactionLogFilePrefix")) {
    transactionLogFilePrefixIsCached = false;
  }
else   if (attributeName.equals("TunnelingClientPingSecs")) {
    tunnelingClientPingSecsIsCached = false;
  }
else   if (attributeName.equals("TunnelingClientTimeoutDebuggingEnabled")) {
    tunnelingClientTimeoutDebuggingEnabledIsCached = false;
  }
else   if (attributeName.equals("TunnelingClientTimeoutSecs")) {
    tunnelingClientTimeoutSecsIsCached = false;
  }
else   if (attributeName.equals("TunnelingEnabled")) {
    tunnelingEnabledIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }
else   if (attributeName.equals("ValidProtocols")) {
    validProtocolsIsCached = false;
  }
else   if (attributeName.equals("WebServer")) {
    webServerIsCached = false;
  }
else   if (attributeName.equals("WorkspaceShowUserKeysOnly")) {
    workspaceShowUserKeysOnlyIsCached = false;
  }
else   if (attributeName.equals("XMLRegistry")) {
    xmlRegistryIsCached = false;
  }
else   if (attributeName.equals("ZACEnabled")) {
    zacEnabledIsCached = false;
  }
else   if (attributeName.equals("ZACPublishRoot")) {
    zacPublishRootIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.ServerMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
