package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class WebAppComponentMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.WebAppComponentMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.WebAppComponentMBean delegate;

    public WebAppComponentMBean_CachingStub(weblogic.management.configuration.WebAppComponentMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of Application
   */
  private boolean applicationIsCached = false;
  private weblogic.management.configuration.ApplicationMBean application;
  /**
   * Getter for Application
   */
  public weblogic.management.configuration.ApplicationMBean getApplication() 
    
  {
    if (!applicationIsCached) {
      application = delegate.getApplication(); 
      applicationIsCached = true;  
    }
    return application;
  }
  /**
   * Setter for Application
   */
  public void setApplication(weblogic.management.configuration.ApplicationMBean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setApplication(value);
    application = value;
    applicationIsCached = true;
  }
  /*
   * Declaration of AuthRealmName
   */
  private boolean authRealmNameIsCached = false;
  private java.lang.String authRealmName;
  /**
   * Getter for AuthRealmName
   */
  public java.lang.String getAuthRealmName() 
    
  {
    if (!authRealmNameIsCached) {
      authRealmName = delegate.getAuthRealmName(); 
      authRealmNameIsCached = true;  
    }
    return authRealmName;
  }
  /**
   * Setter for AuthRealmName
   */
  public void setAuthRealmName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setAuthRealmName(value);
    authRealmName = value;
    authRealmNameIsCached = true;
  }
  /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of CleanupSessionFilesEnabled
   */
  private boolean cleanupSessionFilesEnabledIsCached = false;
  private boolean cleanupSessionFilesEnabled;
  /**
   * Getter for CleanupSessionFilesEnabled
   */
  public boolean isCleanupSessionFilesEnabled() 
    
  {
    if (!cleanupSessionFilesEnabledIsCached) {
      cleanupSessionFilesEnabled = delegate.isCleanupSessionFilesEnabled(); 
      cleanupSessionFilesEnabledIsCached = true;  
    }
    return cleanupSessionFilesEnabled;
  }
  /**
   * Setter for CleanupSessionFilesEnabled
   */
  public void setCleanupSessionFilesEnabled(boolean value)
    
  {
    delegate.setCleanupSessionFilesEnabled(value);
    cleanupSessionFilesEnabled = value;
    cleanupSessionFilesEnabledIsCached = true;
  }
  /*
   * Declaration of ContextPath
   */
  private boolean contextPathIsCached = false;
  private java.lang.String contextPath;
  /**
   * Getter for ContextPath
   */
  public java.lang.String getContextPath() 
    
  {
    if (!contextPathIsCached) {
      contextPath = delegate.getContextPath(); 
      contextPathIsCached = true;  
    }
    return contextPath;
  }
  /**
   * Setter for ContextPath
   */
  public void setContextPath(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setContextPath(value);
    contextPath = value;
    contextPathIsCached = true;
  }
  /*
   * Declaration of DebugEnabled
   */
  private boolean debugEnabledIsCached = false;
  private boolean debugEnabled;
  /**
   * Getter for DebugEnabled
   */
  public boolean isDebugEnabled() 
    
  {
    if (!debugEnabledIsCached) {
      debugEnabled = delegate.isDebugEnabled(); 
      debugEnabledIsCached = true;  
    }
    return debugEnabled;
  }
  /**
   * Setter for DebugEnabled
   */
  public void setDebugEnabled(boolean value)
    
  {
    delegate.setDebugEnabled(value);
    debugEnabled = value;
    debugEnabledIsCached = true;
  }
  /*
   * Declaration of DefaultServlet
   */
  private boolean defaultServletIsCached = false;
  private java.lang.String defaultServlet;
  /**
   * Getter for DefaultServlet
   */
  public java.lang.String getDefaultServlet() 
    
  {
    if (!defaultServletIsCached) {
      defaultServlet = delegate.getDefaultServlet(); 
      defaultServletIsCached = true;  
    }
    return defaultServlet;
  }
  /**
   * Setter for DefaultServlet
   */
  public void setDefaultServlet(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setDefaultServlet(value);
    defaultServlet = value;
    defaultServletIsCached = true;
  }
  /*
   * Declaration of DocumentRoot
   */
  private boolean documentRootIsCached = false;
  private java.lang.String documentRoot;
  /**
   * Getter for DocumentRoot
   */
  public java.lang.String getDocumentRoot() 
    
  {
    if (!documentRootIsCached) {
      documentRoot = delegate.getDocumentRoot(); 
      documentRootIsCached = true;  
    }
    return documentRoot;
  }
  /**
   * Setter for DocumentRoot
   */
  public void setDocumentRoot(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setDocumentRoot(value);
    documentRoot = value;
    documentRootIsCached = true;
  }
  /*
   * Declaration of IndexDirectoryEnabled
   */
  private boolean indexDirectoryEnabledIsCached = false;
  private boolean indexDirectoryEnabled;
  /**
   * Getter for IndexDirectoryEnabled
   */
  public boolean isIndexDirectoryEnabled() 
    
  {
    if (!indexDirectoryEnabledIsCached) {
      indexDirectoryEnabled = delegate.isIndexDirectoryEnabled(); 
      indexDirectoryEnabledIsCached = true;  
    }
    return indexDirectoryEnabled;
  }
  /**
   * Setter for IndexDirectoryEnabled
   */
  public void setIndexDirectoryEnabled(boolean value)
    
  {
    delegate.setIndexDirectoryEnabled(value);
    indexDirectoryEnabled = value;
    indexDirectoryEnabledIsCached = true;
  }
  /*
   * Declaration of IndexFiles
   */
  private boolean indexFilesIsCached = false;
  private java.lang.String[] indexFiles;
  /**
   * Getter for IndexFiles
   */
  public java.lang.String[] getIndexFiles() 
    
  {
    if (!indexFilesIsCached) {
      indexFiles = delegate.getIndexFiles(); 
      indexFilesIsCached = true;  
    }
    return indexFiles;
  }
  /**
   * Setter for IndexFiles
   */
  public void setIndexFiles(java.lang.String[] value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setIndexFiles(value);
    indexFiles = value;
    indexFilesIsCached = true;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of MimeTypeDefault
   */
  private boolean mimeTypeDefaultIsCached = false;
  private java.lang.String mimeTypeDefault;
  /**
   * Getter for MimeTypeDefault
   */
  public java.lang.String getMimeTypeDefault() 
    
  {
    if (!mimeTypeDefaultIsCached) {
      mimeTypeDefault = delegate.getMimeTypeDefault(); 
      mimeTypeDefaultIsCached = true;  
    }
    return mimeTypeDefault;
  }
  /**
   * Setter for MimeTypeDefault
   */
  public void setMimeTypeDefault(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setMimeTypeDefault(value);
    mimeTypeDefault = value;
    mimeTypeDefaultIsCached = true;
  }
  /*
   * Declaration of MimeTypes
   */
  private boolean mimeTypesIsCached = false;
  private java.util.Map mimeTypes;
  /**
   * Getter for MimeTypes
   */
  public java.util.Map getMimeTypes() 
    
  {
    if (!mimeTypesIsCached) {
      mimeTypes = delegate.getMimeTypes(); 
      mimeTypesIsCached = true;  
    }
    return mimeTypes;
  }
  /**
   * Setter for MimeTypes
   */
  public void setMimeTypes(java.util.Map value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setMimeTypes(value);
    mimeTypes = value;
    mimeTypesIsCached = true;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of ServletClasspath
   */
  private boolean servletClasspathIsCached = false;
  private java.lang.String servletClasspath;
  /**
   * Getter for ServletClasspath
   */
  public java.lang.String getServletClasspath() 
    
  {
    if (!servletClasspathIsCached) {
      servletClasspath = delegate.getServletClasspath(); 
      servletClasspathIsCached = true;  
    }
    return servletClasspath;
  }
  /**
   * Setter for ServletClasspath
   */
  public void setServletClasspath(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setServletClasspath(value);
    servletClasspath = value;
    servletClasspathIsCached = true;
  }
  /*
   * Declaration of ServletExtensionCaseSensitive
   */
  private boolean servletExtensionCaseSensitiveIsCached = false;
  private boolean servletExtensionCaseSensitive;
  /**
   * Getter for ServletExtensionCaseSensitive
   */
  public boolean isServletExtensionCaseSensitive() 
    
  {
    if (!servletExtensionCaseSensitiveIsCached) {
      servletExtensionCaseSensitive = delegate.isServletExtensionCaseSensitive(); 
      servletExtensionCaseSensitiveIsCached = true;  
    }
    return servletExtensionCaseSensitive;
  }
  /**
   * Setter for ServletExtensionCaseSensitive
   */
  public void setServletExtensionCaseSensitive(boolean value)
    
  {
    delegate.setServletExtensionCaseSensitive(value);
    servletExtensionCaseSensitive = value;
    servletExtensionCaseSensitiveIsCached = true;
  }
  /*
   * Declaration of ServletReloadCheckSecs
   */
  private boolean servletReloadCheckSecsIsCached = false;
  private int servletReloadCheckSecs;
  /**
   * Getter for ServletReloadCheckSecs
   */
  public int getServletReloadCheckSecs() 
    
  {
    if (!servletReloadCheckSecsIsCached) {
      servletReloadCheckSecs = delegate.getServletReloadCheckSecs(); 
      servletReloadCheckSecsIsCached = true;  
    }
    return servletReloadCheckSecs;
  }
  /**
   * Setter for ServletReloadCheckSecs
   */
  public void setServletReloadCheckSecs(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setServletReloadCheckSecs(value);
    servletReloadCheckSecs = value;
    servletReloadCheckSecsIsCached = true;
  }
  /*
   * Declaration of Servlets
   */
  private boolean servletsIsCached = false;
  private java.lang.String[] servlets;
  /**
   * Getter for Servlets
   */
  public java.lang.String[] getServlets() 
    
  {
    if (!servletsIsCached) {
      servlets = delegate.getServlets(); 
      servletsIsCached = true;  
    }
    return servlets;
  }
  /*
   * Declaration of SessionCacheSize
   */
  private boolean sessionCacheSizeIsCached = false;
  private int sessionCacheSize;
  /**
   * Getter for SessionCacheSize
   */
  public int getSessionCacheSize() 
    
  {
    if (!sessionCacheSizeIsCached) {
      sessionCacheSize = delegate.getSessionCacheSize(); 
      sessionCacheSizeIsCached = true;  
    }
    return sessionCacheSize;
  }
  /**
   * Setter for SessionCacheSize
   */
  public void setSessionCacheSize(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSessionCacheSize(value);
    sessionCacheSize = value;
    sessionCacheSizeIsCached = true;
  }
  /*
   * Declaration of SessionCookieComment
   */
  private boolean sessionCookieCommentIsCached = false;
  private java.lang.String sessionCookieComment;
  /**
   * Getter for SessionCookieComment
   */
  public java.lang.String getSessionCookieComment() 
    
  {
    if (!sessionCookieCommentIsCached) {
      sessionCookieComment = delegate.getSessionCookieComment(); 
      sessionCookieCommentIsCached = true;  
    }
    return sessionCookieComment;
  }
  /**
   * Setter for SessionCookieComment
   */
  public void setSessionCookieComment(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSessionCookieComment(value);
    sessionCookieComment = value;
    sessionCookieCommentIsCached = true;
  }
  /*
   * Declaration of SessionCookieDomain
   */
  private boolean sessionCookieDomainIsCached = false;
  private java.lang.String sessionCookieDomain;
  /**
   * Getter for SessionCookieDomain
   */
  public java.lang.String getSessionCookieDomain() 
    
  {
    if (!sessionCookieDomainIsCached) {
      sessionCookieDomain = delegate.getSessionCookieDomain(); 
      sessionCookieDomainIsCached = true;  
    }
    return sessionCookieDomain;
  }
  /**
   * Setter for SessionCookieDomain
   */
  public void setSessionCookieDomain(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSessionCookieDomain(value);
    sessionCookieDomain = value;
    sessionCookieDomainIsCached = true;
  }
  /*
   * Declaration of SessionCookieMaxAgeSecs
   */
  private boolean sessionCookieMaxAgeSecsIsCached = false;
  private int sessionCookieMaxAgeSecs;
  /**
   * Getter for SessionCookieMaxAgeSecs
   */
  public int getSessionCookieMaxAgeSecs() 
    
  {
    if (!sessionCookieMaxAgeSecsIsCached) {
      sessionCookieMaxAgeSecs = delegate.getSessionCookieMaxAgeSecs(); 
      sessionCookieMaxAgeSecsIsCached = true;  
    }
    return sessionCookieMaxAgeSecs;
  }
  /**
   * Setter for SessionCookieMaxAgeSecs
   */
  public void setSessionCookieMaxAgeSecs(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSessionCookieMaxAgeSecs(value);
    sessionCookieMaxAgeSecs = value;
    sessionCookieMaxAgeSecsIsCached = true;
  }
  /*
   * Declaration of SessionCookieName
   */
  private boolean sessionCookieNameIsCached = false;
  private java.lang.String sessionCookieName;
  /**
   * Getter for SessionCookieName
   */
  public java.lang.String getSessionCookieName() 
    
  {
    if (!sessionCookieNameIsCached) {
      sessionCookieName = delegate.getSessionCookieName(); 
      sessionCookieNameIsCached = true;  
    }
    return sessionCookieName;
  }
  /**
   * Setter for SessionCookieName
   */
  public void setSessionCookieName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSessionCookieName(value);
    sessionCookieName = value;
    sessionCookieNameIsCached = true;
  }
  /*
   * Declaration of SessionCookiePath
   */
  private boolean sessionCookiePathIsCached = false;
  private java.lang.String sessionCookiePath;
  /**
   * Getter for SessionCookiePath
   */
  public java.lang.String getSessionCookiePath() 
    
  {
    if (!sessionCookiePathIsCached) {
      sessionCookiePath = delegate.getSessionCookiePath(); 
      sessionCookiePathIsCached = true;  
    }
    return sessionCookiePath;
  }
  /**
   * Setter for SessionCookiePath
   */
  public void setSessionCookiePath(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSessionCookiePath(value);
    sessionCookiePath = value;
    sessionCookiePathIsCached = true;
  }
  /*
   * Declaration of SessionCookiesEnabled
   */
  private boolean sessionCookiesEnabledIsCached = false;
  private boolean sessionCookiesEnabled;
  /**
   * Getter for SessionCookiesEnabled
   */
  public boolean isSessionCookiesEnabled() 
    
  {
    if (!sessionCookiesEnabledIsCached) {
      sessionCookiesEnabled = delegate.isSessionCookiesEnabled(); 
      sessionCookiesEnabledIsCached = true;  
    }
    return sessionCookiesEnabled;
  }
  /**
   * Setter for SessionCookiesEnabled
   */
  public void setSessionCookiesEnabled(boolean value)
    
  {
    delegate.setSessionCookiesEnabled(value);
    sessionCookiesEnabled = value;
    sessionCookiesEnabledIsCached = true;
  }
  /*
   * Declaration of SessionDebuggable
   */
  private boolean sessionDebuggableIsCached = false;
  private boolean sessionDebuggable;
  /**
   * Getter for SessionDebuggable
   */
  public boolean isSessionDebuggable() 
    
  {
    if (!sessionDebuggableIsCached) {
      sessionDebuggable = delegate.isSessionDebuggable(); 
      sessionDebuggableIsCached = true;  
    }
    return sessionDebuggable;
  }
  /**
   * Setter for SessionDebuggable
   */
  public void setSessionDebuggable(boolean value)
    
  {
    delegate.setSessionDebuggable(value);
    sessionDebuggable = value;
    sessionDebuggableIsCached = true;
  }
  /*
   * Declaration of SessionIDLength
   */
  private boolean sessionIDLengthIsCached = false;
  private int sessionIDLength;
  /**
   * Getter for SessionIDLength
   */
  public int getSessionIDLength() 
    
  {
    if (!sessionIDLengthIsCached) {
      sessionIDLength = delegate.getSessionIDLength(); 
      sessionIDLengthIsCached = true;  
    }
    return sessionIDLength;
  }
  /**
   * Setter for SessionIDLength
   */
  public void setSessionIDLength(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSessionIDLength(value);
    sessionIDLength = value;
    sessionIDLengthIsCached = true;
  }
  /*
   * Declaration of SessionInvalidationIntervalSecs
   */
  private boolean sessionInvalidationIntervalSecsIsCached = false;
  private int sessionInvalidationIntervalSecs;
  /**
   * Getter for SessionInvalidationIntervalSecs
   */
  public int getSessionInvalidationIntervalSecs() 
    
  {
    if (!sessionInvalidationIntervalSecsIsCached) {
      sessionInvalidationIntervalSecs = delegate.getSessionInvalidationIntervalSecs(); 
      sessionInvalidationIntervalSecsIsCached = true;  
    }
    return sessionInvalidationIntervalSecs;
  }
  /**
   * Setter for SessionInvalidationIntervalSecs
   */
  public void setSessionInvalidationIntervalSecs(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSessionInvalidationIntervalSecs(value);
    sessionInvalidationIntervalSecs = value;
    sessionInvalidationIntervalSecsIsCached = true;
  }
  /*
   * Declaration of SessionJDBCConnectionTimeoutSecs
   */
  private boolean sessionJDBCConnectionTimeoutSecsIsCached = false;
  private int sessionJDBCConnectionTimeoutSecs;
  /**
   * Getter for SessionJDBCConnectionTimeoutSecs
   */
  public int getSessionJDBCConnectionTimeoutSecs() 
    
  {
    if (!sessionJDBCConnectionTimeoutSecsIsCached) {
      sessionJDBCConnectionTimeoutSecs = delegate.getSessionJDBCConnectionTimeoutSecs(); 
      sessionJDBCConnectionTimeoutSecsIsCached = true;  
    }
    return sessionJDBCConnectionTimeoutSecs;
  }
  /**
   * Setter for SessionJDBCConnectionTimeoutSecs
   */
  public void setSessionJDBCConnectionTimeoutSecs(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSessionJDBCConnectionTimeoutSecs(value);
    sessionJDBCConnectionTimeoutSecs = value;
    sessionJDBCConnectionTimeoutSecsIsCached = true;
  }
  /*
   * Declaration of SessionMainAttribute
   */
  private boolean sessionMainAttributeIsCached = false;
  private java.lang.String sessionMainAttribute;
  /**
   * Getter for SessionMainAttribute
   */
  public java.lang.String getSessionMainAttribute() 
    
  {
    if (!sessionMainAttributeIsCached) {
      sessionMainAttribute = delegate.getSessionMainAttribute(); 
      sessionMainAttributeIsCached = true;  
    }
    return sessionMainAttribute;
  }
  /**
   * Setter for SessionMainAttribute
   */
  public void setSessionMainAttribute(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSessionMainAttribute(value);
    sessionMainAttribute = value;
    sessionMainAttributeIsCached = true;
  }
  /*
   * Declaration of SessionMonitoringEnabled
   */
  private boolean sessionMonitoringEnabledIsCached = false;
  private boolean sessionMonitoringEnabled;
  /**
   * Getter for SessionMonitoringEnabled
   */
  public boolean isSessionMonitoringEnabled() 
    
  {
    if (!sessionMonitoringEnabledIsCached) {
      sessionMonitoringEnabled = delegate.isSessionMonitoringEnabled(); 
      sessionMonitoringEnabledIsCached = true;  
    }
    return sessionMonitoringEnabled;
  }
  /**
   * Setter for SessionMonitoringEnabled
   */
  public void setSessionMonitoringEnabled(boolean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSessionMonitoringEnabled(value);
    sessionMonitoringEnabled = value;
    sessionMonitoringEnabledIsCached = true;
  }
  /*
   * Declaration of SessionPersistentStoreDir
   */
  private boolean sessionPersistentStoreDirIsCached = false;
  private java.lang.String sessionPersistentStoreDir;
  /**
   * Getter for SessionPersistentStoreDir
   */
  public java.lang.String getSessionPersistentStoreDir() 
    
  {
    if (!sessionPersistentStoreDirIsCached) {
      sessionPersistentStoreDir = delegate.getSessionPersistentStoreDir(); 
      sessionPersistentStoreDirIsCached = true;  
    }
    return sessionPersistentStoreDir;
  }
  /**
   * Setter for SessionPersistentStoreDir
   */
  public void setSessionPersistentStoreDir(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSessionPersistentStoreDir(value);
    sessionPersistentStoreDir = value;
    sessionPersistentStoreDirIsCached = true;
  }
  /*
   * Declaration of SessionPersistentStorePool
   */
  private boolean sessionPersistentStorePoolIsCached = false;
  private java.lang.String sessionPersistentStorePool;
  /**
   * Getter for SessionPersistentStorePool
   */
  public java.lang.String getSessionPersistentStorePool() 
    
  {
    if (!sessionPersistentStorePoolIsCached) {
      sessionPersistentStorePool = delegate.getSessionPersistentStorePool(); 
      sessionPersistentStorePoolIsCached = true;  
    }
    return sessionPersistentStorePool;
  }
  /**
   * Setter for SessionPersistentStorePool
   */
  public void setSessionPersistentStorePool(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSessionPersistentStorePool(value);
    sessionPersistentStorePool = value;
    sessionPersistentStorePoolIsCached = true;
  }
  /*
   * Declaration of SessionPersistentStoreShared
   */
  private boolean sessionPersistentStoreSharedIsCached = false;
  private boolean sessionPersistentStoreShared;
  /**
   * Getter for SessionPersistentStoreShared
   */
  public boolean isSessionPersistentStoreShared() 
    
  {
    if (!sessionPersistentStoreSharedIsCached) {
      sessionPersistentStoreShared = delegate.isSessionPersistentStoreShared(); 
      sessionPersistentStoreSharedIsCached = true;  
    }
    return sessionPersistentStoreShared;
  }
  /**
   * Setter for SessionPersistentStoreShared
   */
  public void setSessionPersistentStoreShared(boolean value)
    
  {
    delegate.setSessionPersistentStoreShared(value);
    sessionPersistentStoreShared = value;
    sessionPersistentStoreSharedIsCached = true;
  }
  /*
   * Declaration of SessionPersistentStoreType
   */
  private boolean sessionPersistentStoreTypeIsCached = false;
  private java.lang.String sessionPersistentStoreType;
  /**
   * Getter for SessionPersistentStoreType
   */
  public java.lang.String getSessionPersistentStoreType() 
    
  {
    if (!sessionPersistentStoreTypeIsCached) {
      sessionPersistentStoreType = delegate.getSessionPersistentStoreType(); 
      sessionPersistentStoreTypeIsCached = true;  
    }
    return sessionPersistentStoreType;
  }
  /**
   * Setter for SessionPersistentStoreType
   */
  public void setSessionPersistentStoreType(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSessionPersistentStoreType(value);
    sessionPersistentStoreType = value;
    sessionPersistentStoreTypeIsCached = true;
  }
  /*
   * Declaration of SessionSwapIntervalSecs
   */
  private boolean sessionSwapIntervalSecsIsCached = false;
  private int sessionSwapIntervalSecs;
  /**
   * Getter for SessionSwapIntervalSecs
   */
  public int getSessionSwapIntervalSecs() 
    
  {
    if (!sessionSwapIntervalSecsIsCached) {
      sessionSwapIntervalSecs = delegate.getSessionSwapIntervalSecs(); 
      sessionSwapIntervalSecsIsCached = true;  
    }
    return sessionSwapIntervalSecs;
  }
  /**
   * Setter for SessionSwapIntervalSecs
   */
  public void setSessionSwapIntervalSecs(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSessionSwapIntervalSecs(value);
    sessionSwapIntervalSecs = value;
    sessionSwapIntervalSecsIsCached = true;
  }
  /*
   * Declaration of SessionTimeoutSecs
   */
  private boolean sessionTimeoutSecsIsCached = false;
  private int sessionTimeoutSecs;
  /**
   * Getter for SessionTimeoutSecs
   */
  public int getSessionTimeoutSecs() 
    
  {
    if (!sessionTimeoutSecsIsCached) {
      sessionTimeoutSecs = delegate.getSessionTimeoutSecs(); 
      sessionTimeoutSecsIsCached = true;  
    }
    return sessionTimeoutSecs;
  }
  /**
   * Setter for SessionTimeoutSecs
   */
  public void setSessionTimeoutSecs(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSessionTimeoutSecs(value);
    sessionTimeoutSecs = value;
    sessionTimeoutSecsIsCached = true;
  }
  /*
   * Declaration of SessionTrackingEnabled
   */
  private boolean sessionTrackingEnabledIsCached = false;
  private boolean sessionTrackingEnabled;
  /**
   * Getter for SessionTrackingEnabled
   */
  public boolean isSessionTrackingEnabled() 
    
  {
    if (!sessionTrackingEnabledIsCached) {
      sessionTrackingEnabled = delegate.isSessionTrackingEnabled(); 
      sessionTrackingEnabledIsCached = true;  
    }
    return sessionTrackingEnabled;
  }
  /**
   * Setter for SessionTrackingEnabled
   */
  public void setSessionTrackingEnabled(boolean value)
    
  {
    delegate.setSessionTrackingEnabled(value);
    sessionTrackingEnabled = value;
    sessionTrackingEnabledIsCached = true;
  }
  /*
   * Declaration of SessionURLRewritingEnabled
   */
  private boolean sessionURLRewritingEnabledIsCached = false;
  private boolean sessionURLRewritingEnabled;
  /**
   * Getter for SessionURLRewritingEnabled
   */
  public boolean isSessionURLRewritingEnabled() 
    
  {
    if (!sessionURLRewritingEnabledIsCached) {
      sessionURLRewritingEnabled = delegate.isSessionURLRewritingEnabled(); 
      sessionURLRewritingEnabledIsCached = true;  
    }
    return sessionURLRewritingEnabled;
  }
  /**
   * Setter for SessionURLRewritingEnabled
   */
  public void setSessionURLRewritingEnabled(boolean value)
    
  {
    delegate.setSessionURLRewritingEnabled(value);
    sessionURLRewritingEnabled = value;
    sessionURLRewritingEnabledIsCached = true;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of SingleThreadedServletPoolSize
   */
  private boolean singleThreadedServletPoolSizeIsCached = false;
  private int singleThreadedServletPoolSize;
  /**
   * Getter for SingleThreadedServletPoolSize
   */
  public int getSingleThreadedServletPoolSize() 
    
  {
    if (!singleThreadedServletPoolSizeIsCached) {
      singleThreadedServletPoolSize = delegate.getSingleThreadedServletPoolSize(); 
      singleThreadedServletPoolSizeIsCached = true;  
    }
    return singleThreadedServletPoolSize;
  }
  /**
   * Setter for SingleThreadedServletPoolSize
   */
  public void setSingleThreadedServletPoolSize(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSingleThreadedServletPoolSize(value);
    singleThreadedServletPoolSize = value;
    singleThreadedServletPoolSizeIsCached = true;
  }
  /*
   * Declaration of Targets
   */
  private boolean targetsIsCached = false;
  private weblogic.management.configuration.TargetMBean[] targets;
  /**
   * Getter for Targets
   */
  public weblogic.management.configuration.TargetMBean[] getTargets() 
    
  {
    if (!targetsIsCached) {
      targets = delegate.getTargets(); 
      targetsIsCached = true;  
    }
    return targets;
  }
  /**
   * Setter for Targets
   */
  public void setTargets(weblogic.management.configuration.TargetMBean[] value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setTargets(value);
    targets = value;
    targetsIsCached = true;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }
  /*
   * Declaration of URI
   */
  private boolean uriIsCached = false;
  private java.lang.String uri;
  /**
   * Getter for URI
   */
  public java.lang.String getURI() 
    
  {
    if (!uriIsCached) {
      uri = delegate.getURI(); 
      uriIsCached = true;  
    }
    return uri;
  }
  /**
   * Setter for URI
   */
  public void setURI(java.lang.String value)
    
  {
    delegate.setURI(value);
    uri = value;
    uriIsCached = true;
  }
  /*
   * Declaration of WebAppComponentRuntime
   */
  private boolean webAppComponentRuntimeIsCached = false;
  private weblogic.management.runtime.WebAppComponentRuntimeMBean webAppComponentRuntime;
  /**
   * Getter for WebAppComponentRuntime
   */
  public weblogic.management.runtime.WebAppComponentRuntimeMBean getWebAppComponentRuntime() 
    
  {
    if (!webAppComponentRuntimeIsCached) {
      webAppComponentRuntime = delegate.getWebAppComponentRuntime(); 
      webAppComponentRuntimeIsCached = true;  
    }
    return webAppComponentRuntime;
  }
  /**
   * Setter for WebAppComponentRuntime
   */
  public void setWebAppComponentRuntime(weblogic.management.runtime.WebAppComponentRuntimeMBean value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setWebAppComponentRuntime(value);
    webAppComponentRuntime = value;
    webAppComponentRuntimeIsCached = true;
  }
  /*
   * Declaration of WebServers
   */
  private boolean webServersIsCached = false;
  private weblogic.management.configuration.WebServerMBean[] webServers;
  /**
   * Getter for WebServers
   */
  public weblogic.management.configuration.WebServerMBean[] getWebServers() 
    
  {
    if (!webServersIsCached) {
      webServers = delegate.getWebServers(); 
      webServersIsCached = true;  
    }
    return webServers;
  }
  /**
   * Setter for WebServers
   */
  public void setWebServers(weblogic.management.configuration.WebServerMBean[] value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setWebServers(value);
    webServers = value;
    webServersIsCached = true;
  }

  
    /**
   * Operation addWebServer
   */
  public boolean addWebServer(
    weblogic.management.configuration.WebServerMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.addWebServer(arg0);

  }
  /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation removeWebServer
   */
  public boolean removeWebServer(
    weblogic.management.configuration.WebServerMBean arg0
  ) 
    throws weblogic.management.DistributedManagementException
  {
        return delegate.removeWebServer(arg0);

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation addIndexFile
   */
  public boolean addIndexFile(
    java.lang.String arg0
  ) 
    
  {
        return delegate.addIndexFile(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation removeIndexFile
   */
  public boolean removeIndexFile(
    java.lang.String arg0
  ) 
    
  {
        return delegate.removeIndexFile(arg0);

  }
  /**
   * Operation addTarget
   */
  public boolean addTarget(
    weblogic.management.configuration.TargetMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.addTarget(arg0);

  }
  /**
   * Operation removeTarget
   */
  public boolean removeTarget(
    weblogic.management.configuration.TargetMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.removeTarget(arg0);

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }
  /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("Application")) {
    applicationIsCached = false;
  }
else   if (attributeName.equals("AuthRealmName")) {
    authRealmNameIsCached = false;
  }
else   if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("CleanupSessionFilesEnabled")) {
    cleanupSessionFilesEnabledIsCached = false;
  }
else   if (attributeName.equals("ContextPath")) {
    contextPathIsCached = false;
  }
else   if (attributeName.equals("DebugEnabled")) {
    debugEnabledIsCached = false;
  }
else   if (attributeName.equals("DefaultServlet")) {
    defaultServletIsCached = false;
  }
else   if (attributeName.equals("DocumentRoot")) {
    documentRootIsCached = false;
  }
else   if (attributeName.equals("IndexDirectoryEnabled")) {
    indexDirectoryEnabledIsCached = false;
  }
else   if (attributeName.equals("IndexFiles")) {
    indexFilesIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("MimeTypeDefault")) {
    mimeTypeDefaultIsCached = false;
  }
else   if (attributeName.equals("MimeTypes")) {
    mimeTypesIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("ServletClasspath")) {
    servletClasspathIsCached = false;
  }
else   if (attributeName.equals("ServletExtensionCaseSensitive")) {
    servletExtensionCaseSensitiveIsCached = false;
  }
else   if (attributeName.equals("ServletReloadCheckSecs")) {
    servletReloadCheckSecsIsCached = false;
  }
else   if (attributeName.equals("Servlets")) {
    servletsIsCached = false;
  }
else   if (attributeName.equals("SessionCacheSize")) {
    sessionCacheSizeIsCached = false;
  }
else   if (attributeName.equals("SessionCookieComment")) {
    sessionCookieCommentIsCached = false;
  }
else   if (attributeName.equals("SessionCookieDomain")) {
    sessionCookieDomainIsCached = false;
  }
else   if (attributeName.equals("SessionCookieMaxAgeSecs")) {
    sessionCookieMaxAgeSecsIsCached = false;
  }
else   if (attributeName.equals("SessionCookieName")) {
    sessionCookieNameIsCached = false;
  }
else   if (attributeName.equals("SessionCookiePath")) {
    sessionCookiePathIsCached = false;
  }
else   if (attributeName.equals("SessionCookiesEnabled")) {
    sessionCookiesEnabledIsCached = false;
  }
else   if (attributeName.equals("SessionDebuggable")) {
    sessionDebuggableIsCached = false;
  }
else   if (attributeName.equals("SessionIDLength")) {
    sessionIDLengthIsCached = false;
  }
else   if (attributeName.equals("SessionInvalidationIntervalSecs")) {
    sessionInvalidationIntervalSecsIsCached = false;
  }
else   if (attributeName.equals("SessionJDBCConnectionTimeoutSecs")) {
    sessionJDBCConnectionTimeoutSecsIsCached = false;
  }
else   if (attributeName.equals("SessionMainAttribute")) {
    sessionMainAttributeIsCached = false;
  }
else   if (attributeName.equals("SessionMonitoringEnabled")) {
    sessionMonitoringEnabledIsCached = false;
  }
else   if (attributeName.equals("SessionPersistentStoreDir")) {
    sessionPersistentStoreDirIsCached = false;
  }
else   if (attributeName.equals("SessionPersistentStorePool")) {
    sessionPersistentStorePoolIsCached = false;
  }
else   if (attributeName.equals("SessionPersistentStoreShared")) {
    sessionPersistentStoreSharedIsCached = false;
  }
else   if (attributeName.equals("SessionPersistentStoreType")) {
    sessionPersistentStoreTypeIsCached = false;
  }
else   if (attributeName.equals("SessionSwapIntervalSecs")) {
    sessionSwapIntervalSecsIsCached = false;
  }
else   if (attributeName.equals("SessionTimeoutSecs")) {
    sessionTimeoutSecsIsCached = false;
  }
else   if (attributeName.equals("SessionTrackingEnabled")) {
    sessionTrackingEnabledIsCached = false;
  }
else   if (attributeName.equals("SessionURLRewritingEnabled")) {
    sessionURLRewritingEnabledIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("SingleThreadedServletPoolSize")) {
    singleThreadedServletPoolSizeIsCached = false;
  }
else   if (attributeName.equals("Targets")) {
    targetsIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }
else   if (attributeName.equals("URI")) {
    uriIsCached = false;
  }
else   if (attributeName.equals("WebAppComponentRuntime")) {
    webAppComponentRuntimeIsCached = false;
  }
else   if (attributeName.equals("WebServers")) {
    webServersIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.WebAppComponentMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
