package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class WebServerMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.WebServerMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.WebServerMBean delegate;

    public WebServerMBean_CachingStub(weblogic.management.configuration.WebServerMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of Charsets
   */
  private boolean charsetsIsCached = false;
  private java.util.Map charsets;
  /**
   * Getter for Charsets
   */
  public java.util.Map getCharsets() 
    
  {
    if (!charsetsIsCached) {
      charsets = delegate.getCharsets(); 
      charsetsIsCached = true;  
    }
    return charsets;
  }
  /**
   * Setter for Charsets
   */
  public void setCharsets(java.util.Map value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setCharsets(value);
    charsets = value;
    charsetsIsCached = true;
  }
  /*
   * Declaration of ClusteringEnabled
   */
  private boolean clusteringEnabledIsCached = false;
  private boolean clusteringEnabled;
  /**
   * Getter for ClusteringEnabled
   */
  public boolean isClusteringEnabled() 
    
  {
    if (!clusteringEnabledIsCached) {
      clusteringEnabled = delegate.isClusteringEnabled(); 
      clusteringEnabledIsCached = true;  
    }
    return clusteringEnabled;
  }
  /**
   * Setter for ClusteringEnabled
   */
  public void setClusteringEnabled(boolean value)
    
  {
    delegate.setClusteringEnabled(value);
    clusteringEnabled = value;
    clusteringEnabledIsCached = true;
  }
  /*
   * Declaration of DebugEnabled
   */
  private boolean debugEnabledIsCached = false;
  private boolean debugEnabled;
  /**
   * Getter for DebugEnabled
   */
  public boolean isDebugEnabled() 
    
  {
    if (!debugEnabledIsCached) {
      debugEnabled = delegate.isDebugEnabled(); 
      debugEnabledIsCached = true;  
    }
    return debugEnabled;
  }
  /**
   * Setter for DebugEnabled
   */
  public void setDebugEnabled(boolean value)
    
  {
    delegate.setDebugEnabled(value);
    debugEnabled = value;
    debugEnabledIsCached = true;
  }
  /*
   * Declaration of DefaultWebApp
   */
  private boolean defaultWebAppIsCached = false;
  private weblogic.management.configuration.WebAppComponentMBean defaultWebApp;
  /**
   * Getter for DefaultWebApp
   */
  public weblogic.management.configuration.WebAppComponentMBean getDefaultWebApp() 
    
  {
    if (!defaultWebAppIsCached) {
      defaultWebApp = delegate.getDefaultWebApp(); 
      defaultWebAppIsCached = true;  
    }
    return defaultWebApp;
  }
  /**
   * Setter for DefaultWebApp
   */
  public void setDefaultWebApp(weblogic.management.configuration.WebAppComponentMBean value)
    
  {
    delegate.setDefaultWebApp(value);
    defaultWebApp = value;
    defaultWebAppIsCached = true;
  }
  /*
   * Declaration of EventsEnabled
   */
  private boolean eventsEnabledIsCached = false;
  private boolean eventsEnabled;
  /**
   * Getter for EventsEnabled
   */
  public boolean isEventsEnabled() 
    
  {
    if (!eventsEnabledIsCached) {
      eventsEnabled = delegate.isEventsEnabled(); 
      eventsEnabledIsCached = true;  
    }
    return eventsEnabled;
  }
  /**
   * Setter for EventsEnabled
   */
  public void setEventsEnabled(boolean value)
    
  {
    delegate.setEventsEnabled(value);
    eventsEnabled = value;
    eventsEnabledIsCached = true;
  }
  /*
   * Declaration of HttpsKeepAliveSecs
   */
  private boolean httpsKeepAliveSecsIsCached = false;
  private int httpsKeepAliveSecs;
  /**
   * Getter for HttpsKeepAliveSecs
   */
  public int getHttpsKeepAliveSecs() 
    
  {
    if (!httpsKeepAliveSecsIsCached) {
      httpsKeepAliveSecs = delegate.getHttpsKeepAliveSecs(); 
      httpsKeepAliveSecsIsCached = true;  
    }
    return httpsKeepAliveSecs;
  }
  /**
   * Setter for HttpsKeepAliveSecs
   */
  public void setHttpsKeepAliveSecs(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setHttpsKeepAliveSecs(value);
    httpsKeepAliveSecs = value;
    httpsKeepAliveSecsIsCached = true;
  }
  /*
   * Declaration of KeepAliveEnabled
   */
  private boolean keepAliveEnabledIsCached = false;
  private boolean keepAliveEnabled;
  /**
   * Getter for KeepAliveEnabled
   */
  public boolean isKeepAliveEnabled() 
    
  {
    if (!keepAliveEnabledIsCached) {
      keepAliveEnabled = delegate.isKeepAliveEnabled(); 
      keepAliveEnabledIsCached = true;  
    }
    return keepAliveEnabled;
  }
  /**
   * Setter for KeepAliveEnabled
   */
  public void setKeepAliveEnabled(boolean value)
    
  {
    delegate.setKeepAliveEnabled(value);
    keepAliveEnabled = value;
    keepAliveEnabledIsCached = true;
  }
  /*
   * Declaration of KeepAliveSecs
   */
  private boolean keepAliveSecsIsCached = false;
  private int keepAliveSecs;
  /**
   * Getter for KeepAliveSecs
   */
  public int getKeepAliveSecs() 
    
  {
    if (!keepAliveSecsIsCached) {
      keepAliveSecs = delegate.getKeepAliveSecs(); 
      keepAliveSecsIsCached = true;  
    }
    return keepAliveSecs;
  }
  /**
   * Setter for KeepAliveSecs
   */
  public void setKeepAliveSecs(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setKeepAliveSecs(value);
    keepAliveSecs = value;
    keepAliveSecsIsCached = true;
  }
  /*
   * Declaration of LogFileBufferKBytes
   */
  private boolean logFileBufferKBytesIsCached = false;
  private int logFileBufferKBytes;
  /**
   * Getter for LogFileBufferKBytes
   */
  public int getLogFileBufferKBytes() 
    
  {
    if (!logFileBufferKBytesIsCached) {
      logFileBufferKBytes = delegate.getLogFileBufferKBytes(); 
      logFileBufferKBytesIsCached = true;  
    }
    return logFileBufferKBytes;
  }
  /**
   * Setter for LogFileBufferKBytes
   */
  public void setLogFileBufferKBytes(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setLogFileBufferKBytes(value);
    logFileBufferKBytes = value;
    logFileBufferKBytesIsCached = true;
  }
  /*
   * Declaration of LogFileFlushSecs
   */
  private boolean logFileFlushSecsIsCached = false;
  private int logFileFlushSecs;
  /**
   * Getter for LogFileFlushSecs
   */
  public int getLogFileFlushSecs() 
    
  {
    if (!logFileFlushSecsIsCached) {
      logFileFlushSecs = delegate.getLogFileFlushSecs(); 
      logFileFlushSecsIsCached = true;  
    }
    return logFileFlushSecs;
  }
  /**
   * Setter for LogFileFlushSecs
   */
  public void setLogFileFlushSecs(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setLogFileFlushSecs(value);
    logFileFlushSecs = value;
    logFileFlushSecsIsCached = true;
  }
  /*
   * Declaration of LogFileFormat
   */
  private boolean logFileFormatIsCached = false;
  private java.lang.String logFileFormat;
  /**
   * Getter for LogFileFormat
   */
  public java.lang.String getLogFileFormat() 
    
  {
    if (!logFileFormatIsCached) {
      logFileFormat = delegate.getLogFileFormat(); 
      logFileFormatIsCached = true;  
    }
    return logFileFormat;
  }
  /**
   * Setter for LogFileFormat
   */
  public void setLogFileFormat(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setLogFileFormat(value);
    logFileFormat = value;
    logFileFormatIsCached = true;
  }
  /*
   * Declaration of LogFileName
   */
  private boolean logFileNameIsCached = false;
  private java.lang.String logFileName;
  /**
   * Getter for LogFileName
   */
  public java.lang.String getLogFileName() 
    
  {
    if (!logFileNameIsCached) {
      logFileName = delegate.getLogFileName(); 
      logFileNameIsCached = true;  
    }
    return logFileName;
  }
  /**
   * Setter for LogFileName
   */
  public void setLogFileName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setLogFileName(value);
    logFileName = value;
    logFileNameIsCached = true;
  }
  /*
   * Declaration of LogRotationPeriodMins
   */
  private boolean logRotationPeriodMinsIsCached = false;
  private int logRotationPeriodMins;
  /**
   * Getter for LogRotationPeriodMins
   */
  public int getLogRotationPeriodMins() 
    
  {
    if (!logRotationPeriodMinsIsCached) {
      logRotationPeriodMins = delegate.getLogRotationPeriodMins(); 
      logRotationPeriodMinsIsCached = true;  
    }
    return logRotationPeriodMins;
  }
  /**
   * Setter for LogRotationPeriodMins
   */
  public void setLogRotationPeriodMins(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setLogRotationPeriodMins(value);
    logRotationPeriodMins = value;
    logRotationPeriodMinsIsCached = true;
  }
  /*
   * Declaration of LogRotationTimeBegin
   */
  private boolean logRotationTimeBeginIsCached = false;
  private java.lang.String logRotationTimeBegin;
  /**
   * Getter for LogRotationTimeBegin
   */
  public java.lang.String getLogRotationTimeBegin() 
    
  {
    if (!logRotationTimeBeginIsCached) {
      logRotationTimeBegin = delegate.getLogRotationTimeBegin(); 
      logRotationTimeBeginIsCached = true;  
    }
    return logRotationTimeBegin;
  }
  /**
   * Setter for LogRotationTimeBegin
   */
  public void setLogRotationTimeBegin(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setLogRotationTimeBegin(value);
    logRotationTimeBegin = value;
    logRotationTimeBeginIsCached = true;
  }
  /*
   * Declaration of LogRotationType
   */
  private boolean logRotationTypeIsCached = false;
  private java.lang.String logRotationType;
  /**
   * Getter for LogRotationType
   */
  public java.lang.String getLogRotationType() 
    
  {
    if (!logRotationTypeIsCached) {
      logRotationType = delegate.getLogRotationType(); 
      logRotationTypeIsCached = true;  
    }
    return logRotationType;
  }
  /**
   * Setter for LogRotationType
   */
  public void setLogRotationType(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setLogRotationType(value);
    logRotationType = value;
    logRotationTypeIsCached = true;
  }
  /*
   * Declaration of LoggingEnabled
   */
  private boolean loggingEnabledIsCached = false;
  private boolean loggingEnabled;
  /**
   * Getter for LoggingEnabled
   */
  public boolean isLoggingEnabled() 
    
  {
    if (!loggingEnabledIsCached) {
      loggingEnabled = delegate.isLoggingEnabled(); 
      loggingEnabledIsCached = true;  
    }
    return loggingEnabled;
  }
  /**
   * Setter for LoggingEnabled
   */
  public void setLoggingEnabled(boolean value)
    
  {
    delegate.setLoggingEnabled(value);
    loggingEnabled = value;
    loggingEnabledIsCached = true;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of MaxLogFileSizeKBytes
   */
  private boolean maxLogFileSizeKBytesIsCached = false;
  private int maxLogFileSizeKBytes;
  /**
   * Getter for MaxLogFileSizeKBytes
   */
  public int getMaxLogFileSizeKBytes() 
    
  {
    if (!maxLogFileSizeKBytesIsCached) {
      maxLogFileSizeKBytes = delegate.getMaxLogFileSizeKBytes(); 
      maxLogFileSizeKBytesIsCached = true;  
    }
    return maxLogFileSizeKBytes;
  }
  /**
   * Setter for MaxLogFileSizeKBytes
   */
  public void setMaxLogFileSizeKBytes(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setMaxLogFileSizeKBytes(value);
    maxLogFileSizeKBytes = value;
    maxLogFileSizeKBytesIsCached = true;
  }
  /*
   * Declaration of MaxPostSize
   */
  private boolean maxPostSizeIsCached = false;
  private int maxPostSize;
  /**
   * Getter for MaxPostSize
   */
  public int getMaxPostSize() 
    
  {
    if (!maxPostSizeIsCached) {
      maxPostSize = delegate.getMaxPostSize(); 
      maxPostSizeIsCached = true;  
    }
    return maxPostSize;
  }
  /**
   * Setter for MaxPostSize
   */
  public void setMaxPostSize(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setMaxPostSize(value);
    maxPostSize = value;
    maxPostSizeIsCached = true;
  }
  /*
   * Declaration of MaxPostTimeSecs
   */
  private boolean maxPostTimeSecsIsCached = false;
  private int maxPostTimeSecs;
  /**
   * Getter for MaxPostTimeSecs
   */
  public int getMaxPostTimeSecs() 
    
  {
    if (!maxPostTimeSecsIsCached) {
      maxPostTimeSecs = delegate.getMaxPostTimeSecs(); 
      maxPostTimeSecsIsCached = true;  
    }
    return maxPostTimeSecs;
  }
  /**
   * Setter for MaxPostTimeSecs
   */
  public void setMaxPostTimeSecs(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setMaxPostTimeSecs(value);
    maxPostTimeSecs = value;
    maxPostTimeSecsIsCached = true;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of PostTimeoutSecs
   */
  private boolean postTimeoutSecsIsCached = false;
  private int postTimeoutSecs;
  /**
   * Getter for PostTimeoutSecs
   */
  public int getPostTimeoutSecs() 
    
  {
    if (!postTimeoutSecsIsCached) {
      postTimeoutSecs = delegate.getPostTimeoutSecs(); 
      postTimeoutSecsIsCached = true;  
    }
    return postTimeoutSecs;
  }
  /**
   * Setter for PostTimeoutSecs
   */
  public void setPostTimeoutSecs(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setPostTimeoutSecs(value);
    postTimeoutSecs = value;
    postTimeoutSecsIsCached = true;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of Targets
   */
  private boolean targetsIsCached = false;
  private weblogic.management.configuration.TargetMBean[] targets;
  /**
   * Getter for Targets
   */
  public weblogic.management.configuration.TargetMBean[] getTargets() 
    
  {
    if (!targetsIsCached) {
      targets = delegate.getTargets(); 
      targetsIsCached = true;  
    }
    return targets;
  }
  /**
   * Setter for Targets
   */
  public void setTargets(weblogic.management.configuration.TargetMBean[] value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setTargets(value);
    targets = value;
    targetsIsCached = true;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }
  /*
   * Declaration of URLResource
   */
  private boolean urlResourceIsCached = false;
  private java.util.Map urlResource;
  /**
   * Getter for URLResource
   */
  public java.util.Map getURLResource() 
    
  {
    if (!urlResourceIsCached) {
      urlResource = delegate.getURLResource(); 
      urlResourceIsCached = true;  
    }
    return urlResource;
  }
  /**
   * Setter for URLResource
   */
  public void setURLResource(java.util.Map value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setURLResource(value);
    urlResource = value;
    urlResourceIsCached = true;
  }
  /*
   * Declaration of WAPEnabled
   */
  private boolean wapEnabledIsCached = false;
  private boolean wapEnabled;
  /**
   * Getter for WAPEnabled
   */
  public boolean isWAPEnabled() 
    
  {
    if (!wapEnabledIsCached) {
      wapEnabled = delegate.isWAPEnabled(); 
      wapEnabledIsCached = true;  
    }
    return wapEnabled;
  }
  /**
   * Setter for WAPEnabled
   */
  public void setWAPEnabled(boolean value)
    
  {
    delegate.setWAPEnabled(value);
    wapEnabled = value;
    wapEnabledIsCached = true;
  }
  /*
   * Declaration of WebDeployments
   */
  private boolean webDeploymentsIsCached = false;
  private weblogic.management.configuration.WebDeploymentMBean[] webDeployments;
  /**
   * Getter for WebDeployments
   */
  public weblogic.management.configuration.WebDeploymentMBean[] getWebDeployments() 
    
  {
    if (!webDeploymentsIsCached) {
      webDeployments = delegate.getWebDeployments(); 
      webDeploymentsIsCached = true;  
    }
    return webDeployments;
  }
  /**
   * Setter for WebDeployments
   */
  public void setWebDeployments(weblogic.management.configuration.WebDeploymentMBean[] value)
    throws weblogic.management.DistributedManagementException
  {
    delegate.setWebDeployments(value);
    webDeployments = value;
    webDeploymentsIsCached = true;
  }
  /*
   * Declaration of WriteChunkBytes
   */
  private boolean writeChunkBytesIsCached = false;
  private int writeChunkBytes;
  /**
   * Getter for WriteChunkBytes
   */
  public int getWriteChunkBytes() 
    
  {
    if (!writeChunkBytesIsCached) {
      writeChunkBytes = delegate.getWriteChunkBytes(); 
      writeChunkBytesIsCached = true;  
    }
    return writeChunkBytes;
  }
  /**
   * Setter for WriteChunkBytes
   */
  public void setWriteChunkBytes(int value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setWriteChunkBytes(value);
    writeChunkBytes = value;
    writeChunkBytesIsCached = true;
  }

  
    /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation addWebDeployment
   */
  public boolean addWebDeployment(
    weblogic.management.configuration.WebDeploymentMBean arg0
  ) 
    throws weblogic.management.DistributedManagementException
  {
        return delegate.addWebDeployment(arg0);

  }
  /**
   * Operation addTarget
   */
  public boolean addTarget(
    weblogic.management.configuration.TargetMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.addTarget(arg0);

  }
  /**
   * Operation removeWebDeployment
   */
  public boolean removeWebDeployment(
    weblogic.management.configuration.WebDeploymentMBean arg0
  ) 
    throws weblogic.management.DistributedManagementException
  {
        return delegate.removeWebDeployment(arg0);

  }
  /**
   * Operation removeTarget
   */
  public boolean removeTarget(
    weblogic.management.configuration.TargetMBean arg0
  ) 
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
        return delegate.removeTarget(arg0);

  }
  /**
   * Operation updateDeployments
   */
  public void updateDeployments(
    
  ) 
    throws weblogic.management.DistributedManagementException
  {
        delegate.updateDeployments();

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }
  /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("Charsets")) {
    charsetsIsCached = false;
  }
else   if (attributeName.equals("ClusteringEnabled")) {
    clusteringEnabledIsCached = false;
  }
else   if (attributeName.equals("DebugEnabled")) {
    debugEnabledIsCached = false;
  }
else   if (attributeName.equals("DefaultWebApp")) {
    defaultWebAppIsCached = false;
  }
else   if (attributeName.equals("EventsEnabled")) {
    eventsEnabledIsCached = false;
  }
else   if (attributeName.equals("HttpsKeepAliveSecs")) {
    httpsKeepAliveSecsIsCached = false;
  }
else   if (attributeName.equals("KeepAliveEnabled")) {
    keepAliveEnabledIsCached = false;
  }
else   if (attributeName.equals("KeepAliveSecs")) {
    keepAliveSecsIsCached = false;
  }
else   if (attributeName.equals("LogFileBufferKBytes")) {
    logFileBufferKBytesIsCached = false;
  }
else   if (attributeName.equals("LogFileFlushSecs")) {
    logFileFlushSecsIsCached = false;
  }
else   if (attributeName.equals("LogFileFormat")) {
    logFileFormatIsCached = false;
  }
else   if (attributeName.equals("LogFileName")) {
    logFileNameIsCached = false;
  }
else   if (attributeName.equals("LogRotationPeriodMins")) {
    logRotationPeriodMinsIsCached = false;
  }
else   if (attributeName.equals("LogRotationTimeBegin")) {
    logRotationTimeBeginIsCached = false;
  }
else   if (attributeName.equals("LogRotationType")) {
    logRotationTypeIsCached = false;
  }
else   if (attributeName.equals("LoggingEnabled")) {
    loggingEnabledIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("MaxLogFileSizeKBytes")) {
    maxLogFileSizeKBytesIsCached = false;
  }
else   if (attributeName.equals("MaxPostSize")) {
    maxPostSizeIsCached = false;
  }
else   if (attributeName.equals("MaxPostTimeSecs")) {
    maxPostTimeSecsIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("PostTimeoutSecs")) {
    postTimeoutSecsIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("Targets")) {
    targetsIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }
else   if (attributeName.equals("URLResource")) {
    urlResourceIsCached = false;
  }
else   if (attributeName.equals("WAPEnabled")) {
    wapEnabledIsCached = false;
  }
else   if (attributeName.equals("WebDeployments")) {
    webDeploymentsIsCached = false;
  }
else   if (attributeName.equals("WriteChunkBytes")) {
    writeChunkBytesIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.WebServerMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
