package weblogic.management.configuration;

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @author Copyright (c) 2000 by BEA. All Rights Reserved.
 * @exclude
 */
public final class XMLRegistryEntryMBean_CachingStub
  implements CachingStub, weblogic.management.configuration.XMLRegistryEntryMBean, NotificationListener, Serializable 
{
  private weblogic.management.configuration.XMLRegistryEntryMBean delegate;

    public XMLRegistryEntryMBean_CachingStub(weblogic.management.configuration.XMLRegistryEntryMBean delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }


    /*
   * Declaration of CachingDisabled
   */
  private boolean cachingDisabledIsCached = false;
  private boolean cachingDisabled;
  /**
   * Getter for CachingDisabled
   */
  public boolean isCachingDisabled() 
    
  {
    if (!cachingDisabledIsCached) {
      cachingDisabled = delegate.isCachingDisabled(); 
      cachingDisabledIsCached = true;  
    }
    return cachingDisabled;
  }
  /*
   * Declaration of DocumentBuilderFactory
   */
  private boolean documentBuilderFactoryIsCached = false;
  private java.lang.String documentBuilderFactory;
  /**
   * Getter for DocumentBuilderFactory
   */
  public java.lang.String getDocumentBuilderFactory() 
    
  {
    if (!documentBuilderFactoryIsCached) {
      documentBuilderFactory = delegate.getDocumentBuilderFactory(); 
      documentBuilderFactoryIsCached = true;  
    }
    return documentBuilderFactory;
  }
  /**
   * Setter for DocumentBuilderFactory
   */
  public void setDocumentBuilderFactory(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setDocumentBuilderFactory(value);
    documentBuilderFactory = value;
    documentBuilderFactoryIsCached = true;
  }
  /*
   * Declaration of EntityPath
   */
  private boolean entityPathIsCached = false;
  private java.lang.String entityPath;
  /**
   * Getter for EntityPath
   */
  public java.lang.String getEntityPath() 
    
  {
    if (!entityPathIsCached) {
      entityPath = delegate.getEntityPath(); 
      entityPathIsCached = true;  
    }
    return entityPath;
  }
  /**
   * Setter for EntityPath
   */
  public void setEntityPath(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setEntityPath(value);
    entityPath = value;
    entityPathIsCached = true;
  }
  /*
   * Declaration of MBeanInfo
   */
  private boolean mBeanInfoIsCached = false;
  private javax.management.MBeanInfo mBeanInfo;
  /**
   * Getter for MBeanInfo
   */
  public javax.management.MBeanInfo getMBeanInfo() 
    
  {
    if (!mBeanInfoIsCached) {
      mBeanInfo = delegate.getMBeanInfo(); 
      mBeanInfoIsCached = true;  
    }
    return mBeanInfo;
  }
  /*
   * Declaration of Name
   */
  private boolean nameIsCached = false;
  private java.lang.String name;
  /**
   * Getter for Name
   */
  public java.lang.String getName() 
    
  {
    if (!nameIsCached) {
      name = delegate.getName(); 
      nameIsCached = true;  
    }
    return name;
  }
  /**
   * Setter for Name
   */
  public void setName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.ManagementException
  {
    delegate.setName(value);
    name = value;
    nameIsCached = true;
  }
  /*
   * Declaration of Notes
   */
  private boolean notesIsCached = false;
  private java.lang.String notes;
  /**
   * Getter for Notes
   */
  public java.lang.String getNotes() 
    
  {
    if (!notesIsCached) {
      notes = delegate.getNotes(); 
      notesIsCached = true;  
    }
    return notes;
  }
  /**
   * Setter for Notes
   */
  public void setNotes(java.lang.String value)
    throws javax.management.InvalidAttributeValueException, weblogic.management.DistributedManagementException
  {
    delegate.setNotes(value);
    notes = value;
    notesIsCached = true;
  }
  /*
   * Declaration of NotificationInfo
   */
  private boolean notificationInfoIsCached = false;
  private javax.management.MBeanNotificationInfo[] notificationInfo;
  /**
   * Getter for NotificationInfo
   */
  public javax.management.MBeanNotificationInfo[] getNotificationInfo() 
    
  {
    if (!notificationInfoIsCached) {
      notificationInfo = delegate.getNotificationInfo(); 
      notificationInfoIsCached = true;  
    }
    return notificationInfo;
  }
  /*
   * Declaration of ObjectName
   */
  private boolean objectNameIsCached = false;
  private weblogic.management.WebLogicObjectName objectName;
  /**
   * Getter for ObjectName
   */
  public weblogic.management.WebLogicObjectName getObjectName() 
    
  {
    if (!objectNameIsCached) {
      objectName = delegate.getObjectName(); 
      objectNameIsCached = true;  
    }
    return objectName;
  }
  /*
   * Declaration of Parent
   */
  private boolean parentIsCached = false;
  private weblogic.management.WebLogicMBean parent;
  /**
   * Getter for Parent
   */
  public weblogic.management.WebLogicMBean getParent() 
    
  {
    if (!parentIsCached) {
      parent = delegate.getParent(); 
      parentIsCached = true;  
    }
    return parent;
  }
  /**
   * Setter for Parent
   */
  public void setParent(weblogic.management.WebLogicMBean value)
    throws weblogic.management.configuration.ConfigurationException
  {
    delegate.setParent(value);
    parent = value;
    parentIsCached = true;
  }
  /*
   * Declaration of ParserClassName
   */
  private boolean parserClassNameIsCached = false;
  private java.lang.String parserClassName;
  /**
   * Getter for ParserClassName
   */
  public java.lang.String getParserClassName() 
    
  {
    if (!parserClassNameIsCached) {
      parserClassName = delegate.getParserClassName(); 
      parserClassNameIsCached = true;  
    }
    return parserClassName;
  }
  /**
   * Setter for ParserClassName
   */
  public void setParserClassName(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setParserClassName(value);
    parserClassName = value;
    parserClassNameIsCached = true;
  }
  /*
   * Declaration of PublicId
   */
  private boolean publicIdIsCached = false;
  private java.lang.String publicId;
  /**
   * Getter for PublicId
   */
  public java.lang.String getPublicId() 
    
  {
    if (!publicIdIsCached) {
      publicId = delegate.getPublicId(); 
      publicIdIsCached = true;  
    }
    return publicId;
  }
  /**
   * Setter for PublicId
   */
  public void setPublicId(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setPublicId(value);
    publicId = value;
    publicIdIsCached = true;
  }
  /*
   * Declaration of Registered
   */
  private boolean registeredIsCached = false;
  private boolean registered;
  /**
   * Getter for Registered
   */
  public boolean isRegistered() 
    
  {
    if (!registeredIsCached) {
      registered = delegate.isRegistered(); 
      registeredIsCached = true;  
    }
    return registered;
  }
  /*
   * Declaration of RootElementTag
   */
  private boolean rootElementTagIsCached = false;
  private java.lang.String rootElementTag;
  /**
   * Getter for RootElementTag
   */
  public java.lang.String getRootElementTag() 
    
  {
    if (!rootElementTagIsCached) {
      rootElementTag = delegate.getRootElementTag(); 
      rootElementTagIsCached = true;  
    }
    return rootElementTag;
  }
  /**
   * Setter for RootElementTag
   */
  public void setRootElementTag(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setRootElementTag(value);
    rootElementTag = value;
    rootElementTagIsCached = true;
  }
  /*
   * Declaration of SAXParserFactory
   */
  private boolean saxParserFactoryIsCached = false;
  private java.lang.String saxParserFactory;
  /**
   * Getter for SAXParserFactory
   */
  public java.lang.String getSAXParserFactory() 
    
  {
    if (!saxParserFactoryIsCached) {
      saxParserFactory = delegate.getSAXParserFactory(); 
      saxParserFactoryIsCached = true;  
    }
    return saxParserFactory;
  }
  /**
   * Setter for SAXParserFactory
   */
  public void setSAXParserFactory(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSAXParserFactory(value);
    saxParserFactory = value;
    saxParserFactoryIsCached = true;
  }
  /*
   * Declaration of SetFields
   */
  private boolean setFieldsIsCached = false;
  private java.util.Set setFields;
  /**
   * Getter for SetFields
   */
  public java.util.Set getSetFields() 
    
  {
    if (!setFieldsIsCached) {
      setFields = delegate.getSetFields(); 
      setFieldsIsCached = true;  
    }
    return setFields;
  }
  /*
   * Declaration of SystemId
   */
  private boolean systemIdIsCached = false;
  private java.lang.String systemId;
  /**
   * Getter for SystemId
   */
  public java.lang.String getSystemId() 
    
  {
    if (!systemIdIsCached) {
      systemId = delegate.getSystemId(); 
      systemIdIsCached = true;  
    }
    return systemId;
  }
  /**
   * Setter for SystemId
   */
  public void setSystemId(java.lang.String value)
    throws javax.management.InvalidAttributeValueException
  {
    delegate.setSystemId(value);
    systemId = value;
    systemIdIsCached = true;
  }
  /*
   * Declaration of Type
   */
  private boolean typeIsCached = false;
  private java.lang.String type;
  /**
   * Getter for Type
   */
  public java.lang.String getType() 
    
  {
    if (!typeIsCached) {
      type = delegate.getType(); 
      typeIsCached = true;  
    }
    return type;
  }

  
    /**
   * Operation setAttribute
   */
  public void setAttribute(
    javax.management.Attribute arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.InvalidAttributeValueException, javax.management.MBeanException, javax.management.ReflectionException
  {
        delegate.setAttribute(arg0);

  }
  /**
   * Operation removeNotificationListener
   */
  public void removeNotificationListener(
    javax.management.NotificationListener arg0
  ) 
    throws javax.management.ListenerNotFoundException
  {
        delegate.removeNotificationListener(arg0);

  }
  /**
   * Operation getAttributes
   */
  public javax.management.AttributeList getAttributes(
    java.lang.String[] arg0
  ) 
    
  {
        return delegate.getAttributes(arg0);

  }
  /**
   * Operation getXml
   */
  public org.w3c.dom.Element getXml(
    org.w3c.dom.Document arg0
  ) 
    
  {
        return delegate.getXml(arg0);

  }
  /**
   * Operation postRegister
   */
  public void postRegister(
    java.lang.Boolean arg0
  ) 
    
  {
        delegate.postRegister(arg0);

  }
  /**
   * Operation setAttributes
   */
  public javax.management.AttributeList setAttributes(
    javax.management.AttributeList arg0
  ) 
    
  {
        return delegate.setAttributes(arg0);

  }
  /**
   * Operation postDeregister
   */
  public void postDeregister(
    
  ) 
    
  {
        delegate.postDeregister();

  }
  /**
   * Operation invoke
   */
  public java.lang.Object invoke(
    java.lang.String arg0, java.lang.Object[] arg1, java.lang.String[] arg2
  ) 
    throws javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.invoke(arg0, arg1, arg2);

  }
  /**
   * Operation preRegister
   */
  public javax.management.ObjectName preRegister(
    javax.management.MBeanServer arg0, javax.management.ObjectName arg1
  ) 
    throws java.lang.Exception
  {
        return delegate.preRegister(arg0, arg1);

  }
  /**
   * Operation getAttributeStringValue
   */
  public java.lang.String getAttributeStringValue(
    java.lang.String arg0
  ) 
    
  {
        return delegate.getAttributeStringValue(arg0);

  }
  /**
   * Operation getAttribute
   */
  public java.lang.Object getAttribute(
    java.lang.String arg0
  ) 
    throws javax.management.AttributeNotFoundException, javax.management.MBeanException, javax.management.ReflectionException
  {
        return delegate.getAttribute(arg0);

  }
  /**
   * Operation preDeregister
   */
  public void preDeregister(
    
  ) 
    throws java.lang.Exception
  {
        delegate.preDeregister();

  }
  /**
   * Operation addNotificationListener
   */
  public void addNotificationListener(
    javax.management.NotificationListener arg0, javax.management.NotificationFilter arg1, java.lang.Object arg2
  ) 
    throws java.lang.IllegalArgumentException
  {
        delegate.addNotificationListener(arg0, arg1, arg2);

  }


    /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
        if (attributeName.equals("CachingDisabled")) {
    cachingDisabledIsCached = false;
  }
else   if (attributeName.equals("DocumentBuilderFactory")) {
    documentBuilderFactoryIsCached = false;
  }
else   if (attributeName.equals("EntityPath")) {
    entityPathIsCached = false;
  }
else   if (attributeName.equals("MBeanInfo")) {
    mBeanInfoIsCached = false;
  }
else   if (attributeName.equals("Name")) {
    nameIsCached = false;
  }
else   if (attributeName.equals("Notes")) {
    notesIsCached = false;
  }
else   if (attributeName.equals("NotificationInfo")) {
    notificationInfoIsCached = false;
  }
else   if (attributeName.equals("ObjectName")) {
    objectNameIsCached = false;
  }
else   if (attributeName.equals("Parent")) {
    parentIsCached = false;
  }
else   if (attributeName.equals("ParserClassName")) {
    parserClassNameIsCached = false;
  }
else   if (attributeName.equals("PublicId")) {
    publicIdIsCached = false;
  }
else   if (attributeName.equals("Registered")) {
    registeredIsCached = false;
  }
else   if (attributeName.equals("RootElementTag")) {
    rootElementTagIsCached = false;
  }
else   if (attributeName.equals("SAXParserFactory")) {
    saxParserFactoryIsCached = false;
  }
else   if (attributeName.equals("SetFields")) {
    setFieldsIsCached = false;
  }
else   if (attributeName.equals("SystemId")) {
    systemIdIsCached = false;
  }
else   if (attributeName.equals("Type")) {
    typeIsCached = false;
  }

    }  
  }


  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (weblogic.management.configuration.XMLRegistryEntryMBean)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
