package weblogic.management.internal;

import weblogic.logging.MessageLogger;
 
/** 
 * Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.
 * @exclude
 */
public class ConfigLogger
{
  /**
   * Error connecting to admin server and initializing admin home: {0}
   * @exclude
   *
   * messageid:  150000
   * severity:   error
   */
  public static String logErrorConnectingAdminServerForHome(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"150000",
	args,
	"weblogic.i18n.ConfigLogLocalizer");
    return "150000";
  }

  /**
   * Error connecting to admin server to bootstrap via URL: {0}, user: {1}
   * @exclude
   *
   * messageid:  150001
   * severity:   error
   */
  public static String logErrorConnectionAdminServerForBootstrap(java.net.URL arg0, String arg1, Exception arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"150001",
	args,
	"weblogic.i18n.ConfigLogLocalizer");
    return "150001";
  }

  /**
   * An administration server- and NT multihoming-related missconfiguration was detected ({0} resolves to multiple IP addresses and is thus ambiguous). To resolve the problem, you can do either of the following: (i) please point {1} to an admin host different from {0} or (ii) please refer to {0} as an admin host by IP address (-Dweblogic.admin.host=a.b.c.d) or (iii) please ensure that the WLS instance that''s home to the admin server on {0} binds (listens on) to a DNS address other than {0} (this other DNS address needs to resolve to the IP of {0}, requires DNS update). We recommend solution (iii).
   * @exclude
   *
   * messageid:  150002
   * severity:   emergency
   */
  public static String logMustChooseADifferentAdminHost(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"150002",
	args,
	"weblogic.i18n.ConfigLogLocalizer");
    return "150002";
  }

  /**
   * {0}: dynamic configuration change of attribute {1} from {2} to {3}
   * @exclude
   *
   * messageid:  150003
   * severity:   info
   */
  public static String logDynamicConfigurationChange(javax.management.ObjectName arg0, String arg1, Object arg2, Object arg3)  {
    Object [] args = { arg0, arg1, arg2, arg3 };
    MessageLogger.log(
	"150003",
	args,
	"weblogic.i18n.ConfigLogLocalizer");
    return "150003";
  }

  /**
   * {0}: non dynamic configuration change of attribute {1} from {2} to {3}
   * @exclude
   *
   * messageid:  150004
   * severity:   info
   */
  public static String logNonDynamicConfigurationChange(javax.management.ObjectName arg0, String arg1, Object arg2, Object arg3)  {
    Object [] args = { arg0, arg1, arg2, arg3 };
    MessageLogger.log(
	"150004",
	args,
	"weblogic.i18n.ConfigLogLocalizer");
    return "150004";
  }

  /**
   * {0}: configuration action {1} with parameters {2} and signature {3}
   * @exclude
   *
   * messageid:  150005
   * severity:   info
   */
  public static String logConfigurationAction(javax.management.ObjectName arg0, String arg1, String arg2, String arg3)  {
    Object [] args = { arg0, arg1, arg2, arg3 };
    MessageLogger.log(
	"150005",
	args,
	"weblogic.i18n.ConfigLogLocalizer");
    return "150005";
  }

  /**
   * Error backing up booted configuration from {0} to {1}
   * @exclude
   *
   * messageid:  150006
   * severity:   error
   */
  public static String logErrorBackingUpConfiguration(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"150006",
	args,
	"weblogic.i18n.ConfigLogLocalizer");
    return "150006";
  }

  /**
   * Backed up booted configuration {0} at {1}
   * @exclude
   *
   * messageid:  150007
   * severity:   info
   */
  public static String logBackedUpConfiguration(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"150007",
	args,
	"weblogic.i18n.ConfigLogLocalizer");
    return "150007";
  }


}
