package weblogic.management.internal;

import weblogic.logging.MessageLogger;
 
/** 
 * Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.
 * @exclude
 */
public class LogMgmtLogger
{
  /**
   * Invalid search request received - search for domain logfile can be done only on the Admin Server.
   * @exclude
   *
   * messageid:  170000
   * severity:   warning
   */
  public static String logNotAdminServer()  {
    Object [] args = {  };
    MessageLogger.log(
	"170000",
	args,
	"weblogic.i18n.LogMgmtLogLocalizer");
    return "170000";
  }

  /**
   * End time ({1,number,0}) is less than start time({0,number,0}) in search request.
   * @exclude
   *
   * messageid:  170001
   * severity:   error
   */
  public static String logInvalidEndTimeForSearch(long arg0, long arg1)  {
    Object [] args = { new Long(arg0), new Long(arg1) };
    MessageLogger.log(
	"170001",
	args,
	"weblogic.i18n.LogMgmtLogLocalizer");
    return "170001";
  }

  /**
   * DomainLogfile Handler - unable to obtain filter information. System will use default filter.
   * @exclude
   *
   * messageid:  170002
   * severity:   warning
   */
  public static String logFailedToGetDomainLogFilters(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"170002",
	args,
	"weblogic.i18n.LogMgmtLogLocalizer");
    return "170002";
  }

  /**
   * DomainLogfile Handler - unable to open domain logfile - {0}. Domain logfile disabled.
   * @exclude
   *
   * messageid:  170003
   * severity:   critical
   */
  public static String logCannotOpenDomainLogfile(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"170003",
	args,
	"weblogic.i18n.LogMgmtLogLocalizer");
    return "170003";
  }

  /**
   * DomainLogfile Handler - unable to subscribe to broadcaster {0} at - {1}.
   * @exclude
   *
   * messageid:  170004
   * severity:   error
   */
  public static String logCannotSubscribe(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"170004",
	args,
	"weblogic.i18n.LogMgmtLogLocalizer");
    return "170004";
  }

  /**
   * DomainLogfile Handler - cannot log message to domain logfile - {0}.
   * @exclude
   *
   * messageid:  170005
   * severity:   error
   */
  public static String logCannotLogMessage(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"170005",
	args,
	"weblogic.i18n.LogMgmtLogLocalizer");
    return "170005";
  }

  /**
   * Error creating log broadcaster.
   * @exclude
   *
   * messageid:  170006
   * severity:   error
   */
  public static String logErrorCreatingLogBroadcaster(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"170006",
	args,
	"weblogic.i18n.LogMgmtLogLocalizer");
    return "170006";
  }

  /**
   * Invalid log message found in {0} at line {1,number,0} - ignored during search.
   * @exclude
   *
   * messageid:  170007
   * severity:   warning
   */
  public static String logParsingError(String arg0, int arg1)  {
    Object [] args = { arg0, new Integer(arg1) };
    MessageLogger.log(
	"170007",
	args,
	"weblogic.i18n.LogMgmtLogLocalizer");
    return "170007";
  }

  /**
   * Unable to contact managed server - {1}, at {0}. Domain logfile will not contain messages from this server.
   * @exclude
   *
   * messageid:  170008
   * severity:   critical
   */
  public static String logCannotFindManagedServer(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"170008",
	args,
	"weblogic.i18n.LogMgmtLogLocalizer");
    return "170008";
  }

  /**
   * Failed to create default filter for domain log. No messages will go to domainlog.
   * @exclude
   *
   * messageid:  170009
   * severity:   critical
   */
  public static String logCannotCreateDefaultFilter()  {
    Object [] args = {  };
    MessageLogger.log(
	"170009",
	args,
	"weblogic.i18n.LogMgmtLogLocalizer");
    return "170009";
  }

  /**
   * Got ConfigurationException when trying to set filename for domain log. No domain log will be created.
   * @exclude
   *
   * messageid:  170010
   * severity:   critical
   */
  public static String logCannotSetDomainLogfileName(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"170010",
	args,
	"weblogic.i18n.LogMgmtLogLocalizer");
    return "170010";
  }

  /**
   * LogBroadcaster on this server is unable to get the domain log handler. Messages from this server will not be logged in the domain log.
   * @exclude
   *
   * messageid:  170011
   * severity:   critical
   */
  public static String logCannotGetDomainLogHandler(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"170011",
	args,
	"weblogic.i18n.LogMgmtLogLocalizer");
    return "170011";
  }

  /**
   * LogBroadcaster on this server is unable to get server runtime information. Messages from this server will not be logged in the domain log.
   * @exclude
   *
   * messageid:  170012
   * severity:   critical
   */
  public static String logCannotGetServerRuntime(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"170012",
	args,
	"weblogic.i18n.LogMgmtLogLocalizer");
    return "170012";
  }

  /**
   * Some field missing in message in {0} at line {1,number,0} - message ignored during search.
   * @exclude
   *
   * messageid:  170013
   * severity:   warning
   */
  public static String logMissingField(String arg0, int arg1)  {
    Object [] args = { arg0, new Integer(arg1) };
    MessageLogger.log(
	"170013",
	args,
	"weblogic.i18n.LogMgmtLogLocalizer");
    return "170013";
  }

  /**
   * The date field is probably invalid on {0} line {1,number,0}. Message ignored during search.
   * @exclude
   *
   * messageid:  170014
   * severity:   warning
   */
  public static String logInvalidDate(String arg0, int arg1)  {
    Object [] args = { arg0, new Integer(arg1) };
    MessageLogger.log(
	"170014",
	args,
	"weblogic.i18n.LogMgmtLogLocalizer");
    return "170014";
  }

  /**
   * End of startup logfile. Server will continue logging in main logfile.
   * @exclude
   *
   * messageid:  170015
   * severity:   info
   */
  public static String logCloseStartupFile()  {
    Object [] args = {  };
    MessageLogger.log(
	"170015",
	args,
	"weblogic.i18n.LogMgmtLogLocalizer");
    return "170015";
  }

  /**
   * FileLogger initialized. There may be some pre-initialization messages in {0}
   * @exclude
   *
   * messageid:  170016
   * severity:   info
   */
  public static String logFileLoggerInitialized(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"170016",
	args,
	"weblogic.i18n.LogMgmtLogLocalizer");
    return "170016";
  }


}
