package weblogic.management.internal;

import weblogic.logging.MessageLogger;
 
/** 
 * Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.
 * @exclude
 */
public class ManagementLogger
{
  /**
   * InvocationTargetException getting attribute {1} on MBean {0}. Method: {2}
   * @exclude
   *
   * messageid:  140000
   * severity:   error
   */
  public static String logMBeanGetAttributeInvocationTargetException(javax.management.ObjectName arg0, String arg1, String arg2, Throwable arg3)  {
    Object [] args = { arg0, arg1, arg2, arg3 };
    MessageLogger.log(
	"140000",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "140000";
  }

  /**
   * Error getting attribute {1} on MBean {0}. Method: {2}
   * @exclude
   *
   * messageid:  140001
   * severity:   error
   */
  public static String logMBeanGetAttributeThrowable(javax.management.ObjectName arg0, String arg1, String arg2, Throwable arg3)  {
    Object [] args = { arg0, arg1, arg2, arg3 };
    MessageLogger.log(
	"140001",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "140001";
  }

  /**
   * InvocationTargetException setting attribute {1} on MBean {0} to value {2}. Method: {3}
   * @exclude
   *
   * messageid:  140002
   * severity:   error
   */
  public static String logMBeanSetAttributeInvocationTargetException(javax.management.ObjectName arg0, String arg1, Object arg2, String arg3, Throwable arg4)  {
    Object [] args = { arg0, arg1, arg2, arg3, arg4 };
    MessageLogger.log(
	"140002",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "140002";
  }

  /**
   * Targets other than Server currently not implemented: {0}
   * @exclude
   *
   * messageid:  140003
   * severity:   warning
   */
  public static String logTargetsNotImplementWarning(javax.management.ObjectName arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"140003",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "140003";
  }

  /**
   * Notification listener {0} unregistered for MBean {1}, unregistered after throwing exception handling notification {2}
   * @exclude
   *
   * messageid:  140004
   * severity:   debug
   */
  public static String logUnregisteringNotificationListener(String arg0, javax.management.ObjectName arg1, javax.management.Notification arg2, Throwable arg3)  {
    Object [] args = { arg0, arg1, arg2, arg3 };
    MessageLogger.log(
	"140004",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "140004";
  }

  /**
   * Loading configuration file {0} ...
   * @exclude
   *
   * messageid:  140005
   * severity:   notice
   */
  public static String logConfigFile(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"140005",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "140005";
  }

  /**
   * Error initializing module {1} of application {0} from path {2}: {3}
   * @exclude
   *
   * messageid:  141000
   * severity:   error
   */
  public static String logApplicationModuleInitializationError(javax.management.ObjectName arg0, String arg1, String arg2, String arg3, Exception arg4)  {
    Object [] args = { arg0, arg1, arg2, arg3, arg4 };
    MessageLogger.log(
	"141000",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141000";
  }

  /**
   * Error updating deployments on target {1}, component {0}, deployments: {2}
   * @exclude
   *
   * messageid:  141001
   * severity:   error
   */
  public static String logDeploymentUpdateError(javax.management.ObjectName arg0, javax.management.ObjectName arg1, String arg2, Throwable arg3)  {
    Object [] args = { arg0, arg1, arg2, arg3 };
    MessageLogger.log(
	"141001",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141001";
  }

  /**
   * Error creating application URL {0}.
   * @exclude
   *
   * messageid:  141002
   * severity:   error
   */
  public static String logUnableToCreateApplicationURL(String arg0, java.net.MalformedURLException arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"141002",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141002";
  }

  /**
   * Error parsing application XML deployment descriptor for application {0}, loading from path {1}
   * @exclude
   *
   * messageid:  141003
   * severity:   error
   */
  public static String logErrorParsingApplicationXML(javax.management.ObjectName arg0, String arg1, Exception arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"141003",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141003";
  }

  /**
   * IOException opening application {0}, loading from path {1}
   * @exclude
   *
   * messageid:  141004
   * severity:   error
   */
  public static String logIOExceptionOpeningApplication(javax.management.ObjectName arg0, String arg1, Exception arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"141004",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141004";
  }

  /**
   * IOException preparing exploded application {0} for deployment from path {1}
   * @exclude
   *
   * messageid:  141005
   * severity:   error
   */
  public static String logErrorArchivingExplodedApplication(javax.management.ObjectName arg0, String arg1, Exception arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"141005",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141005";
  }

  /**
   * Application {0} not found at {1}
   * @exclude
   *
   * messageid:  141006
   * severity:   error
   */
  public static String logApplicationFileNotFound(javax.management.ObjectName arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"141006",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141006";
  }

  /**
   * Error preparing application component {1} of application {0} for deployment: {3} (local path: {2})
   * @exclude
   *
   * messageid:  141007
   * severity:   error
   */
  public static String logErrorArchivingComponentForDistribution(javax.management.ObjectName arg0, String arg1, String arg2, String arg3, Throwable arg4)  {
    Object [] args = { arg0, arg1, arg2, arg3, arg4 };
    MessageLogger.log(
	"141007",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141007";
  }

  /**
   * Error preparing application component {1} of application {0}: {3} ((localPath: {2})
   * @exclude
   *
   * messageid:  141008
   * severity:   error
   */
  public static String logErrorProcessingComponentDistributionRequest(javax.management.ObjectName arg0, String arg1, String arg2, Throwable arg3)  {
    Object [] args = { arg0, arg1, arg2, arg3 };
    MessageLogger.log(
	"141008",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141008";
  }

  /**
   * Error in file distribution servlet while processing request of type "{0}", {1}
   * @exclude
   *
   * messageid:  141009
   * severity:   error
   */
  public static String logErrorInFileDistributionServlet(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"141009",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141009";
  }

  /**
   * Error in file distribution servlet, received unacceptable request of type "{0}" for application {1}
   * @exclude
   *
   * messageid:  141010
   * severity:   error
   */
  public static String logBadRequestInFileDistributionServlet(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"141010",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141010";
  }

  /**
   * File distribution servlet failed to distribute security properties file because the file was not found at the configured location: {0}
   * @exclude
   *
   * messageid:  141011
   * severity:   error
   */
  public static String logFileNotFoundProcessingFileRealmRequest(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"141011",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141011";
  }

  /**
   * Error deploying installed application {0} on server {1}
   * @exclude
   *
   * messageid:  141012
   * severity:   error
   */
  public static String logErrorDeployingInstalledApplication(javax.management.ObjectName arg0, javax.management.ObjectName arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"141012",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141012";
  }

  /**
   * Error deploying application from directory {0} and file {1}
   * @exclude
   *
   * messageid:  141013
   * severity:   error
   */
  public static String logErrorDeployingApplication(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"141013",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141013";
  }

  /**
   * Error cleaning up temporary application directory {0}
   * @exclude
   *
   * messageid:  141014
   * severity:   error
   */
  public static String logErrorCleaningUpApplicationTempDir(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"141014",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141014";
  }

  /**
   * Unable to create temporary application directory {0}
   * @exclude
   *
   * messageid:  141015
   * severity:   error
   */
  public static String logUnableToCreateApplicationTempDir(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"141015",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141015";
  }

  /**
   * Error deploying loading application {0}
   * @exclude
   *
   * messageid:  141016
   * severity:   error
   */
  public static String logErrorLoadingApplication(javax.management.ObjectName arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"141016",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141016";
  }

  /**
   * Application Manager deployed application {0} and attempted to set default web application on web server {1}, but web server {1} was not found.
   * @exclude
   *
   * messageid:  141017
   * severity:   error
   */
  public static String logWebServerNotFoundForDefaultWebApp(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"141017",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141017";
  }

  /**
   * Application Manager tried to deploy application {0} as a default web application, but did not find the correct components (1 Web Application) in the application: {1}
   * @exclude
   *
   * messageid:  141018
   * severity:   error
   */
  public static String logIncorrectApplicationForDefaultWebApp(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"141018",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141018";
  }

  /**
   * Error trying to deploy application {1} on attempt {0}
   * @exclude
   *
   * messageid:  141019
   * severity:   error
   */
  public static String logErrorRetryingToDeployApplication(int arg0, String arg1, Throwable arg2)  {
    Object [] args = { new Integer(arg0), arg1, arg2 };
    MessageLogger.log(
	"141019",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141019";
  }

  /**
   * Error creating domain log handler
   * @exclude
   *
   * messageid:  141020
   * severity:   error
   */
  public static String logErrorCreatingDomainLogHandler(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"141020",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141020";
  }

  /**
   * Cluster property {0} ignored because server is not part of a cluster.
   * @exclude
   *
   * messageid:  141021
   * severity:   warning
   */
  public static String logClusterPropertyIgnoreBecauseNoClusterConfigured(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"141021",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141021";
  }

  /**
   * Management exception: {0}
   * @exclude
   *
   * messageid:  141022
   * severity:   error
   */
  public static String logInternalManagementException(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"141022",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141022";
  }

  /**
   * Error setting attribute value in MBean Proxy {0}, method {1} with value {2} ({3})
   * @exclude
   *
   * messageid:  141023
   * severity:   error
   */
  public static String logMBeanProxySetAttributeError(javax.management.ObjectName arg0, String arg1, Object arg2, Object arg3, Throwable arg4)  {
    Object [] args = { arg0, arg1, arg2, arg3, arg4 };
    MessageLogger.log(
	"141023",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141023";
  }

  /**
   * Not an Admin Server so cannot Refresh Managed Server information.
   * @exclude
   *
   * messageid:  141024
   * severity:   error
   */
  public static String logDiscoverManagedServerNotAdminError()  {
    Object [] args = {  };
    MessageLogger.log(
	"141024",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141024";
  }

  /**
   * The listen port in file {2} line {0,number,0}:{1} was invalid.
   * @exclude
   *
   * messageid:  141025
   * severity:   error
   */
  public static String logBadListenPortInCacheFile(int arg0, String arg1, String arg2, Throwable arg3)  {
    Object [] args = { new Integer(arg0), arg1, arg2, arg3 };
    MessageLogger.log(
	"141025",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141025";
  }

  /**
   * The line {0,number,0}:{1} in file {2} was badly formatted. Correct format is serverName;listenAddress;listenPort
   * @exclude
   *
   * messageid:  141026
   * severity:   error
   */
  public static String logBadLineFormatInCacheFile(int arg0, String arg1, String arg2, Throwable arg3)  {
    Object [] args = { new Integer(arg0), arg1, arg2, arg3 };
    MessageLogger.log(
	"141026",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141026";
  }

  /**
   * While trying to do Managed Server discovery, found that server {0} (running at {1}:{2,number,0}) is no longer part of the active configuration.
   * @exclude
   *
   * messageid:  141027
   * severity:   warning
   */
  public static String logServerNoLongerInConfiguration(String arg0, String arg1, int arg2)  {
    Object [] args = { arg0, arg1, new Integer(arg2) };
    MessageLogger.log(
	"141027",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141027";
  }

  /**
   * JNDI lookup for MBeanHome on server {0} running on listen address {1} listen port {2,number,0} failed.
   * @exclude
   *
   * messageid:  141028
   * severity:   warning
   */
  public static String logManagedJNDILookupFail(String arg0, String arg1, int arg2, Throwable arg3)  {
    Object [] args = { arg0, arg1, new Integer(arg2), arg3 };
    MessageLogger.log(
	"141028",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141028";
  }

  /**
   * Unable to reconnect to Admin Server running at {0} from Managed Server - {1}.
   * @exclude
   *
   * messageid:  141029
   * severity:   warning
   */
  public static String logManagedReconnectToAdminFail(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"141029",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141029";
  }

  /**
   * Starting discovery of Managed Server...
   * @exclude
   *
   * messageid:  141030
   * severity:   notice
   */
  public static String logDiscoverManagedServerStarted()  {
    Object [] args = {  };
    MessageLogger.log(
	"141030",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141030";
  }

  /**
   * Managed Server discovery, for server {0} running at {1}:{2,number,0}
   * @exclude
   *
   * messageid:  141031
   * severity:   info
   */
  public static String logDiscoveringManagedServer(String arg0, String arg1, int arg2)  {
    Object [] args = { arg0, arg1, new Integer(arg2) };
    MessageLogger.log(
	"141031",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141031";
  }

  /**
   * Registering Managed Server: {0} running at {1}:{2,number,0}
   * @exclude
   *
   * messageid:  141032
   * severity:   info
   */
  public static String logRegisteringManagedServer(String arg0, String arg1, int arg2)  {
    Object [] args = { arg0, arg1, new Integer(arg2) };
    MessageLogger.log(
	"141032",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141032";
  }

  /**
   * Error importing MBean {0} to server {1}.
   * @exclude
   *
   * messageid:  141033
   * severity:   error
   */
  public static String logErrorImportingAdminMBean(Object arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"141033",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141033";
  }

  /**
   * Java system property: {0} = {1}
   * @exclude
   *
   * messageid:  141034
   * severity:   info
   */
  public static String logJavaSystemProperty(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"141034",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141034";
  }

  /**
   * No components found in application: {0}
   * @exclude
   *
   * messageid:  141035
   * severity:   warning
   */
  public static String logEmptyApplicationWarning(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"141035",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141035";
  }

  /**
   * Error creating domain RuntimeMBean: {0}
   * @exclude
   *
   * messageid:  141036
   * severity:   warning
   */
  public static String logErrorCreatingDomainRuntime(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"141036",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141036";
  }

  /**
   * File distribution servlet failed to distribute server certificate file because the file was not found at the configured location: {0}
   * @exclude
   *
   * messageid:  141037
   * severity:   error
   */
  public static String logFileNotFoundProcessingServerCertificateRequest(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"141037",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141037";
  }

  /**
   * File distribution servlet failed to distribute server certificate chain file because the file was not found at the configured location: {0}
   * @exclude
   *
   * messageid:  141038
   * severity:   error
   */
  public static String logFileNotFoundProcessingServerCertificateChainRequest(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"141038",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141038";
  }

  /**
   * MBean=({0}) Attribute=({1}) modified from ({2}) to ({3}).
   * @exclude
   *
   * messageid:  141039
   * severity:   info
   */
  public static String logAdminAttributeChange(String arg0, String arg1, String arg2, String arg3)  {
    Object [] args = { arg0, arg1, arg2, arg3 };
    MessageLogger.log(
	"141039",
	args,
	"weblogic.i18n.ManagementLogLocalizer");
    return "141039";
  }


}
