@start rule: main
@genPackageDeclaration

import java.io.Serializable;
import java.io.IOException;
import java.io.ObjectInputStream;
import java.io.ObjectOutputStream;
import java.rmi.RemoteException;
import javax.management.Notification;
import javax.management.NotificationListener;
import javax.management.AttributeChangeNotification;
import javax.management.InstanceNotFoundException;
import weblogic.management.MBeanHome;
import weblogic.management.RemoteMBeanServer;
import weblogic.management.WebLogicMBean;
import weblogic.management.internal.CachingStub;
import weblogic.utils.AssertionError;

/** 
 * @genAuthor Copyright (c) @year by BEA. All Rights Reserved.
 * @@exclude
 */
public final class @genClassName
  implements CachingStub, @genInterfaceName, NotificationListener, Serializable 
{
  private @genInterfaceName delegate;

  @constructor

  @genAccessors
  
  @genOperations

  @notificationHandler

  public WebLogicMBean getDelegate() { return delegate; }

  private void writeObject(ObjectOutputStream stream)
    throws IOException, ClassNotFoundException
  {
    stream.writeObject(delegate);
  }

  private void readObject(ObjectInputStream stream)
    throws IOException, ClassNotFoundException
  {
    delegate = (@genInterfaceName)stream.readObject();
  }

  public String toString() {
    return "[Caching Stub]" + delegate.toString();
  }

  /**  
   * Always replace with delegate upon serialization.  Don't worry 
   */
  private Object writeReplace() throws java.io.ObjectStreamException
  {
    return delegate;
  }
}
 
@end rule: main

@start rule: constructor
  public @genClassName(@genInterfaceName delegate, RemoteMBeanServer server) 
  {
    this.delegate = delegate;
    delegate.addNotificationListener(this, null, null);
  }
@end rule: constructor

@start rule: attributeDeclaration
  /*
   * Declaration of @genAttributeName
   */
  private boolean @genAttributeIsCached = false;
  private @genAttributeType @genAttributeFieldName;
@end rule: attributeDeclaration

@start rule: getter
  /**
   * Getter for @genAttributeName
   */
  public @genAttributeType @genMethodName() 
    @genThrowsClause
  {
    if (!@genAttributeIsCached) {
      @genAttributeFieldName = delegate.@genMethodName(); 
      @genAttributeIsCached = true;  
    }
    return @genAttributeFieldName;
  }
@end rule: getter

@start rule: setter
  /**
   * Setter for @genAttributeName
   */
  public void @genMethodName(@genAttributeType value)
    @genThrowsClause
  {
    delegate.@genMethodName(value);
    @genAttributeFieldName = value;
    @genAttributeIsCached = true;
  }
@end rule: setter

@start rule: operation
  /**
   * Operation @genMethodName
   */
  public @genReturnType @genMethodName(
    @genParameterList
  ) 
    @genThrowsClause
  {
    @genOperationBody
  }
@end rule: operation

@start rule: operationBody
    return delegate.@genMethodName(@genParameters);
@end rule: operationBody

@start rule: voidOperationBody
    delegate.@genMethodName(@genParameters);
@end rule: voidOperationBody

@start rule: notificationHandler
  /**
   * Invalidates attribute value cache if the value has changed
   */
  public void handleNotification(Notification notification, Object handback) 
  {
    if (notification instanceof AttributeChangeNotification) {
      AttributeChangeNotification changeNotification =
	(AttributeChangeNotification)notification;
      String attributeName = changeNotification.getAttributeName();
      @genAttributeCacheInvalidatorFragment
    }  
  }
@end rule: notificationHandler

@start rule: attributeCacheInvalidator
  if (attributeName.equals("@genAttributeName")) {
    @genAttributeIsCached = false;
  }
@end rule: attributeCacheInvalidator











