package weblogic.security;

import weblogic.logging.MessageLogger;
 
/** 
 * Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.
 * @exclude
 */
public class SecurityLogger
{
  /**
   * Unsupported circular group definition, {0}.
   * @exclude
   *
   * messageid:  090000
   * severity:   error
   */
  public static String logUnsupportedCircularGroup(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"090000",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090000";
  }

  /**
   * Failed to broadcast LoginFailureRecord to the other cluster servers, {0}.
   * @exclude
   *
   * messageid:  090001
   * severity:   error
   */
  public static String logSendingLoginFailure(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"090001",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090001";
  }

  /**
   * Failed to broadcast unlock user {0} to the other cluster servers, {1}.
   * @exclude
   *
   * messageid:  090002
   * severity:   error
   */
  public static String logBroadcastUnlockUserFailure(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"090002",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090002";
  }

  /**
   * Problem with native crypto acceleration switching to pure java.
   * @exclude
   *
   * messageid:  090003
   * severity:   warning
   */
  public static String logNativeCryptoProblemWarning()  {
    Object [] args = {  };
    MessageLogger.log(
	"090003",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090003";
  }

  /**
   * Problem closing enumeration : {0}.
   * @exclude
   *
   * messageid:  090004
   * severity:   warning
   */
  public static String logClosingEnumerationWarning(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"090004",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090004";
  }

  /**
   * ACL {0} contains non-existent principal {1} - ignoring principal.
   * @exclude
   *
   * messageid:  090010
   * severity:   warning
   */
  public static String logNonexistentPrincipalWarning(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"090010",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090010";
  }

  /**
   * User lockout expired, unlocking user {0}.
   * @exclude
   *
   * messageid:  090020
   * severity:   info
   */
  public static String logLockoutExpiredInfo(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"090020",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090020";
  }

  /**
   * Locking account, user {0}.
   * @exclude
   *
   * messageid:  090021
   * severity:   info
   */
  public static String logLockingUserInfo(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"090021",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090021";
  }

  /**
   * Explicitly unlocked, user {0}.
   * @exclude
   *
   * messageid:  090022
   * severity:   info
   */
  public static String logExplicitUserUnlockInfo(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"090022",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090022";
  }

  /**
   * Switched to Group {0}.
   * @exclude
   *
   * messageid:  090030
   * severity:   info
   */
  public static String logSwitchedToGroupInfo(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"090030",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090030";
  }

  /**
   * Failed to Switch to Group {0}.
   * @exclude
   *
   * messageid:  090031
   * severity:   error
   */
  public static String logFailedToSwitchGroupError(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"090031",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090031";
  }

  /**
   * Switched to User {0}.
   * @exclude
   *
   * messageid:  090032
   * severity:   info
   */
  public static String logSwitchedToUserInfo(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"090032",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090032";
  }

  /**
   * Failed to Switch to User {0}.
   * @exclude
   *
   * messageid:  090033
   * severity:   error
   */
  public static String logFailedToSwitchUserError(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"090033",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090033";
  }

  /**
   * Not listening for SSL, {0}.
   * @exclude
   *
   * messageid:  090034
   * severity:   info
   */
  public static String logNotListeningForSSLInfo(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"090034",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090034";
  }

  /**
   * Not listening on administrative port, {0}.
   * @exclude
   *
   * messageid:  090035
   * severity:   info
   */
  public static String logNotListeningOnAdminPortInfo(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"090035",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090035";
  }

  /**
   * Package read access denied for package: {0}.
   * @exclude
   *
   * messageid:  090036
   * severity:   info
   */
  public static String logPackageReadDeniedInfo(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"090036",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090036";
  }

  /**
   * Package write access denied for package: {0}.
   * @exclude
   *
   * messageid:  090037
   * severity:   info
   */
  public static String logPackageWriteDeniedInfo(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"090037",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090037";
  }

  /**
   * Checking User {0} for Permission {1} {2}.
   * @exclude
   *
   * messageid:  090038
   * severity:   info
   */
  public static String logCheckUserPermissionInfo(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"090038",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090038";
  }

  /**
   * Access failed (Thread = {0}), caused {1}
   * @exclude
   *
   * messageid:  090039
   * severity:   info
   */
  public static String logAccessFailedInfo(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"090039",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090039";
  }

  /**
   * The FileRealm contains more users than the maximum specified. Maximum = {0}, currently have {1}.
   * @exclude
   *
   * messageid:  090040
   * severity:   warning
   */
  public static String logMaxUserWarning(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"090040",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090040";
  }

  /**
   * The FileRealm contains more groups than the maximum specified. Maximum = {0}, currently have {1}.
   * @exclude
   *
   * messageid:  090041
   * severity:   warning
   */
  public static String logMaxGroupWarning(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"090041",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090041";
  }

  /**
   * The FileRealm contains more acls than the maximum specified. Maximum = {0}, currently have {1}.
   * @exclude
   *
   * messageid:  090042
   * severity:   warning
   */
  public static String logMaxAclWarning(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"090042",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090042";
  }

  /**
   * Group {0} should exist but doesn''t.
   * @exclude
   *
   * messageid:  090043
   * severity:   warning
   */
  public static String logMissingGroupWarning(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"090043",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090043";
  }

  /**
   * Principal {0} does not exist thus cannot be added to group {1}.
   * @exclude
   *
   * messageid:  090044
   * severity:   warning
   */
  public static String logNonexistentPrincipalGroupWarning(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"090044",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090044";
  }

  /**
   * Permission {0} does not exist.
   * @exclude
   *
   * messageid:  090045
   * severity:   warning
   */
  public static String logNonexistentPermissionWarning(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"090045",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090045";
  }

  /**
   * ACL {0} does not exist.
   * @exclude
   *
   * messageid:  090046
   * severity:   warning
   */
  public static String logNonexistentAclWarning(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"090046",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090046";
  }

  /**
   * Principal {0} does not exist thus cannot be added to ACL {1}.
   * @exclude
   *
   * messageid:  090047
   * severity:   warning
   */
  public static String logNonexistentPrincipalAclWarning(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"090047",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090047";
  }

  /**
   * Made an in-memory only change to the FileRealm.
   * @exclude
   *
   * messageid:  090048
   * severity:   warning
   */
  public static String logInMemoryFileRealmChangeWarning()  {
    Object [] args = {  };
    MessageLogger.log(
	"090048",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090048";
  }

  /**
   * System user {0} does not exist, creating it.
   * @exclude
   *
   * messageid:  090049
   * severity:   warning
   */
  public static String logNonexistentSystemUserWarning(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"090049",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090049";
  }

  /**
   * Guest user does not exist, creating it.
   * @exclude
   *
   * messageid:  090050
   * severity:   warning
   */
  public static String logNonexistentGuestUserWarning()  {
    Object [] args = {  };
    MessageLogger.log(
	"090050",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090050";
  }

  /**
   * Error creating security runtime
   * @exclude
   *
   * messageid:  090051
   * severity:   error
   */
  public static String logErrorCreatingSecurityRuntime(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"090051",
	args,
	"weblogic.i18n.SecurityLogLocalizer");
    return "090051";
  }


}
