package weblogic.servlet;

import weblogic.logging.MessageLogger;
 
/** 
 * Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.
 * @exclude
 */
public class HTTPLogger
{
  /**
   * [{0}] Using classpath: {1}
   * @exclude
   *
   * messageid:  101000
   * severity:   info
   */
  public static String logClasspath(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101000",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101000";
  }

  /**
   * [{0}] ServletServlet: Registering: {1} as: {2}
   * @exclude
   *
   * messageid:  101001
   * severity:   info
   */
  public static String logRegisterServletServlet(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101001",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101001";
  }

  /**
   * [{0}] Could not deserialize context attribute
   * @exclude
   *
   * messageid:  101002
   * severity:   error
   */
  public static String logUnableToDeserializeAttribute(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101002",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101002";
  }

  /**
   * [{0}] {1} called with null docroot
   * @exclude
   *
   * messageid:  101003
   * severity:   alert
   */
  public static String logNullDocRoot(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101003",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101003";
  }

  /**
   * [{0}] {1} called with null path
   * @exclude
   *
   * messageid:  101004
   * severity:   error
   */
  public static String logNullDocPath(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101004",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101004";
  }

  /**
   * [{0}] {1} called with unsafe path: "{2}"
   * @exclude
   *
   * messageid:  101005
   * severity:   error
   */
  public static String logUnsafePath(String arg0, String arg1, String arg2, Throwable arg3)  {
    Object [] args = { arg0, arg1, arg2, arg3 };
    MessageLogger.log(
	"101005",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101005";
  }

  /**
   * [{0}] {1} looking for resource {2}
   * @exclude
   *
   * messageid:  101006
   * severity:   info
   */
  public static String logLookupResource(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101006",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101006";
  }

  /**
   * [{0}] {1} looking for stream {2}
   * @exclude
   *
   * messageid:  101007
   * severity:   info
   */
  public static String logLookupStream(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101007",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101007";
  }

  /**
   * [{0}] Cannot get InputStream if resource "{1}"
   * @exclude
   *
   * messageid:  101008
   * severity:   error
   */
  public static String logUnableToGetStream(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101008",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101008";
  }

  /**
   * [{0}] Initialized context: "{1}" with verbose "{2}", reloadCheckSecs: "{3,number}", and claspath: "{4}"
   * @exclude
   *
   * messageid:  101009
   * severity:   debug
   */
  public static String logInitializedContext(String arg0, String arg1, boolean arg2, int arg3, String arg4)  {
    Object [] args = { arg0, arg1, new Boolean(arg2), new Integer(arg3), arg4 };
    MessageLogger.log(
	"101009",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101009";
  }

  /**
   * [{0}] Registering: "{1}" as: "{2}", with args: "{3}"
   * @exclude
   *
   * messageid:  101010
   * severity:   debug
   */
  public static String logRegisterServlet(String arg0, String arg1, String arg2, String arg3)  {
    Object [] args = { arg0, arg1, arg2, arg3 };
    MessageLogger.log(
	"101010",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101010";
  }

  /**
   * [{0}] Registering: "{1}" as: "{2}", with initString: "{3}"
   * @exclude
   *
   * messageid:  101011
   * severity:   debug
   */
  public static String logRegisterServletDefinition(String arg0, String arg1, String arg2, String arg3)  {
    Object [] args = { arg0, arg1, arg2, arg3 };
    MessageLogger.log(
	"101011",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101011";
  }

  /**
   * [{0}] Couldn''t find servlet for path: "{1}"
   * @exclude
   *
   * messageid:  101012
   * severity:   debug
   */
  public static String logNoServletFound(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101012",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101012";
  }

  /**
   * [{0}] Found servlet for path: "{1}"
   * @exclude
   *
   * messageid:  101013
   * severity:   debug
   */
  public static String logServletFound(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101013",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101013";
  }

  /**
   * [{0}] Removing ServletStub: "{1}"
   * @exclude
   *
   * messageid:  101014
   * severity:   debug
   */
  public static String logRemovingServlet(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101014",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101014";
  }

  /**
   * [{0}] Invoking servlet
   * @exclude
   *
   * messageid:  101015
   * severity:   debug
   */
  public static String logInvokingServlet(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101015",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101015";
  }

  /**
   * [{0}] MAX post size {1,number} exceeded
   * @exclude
   *
   * messageid:  101016
   * severity:   error
   */
  public static String logMaxPostSizeExceeded(String arg0, int arg1)  {
    Object [] args = { arg0, new Integer(arg1) };
    MessageLogger.log(
	"101016",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101016";
  }

  /**
   * [{0}] Root cause of ServletException
   * @exclude
   *
   * messageid:  101017
   * severity:   error
   */
  public static String logRootCause(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101017",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101017";
  }

  /**
   * [{0}] Servlet failed with ServletException
   * @exclude
   *
   * messageid:  101018
   * severity:   error
   */
  public static String logServletException(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101018",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101018";
  }

  /**
   * [{0}] Servlet failed with IOException
   * @exclude
   *
   * messageid:  101019
   * severity:   error
   */
  public static String logIOException(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101019",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101019";
  }

  /**
   * [{0}] Servlet failed with Exception
   * @exclude
   *
   * messageid:  101020
   * severity:   error
   */
  public static String logException(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101020",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101020";
  }

  /**
   * Request uri for "{0}" context did not start with context path "{1}"
   * @exclude
   *
   * messageid:  101021
   * severity:   alert
   */
  public static String logInvalidRequestURI(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101021",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101021";
  }

  /**
   * [{0}] Treating servlet mappings of extensions as lower case
   * @exclude
   *
   * messageid:  101022
   * severity:   debug
   */
  public static String logLCExtensions(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101022",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101022";
  }

  /**
   * [{0}] Lowering extension "{1}"
   * @exclude
   *
   * messageid:  101023
   * severity:   debug
   */
  public static String logLCExtension(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101023",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101023";
  }

  /**
   * [{0}] Unsupported error status code
   * @exclude
   *
   * messageid:  101024
   * severity:   critical
   */
  public static String logUnsupportedErrorCode(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101024",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101024";
  }

  /**
   * [{0}] Document root is null
   * @exclude
   *
   * messageid:  101025
   * severity:   alert
   */
  public static String logNullDocumentRoot(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101025",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101025";
  }

  /**
   * [{0}] Document root: "{1}" doesn''t exist as an absolute path, trying it as a path relative to the per-server directory.
   * @exclude
   *
   * messageid:  101026
   * severity:   debug
   */
  public static String logNoDocRootWarning(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101026",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101026";
  }

  /**
   * [{0}] Document root: "{1}" doesn''t exist.
   * @exclude
   *
   * messageid:  101027
   * severity:   alert
   */
  public static String logNoDocRoot(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101027",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101027";
  }

  /**
   * [{0}] Document root: "{1}" isn''t a directory.
   * @exclude
   *
   * messageid:  101028
   * severity:   alert
   */
  public static String logRootNotDirectory(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101028",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101028";
  }

  /**
   * [{0}] cannot make temp directory "{1}", will not be able to compile JSPs
   * @exclude
   *
   * messageid:  101029
   * severity:   error
   */
  public static String logUnableToMakeDirectory(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101029",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101029";
  }

  /**
   * [{0}] Document root: "{1}" doesn''t resolve to a canonical name.
   * @exclude
   *
   * messageid:  101030
   * severity:   error
   */
  public static String logNoCanonicalPath(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101030",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101030";
  }

  /**
   * [{0}] extracting classfiles to {1}:
   * @exclude
   *
   * messageid:  101031
   * severity:   info
   */
  public static String logExtractClassFiles(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101031",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101031";
  }

  /**
   * [{0}] extracted classfiles successfully...
   * @exclude
   *
   * messageid:  101032
   * severity:   info
   */
  public static String logClassFilesExtracted(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101032",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101032";
  }

  /**
   * [{0}] failed to extract classfiles
   * @exclude
   *
   * messageid:  101033
   * severity:   error
   */
  public static String logClassFilesNotExtracted(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101033",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101033";
  }

  /**
   * [{0}] failure extracting WAR classes
   * @exclude
   *
   * messageid:  101034
   * severity:   error
   */
  public static String logWARClassesNotExtracted(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101034",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101034";
  }

  /**
   * [{0}] Check access passed for {1}
   * @exclude
   *
   * messageid:  101035
   * severity:   debug
   */
  public static String logCheckAccessPassed(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101035",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101035";
  }

  /**
   * [{0}] Got an authent icated user from session: {1}
   * @exclude
   *
   * messageid:  101036
   * severity:   debug
   */
  public static String logGotAuthenticatedUser(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101036",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101036";
  }

  /**
   * [{0}] No previous user object is found in session, new authentication of {1}
   * @exclude
   *
   * messageid:  101037
   * severity:   debug
   */
  public static String logNoPreviousUser(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101037",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101037";
  }

  /**
   * [{0}] Authenticated new user: {1}
   * @exclude
   *
   * messageid:  101038
   * severity:   debug
   */
  public static String logAuthenticatedUser(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101038",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101038";
  }

  /**
   * [{0}] {1} has permission to execute {2}
   * @exclude
   *
   * messageid:  101039
   * severity:   debug
   */
  public static String logUserPermission(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101039",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101039";
  }

  /**
   * [{0}] Error trying to set "{1}{2}"
   * @exclude
   *
   * messageid:  101040
   * severity:   error
   */
  public static String logReloadCheckSecondsError(String arg0, String arg1, String arg2, Throwable arg3)  {
    Object [] args = { arg0, arg1, arg2, arg3 };
    MessageLogger.log(
	"101040",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101040";
  }

  /**
   * [{0}] Comparing BUILD_VERSION(s):\n JSP: {1}\n WLS: {2}
   * @exclude
   *
   * messageid:  101041
   * severity:   debug
   */
  public static String logCompareVersion(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101041",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101041";
  }

  /**
   * [{0}] {1} looking for source {2}
   * @exclude
   *
   * messageid:  101042
   * severity:   info
   */
  public static String logGettingSource(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101042",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101042";
  }

  /**
   * [{0}] getResource is called when document root is not set
   * @exclude
   *
   * messageid:  101043
   * severity:   alert
   */
  public static String logWrongResourceGetter(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101043",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101043";
  }

  /**
   * [{0}] Cannot find resource: "{1}" in document root: "{2}"
   * @exclude
   *
   * messageid:  101044
   * severity:   error
   */
  public static String logNoResource(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101044",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101044";
  }

  /**
   * [{0}] {1}
   * @exclude
   *
   * messageid:  101045
   * severity:   error
   */
  public static String logError(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101045",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101045";
  }

  /**
   * [{0}] {1}
   * @exclude
   *
   * messageid:  101046
   * severity:   error
   */
  public static String logErrorWithThrowable(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101046",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101046";
  }

  /**
   * [{0}] {1}
   * @exclude
   *
   * messageid:  101047
   * severity:   info
   */
  public static String logInfo(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101047",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101047";
  }

  /**
   * Please specify secure port in the properties. Using ports 7001/7002. See release notes for more info
   * @exclude
   *
   * messageid:  101048
   * severity:   error
   */
  public static String logSpecifySecurePort()  {
    Object [] args = {  };
    MessageLogger.log(
	"101048",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101048";
  }

  /**
   * Expected content length: {0,number} bytes but received {1,number} bytes
   * @exclude
   *
   * messageid:  101049
   * severity:   error
   */
  public static String logContentLength(int arg0, int arg1)  {
    Object [] args = { new Integer(arg0), new Integer(arg1) };
    MessageLogger.log(
	"101049",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101049";
  }

  /**
   * [{0}] Can''t register servlet {1} because default servlet context is not defined
   * @exclude
   *
   * messageid:  101050
   * severity:   error
   */
  public static String logUnableToRegisterServlet(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101050",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101050";
  }

  /**
   * [{0}] started
   * @exclude
   *
   * messageid:  101051
   * severity:   info
   */
  public static String logStarted(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101051",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101051";
  }

  /**
   * [{0}] Initialized
   * @exclude
   *
   * messageid:  101052
   * severity:   info
   */
  public static String logInit(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101052",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101052";
  }

  /**
   * [{0}] Loading web app: {1}
   * @exclude
   *
   * messageid:  101053
   * severity:   info
   */
  public static String logLoadingWebApp(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101053",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101053";
  }

  /**
   * [{0}] {1} is the default web application for {2}
   * @exclude
   *
   * messageid:  101054
   * severity:   info
   */
  public static String logSetContext(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101054",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101054";
  }

  /**
   * [{0}] Could not load web application ({1})
   * @exclude
   *
   * messageid:  101055
   * severity:   warning
   */
  public static String logUnableToLoadWebApp(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101055",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101055";
  }

  /**
   * [{0}] {1} has no parent context
   * @exclude
   *
   * messageid:  101056
   * severity:   info
   */
  public static String logNoParentContext(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101056",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101056";
  }

  /**
   * [{0}] {1} is the parent context for {2}
   * @exclude
   *
   * messageid:  101057
   * severity:   info
   */
  public static String logParentContext(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101057",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101057";
  }

  /**
   * [{0}] Loading {1} from defaults
   * @exclude
   *
   * messageid:  101058
   * severity:   info
   */
  public static String logLoadingFromDefaults(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101058",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101058";
  }

  /**
   * [{0}] Loading {1} from WAR file: {2}
   * @exclude
   *
   * messageid:  101059
   * severity:   info
   */
  public static String logLoadingFromWAR(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101059",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101059";
  }

  /**
   * [{0}] Loading {1} from directory: {2}
   * @exclude
   *
   * messageid:  101060
   * severity:   info
   */
  public static String logLoadingFromDir(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101060",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101060";
  }

  /**
   * [{0}] Could not find Web application "{1}"
   * @exclude
   *
   * messageid:  101061
   * severity:   error
   */
  public static String logUnableToFindWebApp(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101061",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101061";
  }

  /**
   * [{0}] Error reading Web application "{1}"
   * @exclude
   *
   * messageid:  101062
   * severity:   error
   */
  public static String logErrorReadingWebApp(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101062",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101062";
  }

  /**
   * [{0}] Error parsing descriptor in Web appplication "{1}"
   * @exclude
   *
   * messageid:  101063
   * severity:   error
   */
  public static String logParseError(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101063",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101063";
  }

  /**
   * [{0}] Error loading Web application "{1}"
   * @exclude
   *
   * messageid:  101064
   * severity:   error
   */
  public static String logLoadError(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101064",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101064";
  }

  /**
   * [{0}] Failed to obtain localhost name
   * @exclude
   *
   * messageid:  101065
   * severity:   error
   */
  public static String logUnableToObtainHostName(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101065",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101065";
  }

  /**
   * [{0}] Cannot initialize httpd URL resources because could not get JNDI context: {1}
   * @exclude
   *
   * messageid:  101066
   * severity:   error
   */
  public static String logNoJNDIContext(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101066",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101066";
  }

  /**
   * [{0}] Disregarding null URL resource value for property {1}
   * @exclude
   *
   * messageid:  101067
   * severity:   error
   */
  public static String logNullURL(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101067",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101067";
  }

  /**
   * [{0}] Could not parse URL resource value {1}
   * @exclude
   *
   * messageid:  101068
   * severity:   error
   */
  public static String logURLParseError(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101068",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101068";
  }

  /**
   * [{0}] Could not bind URL {1} to JNDI name {2} {3}
   * @exclude
   *
   * messageid:  101069
   * severity:   error
   */
  public static String logUnableToBindURL(String arg0, String arg1, String arg2, String arg3)  {
    Object [] args = { arg0, arg1, arg2, arg3 };
    MessageLogger.log(
	"101069",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101069";
  }

  /**
   * [{0}] Bound URL resource "{1}" to JNDI name "{2}"
   * @exclude
   *
   * messageid:  101070
   * severity:   info
   */
  public static String logBoundURL(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101070",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101070";
  }

  /**
   * [{0}] HTTP log file does not use version 1.0 of Extended Log File format
   * @exclude
   *
   * messageid:  101071
   * severity:   error
   */
  public static String logInvalidVersion(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101071",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101071";
  }

  /**
   * [{0}] Exception reading headers of HTTP log file
   * @exclude
   *
   * messageid:  101072
   * severity:   error
   */
  public static String logHTTPReadError(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101072",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101072";
  }

  /**
   * [{0}] HTTP log file is not in Extended Log Format
   * @exclude
   *
   * messageid:  101073
   * severity:   error
   */
  public static String logLogFormatError(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101073",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101073";
  }

  /**
   * [{0}] Exception closing HTTP log file
   * @exclude
   *
   * messageid:  101074
   * severity:   error
   */
  public static String logLogCloseError(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101074",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101074";
  }

  /**
   * [{0}] HttpServer shutdown
   * @exclude
   *
   * messageid:  101075
   * severity:   info
   */
  public static String logShutdown(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101075",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101075";
  }

  /**
   * [{0}] Destroying servlets in default servlet context
   * @exclude
   *
   * messageid:  101076
   * severity:   info
   */
  public static String logDestroyingServlets(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101076",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101076";
  }

  /**
   * [{0}] Created log stream {1}
   * @exclude
   *
   * messageid:  101077
   * severity:   info
   */
  public static String logCreatedLogStream(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101077",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101077";
  }

  /**
   * [{0}] Created double buffered log stream {1}
   * @exclude
   *
   * messageid:  101078
   * severity:   info
   */
  public static String logCreatedDoubleBufferedLogStream(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101078",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101078";
  }

  /**
   * [{0}] Exception opening HTTP log file: {1}
   * @exclude
   *
   * messageid:  101079
   * severity:   error
   */
  public static String logLogOpenError(String arg0, java.io.File arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101079",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101079";
  }

  /**
   * [{0}] Exception flushing HTTP log file
   * @exclude
   *
   * messageid:  101080
   * severity:   error
   */
  public static String logLogFlushError(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101080",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101080";
  }

  /**
   * [{0}] Event Parameter Exception:
   * @exclude
   *
   * messageid:  101081
   * severity:   error
   */
  public static String logParameterError(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101081",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101081";
  }

  /**
   * [{0}] Event Generation Exception:
   * @exclude
   *
   * messageid:  101082
   * severity:   error
   */
  public static String logGenerationError(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101082",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101082";
  }

  /**
   * Connection failure
   * @exclude
   *
   * messageid:  101083
   * severity:   error
   */
  public static String logConnectionFailure(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101083",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101083";
  }

  /**
   * first line: {0}
   * @exclude
   *
   * messageid:  101084
   * severity:   info
   */
  public static String logFirstLine(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101084",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101084";
  }

  /**
   * host: {0}
   * @exclude
   *
   * messageid:  101085
   * severity:   info
   */
  public static String logHost(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101085",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101085";
  }

  /**
   * No host in HTTP header, dispatching to default HTTP server
   * @exclude
   *
   * messageid:  101086
   * severity:   info
   */
  public static String logNoHostInHeader()  {
    Object [] args = {  };
    MessageLogger.log(
	"101086",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101086";
  }

  /**
   * {0} not found, dispatching to default HTTP server
   * @exclude
   *
   * messageid:  101087
   * severity:   info
   */
  public static String logHostNotFound(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101087",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101087";
  }

  /**
   * dispatching request to {0}
   * @exclude
   *
   * messageid:  101088
   * severity:   info
   */
  public static String logDispatchRequest(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101088",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101088";
  }

  /**
   * Unable to resolve "{0}" on {1}
   * @exclude
   *
   * messageid:  101089
   * severity:   warning
   */
  public static String logUnableToResolve(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101089",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101089";
  }

  /**
   * Bad first line: {0}
   * @exclude
   *
   * messageid:  101090
   * severity:   debug
   */
  public static String logBadLine(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101090",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101090";
  }

  /**
   * HTTP/1.1 without Host request-header
   * @exclude
   *
   * messageid:  101091
   * severity:   error
   */
  public static String logNoHeader()  {
    Object [] args = {  };
    MessageLogger.log(
	"101091",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101091";
  }

  /**
   * POST w/o Content-Length
   * @exclude
   *
   * messageid:  101092
   * severity:   info
   */
  public static String logPOSTLengthError()  {
    Object [] args = {  };
    MessageLogger.log(
	"101092",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101092";
  }

  /**
   * Problem dispatching servlet request
   * @exclude
   *
   * messageid:  101093
   * severity:   error
   */
  public static String logDispatchError(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101093",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101093";
  }

  /**
   * no 1st line - localCount: {0,number} localBuf: {1}
   * @exclude
   *
   * messageid:  101094
   * severity:   error
   */
  public static String logBadHeaders(int arg0, String arg1)  {
    Object [] args = { new Integer(arg0), arg1 };
    MessageLogger.log(
	"101094",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101094";
  }

  /**
   * POST time exceeded the MaxPostTimeSedcs={0,number}
   * @exclude
   *
   * messageid:  101095
   * severity:   error
   */
  public static String logPOSTTimeExceeded(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"101095",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101095";
  }

  /**
   * POST size exceeded the MaxPostSize={0,number}
   * @exclude
   *
   * messageid:  101096
   * severity:   error
   */
  public static String logPOSTSizeExceeded(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"101096",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101096";
  }

  /**
   * Registering ServletContext: "{0}"
   * @exclude
   *
   * messageid:  101097
   * severity:   debug
   */
  public static String logRegisterServletContext(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101097",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101097";
  }

  /**
   * Cannot resolve request for URI: "{0}"
   * @exclude
   *
   * messageid:  101098
   * severity:   warning
   */
  public static String logUnableToResolveRequest(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101098",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101098";
  }

  /**
   * Found context: "{0}" for URI: "{1}"
   * @exclude
   *
   * messageid:  101099
   * severity:   debug
   */
  public static String logFoundContext(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101099",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101099";
  }

  /**
   * [{0}] Got bad cookie header: {1} from User-Agent: {2}
   * @exclude
   *
   * messageid:  101100
   * severity:   error
   */
  public static String logBadCookieHeader(String arg0, String arg1, String arg2, Throwable arg3)  {
    Object [] args = { arg0, arg1, arg2, arg3 };
    MessageLogger.log(
	"101100",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101100";
  }

  /**
   * [{0}] Unable to create new session
   * @exclude
   *
   * messageid:  101101
   * severity:   error
   */
  public static String logSessionCreateError(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101101",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101101";
  }

  /**
   * [{0}] ServletRequestImpl: {1}
   * @exclude
   *
   * messageid:  101102
   * severity:   error
   */
  public static String logServletRequestImpl(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101102",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101102";
  }

  /**
   * [{0}] ServletRequestImpl: {1}
   * @exclude
   *
   * messageid:  101103
   * severity:   error
   */
  public static String logServletRequestImplWithException(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101103",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101103";
  }

  /**
   * Servlet execution in servlet context "{0}" failed, {1}
   * @exclude
   *
   * messageid:  101104
   * severity:   error
   */
  public static String logServletFailed(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101104",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101104";
  }

  /**
   * [{0}] Location: "{1}" for error the error code "{2,number}" does not exist. Serving the defaul error page.
   * @exclude
   *
   * messageid:  101105
   * severity:   error
   */
  public static String logNoLocation(String arg0, String arg1, int arg2)  {
    Object [] args = { arg0, arg1, new Integer(arg2) };
    MessageLogger.log(
	"101105",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101105";
  }

  /**
   * [{0}] Could not serve custom error page: "{1}" for the error code: "{2,number}"
   * @exclude
   *
   * messageid:  101106
   * severity:   error
   */
  public static String logUnableToServeErrorPage(String arg0, String arg1, int arg2, Throwable arg3)  {
    Object [] args = { arg0, arg1, new Integer(arg2), arg3 };
    MessageLogger.log(
	"101106",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101106";
  }

  /**
   * [{0}] Problem sending error page
   * @exclude
   *
   * messageid:  101107
   * severity:   error
   */
  public static String logSendError(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101107",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101107";
  }

  /**
   * [{0}] Unsupported encoding: "{1}" specified. Using the default encoding.
   * @exclude
   *
   * messageid:  101108
   * severity:   error
   */
  public static String logUnsupportedEncoding(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101108",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101108";
  }

  /**
   * [{0}] Location: " {1}" for the exception: "{2}" does not exist. Serving the default error page.
   * @exclude
   *
   * messageid:  101109
   * severity:   error
   */
  public static String logNoExceptionLocation(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101109",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101109";
  }

  /**
   * [{0}] Problem sending exception page
   * @exclude
   *
   * messageid:  101110
   * severity:   error
   */
  public static String logSendExceptionError(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101110",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101110";
  }

  /**
   * [{0}] ServlerResponseImpl: {1}
   * @exclude
   *
   * messageid:  101111
   * severity:   error
   */
  public static String logServletResponseImpl(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101111",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101111";
  }

  /**
   * [{0}] got add to map exception {1}
   * @exclude
   *
   * messageid:  101112
   * severity:   error
   */
  public static String logMapException(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101112",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101112";
  }

  /**
   * [{0}] Error instantiating servlet "{1}"
   * @exclude
   *
   * messageid:  101113
   * severity:   error
   */
  public static String logInstantiationError(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101113",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101113";
  }

  /**
   * [{0}] ServletStubImpl.isAvailable
   * @exclude
   *
   * messageid:  101114
   * severity:   info
   */
  public static String logAvailable(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101114",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101114";
  }

  /**
   * [{0}] name={1}
   * @exclude
   *
   * messageid:  101115
   * severity:   info
   */
  public static String logName(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101115",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101115";
  }

  /**
   * [{0}] unavailableException={1}
   * @exclude
   *
   * messageid:  101116
   * severity:   info
   */
  public static String logUnavailable(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101116",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101116";
  }

  /**
   * [{0}] theServlet={1}
   * @exclude
   *
   * messageid:  101117
   * severity:   info
   */
  public static String logServlet(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101117",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101117";
  }

  /**
   * [{0}] isSingleThreadModel={1}
   * @exclude
   *
   * messageid:  101118
   * severity:   info
   */
  public static String logThreadModel(String arg0, boolean arg1)  {
    Object [] args = { arg0, new Boolean(arg1) };
    MessageLogger.log(
	"101118",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101118";
  }

  /**
   * [{0}] servletPool={1}
   * @exclude
   *
   * messageid:  101119
   * severity:   info
   */
  public static String logServletPool(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101119",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101119";
  }

  /**
   * [{0}] available={1}
   * @exclude
   *
   * messageid:  101120
   * severity:   info
   */
  public static String logAvail(String arg0, boolean arg1)  {
    Object [] args = { arg0, new Boolean(arg1) };
    MessageLogger.log(
	"101120",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101120";
  }

  /**
   * [{0}] ServletStubImpl.prepareServlet
   * @exclude
   *
   * messageid:  101121
   * severity:   info
   */
  public static String logPrepareServlet(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101121",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101121";
  }

  /**
   * [{0}] Servlet: "{1}" is permanently unavailable.
   * @exclude
   *
   * messageid:  101122
   * severity:   info
   */
  public static String logPermUnavailable(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101122",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101122";
  }

  /**
   * [{0}] Servlet: "{1}" will be unavailable for the next: "{2,number}" seconds.
   * @exclude
   *
   * messageid:  101123
   * severity:   info
   */
  public static String logTimeUnavailable(String arg0, String arg1, long arg2)  {
    Object [] args = { arg0, arg1, new Long(arg2) };
    MessageLogger.log(
	"101123",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101123";
  }

  /**
   * [{0}] Error loading servlet: "{1}"
   * @exclude
   *
   * messageid:  101124
   * severity:   info
   */
  public static String logServletLoadError(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101124",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101124";
  }

  /**
   * [{0}] Error instantiating servlet: "{1}"
   * @exclude
   *
   * messageid:  101125
   * severity:   error
   */
  public static String logInstantiateError(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101125",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101125";
  }

  /**
   * [{0}] Error casting servlet: "{1}"
   * @exclude
   *
   * messageid:  101126
   * severity:   error
   */
  public static String logCastingError(String arg0, String arg1, Throwable arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101126",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101126";
  }

  /**
   * HTTP services are disabled.
   * @exclude
   *
   * messageid:  101127
   * severity:   warning
   */
  public static String logHTTPDisabled()  {
    Object [] args = {  };
    MessageLogger.log(
	"101127",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101127";
  }

  /**
   * Initializing HTTP services.
   * @exclude
   *
   * messageid:  101128
   * severity:   info
   */
  public static String logHTTPInit()  {
    Object [] args = {  };
    MessageLogger.log(
	"101128",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101128";
  }

  /**
   * Initializing Web services.
   * @exclude
   *
   * messageid:  101129
   * severity:   info
   */
  public static String logWebInit()  {
    Object [] args = {  };
    MessageLogger.log(
	"101129",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101129";
  }

  /**
   * Creating default WEB server named: {0}
   * @exclude
   *
   * messageid:  101130
   * severity:   info
   */
  public static String logDefaultWebServer(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101130",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101130";
  }

  /**
   * WebService not initialized. Can''t register servlet {0}
   * @exclude
   *
   * messageid:  101131
   * severity:   error
   */
  public static String logWebNotInit(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101131",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101131";
  }

  /**
   * J2EEService not initialized. Can''t register servlet {0}
   * @exclude
   *
   * messageid:  101132
   * severity:   error
   */
  public static String logJ2EENotInit(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101132",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101132";
  }

  /**
   * Initializing WEB server {0}
   * @exclude
   *
   * messageid:  101133
   * severity:   info
   */
  public static String logInitWeb(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101133",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101133";
  }

  /**
   * Registering host: {0}
   * @exclude
   *
   * messageid:  101134
   * severity:   info
   */
  public static String logRegisterHost(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101134",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101134";
  }

  /**
   * {0} is the default web server
   * @exclude
   *
   * messageid:  101135
   * severity:   info
   */
  public static String logDefaultName(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101135",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101135";
  }

  /**
   * Registering virtual host: {0}
   * @exclude
   *
   * messageid:  101136
   * severity:   info
   */
  public static String logRegisterVirtualHost(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101136",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101136";
  }

  /**
   * Registered {0}({1})
   * @exclude
   *
   * messageid:  101137
   * severity:   info
   */
  public static String logRegisteredServlet(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101137",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101137";
  }

  /**
   * {0} One of the getParameter family of methods called after reading from the ServletInputStream(), can''t mix these two!
   * @exclude
   *
   * messageid:  101138
   * severity:   error
   */
  public static String logInvalidGetParameterInvocation(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101138",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101138";
  }

  /**
   * Loading servlet {1} into {0} context
   * @exclude
   *
   * messageid:  101139
   * severity:   info
   */
  public static String logPreloadingServlet(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101139",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101139";
  }

  /**
   * Error creating servlet {1} (class: {2}, initArgs: {3}) for web application {0}
   * @exclude
   *
   * messageid:  101140
   * severity:   info
   */
  public static String logErrorCreatingServletStub(javax.management.ObjectName arg0, String arg1, String arg2, Object arg3, Throwable arg4)  {
    Object [] args = { arg0, arg1, arg2, arg3, arg4 };
    MessageLogger.log(
	"101140",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101140";
  }

  /**
   * Error creating web app runtime for {0}
   * @exclude
   *
   * messageid:  101141
   * severity:   info
   */
  public static String logErrorCreatingWebAppRuntimeMBean(javax.management.ObjectName arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101141",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101141";
  }

  /**
   * Error unregistering servlet runtime {0}
   * @exclude
   *
   * messageid:  101142
   * severity:   info
   */
  public static String logErrorUnregisteringServletRuntime(javax.management.ObjectName arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101142",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101142";
  }

  /**
   * Error unregistering webapp component runtime {0}
   * @exclude
   *
   * messageid:  101143
   * severity:   info
   */
  public static String logErrorUnregisteringWebAppRuntime(javax.management.ObjectName arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101143",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101143";
  }

  /**
   * You must declare virtual host names for {0}.
   * @exclude
   *
   * messageid:  101144
   * severity:   warning
   */
  public static String logVirtualHostNameWarning(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101144",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101144";
  }

  /**
   * Generating default web application named {0}
   * @exclude
   *
   * messageid:  101145
   * severity:   info
   */
  public static String logGenerateDefaultWebApp(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101145",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101145";
  }

  /**
   * Registering default ServletContext: "{0}"
   * @exclude
   *
   * messageid:  101146
   * severity:   debug
   */
  public static String logRegisterDefaultServletContext(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101146",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101146";
  }

  /**
   * {0} found no context for "{1}". This should not happen unless the default context failed to deploy.
   * @exclude
   *
   * messageid:  101147
   * severity:   error
   */
  public static String logNoContext(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101147",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101147";
  }

  /**
   * Searching for {1} in {0}.
   * @exclude
   *
   * messageid:  101148
   * severity:   debug
   */
  public static String logResolvingURI(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101148",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101148";
  }

  /**
   * {0}: Relative URI for {1} is {2}.
   * @exclude
   *
   * messageid:  101149
   * severity:   debug
   */
  public static String logRelativeURI(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101149",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101149";
  }

  /**
   * {0}: URI for {1} redirected to {2}.
   * @exclude
   *
   * messageid:  101150
   * severity:   debug
   */
  public static String logURIRedirected(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101150",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101150";
  }

  /**
   * {0}: {1} resolved to the default servlet ({2}).
   * @exclude
   *
   * messageid:  101151
   * severity:   debug
   */
  public static String logServingDefaultServlet(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101151",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101151";
  }

  /**
   * {0}: {1} resolved to the servlet ({2}).
   * @exclude
   *
   * messageid:  101152
   * severity:   debug
   */
  public static String logServingServlet(String arg0, String arg1, String arg2)  {
    Object [] args = { arg0, arg1, arg2 };
    MessageLogger.log(
	"101152",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101152";
  }

  /**
   * Socket connection reset by peer
   * @exclude
   *
   * messageid:  101153
   * severity:   debug
   */
  public static String logSocketResetException(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101153",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101153";
  }

  /**
   * Got an error while resolving entity "{0}". Check your dtd reference.
   * @exclude
   *
   * messageid:  101154
   * severity:   debug
   */
  public static String logErrorResolvingEntity(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101154",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101154";
  }

  /**
   * Could not resolve entity "{0}". Check your dtd reference.
   * @exclude
   *
   * messageid:  101155
   * severity:   debug
   */
  public static String logCouldNotResolveEntity(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101155",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101155";
  }

  /**
   * There is already a Web Server named "{0}". The declared Web Server "{1}" will be ignored.
   * @exclude
   *
   * messageid:  101156
   * severity:   warning
   */
  public static String logMultipleWebServersDefined(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"101156",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101156";
  }

  /**
   * [{0}] Unable to create new session as server is in suspended state
   * @exclude
   *
   * messageid:  101157
   * severity:   error
   */
  public static String logSessionCreateErrorOnSuspendedServer(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"101157",
	args,
	"weblogic.i18n.HTTPLogLocalizer");
    return "101157";
  }


}
