// $ANTLR 2.7.0: "weblogic/servlet/jhtmlc/JhtmlLexer.g" -> "JhtmlLexer.java"$

package weblogic.servlet.jhtmlc;

import java.io.InputStream;
import antlr.TokenStreamException;
import antlr.TokenStreamIOException;
import antlr.TokenStreamRecognitionException;
import antlr.CharStreamException;
import antlr.CharStreamIOException;
import antlr.ANTLRException;
import java.io.Reader;
import java.util.Hashtable;
import antlr.CharScanner;
import antlr.InputBuffer;
import antlr.ByteBuffer;
import antlr.CharBuffer;
import antlr.Token;
import antlr.CommonToken;
import antlr.RecognitionException;
import antlr.NoViableAltForCharException;
import antlr.MismatchedCharException;
import antlr.TokenStream;
import antlr.ANTLRHashString;
import antlr.LexerSharedInputState;
import antlr.collections.impl.BitSet;
import antlr.SemanticException;

import java.util.*;
import java.io.*;
import weblogic.common.AssertionError;
import weblogic.utils.Debug;
import weblogic.utils.ParsingException;

/**
 * JHTML lexer
 * 
 * @author Copyright (c) 1997 by WebLogic, Inc. All Rights Reserved.
 */
public class JhtmlLexer extends antlr.CharScanner implements JhtmlLexerTokenTypes, TokenStream
 {

  private final static boolean verbose = false;
  
  private StringBuffer htmlBuf  = new StringBuffer();
  private PageCompileParser.Helper helper;

//    public JhtmlLexer() {
//      // FIXME peter@weblogic.com 1999-Feb-11 -- this is a kludge. There
//      // are issues to be worked out about how to generate extensions of
//      // CharScanner. I already had to hack it some to be able to reset
//      // the stream but Ter said he'd fold that into the standard
//      // distribution.
//      literals = new Hashtable();
//      caseSensitiveLiterals = true;
//      setCaseSensitive(true);
//      helper = new PageCompileParser.Helper();
//    }

  void setHelper(PageCompileParser.Helper h) {
    helper = h;
  }

  void parse() throws ParsingException {
    try {
      while (nextToken().getType() != JhtmlLexer.EOF);
    } catch (IOException ioe) {
      throw new ParsingException("nested IOException: " + ioe.toString());
    }
    htmlSection();
  }

  // =================================================================
  // weblogic.servlet.jhtmlc.PageCompileParser implementation.

//    public void parse(InputStream is) throws ParsingException {
//      setInput(is);
//      run();
//    }

//    public void parse(Reader r) throws ParsingException {
//      setInput(r);
//      run();
//    }
  
  public JavaSection getPackageSection() {
    return helper.getPackageSection();
  }
  
  public JavaSection getExtendsSection() {
    return helper.getExtendsSection();
  }
  
  public JavaSection getMethodSection() {
    return helper.getMethodSection();
  }
  
  public JavaSection[] getImplementsSections() {
    return helper.getImplementsSections();
  }
  
  public JavaSection[] getImportSections() {
    return helper.getImportSections();
  }

  public JavaSection[] getClassSections() {
    return helper.getClassSections();
  }
  
  public Section[] getServiceSections() {
    return helper.getServiceSections();
  }

  // End weblogic.servlet.jhtmlc.PageCompileParser implementation.
  // ===================================================================


  private void htmlSection() {
    helper.addServiceSection(
      new HtmlSection(htmlBuf.toString()));
    htmlBuf.setLength(0);
  }

  private void javaSection(String type, String text) {

    if (text == null) return;

    JavaSection sec = new JavaSection(type, text);

    // NOTE peter@weblogic.com 1999-Feb-11 -- this isn't the most
    // efficient way to do things -- we could let the parser figure
    // out which type it is but this fits more naturally with the
    // existing classes. We can optimize later.

    switch (sec.getType()) {
    case JavaSection.PACKAGE:
      helper.setPackageSection(sec);
      break;

    case JavaSection.IMPORT:
      helper.addImportSection(sec);
      break;

    case JavaSection.EXTENDS:
      helper.setExtendsSection(sec);
      break;

    case JavaSection.IMPLEMENTS:
      helper.addImplementsSection(sec);
      break;

    case JavaSection.CLASS:
      helper.addClassSection(sec);
      break;

    case JavaSection.PRINT:
    case JavaSection.CODE:
      helper.addServiceSection(sec);
      break;

    case JavaSection.METHOD:
      helper.setMethodSection(sec);
      break;

    default:
      throw new AssertionError("Bad type: " + sec.getType());
    }
  }
  
public JhtmlLexer(InputStream in) {
	this(new ByteBuffer(in));
}
public JhtmlLexer(Reader in) {
	this(new CharBuffer(in));
}
public JhtmlLexer(InputBuffer ib) {
	this(new LexerSharedInputState(ib));
}
public JhtmlLexer(LexerSharedInputState state) {
	super(state);
	literals = new Hashtable();
caseSensitiveLiterals = true;
setCaseSensitive(true);
}

public Token nextToken() throws TokenStreamException {
	Token theRetToken=null;
tryAgain:
	for (;;) {
		Token _token = null;
		int _ttype = Token.INVALID_TYPE;
		setCommitToPath(false);
		int _m;
		_m = mark();
		resetText();
		try {   // for char stream error handling
			try {   // for lexical error handling
				switch ( LA(1)) {
				case '<':
				{
					mJAVA(true);
					theRetToken=_returnToken;
					break;
				}
				case '`':
				{
					mBACKTICK(true);
					theRetToken=_returnToken;
					break;
				}
				default:
				{
					if (LA(1)==EOF_CHAR) {uponEOF(); _returnToken = makeToken(Token.EOF_TYPE);}
				else {
					commit();
					try {mHTML(false);}
					catch(RecognitionException e) {
						// catastrophic failure
						reportError(e);
						consume();
					}
					continue tryAgain;
				}
				}
				}
				commit();
				if ( _returnToken==null ) continue tryAgain; // found SKIP token
				_ttype = _returnToken.getType();
				_ttype = testLiteralsTable(_ttype);
				_returnToken.setType(_ttype);
				return _returnToken;
			}
			catch (RecognitionException e) {
				if ( !getCommitToPath() ) {
					rewind(_m);
					resetText();
					try {mHTML(false);}
					catch(RecognitionException ee) {
						// horrendous failure: error in filter rule
						reportError(ee);
						consume();
					}
					continue tryAgain;
				}
				throw new TokenStreamRecognitionException(e);
			}
		}
		catch (CharStreamException cse) {
			if ( cse instanceof CharStreamIOException ) {
				throw new TokenStreamIOException(((CharStreamIOException)cse).io);
			}
			else {
				throw new TokenStreamException(cse.getMessage());
			}
		}
	}
}

	public final void mJAVA(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = JAVA;
		int _saveIndex;
		Token t=null;
		Token c=null;
		
		if (verbose) System.out.println("mJAVA at " + LA(1));
		
		
		_saveIndex=text.length();
		mJAVA_O(false);
		text.setLength(_saveIndex);
		{
		if ((_tokenSet_0.member(LA(1))) && (_tokenSet_1.member(LA(2))) && (_tokenSet_2.member(LA(3))) && (_tokenSet_3.member(LA(4))) && (_tokenSet_4.member(LA(5))) && (_tokenSet_5.member(LA(6))) && (_tokenSet_6.member(LA(7)))) {
			mJAVA_TYPE(true);
			t=_returnToken;
		}
		else if ((_tokenSet_7.member(LA(1))) && ((LA(2) >= '\3' && LA(2) <= '\377')) && ((LA(3) >= '\3' && LA(3) <= '\377')) && ((LA(4) >= '\3' && LA(4) <= '\377')) && ((LA(5) >= '\3' && LA(5) <= '\377')) && ((LA(6) >= '\3' && LA(6) <= '\377')) && ((LA(7) >= '\3' && LA(7) <= '\377'))) {
		}
		else {
			throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
		}
		
		}
		{
		_loop4:
		do {
			if ((_tokenSet_0.member(LA(1)))) {
				mWS(false);
			}
			else {
				break _loop4;
			}
			
		} while (true);
		}
		_saveIndex=text.length();
		match(">");
		text.setLength(_saveIndex);
		mCODE(true);
		c=_returnToken;
		_saveIndex=text.length();
		mJAVA_C(false);
		text.setLength(_saveIndex);
		
		htmlSection();
		String type = t != null ? t.getText() : null;
		javaSection(type, c.getText());
		
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mJAVA_O(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = JAVA_O;
		int _saveIndex;
		
		match('<');
		{
		switch ( LA(1)) {
		case 'j':
		{
			match('j');
			break;
		}
		case 'J':
		{
			match('J');
			break;
		}
		default:
		{
			throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
		}
		}
		}
		{
		switch ( LA(1)) {
		case 'a':
		{
			match('a');
			break;
		}
		case 'A':
		{
			match('A');
			break;
		}
		default:
		{
			throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
		}
		}
		}
		{
		switch ( LA(1)) {
		case 'v':
		{
			match('v');
			break;
		}
		case 'V':
		{
			match('V');
			break;
		}
		default:
		{
			throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
		}
		}
		}
		{
		switch ( LA(1)) {
		case 'a':
		{
			match('a');
			break;
		}
		case 'A':
		{
			match('A');
			break;
		}
		default:
		{
			throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
		}
		}
		}
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mJAVA_TYPE(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = JAVA_TYPE;
		int _saveIndex;
		
		int t;
		
		
		{
		int _cnt21=0;
		_loop21:
		do {
			if ((_tokenSet_0.member(LA(1)))) {
				_saveIndex=text.length();
				mWS(false);
				text.setLength(_saveIndex);
			}
			else {
				if ( _cnt21>=1 ) { break _loop21; } else {throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());}
			}
			
			_cnt21++;
		} while (true);
		}
		_saveIndex=text.length();
		match("type");
		text.setLength(_saveIndex);
		{
		_loop23:
		do {
			if ((_tokenSet_0.member(LA(1)))) {
				_saveIndex=text.length();
				mWS(false);
				text.setLength(_saveIndex);
			}
			else {
				break _loop23;
			}
			
		} while (true);
		}
		_saveIndex=text.length();
		mEQ(false);
		text.setLength(_saveIndex);
		{
		switch ( LA(1)) {
		case '\'':
		{
			{
			_saveIndex=text.length();
			match('\'');
			text.setLength(_saveIndex);
			mTYPE(false);
			_saveIndex=text.length();
			match('\'');
			text.setLength(_saveIndex);
			}
			break;
		}
		case '"':
		{
			{
			_saveIndex=text.length();
			match('"');
			text.setLength(_saveIndex);
			mTYPE(false);
			_saveIndex=text.length();
			match('"');
			text.setLength(_saveIndex);
			}
			break;
		}
		case 'c':  case 'e':  case 'i':  case 'm':
		case 'p':
		{
			mTYPE(false);
			break;
		}
		default:
		{
			throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
		}
		}
		}
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mWS(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = WS;
		int _saveIndex;
		
		{
		switch ( LA(1)) {
		case ' ':
		{
			match(' ');
			break;
		}
		case '\t':
		{
			match('\t');
			break;
		}
		case '\r':
		{
			match('\r');
			break;
		}
		case '\n':
		{
			match('\n');
			newline();
			break;
		}
		default:
		{
			throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
		}
		}
		}
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mCODE(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = CODE;
		int _saveIndex;
		
		if (verbose) System.out.println("mCODE at " + LA(1));
		
		
		{
		_loop30:
		do {
			if ((((LA(1) >= '\3' && LA(1) <= '\377')) && ((LA(2) >= '\3' && LA(2) <= '\377')) && ((LA(3) >= '\3' && LA(3) <= '\377')) && ((LA(4) >= '\3' && LA(4) <= '\377')) && ((LA(5) >= '\3' && LA(5) <= '\377')) && ((LA(6) >= '\3' && LA(6) <= '\377')) && ((LA(7) >= '\3' && LA(7) <= '\377')))&&(!
       // This is a hack Ter Parr and I came up with -- he's going to
       // add a better way to express this as a new feature.
       (
         LA(1) == '<' &&
         LA(2) == '/' &&
         (LA(3) == 'J' || LA(3) == 'j') &&
         (LA(4) == 'A' || LA(4) == 'a') &&
         (LA(5) == 'V' || LA(5) == 'v') &&
         (LA(6) == 'A' || LA(6) == 'a') &&
         LA(7) == '>'
       ) )) {
				matchNot(EOF_CHAR);
			}
			else {
				break _loop30;
			}
			
		} while (true);
		}
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mJAVA_C(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = JAVA_C;
		int _saveIndex;
		
		match("</");
		{
		switch ( LA(1)) {
		case 'j':
		{
			match('j');
			break;
		}
		case 'J':
		{
			match('J');
			break;
		}
		default:
		{
			throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
		}
		}
		}
		{
		switch ( LA(1)) {
		case 'a':
		{
			match('a');
			break;
		}
		case 'A':
		{
			match('A');
			break;
		}
		default:
		{
			throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
		}
		}
		}
		{
		switch ( LA(1)) {
		case 'v':
		{
			match('v');
			break;
		}
		case 'V':
		{
			match('V');
			break;
		}
		default:
		{
			throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
		}
		}
		}
		{
		switch ( LA(1)) {
		case 'a':
		{
			match('a');
			break;
		}
		case 'A':
		{
			match('A');
			break;
		}
		default:
		{
			throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
		}
		}
		}
		match('>');
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	public final void mBACKTICK(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = BACKTICK;
		int _saveIndex;
		
		if (verbose) System.out.println("mBACKTICK at " + LA(1));
		
		
		_saveIndex=text.length();
		match('`');
		text.setLength(_saveIndex);
		{
		_loop8:
		do {
			if ((_tokenSet_8.member(LA(1)))) {
				{
				match(_tokenSet_8);
				}
			}
			else {
				break _loop8;
			}
			
		} while (true);
		}
		_saveIndex=text.length();
		match('`');
		text.setLength(_saveIndex);
		
		htmlSection();
		javaSection("print", new String(text.getBuffer(),_begin,text.length()-_begin));
		
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mEQ(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = EQ;
		int _saveIndex;
		
		match('=');
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mTYPE(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = TYPE;
		int _saveIndex;
		
		switch ( LA(1)) {
		case 'e':
		{
			match("extends");
			break;
		}
		case 'c':
		{
			match("class");
			break;
		}
		case 'm':
		{
			match("method");
			break;
		}
		default:
			if ((LA(1)=='i') && (LA(2)=='m') && (LA(3)=='p') && (LA(4)=='o')) {
				match("import");
			}
			else if ((LA(1)=='i') && (LA(2)=='m') && (LA(3)=='p') && (LA(4)=='l')) {
				match("implements");
			}
			else if ((LA(1)=='p') && (LA(2)=='a')) {
				match("package");
			}
			else if ((LA(1)=='p') && (LA(2)=='r')) {
				match("print");
			}
		else {
			throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
		}
		}
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mHTML(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = HTML;
		int _saveIndex;
		char  c = '\0';
		
		{
		c = LA(1);
		match(_tokenSet_8);
		}
		htmlBuf.append((char)c);
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mSTRING(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = STRING;
		int _saveIndex;
		
		switch ( LA(1)) {
		case '"':
		{
			match('"');
			{
			_loop39:
			do {
				if ((_tokenSet_9.member(LA(1)))) {
					{
					match(_tokenSet_9);
					}
				}
				else {
					break _loop39;
				}
				
			} while (true);
			}
			match('"');
			break;
		}
		case '\'':
		{
			match('\'');
			{
			_loop42:
			do {
				if ((_tokenSet_10.member(LA(1)))) {
					{
					match(_tokenSet_10);
					}
				}
				else {
					break _loop42;
				}
				
			} while (true);
			}
			match('\'');
			break;
		}
		default:
		{
			throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
		}
		}
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mID(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = ID;
		int _saveIndex;
		
		mLETTER(false);
		{
		_loop45:
		do {
			switch ( LA(1)) {
			case 'A':  case 'B':  case 'C':  case 'D':
			case 'E':  case 'F':  case 'G':  case 'H':
			case 'I':  case 'J':  case 'K':  case 'L':
			case 'M':  case 'N':  case 'O':  case 'P':
			case 'Q':  case 'R':  case 'S':  case 'T':
			case 'U':  case 'V':  case 'W':  case 'X':
			case 'Y':  case 'Z':  case '_':  case 'a':
			case 'b':  case 'c':  case 'd':  case 'e':
			case 'f':  case 'g':  case 'h':  case 'i':
			case 'j':  case 'k':  case 'l':  case 'm':
			case 'n':  case 'o':  case 'p':  case 'q':
			case 'r':  case 's':  case 't':  case 'u':
			case 'v':  case 'w':  case 'x':  case 'y':
			case 'z':
			{
				mLETTER(false);
				break;
			}
			case '0':  case '1':  case '2':  case '3':
			case '4':  case '5':  case '6':  case '7':
			case '8':  case '9':
			{
				mDIGIT(false);
				break;
			}
			case '.':
			{
				mDOT(false);
				break;
			}
			case '-':
			{
				mDASH(false);
				break;
			}
			default:
			{
				break _loop45;
			}
			}
		} while (true);
		}
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mLETTER(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = LETTER;
		int _saveIndex;
		
		{
		switch ( LA(1)) {
		case 'a':  case 'b':  case 'c':  case 'd':
		case 'e':  case 'f':  case 'g':  case 'h':
		case 'i':  case 'j':  case 'k':  case 'l':
		case 'm':  case 'n':  case 'o':  case 'p':
		case 'q':  case 'r':  case 's':  case 't':
		case 'u':  case 'v':  case 'w':  case 'x':
		case 'y':  case 'z':
		{
			matchRange('a','z');
			break;
		}
		case 'A':  case 'B':  case 'C':  case 'D':
		case 'E':  case 'F':  case 'G':  case 'H':
		case 'I':  case 'J':  case 'K':  case 'L':
		case 'M':  case 'N':  case 'O':  case 'P':
		case 'Q':  case 'R':  case 'S':  case 'T':
		case 'U':  case 'V':  case 'W':  case 'X':
		case 'Y':  case 'Z':
		{
			matchRange('A','Z');
			break;
		}
		case '_':
		{
			match('_');
			break;
		}
		default:
		{
			throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
		}
		}
		}
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mDIGIT(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = DIGIT;
		int _saveIndex;
		
		{
		matchRange('0','9');
		}
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mDOT(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = DOT;
		int _saveIndex;
		
		match('.');
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mDASH(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = DASH;
		int _saveIndex;
		
		match('-');
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mNUMBER(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = NUMBER;
		int _saveIndex;
		
		{
		switch ( LA(1)) {
		case '-':
		{
			mDASH(false);
			break;
		}
		case '0':  case '1':  case '2':  case '3':
		case '4':  case '5':  case '6':  case '7':
		case '8':  case '9':
		{
			break;
		}
		default:
		{
			throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
		}
		}
		}
		{
		int _cnt49=0;
		_loop49:
		do {
			if (((LA(1) >= '0' && LA(1) <= '9'))) {
				mDIGIT(false);
			}
			else {
				if ( _cnt49>=1 ) { break _loop49; } else {throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());}
			}
			
			_cnt49++;
		} while (true);
		}
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	
	private static long[] make_tokenSet_0() { long[] data = { 4294977024L, 0L, 0L, 0L, 0L }; return data; }
	public static final BitSet _tokenSet_0 = new BitSet(make_tokenSet_0());
	private static long[] make_tokenSet_1() { long[] data = { 4294977024L, 4503599627370496L, 0L, 0L, 0L }; return data; }
	public static final BitSet _tokenSet_1 = new BitSet(make_tokenSet_1());
	private static long[] make_tokenSet_2() { long[] data = { 4294977024L, 148618787703226368L, 0L, 0L, 0L }; return data; }
	public static final BitSet _tokenSet_2 = new BitSet(make_tokenSet_2());
	private static long[] make_tokenSet_3() { long[] data = { 4294977024L, 148900262679937024L, 0L, 0L, 0L }; return data; }
	public static final BitSet _tokenSet_3 = new BitSet(make_tokenSet_3());
	private static long[] make_tokenSet_4() { long[] data = { 4294977024L, 148900400118890496L, 0L, 0L, 0L }; return data; }
	public static final BitSet _tokenSet_4 = new BitSet(make_tokenSet_4());
	private static long[] make_tokenSet_5() { long[] data = { 2305843013508670976L, 148900400118890496L, 0L, 0L, 0L }; return data; }
	public static final BitSet _tokenSet_5 = new BitSet(make_tokenSet_5());
	private static long[] make_tokenSet_6() { long[] data = { 2305843580444354048L, 148937817873973248L, 0L, 0L, 0L }; return data; }
	public static final BitSet _tokenSet_6 = new BitSet(make_tokenSet_6());
	private static long[] make_tokenSet_7() { long[] data = { 4611686022722364928L, 0L, 0L, 0L, 0L }; return data; }
	public static final BitSet _tokenSet_7 = new BitSet(make_tokenSet_7());
	private static long[] make_tokenSet_8() { long[] data = { -8L, -4294967297L, -1L, -1L, 0L, 0L, 0L, 0L }; return data; }
	public static final BitSet _tokenSet_8 = new BitSet(make_tokenSet_8());
	private static long[] make_tokenSet_9() { long[] data = { -17179869192L, -1L, -1L, -1L, 0L, 0L, 0L, 0L }; return data; }
	public static final BitSet _tokenSet_9 = new BitSet(make_tokenSet_9());
	private static long[] make_tokenSet_10() { long[] data = { -549755813896L, -1L, -1L, -1L, 0L, 0L, 0L, 0L }; return data; }
	public static final BitSet _tokenSet_10 = new BitSet(make_tokenSet_10());
	
	}
