// $ANTLR 2.7.0: "weblogic/servlet/jsp/ScriptletScopeLexer.g" -> "ScriptletScopeLexer.java"$

package weblogic.servlet.jsp;

import java.io.InputStream;
import antlr.TokenStreamException;
import antlr.TokenStreamIOException;
import antlr.TokenStreamRecognitionException;
import antlr.CharStreamException;
import antlr.CharStreamIOException;
import antlr.ANTLRException;
import java.io.Reader;
import java.util.Hashtable;
import antlr.CharScanner;
import antlr.InputBuffer;
import antlr.ByteBuffer;
import antlr.CharBuffer;
import antlr.Token;
import antlr.CommonToken;
import antlr.RecognitionException;
import antlr.NoViableAltForCharException;
import antlr.MismatchedCharException;
import antlr.TokenStream;
import antlr.ANTLRHashString;
import antlr.LexerSharedInputState;
import antlr.collections.impl.BitSet;
import antlr.SemanticException;

import antlr.*;
import java.beans.*;
import java.util.*;
import java.util.zip.*;
import java.io.*;
import weblogic.utils.AssertionError;
import weblogic.utils.Debug;
import weblogic.utils.ParsingException;
import weblogic.utils.UnsyncStringBuffer;
import weblogic.servlet.internal.*; 

/**
 * ANTLR-generated lexer for tracking scriptlet-introduced
 * scopes on a JSP page.
 *
 * @author Copyright (c) 1999 by BEA WebXpress. All Rights Reserved.
 */
public class ScriptletScopeLexer extends antlr.CharScanner implements ScriptletScopeLexerTokenTypes, TokenStream
 {

    static final String SCRIPTLET_SCOPE_PREFIX = "SCRIPTLET_OPEN_BRACE";

    JspContext jspc;
    int scopeDepth = 0, numScriptlets;
    boolean inComment = false;
    boolean slashComment = false;
    boolean inString = false;

    public static void main(String[] a) throws Exception {
	Reader r = new FileReader("JspContext.java");
	ScriptletScopeLexer ssl = new ScriptletScopeLexer(r);
	JspContext jspc = new JspContext(null);
	ssl.parse(jspc, 1);
    }

    private boolean bracesCount() { return !inComment && !inString; }

    /* should keep track of the line# in parent file */
    int lineno;

    String stats() {
	return "[line=" + lineno + " depth=" + scopeDepth + " comment=" +
	    inComment + " slash=" + slashComment + "]";
    }

    void getVars() {
	Integer I = (Integer)jspc.getAttribute("ssl.scopeDepth");
	if (I == null) I = new Integer(0);
	scopeDepth = I.intValue();

	I = (Integer)jspc.getAttribute("ssl.numScriptlets");
	if (I == null) I = new Integer(0);
	numScriptlets = I.intValue();

	if (jspc.getAttribute("ssl.inComment") == Boolean.TRUE) {
	    inComment = true;
	    if (jspc.getAttribute("ssl.slashComment") == Boolean.TRUE)
		slashComment = true;
	}
    }

    void setVars() {
	jspc.setAttribute("ssl.scopeDepth", new Integer(scopeDepth));
	jspc.setAttribute("ssl.numScriptlets", new Integer(numScriptlets));
	/* we assume that slashslash comments will end
	 * at the end of a scriptlet.  Code in JspLexer
	 * ensures that this is so.
	 */
	if (inComment) {
	    if (slashComment) inComment = slashComment = false;
	}
		
	Boolean B = inComment ? Boolean.TRUE: Boolean.FALSE;
	jspc.setAttribute("ssl.inComment", B);
	B = Boolean.FALSE;
	jspc.setAttribute("ssl.slashComment", B);
    }

    static void p(String s) {
	System.err.println("[ScriptletLexer]: " + s);
    }

    public void parse(JspContext jspc, int ln) throws TokenStreamException {
	lineno = ln;
	this.jspc = jspc;
	getVars();
	try {
	    numScriptlets++;
//	    p("begin #" + numScriptlets + " at line#" + lineno);
	    Token t = null;
	    while ((t = nextToken()).getType() != EOF) {
//		p("got token " + t);
	    }
//	    p("end #" + numScriptlets + ", depth=" + scopeDepth +
//	      ", line#=" + lineno);
	} finally {
	    setVars();
	}
    }

    public void newline() { super.newline(); lineno++; }
public ScriptletScopeLexer(InputStream in) {
	this(new ByteBuffer(in));
}
public ScriptletScopeLexer(Reader in) {
	this(new CharBuffer(in));
}
public ScriptletScopeLexer(InputBuffer ib) {
	this(new LexerSharedInputState(ib));
}
public ScriptletScopeLexer(LexerSharedInputState state) {
	super(state);
	literals = new Hashtable();
caseSensitiveLiterals = true;
setCaseSensitive(true);
}

public Token nextToken() throws TokenStreamException {
	Token theRetToken=null;
tryAgain:
	for (;;) {
		Token _token = null;
		int _ttype = Token.INVALID_TYPE;
		setCommitToPath(false);
		int _m;
		_m = mark();
		resetText();
		try {   // for char stream error handling
			try {   // for lexical error handling
				if ((_tokenSet_0.member(LA(1)))) {
					mTOKEN(true);
					theRetToken=_returnToken;
				}
				else {
					if (LA(1)==EOF_CHAR) {uponEOF(); _returnToken = makeToken(Token.EOF_TYPE);}
				else {
					commit();
					try {mCODE(false);}
					catch(RecognitionException e) {
						// catastrophic failure
						reportError(e);
						consume();
					}
					continue tryAgain;
				}
				}
				
				commit();
				if ( _returnToken==null ) continue tryAgain; // found SKIP token
				_ttype = _returnToken.getType();
				_ttype = testLiteralsTable(_ttype);
				_returnToken.setType(_ttype);
				return _returnToken;
			}
			catch (RecognitionException e) {
				if ( !getCommitToPath() ) {
					rewind(_m);
					resetText();
					try {mCODE(false);}
					catch(RecognitionException ee) {
						// horrendous failure: error in filter rule
						reportError(ee);
						consume();
					}
					continue tryAgain;
				}
				throw new TokenStreamRecognitionException(e);
			}
		}
		catch (CharStreamException cse) {
			if ( cse instanceof CharStreamIOException ) {
				throw new TokenStreamIOException(((CharStreamIOException)cse).io);
			}
			else {
				throw new TokenStreamException(cse.getMessage());
			}
		}
	}
}

	public final void mTOKEN(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = TOKEN;
		int _saveIndex;
		
		switch ( LA(1)) {
		case '"':
		{
			mSTRING(false);
			break;
		}
		case '\'':
		{
			mCHAR(false);
			break;
		}
		case '{':
		{
			mOPEN_BRACE(false);
			break;
		}
		case '}':
		{
			mCLOSE_BRACE(false);
			break;
		}
		default:
			if ((LA(1)=='/') && (LA(2)=='*')) {
				mSTANDARD_COMMENT(false);
			}
			else if ((LA(1)=='/') && (LA(2)=='/')) {
				mSLASHSLASH_COMMENT(false);
			}
		else {
			throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
		}
		}
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mSTANDARD_COMMENT(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = STANDARD_COMMENT;
		int _saveIndex;
		
		match("/*");
		inComment = true;
		{
		_loop4:
		do {
			if ((((LA(1) >= '\3' && LA(1) <= '\377')))&&(!(LA(1) == '*' && LA(2) == '/'))) {
				mNEWLINE_COUNTER(false);
			}
			else {
				break _loop4;
			}
			
		} while (true);
		}
		inComment = false;
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mSLASHSLASH_COMMENT(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = SLASHSLASH_COMMENT;
		int _saveIndex;
		
		match("//");
		
		while (LA(1) != '\n' && LA(1) != EOF_CHAR) {
			consume();
		}
		
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mSTRING(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = STRING;
		int _saveIndex;
		
		match('"');
		{
		_loop15:
		do {
			switch ( LA(1)) {
			case '\\':
			{
				mESC(false);
				break;
			}
			case '\3':  case '\4':  case '\5':  case '\6':
			case '\7':  case '\10':  case '\t':  case '\n':
			case '\13':  case '\14':  case '\r':  case '\16':
			case '\17':  case '\20':  case '\21':  case '\22':
			case '\23':  case '\24':  case '\25':  case '\26':
			case '\27':  case '\30':  case '\31':  case '\32':
			case '\33':  case '\34':  case '\35':  case '\36':
			case '\37':  case ' ':  case '!':  case '#':
			case '$':  case '%':  case '&':  case '\'':
			case '(':  case ')':  case '*':  case '+':
			case ',':  case '-':  case '.':  case '/':
			case '0':  case '1':  case '2':  case '3':
			case '4':  case '5':  case '6':  case '7':
			case '8':  case '9':  case ':':  case ';':
			case '<':  case '=':  case '>':  case '?':
			case '@':  case 'A':  case 'B':  case 'C':
			case 'D':  case 'E':  case 'F':  case 'G':
			case 'H':  case 'I':  case 'J':  case 'K':
			case 'L':  case 'M':  case 'N':  case 'O':
			case 'P':  case 'Q':  case 'R':  case 'S':
			case 'T':  case 'U':  case 'V':  case 'W':
			case 'X':  case 'Y':  case 'Z':  case '[':
			case ']':  case '^':  case '_':  case '`':
			case 'a':  case 'b':  case 'c':  case 'd':
			case 'e':  case 'f':  case 'g':  case 'h':
			case 'i':  case 'j':  case 'k':  case 'l':
			case 'm':  case 'n':  case 'o':  case 'p':
			case 'q':  case 'r':  case 's':  case 't':
			case 'u':  case 'v':  case 'w':  case 'x':
			case 'y':  case 'z':  case '{':  case '|':
			case '}':  case '~':  case '\177':  case '\200':
			case '\201':  case '\202':  case '\203':  case '\204':
			case '\205':  case '\206':  case '\207':  case '\210':
			case '\211':  case '\212':  case '\213':  case '\214':
			case '\215':  case '\216':  case '\217':  case '\220':
			case '\221':  case '\222':  case '\223':  case '\224':
			case '\225':  case '\226':  case '\227':  case '\230':
			case '\231':  case '\232':  case '\233':  case '\234':
			case '\235':  case '\236':  case '\237':  case '\240':
			case '\241':  case '\242':  case '\243':  case '\244':
			case '\245':  case '\246':  case '\247':  case '\250':
			case '\251':  case '\252':  case '\253':  case '\254':
			case '\255':  case '\256':  case '\257':  case '\260':
			case '\261':  case '\262':  case '\263':  case '\264':
			case '\265':  case '\266':  case '\267':  case '\270':
			case '\271':  case '\272':  case '\273':  case '\274':
			case '\275':  case '\276':  case '\277':  case '\300':
			case '\301':  case '\302':  case '\303':  case '\304':
			case '\305':  case '\306':  case '\307':  case '\310':
			case '\311':  case '\312':  case '\313':  case '\314':
			case '\315':  case '\316':  case '\317':  case '\320':
			case '\321':  case '\322':  case '\323':  case '\324':
			case '\325':  case '\326':  case '\327':  case '\330':
			case '\331':  case '\332':  case '\333':  case '\334':
			case '\335':  case '\336':  case '\337':  case '\340':
			case '\341':  case '\342':  case '\343':  case '\344':
			case '\345':  case '\346':  case '\347':  case '\350':
			case '\351':  case '\352':  case '\353':  case '\354':
			case '\355':  case '\356':  case '\357':  case '\360':
			case '\361':  case '\362':  case '\363':  case '\364':
			case '\365':  case '\366':  case '\367':  case '\370':
			case '\371':  case '\372':  case '\373':  case '\374':
			case '\375':  case '\376':  case '\377':
			{
				{
				match(_tokenSet_1);
				}
				break;
			}
			default:
			{
				break _loop15;
			}
			}
		} while (true);
		}
		match('"');
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mCHAR(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = CHAR;
		int _saveIndex;
		
		match('\'');
		{
		_loop11:
		do {
			switch ( LA(1)) {
			case '\\':
			{
				mESC(false);
				break;
			}
			case '\3':  case '\4':  case '\5':  case '\6':
			case '\7':  case '\10':  case '\t':  case '\n':
			case '\13':  case '\14':  case '\r':  case '\16':
			case '\17':  case '\20':  case '\21':  case '\22':
			case '\23':  case '\24':  case '\25':  case '\26':
			case '\27':  case '\30':  case '\31':  case '\32':
			case '\33':  case '\34':  case '\35':  case '\36':
			case '\37':  case ' ':  case '!':  case '"':
			case '#':  case '$':  case '%':  case '&':
			case '(':  case ')':  case '*':  case '+':
			case ',':  case '-':  case '.':  case '/':
			case '0':  case '1':  case '2':  case '3':
			case '4':  case '5':  case '6':  case '7':
			case '8':  case '9':  case ':':  case ';':
			case '<':  case '=':  case '>':  case '?':
			case '@':  case 'A':  case 'B':  case 'C':
			case 'D':  case 'E':  case 'F':  case 'G':
			case 'H':  case 'I':  case 'J':  case 'K':
			case 'L':  case 'M':  case 'N':  case 'O':
			case 'P':  case 'Q':  case 'R':  case 'S':
			case 'T':  case 'U':  case 'V':  case 'W':
			case 'X':  case 'Y':  case 'Z':  case '[':
			case ']':  case '^':  case '_':  case '`':
			case 'a':  case 'b':  case 'c':  case 'd':
			case 'e':  case 'f':  case 'g':  case 'h':
			case 'i':  case 'j':  case 'k':  case 'l':
			case 'm':  case 'n':  case 'o':  case 'p':
			case 'q':  case 'r':  case 's':  case 't':
			case 'u':  case 'v':  case 'w':  case 'x':
			case 'y':  case 'z':  case '{':  case '|':
			case '}':  case '~':  case '\177':  case '\200':
			case '\201':  case '\202':  case '\203':  case '\204':
			case '\205':  case '\206':  case '\207':  case '\210':
			case '\211':  case '\212':  case '\213':  case '\214':
			case '\215':  case '\216':  case '\217':  case '\220':
			case '\221':  case '\222':  case '\223':  case '\224':
			case '\225':  case '\226':  case '\227':  case '\230':
			case '\231':  case '\232':  case '\233':  case '\234':
			case '\235':  case '\236':  case '\237':  case '\240':
			case '\241':  case '\242':  case '\243':  case '\244':
			case '\245':  case '\246':  case '\247':  case '\250':
			case '\251':  case '\252':  case '\253':  case '\254':
			case '\255':  case '\256':  case '\257':  case '\260':
			case '\261':  case '\262':  case '\263':  case '\264':
			case '\265':  case '\266':  case '\267':  case '\270':
			case '\271':  case '\272':  case '\273':  case '\274':
			case '\275':  case '\276':  case '\277':  case '\300':
			case '\301':  case '\302':  case '\303':  case '\304':
			case '\305':  case '\306':  case '\307':  case '\310':
			case '\311':  case '\312':  case '\313':  case '\314':
			case '\315':  case '\316':  case '\317':  case '\320':
			case '\321':  case '\322':  case '\323':  case '\324':
			case '\325':  case '\326':  case '\327':  case '\330':
			case '\331':  case '\332':  case '\333':  case '\334':
			case '\335':  case '\336':  case '\337':  case '\340':
			case '\341':  case '\342':  case '\343':  case '\344':
			case '\345':  case '\346':  case '\347':  case '\350':
			case '\351':  case '\352':  case '\353':  case '\354':
			case '\355':  case '\356':  case '\357':  case '\360':
			case '\361':  case '\362':  case '\363':  case '\364':
			case '\365':  case '\366':  case '\367':  case '\370':
			case '\371':  case '\372':  case '\373':  case '\374':
			case '\375':  case '\376':  case '\377':
			{
				matchNot('\'');
				break;
			}
			default:
			{
				break _loop11;
			}
			}
		} while (true);
		}
		match('\'');
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mOPEN_BRACE(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = OPEN_BRACE;
		int _saveIndex;
		
		match("{");
		
		if (!inComment) {
			scopeDepth++;
			Scope sc = new Scope(SCRIPTLET_SCOPE_PREFIX + scopeDepth, lineno,
					     jspc.getURI(), true);
			jspc.pushScope(sc);
		}
		//    p("    open brace: " + stats());
		
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mCLOSE_BRACE(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = CLOSE_BRACE;
		int _saveIndex;
		
		match("}");
		
		if (!inComment) {
			Scope sc = jspc.popScope();
			String expected = SCRIPTLET_SCOPE_PREFIX + scopeDepth;
			if (!expected.equals(sc.name)) {
			    throw new weblogic.servlet.jsp.JspException
				("scriptlet close brace '}' unbalanced at line " + lineno +
				 " which breaks scope '" + sc.name + "'", lineno,
				 jspc.getURI());
			}
			scopeDepth--;
		}
		//    p("   close brace: " + stats());
		
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mNEWLINE_COUNTER(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = NEWLINE_COUNTER;
		int _saveIndex;
		char  c = '\0';
		
		c = LA(1);
		matchNot(EOF_CHAR);
		if (c=='\n') newline();
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mSTANDARD_COMMENT_CLOSE(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = STANDARD_COMMENT_CLOSE;
		int _saveIndex;
		
		match("*/");
		
		if (inComment) inComment = false;
		
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mESC(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = ESC;
		int _saveIndex;
		
		match('\\');
		{
		switch ( LA(1)) {
		case 'n':
		{
			match('n');
			break;
		}
		case 'r':
		{
			match('r');
			break;
		}
		case 't':
		{
			match('t');
			break;
		}
		case 'b':
		{
			match('b');
			break;
		}
		case 'f':
		{
			match('f');
			break;
		}
		case '"':
		{
			match('"');
			break;
		}
		case '\'':
		{
			match('\'');
			break;
		}
		case '\\':
		{
			match('\\');
			break;
		}
		case 'u':
		{
			{
			int _cnt19=0;
			_loop19:
			do {
				if ((LA(1)=='u')) {
					match('u');
				}
				else {
					if ( _cnt19>=1 ) { break _loop19; } else {throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());}
				}
				
				_cnt19++;
			} while (true);
			}
			mHEX_DIGIT(false);
			mHEX_DIGIT(false);
			mHEX_DIGIT(false);
			mHEX_DIGIT(false);
			break;
		}
		case '0':  case '1':  case '2':  case '3':
		{
			{
			matchRange('0','3');
			}
			{
			if (((LA(1) >= '0' && LA(1) <= '7')) && ((LA(2) >= '\3' && LA(2) <= '\377')) && (true)) {
				{
				matchRange('0','7');
				}
				{
				if (((LA(1) >= '0' && LA(1) <= '7')) && ((LA(2) >= '\3' && LA(2) <= '\377')) && (true)) {
					matchRange('0','7');
				}
				else if (((LA(1) >= '\3' && LA(1) <= '\377')) && (true) && (true)) {
				}
				else {
					throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
				}
				
				}
			}
			else if (((LA(1) >= '\3' && LA(1) <= '\377')) && (true) && (true)) {
			}
			else {
				throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
			}
			
			}
			break;
		}
		case '4':  case '5':  case '6':  case '7':
		{
			{
			matchRange('4','7');
			}
			{
			if (((LA(1) >= '0' && LA(1) <= '9')) && ((LA(2) >= '\3' && LA(2) <= '\377')) && (true)) {
				{
				matchRange('0','9');
				}
			}
			else if (((LA(1) >= '\3' && LA(1) <= '\377')) && (true) && (true)) {
			}
			else {
				throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
			}
			
			}
			break;
		}
		default:
		{
			throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
		}
		}
		}
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mHEX_DIGIT(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = HEX_DIGIT;
		int _saveIndex;
		
		{
		switch ( LA(1)) {
		case '0':  case '1':  case '2':  case '3':
		case '4':  case '5':  case '6':  case '7':
		case '8':  case '9':
		{
			matchRange('0','9');
			break;
		}
		case 'A':  case 'B':  case 'C':  case 'D':
		case 'E':  case 'F':
		{
			matchRange('A','F');
			break;
		}
		case 'a':  case 'b':  case 'c':  case 'd':
		case 'e':  case 'f':
		{
			matchRange('a','f');
			break;
		}
		default:
		{
			throw new NoViableAltForCharException((char)LA(1), getFilename(), getLine());
		}
		}
		}
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	protected final void mCODE(boolean _createToken) throws RecognitionException, CharStreamException, TokenStreamException {
		int _ttype; Token _token=null; int _begin=text.length();
		_ttype = CODE;
		int _saveIndex;
		char  c = '\0';
		
		c = LA(1);
		matchNot(EOF_CHAR);
		
		if (c=='\n') {
			newline();
			if (slashComment) {
			    inComment = slashComment = false;
			}
		//	p("           EOL: " + stats());
		}
		
		if ( _createToken && _token==null && _ttype!=Token.SKIP ) {
			_token = makeToken(_ttype);
			_token.setText(new String(text.getBuffer(), _begin, text.length()-_begin));
		}
		_returnToken = _token;
	}
	
	
	private static long[] make_tokenSet_0() { long[] data = { 141304424038400L, 2882303761517117440L, 0L, 0L, 0L }; return data; }
	public static final BitSet _tokenSet_0 = new BitSet(make_tokenSet_0());
	private static long[] make_tokenSet_1() { long[] data = { -17179869192L, -268435457L, -1L, -1L, 0L, 0L, 0L, 0L }; return data; }
	public static final BitSet _tokenSet_1 = new BitSet(make_tokenSet_1());
	
	}
