package weblogic.servlet.jsp.stdtag;

import java.util.List;
import java.util.ArrayList;
import org.xml.sax.AttributeList;
import org.xml.sax.SAXException;
import weblogic.xml.dtdc.XmlElement;

public class Attribute extends XmlElement implements Cloneable {

  // ============================================================
  // Constructor

  public Attribute(String name, AttributeList attributes) throws SAXException {
    if(!name.equals("attribute")) {
      throw new SAXException("Attempt to construct a " + getClass().getName() + " with a " +
                             name + " element");
    }
    initialize(name, attributes);
  }

  public Attribute() {}

  public void initialize(String name, AttributeList attributes) throws SAXException {
    if (attributes.getValue("id") != null) {
	idValue = attributes.getValue("id");
    }
    attributeValues.put("id", idValue);

  }
  
  public boolean isEmpty() {
    return false;
  }

  public String getElementName() { return "attribute"; }

  // ============================================================
  // Attributes

  private String idValue="";
  public String getIdAttribute() {
    return idValue == null ? "" : idValue;
  }
  public Attribute setIdAttribute(String value) {
    idValue = value;

    attributeValues.put("id", idValue);
    return this;
  }


  // ============================================================
  // Contained Elements

  public Attribute addDataElement(String string) {
    return (Attribute) super._addDataElement(string);
  }

  // ============================================================
  // Cloneable implementation

  public Object clone() throws java.lang.CloneNotSupportedException {
    return super.clone();
  }

  
  private List rtexprvalueSubElements = new ArrayList();
  public List getRtexprvalueElements() { return rtexprvalueSubElements; }
  public Attribute addRtexprvalueElement(Rtexprvalue subelement) {
    rtexprvalueSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }

  private List nameSubElements = new ArrayList();
  public List getNameElements() { return nameSubElements; }
  public Attribute addNameElement(Name subelement) {
    nameSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }

  private List requiredSubElements = new ArrayList();
  public List getRequiredElements() { return requiredSubElements; }
  public Attribute addRequiredElement(Required subelement) {
    requiredSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }



}

