package weblogic.servlet.jsp.stdtag;

import java.util.List;
import java.util.ArrayList;
import org.xml.sax.AttributeList;
import org.xml.sax.SAXException;
import weblogic.xml.dtdc.XmlElement;

public class Info extends XmlElement implements Cloneable {

  // ============================================================
  // Constructor

  public Info(String name, AttributeList attributes) throws SAXException {
    if(!name.equals("info")) {
      throw new SAXException("Attempt to construct a " + getClass().getName() + " with a " +
                             name + " element");
    }
    initialize(name, attributes);
  }

  public Info() {}

  public void initialize(String name, AttributeList attributes) throws SAXException {
    if (attributes.getValue("id") != null) {
	idValue = attributes.getValue("id");
    }
    attributeValues.put("id", idValue);

  }
  
  public boolean isEmpty() {
    return false;
  }

  public String getElementName() { return "info"; }

  // ============================================================
  // Attributes

  private String idValue="";
  public String getIdAttribute() {
    return idValue == null ? "" : idValue;
  }
  public Info setIdAttribute(String value) {
    idValue = value;

    attributeValues.put("id", idValue);
    return this;
  }


  // ============================================================
  // Contained Elements

  public Info addDataElement(String string) {
    return (Info) super._addDataElement(string);
  }

  // ============================================================
  // Cloneable implementation

  public Object clone() throws java.lang.CloneNotSupportedException {
    return super.clone();
  }

  


}

