package weblogic.servlet.jsp.stdtag;

import java.util.List;
import java.util.ArrayList;
import org.xml.sax.AttributeList;
import org.xml.sax.SAXException;
import weblogic.xml.dtdc.XmlElement;

public class Tag extends XmlElement implements Cloneable {

  // ============================================================
  // Constructor

  public Tag(String name, AttributeList attributes) throws SAXException {
    if(!name.equals("tag")) {
      throw new SAXException("Attempt to construct a " + getClass().getName() + " with a " +
                             name + " element");
    }
    initialize(name, attributes);
  }

  public Tag() {}

  public void initialize(String name, AttributeList attributes) throws SAXException {
    if (attributes.getValue("id") != null) {
	idValue = attributes.getValue("id");
    }
    attributeValues.put("id", idValue);

  }
  
  public boolean isEmpty() {
    return false;
  }

  public String getElementName() { return "tag"; }

  // ============================================================
  // Attributes

  private String idValue="";
  public String getIdAttribute() {
    return idValue == null ? "" : idValue;
  }
  public Tag setIdAttribute(String value) {
    idValue = value;

    attributeValues.put("id", idValue);
    return this;
  }


  // ============================================================
  // Contained Elements

  public Tag addDataElement(String string) {
    return (Tag) super._addDataElement(string);
  }

  // ============================================================
  // Cloneable implementation

  public Object clone() throws java.lang.CloneNotSupportedException {
    return super.clone();
  }

  
  private List nameSubElements = new ArrayList();
  public List getNameElements() { return nameSubElements; }
  public Tag addNameElement(Name subelement) {
    nameSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }

  private List bodycontentSubElements = new ArrayList();
  public List getBodycontentElements() { return bodycontentSubElements; }
  public Tag addBodycontentElement(Bodycontent subelement) {
    bodycontentSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }

  private List attributeSubElements = new ArrayList();
  public List getAttributeElements() { return attributeSubElements; }
  public Tag addAttributeElement(Attribute subelement) {
    attributeSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }

  private List infoSubElements = new ArrayList();
  public List getInfoElements() { return infoSubElements; }
  public Tag addInfoElement(Info subelement) {
    infoSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }

  private List teiclassSubElements = new ArrayList();
  public List getTeiclassElements() { return teiclassSubElements; }
  public Tag addTeiclassElement(Teiclass subelement) {
    teiclassSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }

  private List tagclassSubElements = new ArrayList();
  public List getTagclassElements() { return tagclassSubElements; }
  public Tag addTagclassElement(Tagclass subelement) {
    tagclassSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }



}

