package weblogic.servlet.jsp.stdtag;

import java.util.List;
import java.util.ArrayList;
import org.xml.sax.AttributeList;
import org.xml.sax.SAXException;
import weblogic.xml.dtdc.XmlElement;

public class Taglib extends XmlElement implements Cloneable {

  // ============================================================
  // Constructor

  public Taglib(String name, AttributeList attributes) throws SAXException {
    if(!name.equals("taglib")) {
      throw new SAXException("Attempt to construct a " + getClass().getName() + " with a " +
                             name + " element");
    }
    initialize(name, attributes);
  }

  public Taglib() {}

  public void initialize(String name, AttributeList attributes) throws SAXException {
    if (attributes.getValue("xmlns") != null) {
	xmlnsValue = attributes.getValue("xmlns");
    }
    attributeValues.put("xmlns", xmlnsValue);
    if (attributes.getValue("id") != null) {
	idValue = attributes.getValue("id");
    }
    attributeValues.put("id", idValue);

  }
  
  public boolean isEmpty() {
    return false;
  }

  public String getElementName() { return "taglib"; }

  // ============================================================
  // Attributes

  private String xmlnsValue="http://java.sun.com/j2ee/dtds/web-jsptaglibrary_1_1.dtd";
  public String getXmlnsAttribute() {
    return xmlnsValue == null ? "" : xmlnsValue;
  }
  public Taglib setXmlnsAttribute(String value) {
    xmlnsValue = value;

    attributeValues.put("xmlns", xmlnsValue);
    return this;
  }

  private String idValue="";
  public String getIdAttribute() {
    return idValue == null ? "" : idValue;
  }
  public Taglib setIdAttribute(String value) {
    idValue = value;

    attributeValues.put("id", idValue);
    return this;
  }


  // ============================================================
  // Contained Elements

  public Taglib addDataElement(String string) {
    return (Taglib) super._addDataElement(string);
  }

  // ============================================================
  // Cloneable implementation

  public Object clone() throws java.lang.CloneNotSupportedException {
    return super.clone();
  }

  
  private List infoSubElements = new ArrayList();
  public List getInfoElements() { return infoSubElements; }
  public Taglib addInfoElement(Info subelement) {
    infoSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }

  private List uriSubElements = new ArrayList();
  public List getUriElements() { return uriSubElements; }
  public Taglib addUriElement(Uri subelement) {
    uriSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }

  private List shortnameSubElements = new ArrayList();
  public List getShortnameElements() { return shortnameSubElements; }
  public Taglib addShortnameElement(Shortname subelement) {
    shortnameSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }

  private List tlibversionSubElements = new ArrayList();
  public List getTlibversionElements() { return tlibversionSubElements; }
  public Taglib addTlibversionElement(Tlibversion subelement) {
    tlibversionSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }

  private List jspversionSubElements = new ArrayList();
  public List getJspversionElements() { return jspversionSubElements; }
  public Taglib addJspversionElement(Jspversion subelement) {
    jspversionSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }

  private List urnSubElements = new ArrayList();
  public List getUrnElements() { return urnSubElements; }
  public Taglib addUrnElement(Urn subelement) {
    urnSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }

  private List tagSubElements = new ArrayList();
  public List getTagElements() { return tagSubElements; }
  public Taglib addTagElement(Tag subelement) {
    tagSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }



}

