package weblogic.servlet.jsp.wltag;

import java.util.List;
import java.util.ArrayList;
import org.xml.sax.AttributeList;
import org.xml.sax.SAXException;
import weblogic.xml.dtdc.XmlElement;

public class Attribute extends XmlElement implements Cloneable {

  // ============================================================
  // Constructor

  public Attribute(String name, AttributeList attributes) throws SAXException {
    if(!name.equals("attribute")) {
      throw new SAXException("Attempt to construct a " + getClass().getName() + " with a " +
                             name + " element");
    }
    initialize(name, attributes);
  }

  public Attribute() {}

  public void initialize(String name, AttributeList attributes) throws SAXException {
    if (attributes.getValue("name") != null) {
	nameValue = attributes.getValue("name");
    }
    attributeValues.put("name", nameValue);
    if (attributes.getValue("type") != null) {
	typeValue = attributes.getValue("type");
    }
    attributeValues.put("type", typeValue);

  }
  
  public boolean isEmpty() {
    return false;
  }

  public String getElementName() { return "attribute"; }

  // ============================================================
  // Attributes

  private String nameValue="";
  public String getNameAttribute() {
    return nameValue == null ? "" : nameValue;
  }
  public Attribute setNameAttribute(String value) {
    nameValue = value;

    attributeValues.put("name", nameValue);
    return this;
  }

  private String typeValue="optional";
  public String getTypeAttribute() {
    return typeValue == null ? "" : typeValue;
  }
  public Attribute setTypeAttribute(String value) {
    typeValue = value;

    attributeValues.put("type", typeValue);
    return this;
  }


  // ============================================================
  // Contained Elements

  public Attribute addDataElement(String string) {
    return (Attribute) super._addDataElement(string);
  }

  // ============================================================
  // Cloneable implementation

  public Object clone() throws java.lang.CloneNotSupportedException {
    return super.clone();
  }

  
  private List dwValidSubElements = new ArrayList();
  public List getDwValidElements() { return dwValidSubElements; }
  public Attribute addDwValidElement(DwValid subelement) {
    dwValidSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }

  private List docSubElements = new ArrayList();
  public List getDocElements() { return docSubElements; }
  public Attribute addDocElement(Doc subelement) {
    docSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }



}

