package weblogic.servlet.jsp.wltag;

import java.util.List;
import java.util.ArrayList;
import org.xml.sax.AttributeList;
import org.xml.sax.SAXException;
import weblogic.xml.dtdc.XmlElement;

public class DwTranslator extends XmlElement implements Cloneable {

  // ============================================================
  // Constructor

  public DwTranslator(String name, AttributeList attributes) throws SAXException {
    if(!name.equals("dwTranslator")) {
      throw new SAXException("Attempt to construct a " + getClass().getName() + " with a " +
                             name + " element");
    }
    initialize(name, attributes);
  }

  public DwTranslator() {}

  public void initialize(String name, AttributeList attributes) throws SAXException {
    if (attributes.getValue("type") != null) {
	typeValue = attributes.getValue("type");
    }
    attributeValues.put("type", typeValue);

  }
  
  public boolean isEmpty() {
    return false;
  }

  public String getElementName() { return "dw_translator"; }

  // ============================================================
  // Attributes

  private String typeValue="default";
  public String getTypeAttribute() {
    return typeValue == null ? "" : typeValue;
  }
  public DwTranslator setTypeAttribute(String value) {
    typeValue = value;

    attributeValues.put("type", typeValue);
    return this;
  }


  // ============================================================
  // Contained Elements

  public DwTranslator addDataElement(String string) {
    return (DwTranslator) super._addDataElement(string);
  }

  // ============================================================
  // Cloneable implementation

  public Object clone() throws java.lang.CloneNotSupportedException {
    return super.clone();
  }

  


}

