package weblogic.servlet.jsp.wltag;

import java.util.List;
import java.util.ArrayList;
import org.xml.sax.AttributeList;
import org.xml.sax.SAXException;
import weblogic.xml.dtdc.XmlElement;

public class DwValid extends XmlElement implements Cloneable {

  // ============================================================
  // Constructor

  public DwValid(String name, AttributeList attributes) throws SAXException {
    if(!name.equals("dwValid")) {
      throw new SAXException("Attempt to construct a " + getClass().getName() + " with a " +
                             name + " element");
    }
    initialize(name, attributes);
  }

  public DwValid() {}

  public void initialize(String name, AttributeList attributes) throws SAXException {
    if (attributes.getValue("value") != null) {
	valueValue = attributes.getValue("value");
    }
    attributeValues.put("value", valueValue);

  }
  
  public boolean isEmpty() {
    return true;
  }

  public String getElementName() { return "dw_valid"; }

  // ============================================================
  // Attributes

  private String valueValue="";
  public String getValueAttribute() {
    return valueValue == null ? "" : valueValue;
  }
  public DwValid setValueAttribute(String value) {
    valueValue = value;

    attributeValues.put("value", valueValue);
    return this;
  }


  // ============================================================
  // Contained Elements

  public DwValid addDataElement(String string) {
    return (DwValid) super._addDataElement(string);
  }

  // ============================================================
  // Cloneable implementation

  public Object clone() throws java.lang.CloneNotSupportedException {
    return super.clone();
  }

  


}

