package weblogic.servlet.jsp.wltag;

import java.util.List;
import java.util.ArrayList;
import org.xml.sax.AttributeList;
import org.xml.sax.SAXException;
import weblogic.xml.dtdc.XmlElement;

public class Tag extends XmlElement implements Cloneable {

  // ============================================================
  // Constructor

  public Tag(String name, AttributeList attributes) throws SAXException {
    if(!name.equals("tag")) {
      throw new SAXException("Attempt to construct a " + getClass().getName() + " with a " +
                             name + " element");
    }
    initialize(name, attributes);
  }

  public Tag() {}

  public void initialize(String name, AttributeList attributes) throws SAXException {
    if (attributes.getValue("name") != null) {
	nameValue = attributes.getValue("name");
    }
    attributeValues.put("name", nameValue);
    if (attributes.getValue("type") != null) {
	typeValue = attributes.getValue("type");
    }
    attributeValues.put("type", typeValue);
    if (attributes.getValue("class") != null) {
	classValue = attributes.getValue("class");
    }
    attributeValues.put("class", classValue);

  }
  
  public boolean isEmpty() {
    return false;
  }

  public String getElementName() { return "tag"; }

  // ============================================================
  // Attributes

  private String nameValue="";
  public String getNameAttribute() {
    return nameValue == null ? "" : nameValue;
  }
  public Tag setNameAttribute(String value) {
    nameValue = value;

    attributeValues.put("name", nameValue);
    return this;
  }

  private String typeValue="empty";
  public String getTypeAttribute() {
    return typeValue == null ? "" : typeValue;
  }
  public Tag setTypeAttribute(String value) {
    typeValue = value;

    attributeValues.put("type", typeValue);
    return this;
  }

  private String classValue="";
  public String getClassAttribute() {
    return classValue == null ? "" : classValue;
  }
  public Tag setClassAttribute(String value) {
    classValue = value;

    attributeValues.put("class", classValue);
    return this;
  }


  // ============================================================
  // Contained Elements

  public Tag addDataElement(String string) {
    return (Tag) super._addDataElement(string);
  }

  // ============================================================
  // Cloneable implementation

  public Object clone() throws java.lang.CloneNotSupportedException {
    return super.clone();
  }

  
  private List attributeSubElements = new ArrayList();
  public List getAttributeElements() { return attributeSubElements; }
  public Tag addAttributeElement(Attribute subelement) {
    attributeSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }

  private List docSubElements = new ArrayList();
  public List getDocElements() { return docSubElements; }
  public Tag addDocElement(Doc subelement) {
    docSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }

  private List dwTranslatorSubElements = new ArrayList();
  public List getDwTranslatorElements() { return dwTranslatorSubElements; }
  public Tag addDwTranslatorElement(DwTranslator subelement) {
    dwTranslatorSubElements.add(subelement);
    subElements.add(subelement);
    return this;
  }



}

