package weblogic.t3.srvr;

import weblogic.logging.MessageLogger;
 
/** 
 * Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.
 * @exclude
 */
public class T3SrvrLogger
{
  /**
   * The proper license key was not found. maxAddresses={0} {1}
   * @exclude
   *
   * messageid:  000200
   * severity:   alert
   */
  public static String logLicenseKeyNotFound(int arg0, Exception arg1)  {
    Object [] args = { new Integer(arg0), arg1 };
    MessageLogger.log(
	"000200",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000200";
  }

  /**
   * {0} listening on port {1,number,0}, ip address {2}
   * @exclude
   *
   * messageid:  000201
   * severity:   notice
   */
  public static String logListeningOnPortAndHost(String arg0, int arg1, String arg2)  {
    Object [] args = { arg0, new Integer(arg1), arg2 };
    MessageLogger.log(
	"000201",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000201";
  }

  /**
   * {0} listening on port {1,number,0}
   * @exclude
   *
   * messageid:  000202
   * severity:   notice
   */
  public static String logListeningOnPortOnly(String arg0, int arg1)  {
    Object [] args = { arg0, new Integer(arg1) };
    MessageLogger.log(
	"000202",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000202";
  }

  /**
   * Reopening listen socket on port {0,number,0}
   * @exclude
   *
   * messageid:  000203
   * severity:   notice
   */
  public static String logReopeningSocketOnPort(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"000203",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000203";
  }

  /**
   * Failed to listen on port {0,number,0}, failure count: {1}, failing for {2} seconds, {3}
   * @exclude
   *
   * messageid:  000204
   * severity:   critical
   */
  public static String logListenFailed(int arg0, int arg1, long arg2, Exception arg3)  {
    Object [] args = { new Integer(arg0), new Integer(arg1), new Long(arg2), arg3 };
    MessageLogger.log(
	"000204",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000204";
  }

  /**
   * After having failed to listen, the server is now listening on port {0,number,0}
   * @exclude
   *
   * messageid:  000205
   * severity:   notice
   */
  public static String logListenRestored(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"000205",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000205";
  }

  /**
   * Attempting to close and reopen the server socket on port {0,number,0}
   * @exclude
   *
   * messageid:  000206
   * severity:   critical
   */
  public static String logCloseAndReopenSocket(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"000206",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000206";
  }

  /**
   * Unable to create a server socket for: {0}, port: {1,number,0}. {2} Perhaps the address {0} is incorrect or another process is using port {1,number,0}.
   * @exclude
   *
   * messageid:  000207
   * severity:   emergency
   */
  public static String logNoCreateSocketIPPort(String arg0, int arg1, Exception arg2)  {
    Object [] args = { arg0, new Integer(arg1), arg2 };
    MessageLogger.log(
	"000207",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000207";
  }

  /**
   * Unable to create a server socket for port: {0,number,0}. {1} Perhaps another process is using port {0,number,0}.
   * @exclude
   *
   * messageid:  000208
   * severity:   emergency
   */
  public static String logNoCreateSocketPortOnly(int arg0, Exception arg1)  {
    Object [] args = { new Integer(arg0), arg1 };
    MessageLogger.log(
	"000208",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000208";
  }

  /**
   * ListenThread.run() failed: {0}
   * @exclude
   *
   * messageid:  000209
   * severity:   emergency
   */
  public static String logNoCreateSocketExceptOnly(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000209",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000209";
  }

  /**
   * The WebLogic Server is no longer listening for connections. You should probably restart it.
   * @exclude
   *
   * messageid:  000210
   * severity:   emergency
   */
  public static String logServerNotListening()  {
    Object [] args = {  };
    MessageLogger.log(
	"000210",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000210";
  }

  /**
   * Connection rejected, the server license allows connections from only {0} unique IP addresses.
   * @exclude
   *
   * messageid:  000211
   * severity:   notice
   */
  public static String logConnectionRejectedMaxAddresses(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"000211",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000211";
  }

  /**
   * Connection rejected, filter blocked {0}, {1}
   * @exclude
   *
   * messageid:  000212
   * severity:   notice
   */
  public static String logConnectionRejectedFilterEx(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000212",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000212";
  }

  /**
   * Adding address: {0} to licensed client list
   * @exclude
   *
   * messageid:  000213
   * severity:   info
   */
  public static String logAddedIPAddress(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000213",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000213";
  }

  /**
   * WebLogic Server ({0}) "{1}"\n (c) 1995, 1996, 1997, 1998 WebLogic, Inc.\n (c) 1999, 2000 BEA Systems, Inc.
   * @exclude
   *
   * messageid:  000214
   * severity:   info
   */
  public static String logStartupBuildName(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000214",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000214";
  }

  /**
   * Loaded License : {0}
   * @exclude
   *
   * messageid:  000215
   * severity:   info
   */
  public static String logLoadedLicense(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000215",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000215";
  }

  /**
   * WebLogic Server started
   * @exclude
   *
   * messageid:  000216
   * severity:   notice
   */
  public static String logServerStarted()  {
    Object [] args = {  };
    MessageLogger.log(
	"000216",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000216";
  }

  /**
   * Failed to fully suspend the server due to: {0}
   * @exclude
   *
   * messageid:  000217
   * severity:   critical
   */
  public static String logFailedToSuspendServer(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000217",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000217";
  }

  /**
   * Server shutdown has been requested by {0}
   * @exclude
   *
   * messageid:  000218
   * severity:   alert
   */
  public static String logShutdownRequested(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000218",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000218";
  }

  /**
   * The shutdown sequence has been initiated.
   * @exclude
   *
   * messageid:  000219
   * severity:   alert
   */
  public static String logShutdownInitiated()  {
    Object [] args = {  };
    MessageLogger.log(
	"000219",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000219";
  }

  /**
   * Cannot shutdown the server, the request was from a null user (Principal).
   * @exclude
   *
   * messageid:  000220
   * severity:   notice
   */
  public static String logNoShutdownNullUser()  {
    Object [] args = {  };
    MessageLogger.log(
	"000220",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000220";
  }

  /**
   * Cannot shutdown the server, the request was from a nameless user (Principal).
   * @exclude
   *
   * messageid:  000221
   * severity:   notice
   */
  public static String logNoShutdownNamelessUser()  {
    Object [] args = {  };
    MessageLogger.log(
	"000221",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000221";
  }

  /**
   * Cannot disable server logins, the request was from a null user (Principal).
   * @exclude
   *
   * messageid:  000222
   * severity:   notice
   */
  public static String logNoLockServerNullUser()  {
    Object [] args = {  };
    MessageLogger.log(
	"000222",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000222";
  }

  /**
   * Cannot disable server logins, the request was from a nameless user (Principal).
   * @exclude
   *
   * messageid:  000223
   * severity:   notice
   */
  public static String logNoLockServerNamelessUser()  {
    Object [] args = {  };
    MessageLogger.log(
	"000223",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000223";
  }

  /**
   * Cannot enable server logins, the request was from a null user (Principal).
   * @exclude
   *
   * messageid:  000224
   * severity:   notice
   */
  public static String logNoUnlockServerNullUser()  {
    Object [] args = {  };
    MessageLogger.log(
	"000224",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000224";
  }

  /**
   * Cannot enable server logins, the request was from a nameless user (Principal).
   * @exclude
   *
   * messageid:  000225
   * severity:   notice
   */
  public static String logNoUnlockServerNamelessUser()  {
    Object [] args = {  };
    MessageLogger.log(
	"000225",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000225";
  }

  /**
   * The enabling of server logins has been requested by {0}
   * @exclude
   *
   * messageid:  000226
   * severity:   alert
   */
  public static String logUnlockServerRequested(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000226",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000226";
  }

  /**
   * Server logins have been enabled.
   * @exclude
   *
   * messageid:  000227
   * severity:   alert
   */
  public static String logUnlockServerHappened()  {
    Object [] args = {  };
    MessageLogger.log(
	"000227",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000227";
  }

  /**
   * The disabling of server logins has been requested by {0}
   * @exclude
   *
   * messageid:  000228
   * severity:   alert
   */
  public static String logLockServerRequested(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000228",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000228";
  }

  /**
   * Server logins have been disabled.
   * @exclude
   *
   * messageid:  000229
   * severity:   alert
   */
  public static String logLockServerHappened()  {
    Object [] args = {  };
    MessageLogger.log(
	"000229",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000229";
  }

  /**
   * Failed to submit shutdown pending command: {0}
   * @exclude
   *
   * messageid:  000230
   * severity:   critical
   */
  public static String logShutdownPendingFailed(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000230",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000230";
  }

  /**
   * Waiting {0} seconds for server shutdown.
   * @exclude
   *
   * messageid:  000231
   * severity:   info
   */
  public static String logWaitingForShutdown(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"000231",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000231";
  }

  /**
   * Server shutdown is commencing NOW and is irreversible.
   * @exclude
   *
   * messageid:  000232
   * severity:   info
   */
  public static String logNotWaitingForShutdown()  {
    Object [] args = {  };
    MessageLogger.log(
	"000232",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000232";
  }

  /**
   * Requesting all threads to perform their own shutdown.
   * @exclude
   *
   * messageid:  000233
   * severity:   info
   */
  public static String logRequestingThreadShutdown()  {
    Object [] args = {  };
    MessageLogger.log(
	"000233",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000233";
  }

  /**
   * Waiting {0} seconds for threads to complete shutdown.
   * @exclude
   *
   * messageid:  000234
   * severity:   info
   */
  public static String logWaitingThreadShutdown(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"000234",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000234";
  }

  /**
   * Failed to submit shutdown command: {0}
   * @exclude
   *
   * messageid:  000235
   * severity:   critical
   */
  public static String logShutdownCommandFailed(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000235",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000235";
  }

  /**
   * Stopping execute threads.
   * @exclude
   *
   * messageid:  000236
   * severity:   info
   */
  public static String logKernelShutdown()  {
    Object [] args = {  };
    MessageLogger.log(
	"000236",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000236";
  }

  /**
   * Server shutdown due to fatal exception: {0}
   * @exclude
   *
   * messageid:  000237
   * severity:   emergency
   */
  public static String logShutdownFromFatalException(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000237",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000237";
  }

  /**
   * Shutdown has completed.
   * @exclude
   *
   * messageid:  000238
   * severity:   info
   */
  public static String logShutdownCompleted()  {
    Object [] args = {  };
    MessageLogger.log(
	"000238",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000238";
  }

  /**
   * The cancelation of server shutdown has been requested by {0}
   * @exclude
   *
   * messageid:  000239
   * severity:   alert
   */
  public static String logCancelShutdownRequested(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000239",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000239";
  }

  /**
   * Cannot cancel the server shutdown, the request was from a null user (Principal).
   * @exclude
   *
   * messageid:  000240
   * severity:   notice
   */
  public static String logNoCancelShutdownNullUser()  {
    Object [] args = {  };
    MessageLogger.log(
	"000240",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000240";
  }

  /**
   * Cannot cancel the server shutdown, the request was from a nameless user (Principal).
   * @exclude
   *
   * messageid:  000241
   * severity:   notice
   */
  public static String logNoCancelShutdownNamelessUser()  {
    Object [] args = {  };
    MessageLogger.log(
	"000241",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000241";
  }

  /**
   * Cannot cancel server shutdown: there is already no shutdown in progress.
   * @exclude
   *
   * messageid:  000242
   * severity:   alert
   */
  public static String logNoCancelShutdownAlreadyNotShutting()  {
    Object [] args = {  };
    MessageLogger.log(
	"000242",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000242";
  }

  /**
   * It is too late to cancel the server shutdown: the shutdown is already in progress.
   * @exclude
   *
   * messageid:  000243
   * severity:   alert
   */
  public static String logNoCancelShutdownTooLate()  {
    Object [] args = {  };
    MessageLogger.log(
	"000243",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000243";
  }

  /**
   * Cancelling server shutdown.
   * @exclude
   *
   * messageid:  000244
   * severity:   info
   */
  public static String logCancelShutdownInitiated()  {
    Object [] args = {  };
    MessageLogger.log(
	"000244",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000244";
  }

  /**
   * Failed to correctly inform all server components that shutdown was canceled: {0}
   * @exclude
   *
   * messageid:  000245
   * severity:   alert
   */
  public static String logCancelShutdownEventFailed(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000245",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000245";
  }

  /**
   * Server shutdown has been canceled and logins are enabled.
   * @exclude
   *
   * messageid:  000246
   * severity:   info
   */
  public static String logCancelShutdownHappened()  {
    Object [] args = {  };
    MessageLogger.log(
	"000246",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000246";
  }

  /**
   * Server shutdown has been canceled, but note that logins are disabled. If desired, enable logins separately.
   * @exclude
   *
   * messageid:  000247
   * severity:   info
   */
  public static String logCancelShutdownNoUnlockHappened()  {
    Object [] args = {  };
    MessageLogger.log(
	"000247",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000247";
  }

  /**
   * Problem while trying to get localized T3Srvr message, messageid {0}, {1}
   * @exclude
   *
   * messageid:  000248
   * severity:   critical
   */
  public static String logLocalizerProblem(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000248",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000248";
  }

  /**
   * Sorry, because weblogic.ConsoleInputEnabled=true the server can only be shut down from the command line. Type the command "shut" in the window in which the server was started.
   * @exclude
   *
   * messageid:  000249
   * severity:   critical
   */
  public static String logShutdownFromCommandLineOnly()  {
    Object [] args = {  };
    MessageLogger.log(
	"000249",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000249";
  }

  /**
   * Not listening for SSL, {0}
   * @exclude
   *
   * messageid:  000250
   * severity:   critical
   */
  public static String logNotListeningForSSL(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000250",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000250";
  }

  /**
   * Switched to group "{0}"
   * @exclude
   *
   * messageid:  000251
   * severity:   info
   */
  public static String logSwitchedToGroup(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000251",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000251";
  }

  /**
   * Cannot switch to group "{0}"
   * @exclude
   *
   * messageid:  000252
   * severity:   critical
   */
  public static String logCantSwitchToGroup(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000252",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000252";
  }

  /**
   * Switched to user "{0}"
   * @exclude
   *
   * messageid:  000253
   * severity:   info
   */
  public static String logSwitchedToUser(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000253",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000253";
  }

  /**
   * Cannot switch to user "{0}"
   * @exclude
   *
   * messageid:  000254
   * severity:   critical
   */
  public static String logCantSwitchToUser(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000254",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000254";
  }

  /**
   * Not listening on administrative port, {0}
   * @exclude
   *
   * messageid:  000255
   * severity:   critical
   */
  public static String logNotListeningOnAdminPort(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000255",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000255";
  }

  /**
   * Invoking {0}.main({1})
   * @exclude
   *
   * messageid:  000256
   * severity:   info
   */
  public static String logInvokingClass(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000256",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000256";
  }

  /**
   * Excepion reading command: {0}
   * @exclude
   *
   * messageid:  000257
   * severity:   critical
   */
  public static String logReadCommandIOException(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000257",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000257";
  }

  /**
   * command [{0}]
   * @exclude
   *
   * messageid:  000258
   * severity:   info
   */
  public static String logReadWhichCommand(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000258",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000258";
  }

  /**
   * Console: Profiling enabled
   * @exclude
   *
   * messageid:  000259
   * severity:   info
   */
  public static String logConsoleProfilingEnabled()  {
    Object [] args = {  };
    MessageLogger.log(
	"000259",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000259";
  }

  /**
   * Console: Profiling enabled
   * @exclude
   *
   * messageid:  000260
   * severity:   info
   */
  public static String logConsoleProfilingDisabled()  {
    Object [] args = {  };
    MessageLogger.log(
	"000260",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000260";
  }

  /**
   * system user is not permitted to shutdown, {0}
   * @exclude
   *
   * messageid:  000261
   * severity:   critical
   */
  public static String logConsoleShutSecurityException(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000261",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000261";
  }

  /**
   * No such command: {0}
   * @exclude
   *
   * messageid:  000262
   * severity:   error
   */
  public static String logConsoleNoSuchCommand(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000262",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000262";
  }

  /**
   * GC: Before free/total={0}/{1} ({2}%)
   * @exclude
   *
   * messageid:  000263
   * severity:   info
   */
  public static String logConsoleGCBefore(long arg0, long arg1, long arg2)  {
    Object [] args = { new Long(arg0), new Long(arg1), new Long(arg2) };
    MessageLogger.log(
	"000263",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000263";
  }

  /**
   * GC: After free/total={0}/{1} ({2}%)
   * @exclude
   *
   * messageid:  000264
   * severity:   info
   */
  public static String logConsoleGCAfter(long arg0, long arg1, long arg2)  {
    Object [] args = { new Long(arg0), new Long(arg1), new Long(arg2) };
    MessageLogger.log(
	"000264",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000264";
  }

  /**
   * Attempt to unbind ClientContext "{0}" that is not bound.
   * @exclude
   *
   * messageid:  000265
   * severity:   notice
   */
  public static String logAttemptUnbindUnboundClientContext(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000265",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000265";
  }

  /**
   * {0} has {1,choice,1#one pending ExecuteRequest|2#{1,number} pending ExecuteRequests}.
   * @exclude
   *
   * messageid:  000266
   * severity:   info
   */
  public static String logCCHasPendingExecuteRequests(String arg0, int arg1)  {
    Object [] args = { arg0, new Integer(arg1) };
    MessageLogger.log(
	"000266",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000266";
  }

  /**
   * {0} had a negative workQueueDepth of {1}
   * @exclude
   *
   * messageid:  000267
   * severity:   info
   */
  public static String logCCHasNegativeWorkQueueDepth(String arg0, int arg1)  {
    Object [] args = { arg0, new Integer(arg1) };
    MessageLogger.log(
	"000267",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000267";
  }

  /**
   * Failed to send unsolicted message "{0}" to client, {1}
   * @exclude
   *
   * messageid:  000268
   * severity:   critical
   */
  public static String logFailedSendingUnsolicitedMessage(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000268",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000268";
  }

  /**
   * The connection to the client using "{0}" has been unexpectedly lost due to {1}. The server is initiating a hard disconnect.
   * @exclude
   *
   * messageid:  000269
   * severity:   info
   */
  public static String logConnectionUnexpectedlyLostHardDisconnect(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000269",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000269";
  }

  /**
   * Timing out "{0}" because it was idle.
   * @exclude
   *
   * messageid:  000270
   * severity:   info
   */
  public static String logTimingOutClientContextOnIdle(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000270",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000270";
  }

  /**
   * Ignoring a repeated request to schedule the death of "{0}".
   * @exclude
   *
   * messageid:  000271
   * severity:   info
   */
  public static String logIgnoringCCDeathRequest(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000271",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000271";
  }

  /**
   * Scheduling the death of "{0}".
   * @exclude
   *
   * messageid:  000272
   * severity:   info
   */
  public static String logSchedulingClientContextDeath(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000272",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000272";
  }

  /**
   * Removing "{0}" because of hard disconnect timeout.
   * @exclude
   *
   * messageid:  000273
   * severity:   info
   */
  public static String logRemovingClientContextHardDisconnect(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000273",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000273";
  }

  /**
   * Removing "{0}" because of soft disconnect timeout.
   * @exclude
   *
   * messageid:  000274
   * severity:   info
   */
  public static String logRemovingClientContextSoftDisconnect(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000274",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000274";
  }

  /**
   * Soft disconnect pending for {0,choice,0#less than a minute|1#one minute|2#{0} minutes}.
   * @exclude
   *
   * messageid:  000275
   * severity:   info
   */
  public static String logSoftDisconnectPendingMins(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"000275",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000275";
  }

  /**
   * Hard disconnect pending for {0,choice,0#less than a minute|1#one minute|2#{0} minutes}.
   * @exclude
   *
   * messageid:  000276
   * severity:   info
   */
  public static String logHardDisconnectPendingMins(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"000276",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000276";
  }

  /**
   * Idle disconnect pending for {0,choice,0#less than a minute|1#one minute|2#{0} minutes}.
   * @exclude
   *
   * messageid:  000277
   * severity:   info
   */
  public static String logIdleDisconnectPendingMins(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"000277",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000277";
  }

  /**
   * Destroy of workspace key "{0}" failed, {1}
   * @exclude
   *
   * messageid:  000278
   * severity:   critical
   */
  public static String logDestroyWorkspaceKeyFailed(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000278",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000278";
  }

  /**
   * Error setting event connect parameters, {0}
   * @exclude
   *
   * messageid:  000279
   * severity:   critical
   */
  public static String logConnectEventParamSetError(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000279",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000279";
  }

  /**
   * Error generating connect event, {0}
   * @exclude
   *
   * messageid:  000280
   * severity:   critical
   */
  public static String logConnectEventGenerationError(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000280",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000280";
  }

  /**
   * Error setting event disconnect parameters, {0}
   * @exclude
   *
   * messageid:  000281
   * severity:   critical
   */
  public static String logDisconnectEventParamSetError(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000281",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000281";
  }

  /**
   * Error generating disconnect event, {0}
   * @exclude
   *
   * messageid:  000282
   * severity:   critical
   */
  public static String logDisconnectEventGenerationError(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000282",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000282";
  }

  /**
   * Failed to marshal response, {0}
   * @exclude
   *
   * messageid:  000283
   * severity:   critical
   */
  public static String logSendObjectMarshalFailedIO(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000283",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000283";
  }

  /**
   * Unexpected failure to marshal response, {0}
   * @exclude
   *
   * messageid:  000284
   * severity:   critical
   */
  public static String logSendObjectMarshalFailedRTE(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000284",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000284";
  }

  /**
   * ExecutionContext received an unexpected softDisconnect.
   * @exclude
   *
   * messageid:  000285
   * severity:   critical
   */
  public static String logExecutionContextDisconnect()  {
    Object [] args = {  };
    MessageLogger.log(
	"000285",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000285";
  }

  /**
   * Failed to invoke startup class "{0}", {1}
   * @exclude
   *
   * messageid:  000286
   * severity:   critical
   */
  public static String logFailInvokeStartupClass(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000286",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000286";
  }

  /**
   * Invoking startup class: {0}.startup({1})
   * @exclude
   *
   * messageid:  000287
   * severity:   info
   */
  public static String logInvokingStartup(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000287",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000287";
  }

  /**
   * {0} reports: {1}
   * @exclude
   *
   * messageid:  000288
   * severity:   info
   */
  public static String logStartupClassReports(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000288",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000288";
  }

  /**
   * Failed to invoke shutdown class "{0}", {1}
   * @exclude
   *
   * messageid:  000289
   * severity:   critical
   */
  public static String logFailInvokeShutdownClass(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000289",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000289";
  }

  /**
   * Invoking shutdown class: {0}.shutdown({1})
   * @exclude
   *
   * messageid:  000290
   * severity:   info
   */
  public static String logInvokingShutdown(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000290",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000290";
  }

  /**
   * {0} reports: {1}
   * @exclude
   *
   * messageid:  000291
   * severity:   info
   */
  public static String logShutdownClassReports(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000291",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000291";
  }

  /**
   * Shutting down {0}
   * @exclude
   *
   * messageid:  000292
   * severity:   info
   */
  public static String logShuttingDownSrvrThread(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000292",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000292";
  }

  /**
   * {0} missed action event, {1}
   * @exclude
   *
   * messageid:  000293
   * severity:   critical
   */
  public static String logSrvrThreadMissedActionEvent(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000293",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000293";
  }

  /**
   * {0} missed trigger event generation, {1}
   * @exclude
   *
   * messageid:  000294
   * severity:   alert
   */
  public static String logSrvrThreadMissedTriggerEventGen(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000294",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000294";
  }

  /**
   * {0} missed trigger event, {1}
   * @exclude
   *
   * messageid:  000295
   * severity:   alert
   */
  public static String logSrvrThreadMissedTriggerEventParam(String arg0, Exception arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000295",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000295";
  }

  /**
   * Security configuration problem with certificate file {0}, {1}
   * @exclude
   *
   * messageid:  000296
   * severity:   alert
   */
  public static String logSecurityProblemWithCertFile(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000296",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000296";
  }

  /**
   * Inconsistent security configuration, {0}
   * @exclude
   *
   * messageid:  000297
   * severity:   alert
   */
  public static String logInconsistentSecurityConfig(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000297",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000297";
  }

  /**
   * Certificate expires in {0} days: {1}
   * @exclude
   *
   * messageid:  000298
   * severity:   notice
   */
  public static String logCertificateExpiresSoon(long arg0, String arg1)  {
    Object [] args = { new Long(arg0), arg1 };
    MessageLogger.log(
	"000298",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000298";
  }

  /**
   * Running low strength (exportable) WebLogic Server build and full strength (domestic) SSL license.\n Only low strength (exportable) SSL connections will be accepted.
   * @exclude
   *
   * messageid:  000299
   * severity:   critical
   */
  public static String logWeakBuildWithStrongLicense()  {
    Object [] args = {  };
    MessageLogger.log(
	"000299",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000299";
  }

  /**
   * Certificate contents: {0}
   * @exclude
   *
   * messageid:  000300
   * severity:   info
   */
  public static String logCertificateContents(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000300",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000300";
  }

  /**
   * Using only low strength (exportable) cipher suites with a full strength (domestic) license and certificates.
   * @exclude
   *
   * messageid:  000301
   * severity:   warning
   */
  public static String logStrongCertsStrongLicenseWeakCiphers()  {
    Object [] args = {  };
    MessageLogger.log(
	"000301",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000301";
  }

  /**
   * SSLListenThread failed in call to weblogic.net.http.Handler.init(), {0}
   * @exclude
   *
   * messageid:  000302
   * severity:   critical
   */
  public static String logSSLFailHttpHandlerInit(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000302",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000302";
  }

  /**
   * The proper license key for SSL was not found. {0}\n 		 Not listening for SSL.
   * @exclude
   *
   * messageid:  000303
   * severity:   critical
   */
  public static String logSSLLicenseKeyNotFound(Exception arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000303",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000303";
  }

  /**
   * Attempting to use full strength (domestic) certificates without a full strength (domestic) license.
   * @exclude
   *
   * messageid:  000304
   * severity:   critical
   */
  public static String logStrongCertsWeakLicense()  {
    Object [] args = {  };
    MessageLogger.log(
	"000304",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000304";
  }

  /**
   * Attempting to use full strength (domestic) certificates without a full strength (domestic) software build.
   * @exclude
   *
   * messageid:  000305
   * severity:   critical
   */
  public static String logStrongCertsWeakBuild()  {
    Object [] args = {  };
    MessageLogger.log(
	"000305",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000305";
  }

  /**
   * Cannot use SSL, no certificates have been specified in the WebLogic configuration.
   * @exclude
   *
   * messageid:  000306
   * severity:   critical
   */
  public static String logNoCertificatesSpecified()  {
    Object [] args = {  };
    MessageLogger.log(
	"000306",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000306";
  }

  /**
   * Exportable key maximum lifespan set to {0} uses.
   * @exclude
   *
   * messageid:  000307
   * severity:   info
   */
  public static String logExportableKeyMaxLifespan(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"000307",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000307";
  }

  /**
   * Using full strength (domestic) SSL.
   * @exclude
   *
   * messageid:  000308
   * severity:   info
   */
  public static String logUsingFullStrengthSSL()  {
    Object [] args = {  };
    MessageLogger.log(
	"000308",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000308";
  }

  /**
   * Attempting to use a full strength (domestic) cipher suite without a full strength (domestic) license.
   * @exclude
   *
   * messageid:  000309
   * severity:   error
   */
  public static String logStrongCiphersWeakLicense()  {
    Object [] args = {  };
    MessageLogger.log(
	"000309",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000309";
  }

  /**
   * Using low strength (exportable) SSL.
   * @exclude
   *
   * messageid:  000310
   * severity:   info
   */
  public static String logUsingLowStrengthSSL()  {
    Object [] args = {  };
    MessageLogger.log(
	"000310",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000310";
  }

  /**
   * Attempting to use low strength (exportable) certificates with a full strength (domestic) license.
   * @exclude
   *
   * messageid:  000311
   * severity:   warning
   */
  public static String logStrongLicenseWeakCerts()  {
    Object [] args = {  };
    MessageLogger.log(
	"000311",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000311";
  }

  /**
   * Cannot require clients to have certificates without specifying a valid value for SSLTrustedCAFileName.
   * @exclude
   *
   * messageid:  000312
   * severity:   critical
   */
  public static String logClientCertEnforcedNoTrustedCA()  {
    Object [] args = {  };
    MessageLogger.log(
	"000312",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000312";
  }

  /**
   * Using {0} client root CAs.
   * @exclude
   *
   * messageid:  000313
   * severity:   info
   */
  public static String logUsingClientCAs(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"000313",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000313";
  }

  /**
   * The execution class "{0}" did not retrieve a T3Executable or T3ExecutableLazy.
   * @exclude
   *
   * messageid:  000314
   * severity:   alert
   */
  public static String logExecutionClassNoRetrieveT3Exec(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000314",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000314";
  }

  /**
   * Unexpected failure of T3ExecutableLazy, {0}
   * @exclude
   *
   * messageid:  000315
   * severity:   alert
   */
  public static String logFailureOfT3ExecutableLazy(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000315",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000315";
  }

  /**
   * enableWatchDog() is not permitted from within a server.
   * @exclude
   *
   * messageid:  000316
   * severity:   critical
   */
  public static String logEnableWatchDogNotPermitted()  {
    Object [] args = {  };
    MessageLogger.log(
	"000316",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000316";
  }

  /**
   * disableWatchDog() is not permitted from within a server.
   * @exclude
   *
   * messageid:  000317
   * severity:   critical
   */
  public static String logDisableWatchDogNotPermitted()  {
    Object [] args = {  };
    MessageLogger.log(
	"000317",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000317";
  }

  /**
   * Bound WARManager at {0}
   * @exclude
   *
   * messageid:  000318
   * severity:   info
   */
  public static String logBoundWARManager(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000318",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000318";
  }

  /**
   * Prevented user "{0}" from submitting to topic "{1}"
   * @exclude
   *
   * messageid:  000319
   * severity:   info
   */
  public static String logPreventedUserTopicSubmit(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000319",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000319";
  }

  /**
   * Error creating Runtime MBean for Execute Queue {0}
   * @exclude
   *
   * messageid:  000320
   * severity:   info
   */
  public static String logErrorCreatingExecuteQueueRuntime(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"000320",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000320";
  }

  /**
   * Error creating Runtime MBean for Timer {0}
   * @exclude
   *
   * messageid:  000321
   * severity:   info
   */
  public static String logErrorCreatingTimerRuntime(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000321",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000321";
  }

  /**
   * Error creating Runtime MBean for Server {0}
   * @exclude
   *
   * messageid:  000322
   * severity:   info
   */
  public static String logErrorCreatingServerRuntime(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000322",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000322";
  }

  /**
   * Error creating Runtime MBean for JVM {0}
   * @exclude
   *
   * messageid:  000323
   * severity:   info
   */
  public static String logErrorCreatingJVMRuntime(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"000323",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000323";
  }

  /**
   * License allows full strength (domestic) SSL.
   * @exclude
   *
   * messageid:  000324
   * severity:   info
   */
  public static String logSSLDomesticLicense()  {
    Object [] args = {  };
    MessageLogger.log(
	"000324",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000324";
  }

  /**
   * License allows low strength (export) SSL.
   * @exclude
   *
   * messageid:  000325
   * severity:   info
   */
  public static String logSSLExportLicense()  {
    Object [] args = {  };
    MessageLogger.log(
	"000325",
	args,
	"weblogic.i18n.T3SrvrLogLocalizer");
    return "000325";
  }


}
