package weblogic.transaction;

import weblogic.logging.MessageLogger;
 
/** 
 * Copyright (c) 2000 by BEA Systems, Inc. All Rights Reserved.
 * @exclude
 */
public class TXLogger
{
  /**
   * Transaction log record class name encoding error [{0}]: {1}
   * @exclude
   *
   * messageid:  110000
   * severity:   warning
   */
  public static String log110000(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"110000",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110000";
  }

  /**
   * Transaction log record encoding error [{0}]: {1}
   * @exclude
   *
   * messageid:  110001
   * severity:   warning
   */
  public static String log110001(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"110001",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110001";
  }

  /**
   * Transaction log record checksum calculation error.
   * @exclude
   *
   * messageid:  110002
   * severity:   warning
   */
  public static String log110002()  {
    Object [] args = {  };
    MessageLogger.log(
	"110002",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110002";
  }

  /**
   * onError() callback exception: {0}
   * @exclude
   *
   * messageid:  110003
   * severity:   warning
   */
  public static String log110003(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"110003",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110003";
  }

  /**
   * Unable to read transaction log record checksum.
   * @exclude
   *
   * messageid:  110004
   * severity:   warning
   */
  public static String log110004()  {
    Object [] args = {  };
    MessageLogger.log(
	"110004",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110004";
  }

  /**
   * Transaction log record checksum failure [{0}]
   * @exclude
   *
   * messageid:  110005
   * severity:   warning
   */
  public static String log110005(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"110005",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110005";
  }

  /**
   * Log record class instantiation problem [{0}]: {1}
   * @exclude
   *
   * messageid:  110007
   * severity:   error
   */
  public static String log110007(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"110007",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110007";
  }

  /**
   * Log record class readExternal problem [{0}]: {1}
   * @exclude
   *
   * messageid:  110008
   * severity:   error
   */
  public static String log110008(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"110008",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110008";
  }

  /**
   * Transaction log I/O buffer overflow, {0} bytes buffered
   * @exclude
   *
   * messageid:  110009
   * severity:   critical
   */
  public static String log110009(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"110009",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110009";
  }

  /**
   * onDisk() callback exception: {0}
   * @exclude
   *
   * messageid:  110010
   * severity:   warning
   */
  public static String log110010(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"110010",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110010";
  }

  /**
   * onRecovery() callback exception: {0}
   * @exclude
   *
   * messageid:  110011
   * severity:   warning
   */
  public static String log110011(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"110011",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110011";
  }

  /**
   * Transaction log circular collision, file number {0}
   * @exclude
   *
   * messageid:  110012
   * severity:   critical
   */
  public static String log110012(int arg0)  {
    Object [] args = { new Integer(arg0) };
    MessageLogger.log(
	"110012",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110012";
  }

  /**
   * Error writing transaction log file [{0}]: {1}
   * @exclude
   *
   * messageid:  110013
   * severity:   error
   */
  public static String log110013(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"110013",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110013";
  }

  /**
   * Error reading transaction log header file [{0}]: {1}
   * @exclude
   *
   * messageid:  110014
   * severity:   error
   */
  public static String log110014(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"110014",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110014";
  }

  /**
   * Version error reading transaction log header file.
   * @exclude
   *
   * messageid:  110015
   * severity:   error
   */
  public static String log110015()  {
    Object [] args = {  };
    MessageLogger.log(
	"110015",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110015";
  }

  /**
   * Format error reading transaction log header file: {0}
   * @exclude
   *
   * messageid:  110016
   * severity:   error
   */
  public static String log110016(Throwable arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"110016",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110016";
  }

  /**
   * Error writing transaction log header file [{0}]: {1}
   * @exclude
   *
   * messageid:  110017
   * severity:   error
   */
  public static String log110017(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"110017",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110017";
  }

  /**
   * Error writing transaction log file [{0}]: {1}
   * @exclude
   *
   * messageid:  110018
   * severity:   error
   */
  public static String log110018(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"110018",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110018";
  }

  /**
   * Error deleting transaction log file [{0}]: {1}
   * @exclude
   *
   * messageid:  110019
   * severity:   error
   */
  public static String log110019(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"110019",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110019";
  }

  /**
   * Error reading transaction log file [{0}]: {1}
   * @exclude
   *
   * messageid:  110020
   * severity:   error
   */
  public static String log110020(String arg0, Throwable arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"110020",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110020";
  }

  /**
   * Format error [{0}] reading transaction log file [{1}]
   * @exclude
   *
   * messageid:  110021
   * severity:   error
   */
  public static String log110021(int arg0, String arg1)  {
    Object [] args = { new Integer(arg0), arg1 };
    MessageLogger.log(
	"110021",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110021";
  }

  /**
   * Format error [{0}] reading transaction log file [{1}]: {2}
   * @exclude
   *
   * messageid:  110022
   * severity:   error
   */
  public static String log110022(int arg0, String arg1, Throwable arg2)  {
    Object [] args = { new Integer(arg0), arg1, arg2 };
    MessageLogger.log(
	"110022",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110022";
  }

  /**
   * Transaction log record checksum failure [{0}]: {1}
   * @exclude
   *
   * messageid:  110023
   * severity:   warning
   */
  public static String log110023(int arg0, Throwable arg1)  {
    Object [] args = { new Integer(arg0), arg1 };
    MessageLogger.log(
	"110023",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110023";
  }

  /**
   * Transaction log record unabbreviation failure [abbrev code {0}]: {1}
   * @exclude
   *
   * messageid:  110024
   * severity:   warning
   */
  public static String log110024(int arg0, Throwable arg1)  {
    Object [] args = { new Integer(arg0), arg1 };
    MessageLogger.log(
	"110024",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110024";
  }

  /**
   * Creating new transaction log file [{0}]
   * @exclude
   *
   * messageid:  110025
   * severity:   warning
   */
  public static String log110025(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"110025",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110025";
  }

  /**
   * Missing transaction log file [{0}]
   * @exclude
   *
   * messageid:  110026
   * severity:   error
   */
  public static String log110026(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"110026",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110026";
  }

  /**
   * Debug: {0}
   * @exclude
   *
   * messageid:  110027
   * severity:   debug
   */
  public static String logDebug(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"110027",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110027";
  }

  /**
   * Transaction Manager did not call XA.forget() for transaction [{1}] on resource [{0}] that reported a heuristic decision during commit.
   * @exclude
   *
   * messageid:  110028
   * severity:   info
   */
  public static String log110028(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"110028",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110028";
  }

  /**
   * Transaction Manager did not call XA.forget() for transaction [{1}] on resource [{0}] that reported a heuristic decision during rollback.
   * @exclude
   *
   * messageid:  110029
   * severity:   info
   */
  public static String log110029(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"110029",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110029";
  }

  /**
   * XA resource [{0}] has not responded in the last {1} second(s).
   * @exclude
   *
   * messageid:  110030
   * severity:   warning
   */
  public static String log110030(String arg0, long arg1)  {
    Object [] args = { arg0, new Long(arg1) };
    MessageLogger.log(
	"110030",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110030";
  }

  /**
   * Error deleting file [{0}].
   * @exclude
   *
   * messageid:  110031
   * severity:   error
   */
  public static String log110031(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"110031",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110031";
  }

  /**
   * Error renaming file [{0}] to [{1}].
   * @exclude
   *
   * messageid:  110032
   * severity:   error
   */
  public static String log110032(String arg0, String arg1)  {
    Object [] args = { arg0, arg1 };
    MessageLogger.log(
	"110032",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110032";
  }

  /**
   * Recovered transaction log header file from backup location [{0}].
   * @exclude
   *
   * messageid:  110033
   * severity:   error
   */
  public static String log110033(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"110033",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110033";
  }

  /**
   * No license for two-phase commit (2PC) processing.
   * @exclude
   *
   * messageid:  110101
   * severity:   info
   */
  public static String logNo2PCLicense()  {
    Object [] args = {  };
    MessageLogger.log(
	"110101",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110101";
  }

  /**
   * Transaction with multiple resources rolled back due to invalid two-phase commit (2PC) license.
   * @exclude
   *
   * messageid:  110102
   * severity:   warning
   */
  public static String log2PCAttemptWithoutLicense()  {
    Object [] args = {  };
    MessageLogger.log(
	"110102",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110102";
  }

  /**
   * User [{0}] is not authorized to invoke startCommit on a transaction branch.
   * @exclude
   *
   * messageid:  110200
   * severity:   error
   */
  public static String log110200(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"110200",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110200";
  }

  /**
   * User [{0}] is not authorized to invoke startRollback on a transaction branch.
   * @exclude
   *
   * messageid:  110201
   * severity:   error
   */
  public static String log110201(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"110201",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110201";
  }

  /**
   * User [{0}] is not authorized to invoke rollback on a transaction branch.
   * @exclude
   *
   * messageid:  110202
   * severity:   error
   */
  public static String log110202(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"110202",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110202";
  }

  /**
   * *** Please ignore the following 3 error messages intentionally triggered by transaction/SecurityTest.java unit test.
   * @exclude
   *
   * messageid:  110203
   * severity:   error
   */
  public static String log110203()  {
    Object [] args = {  };
    MessageLogger.log(
	"110203",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110203";
  }

  /**
   * XA resource [{0}] returns XAER_RMFAIL and is unavailable.
   * @exclude
   *
   * messageid:  110204
   * severity:   warning
   */
  public static String log110204(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"110204",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110204";
  }

  /**
   * User [{0}] is not authorized to invoke startRollback on a transaction.
   * @exclude
   *
   * messageid:  110205
   * severity:   error
   */
  public static String log110205(String arg0)  {
    Object [] args = { arg0 };
    MessageLogger.log(
	"110205",
	args,
	"weblogic.i18n.TXLogLocalizer");
    return "110205";
  }


}
