@start rule: main
package @package_name;

import java.util.List;
import java.util.ArrayList;
import org.xml.sax.AttributeList;
import org.xml.sax.SAXException;
import weblogic.xml.dtdc.XmlElement;

public class @element_class_name extends XmlElement implements Cloneable {

  // ============================================================
  // Constructor

  public @element_class_name(String name, AttributeList attributes) throws SAXException {
    if(!name.equals("@element_name")) {
      throw new SAXException("Attempt to construct a " + getClass().getName() + " with a " +
                             name + " element");
    }
    initialize(name, attributes);
  }

  public @element_class_name() {}

  public void initialize(String name, AttributeList attributes) throws SAXException {
@set_attributes
  }
  
  public boolean isEmpty() {
    return @is_empty;
  }

  public String getElementName() { return "@element_realname"; }

  // ============================================================
  // Attributes

@attributes
  // ============================================================
  // Contained Elements

  public @element_class_name addDataElement(String string) {
    return (@element_class_name) super._addDataElement(string);
  }

  // ============================================================
  // Cloneable implementation

  public Object clone() throws java.lang.CloneNotSupportedException {
    return super.clone();
  }

  
@subelements

}

@end rule: main

@start rule: set_attribute
    if (attributes.getValue("@attribute_realname") != null) {
	@attribute_varname = attributes.getValue("@attribute_realname");
    }
    attributeValues.put("@attribute_realname", @attribute_varname);
@end rule: set_attribute

@start rule: attribute
  private String @attribute_varname="@attribute_default";
  public String @attribute_value_getter() {
    return @attribute_varname == null ? "" : @attribute_varname;
  }
  public @element_class_name @attribute_value_setter(String value) {
    @attribute_varname = value;

    attributeValues.put("@attribute_realname", @attribute_varname);
    return this;
  }

@end rule: attribute

@start rule: subelement
  private List @sub_element_varname = new ArrayList();
  public List @sub_elements_getter() { return @sub_element_varname; }
  public @element_class_name @sub_element_adder(@sub_element_class_name subelement) {
    @sub_element_varname.add(subelement);
    subElements.add(subelement);
    return this;
  }

@end rule: subelement

